package com.google.android.gms.internal;

import android.content.Context;
import android.content.Intent;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.os.Binder;
import android.os.Bundle;
import android.os.IBinder;
import android.os.RemoteException;
import android.view.View;
import com.google.android.gms.common.ConnectionResult;
import com.google.android.gms.common.GooglePlayServicesClient.ConnectionCallbacks;
import com.google.android.gms.common.GooglePlayServicesClient.OnConnectionFailedListener;
import com.google.android.gms.common.api.GoogleApiClient.ConnectionCallbacks;
import com.google.android.gms.common.api.GoogleApiClient.OnConnectionFailedListener;
import com.google.android.gms.common.api.Releasable;
import com.google.android.gms.common.api.Result;
import com.google.android.gms.common.api.Status;
import com.google.android.gms.common.api.a.c;
import com.google.android.gms.common.data.DataHolder;
import com.google.android.gms.games.Game;
import com.google.android.gms.games.GameBuffer;
import com.google.android.gms.games.GameEntity;
import com.google.android.gms.games.GamesMetadata.LoadGamesResult;
import com.google.android.gms.games.Player;
import com.google.android.gms.games.PlayerBuffer;
import com.google.android.gms.games.PlayerEntity;
import com.google.android.gms.games.Players.LoadPlayersResult;
import com.google.android.gms.games.achievement.AchievementBuffer;
import com.google.android.gms.games.achievement.Achievements.LoadAchievementsResult;
import com.google.android.gms.games.achievement.Achievements.UpdateAchievementResult;
import com.google.android.gms.games.leaderboard.Leaderboard;
import com.google.android.gms.games.leaderboard.LeaderboardBuffer;
import com.google.android.gms.games.leaderboard.LeaderboardScore;
import com.google.android.gms.games.leaderboard.LeaderboardScoreBuffer;
import com.google.android.gms.games.leaderboard.Leaderboards.LeaderboardMetadataResult;
import com.google.android.gms.games.leaderboard.Leaderboards.LoadPlayerScoreResult;
import com.google.android.gms.games.leaderboard.Leaderboards.LoadScoresResult;
import com.google.android.gms.games.leaderboard.Leaderboards.SubmitScoreResult;
import com.google.android.gms.games.leaderboard.ScoreSubmissionData;
import com.google.android.gms.games.leaderboard.c;
import com.google.android.gms.games.leaderboard.d;
import com.google.android.gms.games.multiplayer.Invitation;
import com.google.android.gms.games.multiplayer.InvitationBuffer;
import com.google.android.gms.games.multiplayer.Invitations.LoadInvitationsResult;
import com.google.android.gms.games.multiplayer.OnInvitationReceivedListener;
import com.google.android.gms.games.multiplayer.ParticipantResult;
import com.google.android.gms.games.multiplayer.ParticipantUtils;
import com.google.android.gms.games.multiplayer.realtime.RealTimeMessage;
import com.google.android.gms.games.multiplayer.realtime.RealTimeMessageReceivedListener;
import com.google.android.gms.games.multiplayer.realtime.RealTimeMultiplayer.ReliableMessageSentCallback;
import com.google.android.gms.games.multiplayer.realtime.RealTimeSocket;
import com.google.android.gms.games.multiplayer.realtime.Room;
import com.google.android.gms.games.multiplayer.realtime.RoomConfig;
import com.google.android.gms.games.multiplayer.realtime.RoomEntity;
import com.google.android.gms.games.multiplayer.realtime.RoomStatusUpdateListener;
import com.google.android.gms.games.multiplayer.realtime.RoomUpdateListener;
import com.google.android.gms.games.multiplayer.turnbased.LoadMatchesResponse;
import com.google.android.gms.games.multiplayer.turnbased.OnTurnBasedMatchUpdateReceivedListener;
import com.google.android.gms.games.multiplayer.turnbased.TurnBasedMatch;
import com.google.android.gms.games.multiplayer.turnbased.TurnBasedMatchBuffer;
import com.google.android.gms.games.multiplayer.turnbased.TurnBasedMatchConfig;
import com.google.android.gms.games.multiplayer.turnbased.TurnBasedMultiplayer.CancelMatchResult;
import com.google.android.gms.games.multiplayer.turnbased.TurnBasedMultiplayer.InitiateMatchResult;
import com.google.android.gms.games.multiplayer.turnbased.TurnBasedMultiplayer.LeaveMatchResult;
import com.google.android.gms.games.multiplayer.turnbased.TurnBasedMultiplayer.LoadMatchResult;
import com.google.android.gms.games.multiplayer.turnbased.TurnBasedMultiplayer.LoadMatchesResult;
import com.google.android.gms.games.multiplayer.turnbased.TurnBasedMultiplayer.UpdateMatchResult;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Collection;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Locale;
import java.util.Map;

public final class fl extends dw<fp>
  implements GoogleApiClient.ConnectionCallbacks, GoogleApiClient.OnConnectionFailedListener
{
  private final String jG;
  private boolean tA = false;
  private int tB;
  private final String tO;
  private final Map<String, RealTimeSocket> tP;
  private PlayerEntity tQ;
  private GameEntity tR;
  private final fq tS;
  private boolean tT = false;
  private final Binder tU;
  private final long tV;
  private final boolean tW;
  private final int tX;

  @Deprecated
  public fl(Context paramContext, String paramString1, String paramString2, GooglePlayServicesClient.ConnectionCallbacks paramConnectionCallbacks, GooglePlayServicesClient.OnConnectionFailedListener paramOnConnectionFailedListener, String[] paramArrayOfString, int paramInt1, View paramView, boolean paramBoolean1, boolean paramBoolean2, int paramInt2)
  {
    this(paramContext, paramString1, paramString2, new dw.c(paramConnectionCallbacks), new dw.g(paramOnConnectionFailedListener), paramArrayOfString, paramInt1, paramView, paramBoolean1, paramBoolean2, paramInt2, 4368);
  }

  public fl(Context paramContext, String paramString1, String paramString2, GoogleApiClient.ConnectionCallbacks paramConnectionCallbacks, GoogleApiClient.OnConnectionFailedListener paramOnConnectionFailedListener, String[] paramArrayOfString, int paramInt1, View paramView, boolean paramBoolean1, boolean paramBoolean2, int paramInt2, int paramInt3)
  {
    super(paramContext, paramConnectionCallbacks, paramOnConnectionFailedListener, paramArrayOfString);
    this.tO = paramString1;
    this.jG = ((String)eg.f(paramString2));
    this.tU = new Binder();
    this.tP = new HashMap();
    this.tS = fq.a(this, paramInt1);
    setViewForPopups(paramView);
    this.tA = paramBoolean2;
    this.tB = paramInt2;
    this.tV = hashCode();
    this.tW = paramBoolean1;
    this.tX = paramInt3;
    registerConnectionCallbacks(this);
    registerConnectionFailedListener(this);
  }

  private Room E(DataHolder paramDataHolder)
  {
    com.google.android.gms.games.multiplayer.realtime.a locala = new com.google.android.gms.games.multiplayer.realtime.a(paramDataHolder);
    try
    {
      int i = locala.getCount();
      Room localRoom = null;
      if (i > 0)
        localRoom = (Room)((Room)locala.get(0)).freeze();
      return localRoom;
    }
    finally
    {
      locala.close();
    }
  }

  // ERROR //
  private RealTimeSocket ae(String paramString)
  {
    // Byte code:
    //   0: aload_0
    //   1: invokevirtual 149	com/google/android/gms/internal/fl:bQ	()Landroid/os/IInterface;
    //   4: checkcast 151	com/google/android/gms/internal/fp
    //   7: aload_1
    //   8: invokeinterface 155 2 0
    //   13: astore_3
    //   14: aload_3
    //   15: ifnonnull +5 -> 20
    //   18: aconst_null
    //   19: areturn
    //   20: new 157	android/net/LocalSocket
    //   23: dup
    //   24: invokespecial 158	android/net/LocalSocket:<init>	()V
    //   27: astore 4
    //   29: aload 4
    //   31: new 160	android/net/LocalSocketAddress
    //   34: dup
    //   35: aload_3
    //   36: invokespecial 163	android/net/LocalSocketAddress:<init>	(Ljava/lang/String;)V
    //   39: invokevirtual 167	android/net/LocalSocket:connect	(Landroid/net/LocalSocketAddress;)V
    //   42: new 169	com/google/android/gms/internal/fr
    //   45: dup
    //   46: aload 4
    //   48: aload_1
    //   49: invokespecial 172	com/google/android/gms/internal/fr:<init>	(Landroid/net/LocalSocket;Ljava/lang/String;)V
    //   52: astore 6
    //   54: aload_0
    //   55: getfield 79	com/google/android/gms/internal/fl:tP	Ljava/util/Map;
    //   58: aload_1
    //   59: aload 6
    //   61: invokeinterface 178 3 0
    //   66: pop
    //   67: aload 6
    //   69: areturn
    //   70: astore_2
    //   71: ldc 180
    //   73: ldc 182
    //   75: invokestatic 188	com/google/android/gms/internal/fn:d	(Ljava/lang/String;Ljava/lang/String;)V
    //   78: aconst_null
    //   79: areturn
    //   80: astore 5
    //   82: ldc 180
    //   84: new 190	java/lang/StringBuilder
    //   87: dup
    //   88: invokespecial 191	java/lang/StringBuilder:<init>	()V
    //   91: ldc 193
    //   93: invokevirtual 197	java/lang/StringBuilder:append	(Ljava/lang/String;)Ljava/lang/StringBuilder;
    //   96: aload 5
    //   98: invokevirtual 201	java/io/IOException:getMessage	()Ljava/lang/String;
    //   101: invokevirtual 197	java/lang/StringBuilder:append	(Ljava/lang/String;)Ljava/lang/StringBuilder;
    //   104: invokevirtual 204	java/lang/StringBuilder:toString	()Ljava/lang/String;
    //   107: invokestatic 188	com/google/android/gms/internal/fn:d	(Ljava/lang/String;Ljava/lang/String;)V
    //   110: aconst_null
    //   111: areturn
    //
    // Exception table:
    //   from	to	target	type
    //   0	14	70	android/os/RemoteException
    //   20	29	70	android/os/RemoteException
    //   29	42	70	android/os/RemoteException
    //   42	67	70	android/os/RemoteException
    //   82	110	70	android/os/RemoteException
    //   29	42	80	java/io/IOException
  }

  private void dc()
  {
    this.tQ = null;
  }

  private void de()
  {
    Iterator localIterator = this.tP.values().iterator();
    while (localIterator.hasNext())
    {
      RealTimeSocket localRealTimeSocket = (RealTimeSocket)localIterator.next();
      try
      {
        localRealTimeSocket.close();
      }
      catch (IOException localIOException)
      {
        fn.a("GamesClientImpl", "IOException:", localIOException);
      }
    }
    this.tP.clear();
  }

  protected fp F(IBinder paramIBinder)
  {
    return fp.a.H(paramIBinder);
  }

  public int a(RealTimeMultiplayer.ReliableMessageSentCallback paramReliableMessageSentCallback, byte[] paramArrayOfByte, String paramString1, String paramString2)
  {
    try
    {
      int i = ((fp)bQ()).a(new an(paramReliableMessageSentCallback), paramArrayOfByte, paramString1, paramString2);
      return i;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
    return -1;
  }

  public int a(byte[] paramArrayOfByte, String paramString, String[] paramArrayOfString)
  {
    eg.b(paramArrayOfString, "Participant IDs must not be null");
    try
    {
      int i = ((fp)bQ()).b(paramArrayOfByte, paramString, paramArrayOfString);
      return i;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
    return -1;
  }

  protected void a(int paramInt, IBinder paramIBinder, Bundle paramBundle)
  {
    if ((paramInt == 0) && (paramBundle != null))
      this.tT = paramBundle.getBoolean("show_welcome_popup");
    super.a(paramInt, paramIBinder, paramBundle);
  }

  public void a(IBinder paramIBinder, Bundle paramBundle)
  {
    if (isConnected());
    try
    {
      ((fp)bQ()).a(paramIBinder, paramBundle);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public void a(a.c<Players.LoadPlayersResult> paramc, int paramInt, boolean paramBoolean1, boolean paramBoolean2)
  {
    try
    {
      ((fp)bQ()).a(new ak(paramc), paramInt, paramBoolean1, paramBoolean2);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public void a(a.c<Leaderboards.LoadScoresResult> paramc, LeaderboardScoreBuffer paramLeaderboardScoreBuffer, int paramInt1, int paramInt2)
  {
    try
    {
      ((fp)bQ()).a(new r(paramc), paramLeaderboardScoreBuffer.dq().dr(), paramInt1, paramInt2);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public void a(a.c<TurnBasedMultiplayer.InitiateMatchResult> paramc, TurnBasedMatchConfig paramTurnBasedMatchConfig)
  {
    try
    {
      ((fp)bQ()).a(new bb(paramc), paramTurnBasedMatchConfig.getVariant(), paramTurnBasedMatchConfig.getMinPlayers(), paramTurnBasedMatchConfig.getInvitedPlayerIds(), paramTurnBasedMatchConfig.getAutoMatchCriteria());
      return;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public void a(a.c<Players.LoadPlayersResult> paramc, String paramString)
  {
    try
    {
      ((fp)bQ()).c(new ak(paramc), paramString);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public void a(a.c<Achievements.UpdateAchievementResult> paramc, String paramString, int paramInt)
  {
    Object localObject;
    if (paramc == null)
      localObject = null;
    try
    {
      while (true)
      {
        ((fp)bQ()).a((fo)localObject, paramString, paramInt, this.tS.dn(), this.tS.dm());
        return;
        localObject = new d(paramc);
      }
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public void a(a.c<Leaderboards.LoadScoresResult> paramc, String paramString, int paramInt1, int paramInt2, int paramInt3, boolean paramBoolean)
  {
    try
    {
      ((fp)bQ()).a(new r(paramc), paramString, paramInt1, paramInt2, paramInt3, paramBoolean);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public void a(a.c<Players.LoadPlayersResult> paramc, String paramString, int paramInt, boolean paramBoolean1, boolean paramBoolean2)
  {
    if (!paramString.equals("playedWith"))
      throw new IllegalArgumentException("Invalid player collection: " + paramString);
    try
    {
      ((fp)bQ()).d(new ak(paramc), paramString, paramInt, paramBoolean1, paramBoolean2);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public void a(a.c<Leaderboards.SubmitScoreResult> paramc, String paramString1, long paramLong, String paramString2)
  {
    Object localObject;
    if (paramc == null)
      localObject = null;
    try
    {
      while (true)
      {
        ((fp)bQ()).a((fo)localObject, paramString1, paramLong, paramString2);
        return;
        localObject = new aw(paramc);
      }
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public void a(a.c<TurnBasedMultiplayer.LeaveMatchResult> paramc, String paramString1, String paramString2)
  {
    try
    {
      ((fp)bQ()).d(new bd(paramc), paramString1, paramString2);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public void a(a.c<Leaderboards.LoadPlayerScoreResult> paramc, String paramString1, String paramString2, int paramInt1, int paramInt2)
  {
    try
    {
      ((fp)bQ()).a(new ai(paramc), paramString1, paramString2, paramInt1, paramInt2);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public void a(a.c<Leaderboards.LeaderboardMetadataResult> paramc, String paramString, boolean paramBoolean)
  {
    try
    {
      ((fp)bQ()).c(new t(paramc), paramString, paramBoolean);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public void a(a.c<TurnBasedMultiplayer.UpdateMatchResult> paramc, String paramString1, byte[] paramArrayOfByte, String paramString2, ParticipantResult[] paramArrayOfParticipantResult)
  {
    try
    {
      ((fp)bQ()).a(new bh(paramc), paramString1, paramArrayOfByte, paramString2, paramArrayOfParticipantResult);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public void a(a.c<TurnBasedMultiplayer.UpdateMatchResult> paramc, String paramString, byte[] paramArrayOfByte, ParticipantResult[] paramArrayOfParticipantResult)
  {
    try
    {
      ((fp)bQ()).a(new bh(paramc), paramString, paramArrayOfByte, paramArrayOfParticipantResult);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public void a(a.c<Leaderboards.LeaderboardMetadataResult> paramc, boolean paramBoolean)
  {
    try
    {
      ((fp)bQ()).b(new t(paramc), paramBoolean);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public void a(a.c<TurnBasedMultiplayer.LoadMatchesResult> paramc, int[] paramArrayOfInt)
  {
    try
    {
      ((fp)bQ()).a(new bj(paramc), paramArrayOfInt);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  protected void a(ec paramec, dw.e parame)
    throws RemoteException
  {
    String str = getContext().getResources().getConfiguration().locale.toString();
    Bundle localBundle = new Bundle();
    localBundle.putBoolean("com.google.android.gms.games.key.isHeadless", this.tW);
    localBundle.putBoolean("com.google.android.gms.games.key.showConnectingPopup", this.tA);
    localBundle.putInt("com.google.android.gms.games.key.connectingPopupGravity", this.tB);
    localBundle.putInt("com.google.android.gms.games.key.sdkVariant", this.tX);
    paramec.a(parame, 4242000, getContext().getPackageName(), this.jG, bO(), this.tO, this.tS.dn(), str, localBundle);
  }

  protected void a(String[] paramArrayOfString)
  {
    int i = 0;
    int j = 0;
    boolean bool1 = false;
    if (i < paramArrayOfString.length)
    {
      String str = paramArrayOfString[i];
      if (str.equals("https://www.googleapis.com/auth/games"))
        bool1 = true;
      while (true)
      {
        i++;
        break;
        if (str.equals("https://www.googleapis.com/auth/games.firstparty"))
          j = 1;
      }
    }
    if (j != 0)
    {
      if (!bool1);
      for (boolean bool2 = true; ; bool2 = false)
      {
        eg.a(bool2, String.format("Cannot have both %s and %s!", new Object[] { "https://www.googleapis.com/auth/games", "https://www.googleapis.com/auth/games.firstparty" }));
        return;
      }
    }
    eg.a(bool1, String.format("Games APIs requires %s to function.", new Object[] { "https://www.googleapis.com/auth/games" }));
  }

  public Bundle aU()
  {
    try
    {
      Bundle localBundle = ((fp)bQ()).aU();
      if (localBundle != null)
        localBundle.setClassLoader(fl.class.getClassLoader());
      return localBundle;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
    return null;
  }

  protected String am()
  {
    return "com.google.android.gms.games.service.START";
  }

  protected String an()
  {
    return "com.google.android.gms.games.internal.IGamesService";
  }

  public void b(a.c<Status> paramc)
  {
    try
    {
      ((fp)bQ()).a(new au(paramc));
      return;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public void b(a.c<Achievements.UpdateAchievementResult> paramc, String paramString)
  {
    Object localObject;
    if (paramc == null)
      localObject = null;
    try
    {
      while (true)
      {
        ((fp)bQ()).a((fo)localObject, paramString, this.tS.dn(), this.tS.dm());
        return;
        d locald = new d(paramc);
        localObject = locald;
      }
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public void b(a.c<Achievements.UpdateAchievementResult> paramc, String paramString, int paramInt)
  {
    Object localObject;
    if (paramc == null)
      localObject = null;
    try
    {
      while (true)
      {
        ((fp)bQ()).b((fo)localObject, paramString, paramInt, this.tS.dn(), this.tS.dm());
        return;
        localObject = new d(paramc);
      }
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public void b(a.c<Leaderboards.LoadScoresResult> paramc, String paramString, int paramInt1, int paramInt2, int paramInt3, boolean paramBoolean)
  {
    try
    {
      ((fp)bQ()).b(new r(paramc), paramString, paramInt1, paramInt2, paramInt3, paramBoolean);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public void b(a.c<Achievements.LoadAchievementsResult> paramc, boolean paramBoolean)
  {
    try
    {
      ((fp)bQ()).a(new f(paramc), paramBoolean);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public void c(a.c<Achievements.UpdateAchievementResult> paramc, String paramString)
  {
    Object localObject;
    if (paramc == null)
      localObject = null;
    try
    {
      while (true)
      {
        ((fp)bQ()).b((fo)localObject, paramString, this.tS.dn(), this.tS.dm());
        return;
        d locald = new d(paramc);
        localObject = locald;
      }
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public void clearNotifications(int paramInt)
  {
    try
    {
      ((fp)bQ()).clearNotifications(paramInt);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public void connect()
  {
    dc();
    super.connect();
  }

  public void createRoom(RoomConfig paramRoomConfig)
  {
    try
    {
      aq localaq = new aq(paramRoomConfig.getRoomUpdateListener(), paramRoomConfig.getRoomStatusUpdateListener(), paramRoomConfig.getMessageReceivedListener());
      ((fp)bQ()).a(localaq, this.tU, paramRoomConfig.getVariant(), paramRoomConfig.getInvitedPlayerIds(), paramRoomConfig.getAutoMatchCriteria(), paramRoomConfig.isSocketEnabled(), this.tV);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public void d(a.c<TurnBasedMultiplayer.InitiateMatchResult> paramc, String paramString)
  {
    try
    {
      ((fp)bQ()).n(new bb(paramc), paramString);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public int dd()
  {
    try
    {
      int i = ((fp)bQ()).dd();
      return i;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
    return 4368;
  }

  public void df()
  {
    if (isConnected());
    try
    {
      ((fp)bQ()).df();
      return;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public void disconnect()
  {
    this.tT = false;
    if (isConnected());
    try
    {
      fp localfp = (fp)bQ();
      localfp.df();
      localfp.j(this.tV);
      de();
      super.disconnect();
      return;
    }
    catch (RemoteException localRemoteException)
    {
      while (true)
        fn.c("GamesClientImpl", "Failed to notify client disconnect.");
    }
  }

  public void dismissTurnBasedMatch(String paramString)
  {
    try
    {
      ((fp)bQ()).ak(paramString);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public void e(a.c<TurnBasedMultiplayer.InitiateMatchResult> paramc, String paramString)
  {
    try
    {
      ((fp)bQ()).o(new bb(paramc), paramString);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public void f(a.c<TurnBasedMultiplayer.LeaveMatchResult> paramc, String paramString)
  {
    try
    {
      ((fp)bQ()).q(new bd(paramc), paramString);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public void g(a.c<GamesMetadata.LoadGamesResult> paramc)
  {
    try
    {
      ((fp)bQ()).d(new j(paramc));
      return;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public void g(a.c<TurnBasedMultiplayer.CancelMatchResult> paramc, String paramString)
  {
    try
    {
      ((fp)bQ()).p(new az(paramc), paramString);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public Intent getAchievementsIntent()
  {
    try
    {
      Intent localIntent = ((fp)bQ()).getAchievementsIntent();
      return localIntent;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
    return null;
  }

  public Intent getAllLeaderboardsIntent()
  {
    try
    {
      Intent localIntent = ((fp)bQ()).getAllLeaderboardsIntent();
      return localIntent;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
    return null;
  }

  public String getAppId()
  {
    try
    {
      String str = ((fp)bQ()).getAppId();
      return str;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
    return null;
  }

  public String getCurrentAccountName()
  {
    try
    {
      String str = ((fp)bQ()).getCurrentAccountName();
      return str;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
    return null;
  }

  public Game getCurrentGame()
  {
    bP();
    try
    {
      GameEntity localGameEntity = this.tR;
      if (localGameEntity == null);
      try
      {
        GameBuffer localGameBuffer = new GameBuffer(((fp)bQ()).di());
        try
        {
          if (localGameBuffer.getCount() > 0)
            this.tR = ((GameEntity)localGameBuffer.get(0).freeze());
          localGameBuffer.close();
          return this.tR;
        }
        finally
        {
          localObject2 = finally;
          localGameBuffer.close();
          throw localObject2;
        }
      }
      catch (RemoteException localRemoteException)
      {
        while (true)
          fn.c("GamesClientImpl", "service died");
      }
    }
    finally
    {
    }
  }

  public Player getCurrentPlayer()
  {
    bP();
    try
    {
      PlayerEntity localPlayerEntity = this.tQ;
      if (localPlayerEntity == null);
      try
      {
        PlayerBuffer localPlayerBuffer = new PlayerBuffer(((fp)bQ()).dg());
        try
        {
          if (localPlayerBuffer.getCount() > 0)
            this.tQ = ((PlayerEntity)localPlayerBuffer.get(0).freeze());
          localPlayerBuffer.close();
          return this.tQ;
        }
        finally
        {
          localObject2 = finally;
          localPlayerBuffer.close();
          throw localObject2;
        }
      }
      catch (RemoteException localRemoteException)
      {
        while (true)
          fn.c("GamesClientImpl", "service died");
      }
    }
    finally
    {
    }
  }

  public String getCurrentPlayerId()
  {
    try
    {
      String str = ((fp)bQ()).getCurrentPlayerId();
      return str;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
    return null;
  }

  public Intent getInvitationInboxIntent()
  {
    try
    {
      Intent localIntent = ((fp)bQ()).getInvitationInboxIntent();
      return localIntent;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
    return null;
  }

  public Intent getLeaderboardIntent(String paramString)
  {
    try
    {
      Intent localIntent = ((fp)bQ()).getLeaderboardIntent(paramString);
      return localIntent;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
    return null;
  }

  public Intent getMatchInboxIntent()
  {
    try
    {
      Intent localIntent = ((fp)bQ()).getMatchInboxIntent();
      return localIntent;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
    return null;
  }

  public int getMaxTurnBasedMatchDataSize()
  {
    try
    {
      int i = ((fp)bQ()).getMaxTurnBasedMatchDataSize();
      return i;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
    return 2;
  }

  public Intent getPlayerSearchIntent()
  {
    try
    {
      Intent localIntent = ((fp)bQ()).getPlayerSearchIntent();
      return localIntent;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
    return null;
  }

  public Intent getRealTimeSelectOpponentsIntent(int paramInt1, int paramInt2, boolean paramBoolean)
  {
    try
    {
      Intent localIntent = ((fp)bQ()).getRealTimeSelectOpponentsIntent(paramInt1, paramInt2, paramBoolean);
      return localIntent;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
    return null;
  }

  public RealTimeSocket getRealTimeSocketForParticipant(String paramString1, String paramString2)
  {
    if ((paramString2 == null) || (!ParticipantUtils.am(paramString2)))
      throw new IllegalArgumentException("Bad participant ID");
    RealTimeSocket localRealTimeSocket = (RealTimeSocket)this.tP.get(paramString2);
    if ((localRealTimeSocket == null) || (localRealTimeSocket.isClosed()))
      localRealTimeSocket = ae(paramString2);
    return localRealTimeSocket;
  }

  public Intent getRealTimeWaitingRoomIntent(Room paramRoom, int paramInt)
  {
    try
    {
      Intent localIntent = ((fp)bQ()).a((RoomEntity)paramRoom.freeze(), paramInt);
      return localIntent;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
    return null;
  }

  public Intent getSettingsIntent()
  {
    try
    {
      Intent localIntent = ((fp)bQ()).getSettingsIntent();
      return localIntent;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
    return null;
  }

  public Intent getTurnBasedSelectOpponentsIntent(int paramInt1, int paramInt2, boolean paramBoolean)
  {
    try
    {
      Intent localIntent = ((fp)bQ()).getTurnBasedSelectOpponentsIntent(paramInt1, paramInt2, paramBoolean);
      return localIntent;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
    return null;
  }

  public void h(a.c<Invitations.LoadInvitationsResult> paramc)
  {
    try
    {
      ((fp)bQ()).e(new o(paramc));
      return;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public void h(a.c<TurnBasedMultiplayer.LoadMatchResult> paramc, String paramString)
  {
    try
    {
      ((fp)bQ()).r(new bf(paramc), paramString);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public void i(String paramString, int paramInt)
  {
    try
    {
      ((fp)bQ()).i(paramString, paramInt);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public void j(String paramString, int paramInt)
  {
    try
    {
      ((fp)bQ()).j(paramString, paramInt);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public void joinRoom(RoomConfig paramRoomConfig)
  {
    try
    {
      aq localaq = new aq(paramRoomConfig.getRoomUpdateListener(), paramRoomConfig.getRoomStatusUpdateListener(), paramRoomConfig.getMessageReceivedListener());
      ((fp)bQ()).a(localaq, this.tU, paramRoomConfig.getInvitationId(), paramRoomConfig.isSocketEnabled(), this.tV);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public void leaveRoom(RoomUpdateListener paramRoomUpdateListener, String paramString)
  {
    try
    {
      ((fp)bQ()).e(new aq(paramRoomUpdateListener), paramString);
      de();
      return;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public void onConnected(Bundle paramBundle)
  {
    if (this.tT)
    {
      this.tS.dl();
      this.tT = false;
    }
  }

  public void onConnectionFailed(ConnectionResult paramConnectionResult)
  {
    this.tT = false;
  }

  public void onConnectionSuspended(int paramInt)
  {
  }

  public void registerInvitationListener(OnInvitationReceivedListener paramOnInvitationReceivedListener)
  {
    try
    {
      l locall = new l(paramOnInvitationReceivedListener);
      ((fp)bQ()).a(locall, this.tV);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public void registerMatchUpdateListener(OnTurnBasedMatchUpdateReceivedListener paramOnTurnBasedMatchUpdateReceivedListener)
  {
    try
    {
      x localx = new x(paramOnTurnBasedMatchUpdateReceivedListener);
      ((fp)bQ()).b(localx, this.tV);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public int sendUnreliableRealTimeMessageToAll(byte[] paramArrayOfByte, String paramString)
  {
    try
    {
      int i = ((fp)bQ()).b(paramArrayOfByte, paramString, null);
      return i;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
    return -1;
  }

  public void setGravityForPopups(int paramInt)
  {
    this.tS.setGravity(paramInt);
  }

  public void setViewForPopups(View paramView)
  {
    this.tS.e(paramView);
  }

  public void unregisterInvitationListener()
  {
    try
    {
      ((fp)bQ()).k(this.tV);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  public void unregisterMatchUpdateListener()
  {
    try
    {
      ((fp)bQ()).l(this.tV);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      fn.c("GamesClientImpl", "service died");
    }
  }

  abstract class a extends fl.c
  {
    private final ArrayList<String> tY = new ArrayList();

    a(RoomStatusUpdateListener paramDataHolder, DataHolder paramArrayOfString, String[] arg4)
    {
      super(paramDataHolder, paramArrayOfString);
      int i = 0;
      Object localObject;
      int j = localObject.length;
      while (i < j)
      {
        this.tY.add(localObject[i]);
        i++;
      }
    }

    protected void a(RoomStatusUpdateListener paramRoomStatusUpdateListener, Room paramRoom)
    {
      a(paramRoomStatusUpdateListener, paramRoom, this.tY);
    }

    protected abstract void a(RoomStatusUpdateListener paramRoomStatusUpdateListener, Room paramRoom, ArrayList<String> paramArrayList);
  }

  final class aa extends dw<fp>.b<RoomStatusUpdateListener>
  {
    private final String up;

    aa(RoomStatusUpdateListener paramString, String arg3)
    {
      super(paramString);
      Object localObject;
      this.up = localObject;
    }

    public void a(RoomStatusUpdateListener paramRoomStatusUpdateListener)
    {
      if (paramRoomStatusUpdateListener != null)
        paramRoomStatusUpdateListener.onP2PConnected(this.up);
    }

    protected void aL()
    {
    }
  }

  final class ab extends dw<fp>.b<RoomStatusUpdateListener>
  {
    private final String up;

    ab(RoomStatusUpdateListener paramString, String arg3)
    {
      super(paramString);
      Object localObject;
      this.up = localObject;
    }

    public void a(RoomStatusUpdateListener paramRoomStatusUpdateListener)
    {
      if (paramRoomStatusUpdateListener != null)
        paramRoomStatusUpdateListener.onP2PDisconnected(this.up);
    }

    protected void aL()
    {
    }
  }

  final class ac extends fl.a
  {
    ac(RoomStatusUpdateListener paramDataHolder, DataHolder paramArrayOfString, String[] arg4)
    {
      super(paramDataHolder, paramArrayOfString, arrayOfString);
    }

    protected void a(RoomStatusUpdateListener paramRoomStatusUpdateListener, Room paramRoom, ArrayList<String> paramArrayList)
    {
      paramRoomStatusUpdateListener.onPeersConnected(paramRoom, paramArrayList);
    }
  }

  final class ad extends fl.a
  {
    ad(RoomStatusUpdateListener paramDataHolder, DataHolder paramArrayOfString, String[] arg4)
    {
      super(paramDataHolder, paramArrayOfString, arrayOfString);
    }

    protected void a(RoomStatusUpdateListener paramRoomStatusUpdateListener, Room paramRoom, ArrayList<String> paramArrayList)
    {
      paramRoomStatusUpdateListener.onPeerDeclined(paramRoom, paramArrayList);
    }
  }

  final class ae extends fl.a
  {
    ae(RoomStatusUpdateListener paramDataHolder, DataHolder paramArrayOfString, String[] arg4)
    {
      super(paramDataHolder, paramArrayOfString, arrayOfString);
    }

    protected void a(RoomStatusUpdateListener paramRoomStatusUpdateListener, Room paramRoom, ArrayList<String> paramArrayList)
    {
      paramRoomStatusUpdateListener.onPeersDisconnected(paramRoom, paramArrayList);
    }
  }

  final class af extends fl.a
  {
    af(RoomStatusUpdateListener paramDataHolder, DataHolder paramArrayOfString, String[] arg4)
    {
      super(paramDataHolder, paramArrayOfString, arrayOfString);
    }

    protected void a(RoomStatusUpdateListener paramRoomStatusUpdateListener, Room paramRoom, ArrayList<String> paramArrayList)
    {
      paramRoomStatusUpdateListener.onPeerInvitedToRoom(paramRoom, paramArrayList);
    }
  }

  final class ag extends fl.a
  {
    ag(RoomStatusUpdateListener paramDataHolder, DataHolder paramArrayOfString, String[] arg4)
    {
      super(paramDataHolder, paramArrayOfString, arrayOfString);
    }

    protected void a(RoomStatusUpdateListener paramRoomStatusUpdateListener, Room paramRoom, ArrayList<String> paramArrayList)
    {
      paramRoomStatusUpdateListener.onPeerJoined(paramRoom, paramArrayList);
    }
  }

  final class ah extends fl.a
  {
    ah(RoomStatusUpdateListener paramDataHolder, DataHolder paramArrayOfString, String[] arg4)
    {
      super(paramDataHolder, paramArrayOfString, arrayOfString);
    }

    protected void a(RoomStatusUpdateListener paramRoomStatusUpdateListener, Room paramRoom, ArrayList<String> paramArrayList)
    {
      paramRoomStatusUpdateListener.onPeerLeft(paramRoom, paramArrayList);
    }
  }

  final class ai extends fk
  {
    private final a.c<Leaderboards.LoadPlayerScoreResult> jW;

    ai()
    {
      Object localObject;
      this.jW = ((a.c)eg.b(localObject, "Holder must not be null"));
    }

    public void D(DataHolder paramDataHolder)
    {
      fl.this.a(new fl.aj(fl.this, this.jW, paramDataHolder));
    }
  }

  final class aj extends dw<fp>.d<a.c<Leaderboards.LoadPlayerScoreResult>>
    implements Leaderboards.LoadPlayerScoreResult
  {
    private final Status jY;
    private final d uq;

    aj(DataHolder arg2)
    {
      super(localObject1, localDataHolder);
      this.jY = new Status(localDataHolder.getStatusCode());
      LeaderboardScoreBuffer localLeaderboardScoreBuffer = new LeaderboardScoreBuffer(localDataHolder);
      try
      {
        if (localLeaderboardScoreBuffer.getCount() > 0);
        for (this.uq = ((d)localLeaderboardScoreBuffer.get(0).freeze()); ; this.uq = null)
          return;
      }
      finally
      {
        localLeaderboardScoreBuffer.close();
      }
    }

    protected void a(a.c<Leaderboards.LoadPlayerScoreResult> paramc, DataHolder paramDataHolder)
    {
      paramc.a(this);
    }

    public LeaderboardScore getScore()
    {
      return this.uq;
    }

    public Status getStatus()
    {
      return this.jY;
    }
  }

  final class ak extends fk
  {
    private final a.c<Players.LoadPlayersResult> jW;

    ak()
    {
      Object localObject;
      this.jW = ((a.c)eg.b(localObject, "Holder must not be null"));
    }

    public void e(DataHolder paramDataHolder)
    {
      fl.this.a(new fl.al(fl.this, this.jW, paramDataHolder));
    }
  }

  final class al extends fl.ao<a.c<Players.LoadPlayersResult>>
    implements Players.LoadPlayersResult
  {
    private final PlayerBuffer ur;

    al(DataHolder arg2)
    {
      super(localc, localDataHolder);
      this.ur = new PlayerBuffer(localDataHolder);
    }

    protected void a(a.c<Players.LoadPlayersResult> paramc, DataHolder paramDataHolder)
    {
      paramc.a(this);
    }

    public PlayerBuffer getPlayers()
    {
      return this.ur;
    }
  }

  final class am extends dw<fp>.b<RealTimeMultiplayer.ReliableMessageSentCallback>
  {
    private final int mC;
    private final String us;
    private final int ut;

    am(RealTimeMultiplayer.ReliableMessageSentCallback paramInt1, int paramInt2, int paramString, String arg5)
    {
      super(paramInt1);
      this.mC = paramInt2;
      this.ut = paramString;
      Object localObject;
      this.us = localObject;
    }

    public void a(RealTimeMultiplayer.ReliableMessageSentCallback paramReliableMessageSentCallback)
    {
      if (paramReliableMessageSentCallback != null)
        paramReliableMessageSentCallback.onRealTimeMessageSent(this.mC, this.ut, this.us);
    }

    protected void aL()
    {
    }
  }

  final class an extends fk
  {
    final RealTimeMultiplayer.ReliableMessageSentCallback uu;

    public an(RealTimeMultiplayer.ReliableMessageSentCallback arg2)
    {
      Object localObject;
      this.uu = localObject;
    }

    public void b(int paramInt1, int paramInt2, String paramString)
    {
      fl.this.a(new fl.am(fl.this, this.uu, paramInt1, paramInt2, paramString));
    }
  }

  abstract class ao<R extends a.c<?>> extends dw<fp>.d<R>
    implements Releasable, Result
  {
    final Status jY;
    final DataHolder nE;

    public ao(DataHolder arg2)
    {
      super(localObject, localDataHolder);
      this.jY = new Status(localDataHolder.getStatusCode());
      this.nE = localDataHolder;
    }

    public Status getStatus()
    {
      return this.jY;
    }

    public void release()
    {
      if (this.nE != null)
        this.nE.close();
    }
  }

  final class ap extends fl.c
  {
    ap(RoomStatusUpdateListener paramDataHolder, DataHolder arg3)
    {
      super(paramDataHolder, localDataHolder);
    }

    public void a(RoomStatusUpdateListener paramRoomStatusUpdateListener, Room paramRoom)
    {
      paramRoomStatusUpdateListener.onRoomAutoMatching(paramRoom);
    }
  }

  final class aq extends fk
  {
    private final RoomUpdateListener uv;
    private final RoomStatusUpdateListener uw;
    private final RealTimeMessageReceivedListener ux;

    public aq(RoomUpdateListener arg2)
    {
      Object localObject;
      this.uv = ((RoomUpdateListener)eg.b(localObject, "Callbacks must not be null"));
      this.uw = null;
      this.ux = null;
    }

    public aq(RoomUpdateListener paramRoomStatusUpdateListener, RoomStatusUpdateListener paramRealTimeMessageReceivedListener, RealTimeMessageReceivedListener arg4)
    {
      this.uv = ((RoomUpdateListener)eg.b(paramRoomStatusUpdateListener, "Callbacks must not be null"));
      this.uw = paramRealTimeMessageReceivedListener;
      Object localObject;
      this.ux = localObject;
    }

    public void a(DataHolder paramDataHolder, String[] paramArrayOfString)
    {
      fl.this.a(new fl.af(fl.this, this.uw, paramDataHolder, paramArrayOfString));
    }

    public void b(DataHolder paramDataHolder, String[] paramArrayOfString)
    {
      fl.this.a(new fl.ag(fl.this, this.uw, paramDataHolder, paramArrayOfString));
    }

    public void c(DataHolder paramDataHolder, String[] paramArrayOfString)
    {
      fl.this.a(new fl.ah(fl.this, this.uw, paramDataHolder, paramArrayOfString));
    }

    public void d(DataHolder paramDataHolder, String[] paramArrayOfString)
    {
      fl.this.a(new fl.ad(fl.this, this.uw, paramDataHolder, paramArrayOfString));
    }

    public void e(DataHolder paramDataHolder, String[] paramArrayOfString)
    {
      fl.this.a(new fl.ac(fl.this, this.uw, paramDataHolder, paramArrayOfString));
    }

    public void f(DataHolder paramDataHolder, String[] paramArrayOfString)
    {
      fl.this.a(new fl.ae(fl.this, this.uw, paramDataHolder, paramArrayOfString));
    }

    public void onLeftRoom(int paramInt, String paramString)
    {
      fl.this.a(new fl.v(fl.this, this.uv, paramInt, paramString));
    }

    public void onP2PConnected(String paramString)
    {
      fl.this.a(new fl.aa(fl.this, this.uw, paramString));
    }

    public void onP2PDisconnected(String paramString)
    {
      fl.this.a(new fl.ab(fl.this, this.uw, paramString));
    }

    public void onRealTimeMessageReceived(RealTimeMessage paramRealTimeMessage)
    {
      fl.this.a(new fl.z(fl.this, this.ux, paramRealTimeMessage));
    }

    public void t(DataHolder paramDataHolder)
    {
      fl.this.a(new fl.at(fl.this, this.uv, paramDataHolder));
    }

    public void u(DataHolder paramDataHolder)
    {
      fl.this.a(new fl.q(fl.this, this.uv, paramDataHolder));
    }

    public void v(DataHolder paramDataHolder)
    {
      fl.this.a(new fl.as(fl.this, this.uw, paramDataHolder));
    }

    public void w(DataHolder paramDataHolder)
    {
      fl.this.a(new fl.ap(fl.this, this.uw, paramDataHolder));
    }

    public void x(DataHolder paramDataHolder)
    {
      fl.this.a(new fl.ar(fl.this, this.uv, paramDataHolder));
    }

    public void y(DataHolder paramDataHolder)
    {
      fl.this.a(new fl.h(fl.this, this.uw, paramDataHolder));
    }

    public void z(DataHolder paramDataHolder)
    {
      fl.this.a(new fl.i(fl.this, this.uw, paramDataHolder));
    }
  }

  final class ar extends fl.b
  {
    ar(RoomUpdateListener paramDataHolder, DataHolder arg3)
    {
      super(paramDataHolder, localDataHolder);
    }

    public void a(RoomUpdateListener paramRoomUpdateListener, Room paramRoom, int paramInt)
    {
      paramRoomUpdateListener.onRoomConnected(paramInt, paramRoom);
    }
  }

  final class as extends fl.c
  {
    as(RoomStatusUpdateListener paramDataHolder, DataHolder arg3)
    {
      super(paramDataHolder, localDataHolder);
    }

    public void a(RoomStatusUpdateListener paramRoomStatusUpdateListener, Room paramRoom)
    {
      paramRoomStatusUpdateListener.onRoomConnecting(paramRoom);
    }
  }

  final class at extends fl.b
  {
    public at(RoomUpdateListener paramDataHolder, DataHolder arg3)
    {
      super(paramDataHolder, localDataHolder);
    }

    public void a(RoomUpdateListener paramRoomUpdateListener, Room paramRoom, int paramInt)
    {
      paramRoomUpdateListener.onRoomCreated(paramInt, paramRoom);
    }
  }

  final class au extends fk
  {
    private final a.c<Status> jW;

    public au()
    {
      Object localObject;
      this.jW = ((a.c)eg.b(localObject, "Holder must not be null"));
    }

    public void onSignOutComplete()
    {
      Status localStatus = new Status(0);
      fl.this.a(new fl.av(fl.this, this.jW, localStatus));
    }
  }

  final class av extends dw<fp>.b<a.c<Status>>
  {
    private final Status jY;

    public av(Status arg2)
    {
      super(localObject1);
      Object localObject2;
      this.jY = localObject2;
    }

    protected void aL()
    {
    }

    public void c(a.c<Status> paramc)
    {
      paramc.a(this.jY);
    }
  }

  final class aw extends fk
  {
    private final a.c<Leaderboards.SubmitScoreResult> jW;

    public aw()
    {
      Object localObject;
      this.jW = ((a.c)eg.b(localObject, "Holder must not be null"));
    }

    public void d(DataHolder paramDataHolder)
    {
      fl.this.a(new fl.ax(fl.this, this.jW, paramDataHolder));
    }
  }

  final class ax extends fl.ao<a.c<Leaderboards.SubmitScoreResult>>
    implements Leaderboards.SubmitScoreResult
  {
    private final ScoreSubmissionData uy;

    public ax(DataHolder arg2)
    {
      super(localc, localDataHolder);
      this.uy = new ScoreSubmissionData(localDataHolder);
    }

    public void a(a.c<Leaderboards.SubmitScoreResult> paramc, DataHolder paramDataHolder)
    {
      paramc.a(this);
    }

    public ScoreSubmissionData getScoreData()
    {
      return this.uy;
    }
  }

  abstract class ay<T extends a.c<?>> extends fl.ao<T>
  {
    final TurnBasedMatch un;

    ay(DataHolder arg2)
    {
      super(localc, localDataHolder);
      TurnBasedMatchBuffer localTurnBasedMatchBuffer = new TurnBasedMatchBuffer(localDataHolder);
      try
      {
        if (localTurnBasedMatchBuffer.getCount() > 0);
        for (this.un = ((TurnBasedMatch)((TurnBasedMatch)localTurnBasedMatchBuffer.get(0)).freeze()); ; this.un = null)
          return;
      }
      finally
      {
        localTurnBasedMatchBuffer.close();
      }
    }

    protected void a(T paramT, DataHolder paramDataHolder)
    {
      i(paramT);
    }

    public TurnBasedMatch getMatch()
    {
      return this.un;
    }

    abstract void i(T paramT);
  }

  final class az extends fk
  {
    private final a.c<TurnBasedMultiplayer.CancelMatchResult> uz;

    public az()
    {
      Object localObject;
      this.uz = ((a.c)eg.b(localObject, "Holder must not be null"));
    }

    public void onTurnBasedMatchCanceled(int paramInt, String paramString)
    {
      Status localStatus = new Status(paramInt);
      fl.this.a(new fl.ba(fl.this, this.uz, localStatus, paramString));
    }
  }

  abstract class b extends dw<fp>.d<RoomUpdateListener>
  {
    b(RoomUpdateListener paramDataHolder, DataHolder arg3)
    {
      super(paramDataHolder, localDataHolder);
    }

    protected void a(RoomUpdateListener paramRoomUpdateListener, DataHolder paramDataHolder)
    {
      a(paramRoomUpdateListener, fl.a(fl.this, paramDataHolder), paramDataHolder.getStatusCode());
    }

    protected abstract void a(RoomUpdateListener paramRoomUpdateListener, Room paramRoom, int paramInt);
  }

  final class ba extends dw<fp>.b<a.c<TurnBasedMultiplayer.CancelMatchResult>>
    implements TurnBasedMultiplayer.CancelMatchResult
  {
    private final Status jY;
    private final String uA;

    ba(Status paramString, String arg3)
    {
      super(paramString);
      Object localObject1;
      this.jY = localObject1;
      Object localObject2;
      this.uA = localObject2;
    }

    protected void aL()
    {
    }

    public void c(a.c<TurnBasedMultiplayer.CancelMatchResult> paramc)
    {
      paramc.a(this);
    }

    public String getMatchId()
    {
      return this.uA;
    }

    public Status getStatus()
    {
      return this.jY;
    }
  }

  final class bb extends fk
  {
    private final a.c<TurnBasedMultiplayer.InitiateMatchResult> uB;

    public bb()
    {
      Object localObject;
      this.uB = ((a.c)eg.b(localObject, "Holder must not be null"));
    }

    public void n(DataHolder paramDataHolder)
    {
      fl.this.a(new fl.bc(fl.this, this.uB, paramDataHolder));
    }
  }

  final class bc extends fl.ay<a.c<TurnBasedMultiplayer.InitiateMatchResult>>
    implements TurnBasedMultiplayer.InitiateMatchResult
  {
    bc(DataHolder arg2)
    {
      super(localc, localDataHolder);
    }

    protected void i(a.c<TurnBasedMultiplayer.InitiateMatchResult> paramc)
    {
      paramc.a(this);
    }
  }

  final class bd extends fk
  {
    private final a.c<TurnBasedMultiplayer.LeaveMatchResult> uC;

    public bd()
    {
      Object localObject;
      this.uC = ((a.c)eg.b(localObject, "Holder must not be null"));
    }

    public void p(DataHolder paramDataHolder)
    {
      fl.this.a(new fl.be(fl.this, this.uC, paramDataHolder));
    }
  }

  final class be extends fl.ay<a.c<TurnBasedMultiplayer.LeaveMatchResult>>
    implements TurnBasedMultiplayer.LeaveMatchResult
  {
    be(DataHolder arg2)
    {
      super(localc, localDataHolder);
    }

    protected void i(a.c<TurnBasedMultiplayer.LeaveMatchResult> paramc)
    {
      paramc.a(this);
    }
  }

  final class bf extends fk
  {
    private final a.c<TurnBasedMultiplayer.LoadMatchResult> uD;

    public bf()
    {
      Object localObject;
      this.uD = ((a.c)eg.b(localObject, "Holder must not be null"));
    }

    public void m(DataHolder paramDataHolder)
    {
      fl.this.a(new fl.bg(fl.this, this.uD, paramDataHolder));
    }
  }

  final class bg extends fl.ay<a.c<TurnBasedMultiplayer.LoadMatchResult>>
    implements TurnBasedMultiplayer.LoadMatchResult
  {
    bg(DataHolder arg2)
    {
      super(localc, localDataHolder);
    }

    protected void i(a.c<TurnBasedMultiplayer.LoadMatchResult> paramc)
    {
      paramc.a(this);
    }
  }

  final class bh extends fk
  {
    private final a.c<TurnBasedMultiplayer.UpdateMatchResult> uE;

    public bh()
    {
      Object localObject;
      this.uE = ((a.c)eg.b(localObject, "Holder must not be null"));
    }

    public void o(DataHolder paramDataHolder)
    {
      fl.this.a(new fl.bi(fl.this, this.uE, paramDataHolder));
    }
  }

  final class bi extends fl.ay<a.c<TurnBasedMultiplayer.UpdateMatchResult>>
    implements TurnBasedMultiplayer.UpdateMatchResult
  {
    bi(DataHolder arg2)
    {
      super(localc, localDataHolder);
    }

    protected void i(a.c<TurnBasedMultiplayer.UpdateMatchResult> paramc)
    {
      paramc.a(this);
    }
  }

  final class bj extends fk
  {
    private final a.c<TurnBasedMultiplayer.LoadMatchesResult> uF;

    public bj()
    {
      Object localObject;
      this.uF = ((a.c)eg.b(localObject, "Holder must not be null"));
    }

    public void a(int paramInt, Bundle paramBundle)
    {
      paramBundle.setClassLoader(getClass().getClassLoader());
      Status localStatus = new Status(paramInt);
      fl.this.a(new fl.bk(fl.this, this.uF, localStatus, paramBundle));
    }
  }

  final class bk extends dw<fp>.b<a.c<TurnBasedMultiplayer.LoadMatchesResult>>
    implements TurnBasedMultiplayer.LoadMatchesResult
  {
    private final Status jY;
    private final LoadMatchesResponse uG;

    bk(Status paramBundle, Bundle arg3)
    {
      super(paramBundle);
      Object localObject;
      this.jY = localObject;
      Bundle localBundle;
      this.uG = new LoadMatchesResponse(localBundle);
    }

    protected void aL()
    {
    }

    protected void c(a.c<TurnBasedMultiplayer.LoadMatchesResult> paramc)
    {
      paramc.a(this);
    }

    public LoadMatchesResponse getMatches()
    {
      return this.uG;
    }

    public Status getStatus()
    {
      return this.jY;
    }

    public void release()
    {
      this.uG.close();
    }
  }

  abstract class c extends dw<fp>.d<RoomStatusUpdateListener>
  {
    c(RoomStatusUpdateListener paramDataHolder, DataHolder arg3)
    {
      super(paramDataHolder, localDataHolder);
    }

    protected void a(RoomStatusUpdateListener paramRoomStatusUpdateListener, DataHolder paramDataHolder)
    {
      a(paramRoomStatusUpdateListener, fl.a(fl.this, paramDataHolder));
    }

    protected abstract void a(RoomStatusUpdateListener paramRoomStatusUpdateListener, Room paramRoom);
  }

  final class d extends fk
  {
    private final a.c<Achievements.UpdateAchievementResult> jW;

    d()
    {
      Object localObject;
      this.jW = ((a.c)eg.b(localObject, "Holder must not be null"));
    }

    public void onAchievementUpdated(int paramInt, String paramString)
    {
      fl.this.a(new fl.e(fl.this, this.jW, paramInt, paramString));
    }
  }

  final class e extends dw<fp>.b<a.c<Achievements.UpdateAchievementResult>>
    implements Achievements.UpdateAchievementResult
  {
    private final Status jY;
    private final String ua;

    e(int paramString, String arg3)
    {
      super(paramString);
      int i;
      this.jY = new Status(i);
      Object localObject;
      this.ua = localObject;
    }

    protected void aL()
    {
    }

    protected void c(a.c<Achievements.UpdateAchievementResult> paramc)
    {
      paramc.a(this);
    }

    public String getAchievementId()
    {
      return this.ua;
    }

    public Status getStatus()
    {
      return this.jY;
    }
  }

  final class f extends fk
  {
    private final a.c<Achievements.LoadAchievementsResult> jW;

    f()
    {
      Object localObject;
      this.jW = ((a.c)eg.b(localObject, "Holder must not be null"));
    }

    public void b(DataHolder paramDataHolder)
    {
      fl.this.a(new fl.g(fl.this, this.jW, paramDataHolder));
    }
  }

  final class g extends fl.ao<a.c<Achievements.LoadAchievementsResult>>
    implements Achievements.LoadAchievementsResult
  {
    private final AchievementBuffer ub;

    g(DataHolder arg2)
    {
      super(localc, localDataHolder);
      this.ub = new AchievementBuffer(localDataHolder);
    }

    protected void a(a.c<Achievements.LoadAchievementsResult> paramc, DataHolder paramDataHolder)
    {
      paramc.a(this);
    }

    public AchievementBuffer getAchievements()
    {
      return this.ub;
    }
  }

  final class h extends fl.c
  {
    h(RoomStatusUpdateListener paramDataHolder, DataHolder arg3)
    {
      super(paramDataHolder, localDataHolder);
    }

    public void a(RoomStatusUpdateListener paramRoomStatusUpdateListener, Room paramRoom)
    {
      paramRoomStatusUpdateListener.onConnectedToRoom(paramRoom);
    }
  }

  final class i extends fl.c
  {
    i(RoomStatusUpdateListener paramDataHolder, DataHolder arg3)
    {
      super(paramDataHolder, localDataHolder);
    }

    public void a(RoomStatusUpdateListener paramRoomStatusUpdateListener, Room paramRoom)
    {
      paramRoomStatusUpdateListener.onDisconnectedFromRoom(paramRoom);
    }
  }

  final class j extends fk
  {
    private final a.c<GamesMetadata.LoadGamesResult> jW;

    j()
    {
      Object localObject;
      this.jW = ((a.c)eg.b(localObject, "Holder must not be null"));
    }

    public void g(DataHolder paramDataHolder)
    {
      fl.this.a(new fl.k(fl.this, this.jW, paramDataHolder));
    }
  }

  final class k extends fl.ao<a.c<GamesMetadata.LoadGamesResult>>
    implements GamesMetadata.LoadGamesResult
  {
    private final GameBuffer uc;

    k(DataHolder arg2)
    {
      super(localc, localDataHolder);
      this.uc = new GameBuffer(localDataHolder);
    }

    protected void a(a.c<GamesMetadata.LoadGamesResult> paramc, DataHolder paramDataHolder)
    {
      paramc.a(this);
    }

    public GameBuffer getGames()
    {
      return this.uc;
    }
  }

  final class l extends fk
  {
    private final OnInvitationReceivedListener ud;

    l(OnInvitationReceivedListener arg2)
    {
      Object localObject;
      this.ud = localObject;
    }

    public void l(DataHolder paramDataHolder)
    {
      InvitationBuffer localInvitationBuffer = new InvitationBuffer(paramDataHolder);
      try
      {
        int i = localInvitationBuffer.getCount();
        Invitation localInvitation = null;
        if (i > 0)
          localInvitation = (Invitation)((Invitation)localInvitationBuffer.get(0)).freeze();
        localInvitationBuffer.close();
        if (localInvitation != null)
          fl.this.a(new fl.m(fl.this, this.ud, localInvitation));
        return;
      }
      finally
      {
        localInvitationBuffer.close();
      }
    }

    public void onInvitationRemoved(String paramString)
    {
      fl.this.a(new fl.n(fl.this, this.ud, paramString));
    }
  }

  final class m extends dw<fp>.b<OnInvitationReceivedListener>
  {
    private final Invitation ue;

    m(OnInvitationReceivedListener paramInvitation, Invitation arg3)
    {
      super(paramInvitation);
      Object localObject;
      this.ue = localObject;
    }

    protected void a(OnInvitationReceivedListener paramOnInvitationReceivedListener)
    {
      paramOnInvitationReceivedListener.onInvitationReceived(this.ue);
    }

    protected void aL()
    {
    }
  }

  final class n extends dw<fp>.b<OnInvitationReceivedListener>
  {
    private final String uf;

    n(OnInvitationReceivedListener paramString, String arg3)
    {
      super(paramString);
      Object localObject;
      this.uf = localObject;
    }

    protected void a(OnInvitationReceivedListener paramOnInvitationReceivedListener)
    {
      paramOnInvitationReceivedListener.onInvitationRemoved(this.uf);
    }

    protected void aL()
    {
    }
  }

  final class o extends fk
  {
    private final a.c<Invitations.LoadInvitationsResult> jW;

    o()
    {
      Object localObject;
      this.jW = ((a.c)eg.b(localObject, "Holder must not be null"));
    }

    public void k(DataHolder paramDataHolder)
    {
      fl.this.a(new fl.p(fl.this, this.jW, paramDataHolder));
    }
  }

  final class p extends fl.ao<a.c<Invitations.LoadInvitationsResult>>
    implements Invitations.LoadInvitationsResult
  {
    private final InvitationBuffer ug;

    p(DataHolder arg2)
    {
      super(localc, localDataHolder);
      this.ug = new InvitationBuffer(localDataHolder);
    }

    protected void a(a.c<Invitations.LoadInvitationsResult> paramc, DataHolder paramDataHolder)
    {
      paramc.a(this);
    }

    public InvitationBuffer getInvitations()
    {
      return this.ug;
    }
  }

  final class q extends fl.b
  {
    public q(RoomUpdateListener paramDataHolder, DataHolder arg3)
    {
      super(paramDataHolder, localDataHolder);
    }

    public void a(RoomUpdateListener paramRoomUpdateListener, Room paramRoom, int paramInt)
    {
      paramRoomUpdateListener.onJoinedRoom(paramInt, paramRoom);
    }
  }

  final class r extends fk
  {
    private final a.c<Leaderboards.LoadScoresResult> jW;

    r()
    {
      Object localObject;
      this.jW = ((a.c)eg.b(localObject, "Holder must not be null"));
    }

    public void a(DataHolder paramDataHolder1, DataHolder paramDataHolder2)
    {
      fl.this.a(new fl.s(fl.this, this.jW, paramDataHolder1, paramDataHolder2));
    }
  }

  final class s extends fl.ao<a.c<Leaderboards.LoadScoresResult>>
    implements Leaderboards.LoadScoresResult
  {
    private final com.google.android.gms.games.leaderboard.a uh;
    private final LeaderboardScoreBuffer ui;

    s(DataHolder paramDataHolder1, DataHolder arg3)
    {
      super(paramDataHolder1, localDataHolder2);
      DataHolder localDataHolder1;
      LeaderboardBuffer localLeaderboardBuffer = new LeaderboardBuffer(localDataHolder1);
      try
      {
        if (localLeaderboardBuffer.getCount() > 0);
        for (this.uh = ((com.google.android.gms.games.leaderboard.a)((Leaderboard)localLeaderboardBuffer.get(0)).freeze()); ; this.uh = null)
        {
          localLeaderboardBuffer.close();
          this.ui = new LeaderboardScoreBuffer(localDataHolder2);
          return;
        }
      }
      finally
      {
        localLeaderboardBuffer.close();
      }
    }

    protected void a(a.c<Leaderboards.LoadScoresResult> paramc, DataHolder paramDataHolder)
    {
      paramc.a(this);
    }

    public Leaderboard getLeaderboard()
    {
      return this.uh;
    }

    public LeaderboardScoreBuffer getScores()
    {
      return this.ui;
    }
  }

  final class t extends fk
  {
    private final a.c<Leaderboards.LeaderboardMetadataResult> jW;

    t()
    {
      Object localObject;
      this.jW = ((a.c)eg.b(localObject, "Holder must not be null"));
    }

    public void c(DataHolder paramDataHolder)
    {
      fl.this.a(new fl.u(fl.this, this.jW, paramDataHolder));
    }
  }

  final class u extends fl.ao<a.c<Leaderboards.LeaderboardMetadataResult>>
    implements Leaderboards.LeaderboardMetadataResult
  {
    private final LeaderboardBuffer uj;

    u(DataHolder arg2)
    {
      super(localc, localDataHolder);
      this.uj = new LeaderboardBuffer(localDataHolder);
    }

    protected void a(a.c<Leaderboards.LeaderboardMetadataResult> paramc, DataHolder paramDataHolder)
    {
      paramc.a(this);
    }

    public LeaderboardBuffer getLeaderboards()
    {
      return this.uj;
    }
  }

  final class v extends dw<fp>.b<RoomUpdateListener>
  {
    private final int mC;
    private final String uk;

    v(RoomUpdateListener paramInt, int paramString, String arg4)
    {
      super(paramInt);
      this.mC = paramString;
      Object localObject;
      this.uk = localObject;
    }

    public void a(RoomUpdateListener paramRoomUpdateListener)
    {
      paramRoomUpdateListener.onLeftRoom(this.mC, this.uk);
    }

    protected void aL()
    {
    }
  }

  final class w extends dw<fp>.b<OnTurnBasedMatchUpdateReceivedListener>
  {
    private final String ul;

    w(OnTurnBasedMatchUpdateReceivedListener paramString, String arg3)
    {
      super(paramString);
      Object localObject;
      this.ul = localObject;
    }

    protected void a(OnTurnBasedMatchUpdateReceivedListener paramOnTurnBasedMatchUpdateReceivedListener)
    {
      paramOnTurnBasedMatchUpdateReceivedListener.onTurnBasedMatchRemoved(this.ul);
    }

    protected void aL()
    {
    }
  }

  final class x extends fk
  {
    private final OnTurnBasedMatchUpdateReceivedListener um;

    x(OnTurnBasedMatchUpdateReceivedListener arg2)
    {
      Object localObject;
      this.um = localObject;
    }

    public void onTurnBasedMatchRemoved(String paramString)
    {
      fl.this.a(new fl.w(fl.this, this.um, paramString));
    }

    public void q(DataHolder paramDataHolder)
    {
      TurnBasedMatchBuffer localTurnBasedMatchBuffer = new TurnBasedMatchBuffer(paramDataHolder);
      try
      {
        int i = localTurnBasedMatchBuffer.getCount();
        TurnBasedMatch localTurnBasedMatch = null;
        if (i > 0)
          localTurnBasedMatch = (TurnBasedMatch)((TurnBasedMatch)localTurnBasedMatchBuffer.get(0)).freeze();
        localTurnBasedMatchBuffer.close();
        if (localTurnBasedMatch != null)
          fl.this.a(new fl.y(fl.this, this.um, localTurnBasedMatch));
        return;
      }
      finally
      {
        localTurnBasedMatchBuffer.close();
      }
    }
  }

  final class y extends dw<fp>.b<OnTurnBasedMatchUpdateReceivedListener>
  {
    private final TurnBasedMatch un;

    y(OnTurnBasedMatchUpdateReceivedListener paramTurnBasedMatch, TurnBasedMatch arg3)
    {
      super(paramTurnBasedMatch);
      Object localObject;
      this.un = localObject;
    }

    protected void a(OnTurnBasedMatchUpdateReceivedListener paramOnTurnBasedMatchUpdateReceivedListener)
    {
      paramOnTurnBasedMatchUpdateReceivedListener.onTurnBasedMatchReceived(this.un);
    }

    protected void aL()
    {
    }
  }

  final class z extends dw<fp>.b<RealTimeMessageReceivedListener>
  {
    private final RealTimeMessage uo;

    z(RealTimeMessageReceivedListener paramRealTimeMessage, RealTimeMessage arg3)
    {
      super(paramRealTimeMessage);
      Object localObject;
      this.uo = localObject;
    }

    public void a(RealTimeMessageReceivedListener paramRealTimeMessageReceivedListener)
    {
      if (paramRealTimeMessageReceivedListener != null)
        paramRealTimeMessageReceivedListener.onRealTimeMessageReceived(this.uo);
    }

    protected void aL()
    {
    }
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.google.android.gms.internal.fl
 * JD-Core Version:    0.6.2
 */