package com.mywickr.gui.details;

import android.app.AlertDialog;
import android.app.AlertDialog.Builder;
import android.app.NotificationManager;
import android.app.ProgressDialog;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.content.DialogInterface.OnDismissListener;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.SharedPreferences;
import android.content.res.Resources;
import android.graphics.Color;
import android.graphics.PorterDuff.Mode;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.media.AudioTrack;
import android.os.AsyncTask;
import android.os.Bundle;
import android.os.SystemClock;
import android.support.v4.app.FragmentManager;
import android.support.v4.app.NotificationCompat.Builder;
import android.text.Editable;
import android.util.Log;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.View.OnTouchListener;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.view.ViewTreeObserver.OnGlobalLayoutListener;
import android.view.Window;
import android.view.inputmethod.InputMethodManager;
import android.widget.AbsListView;
import android.widget.AbsListView.OnScrollListener;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.AdapterView.OnItemLongClickListener;
import android.widget.Button;
import android.widget.Chronometer;
import android.widget.Chronometer.OnChronometerTickListener;
import android.widget.EditText;
import android.widget.HorizontalScrollView;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.ProgressBar;
import android.widget.RelativeLayout;
import android.widget.SeekBar;
import android.widget.SeekBar.OnSeekBarChangeListener;
import android.widget.TextView;
import android.widget.TextView.OnEditorActionListener;
import android.widget.Toast;
import com.actionbarsherlock.app.ActionBar;
import com.actionbarsherlock.view.Menu;
import com.actionbarsherlock.view.MenuInflater;
import com.actionbarsherlock.view.MenuItem;
import com.actionbarsherlock.view.MenuItem.OnMenuItemClickListener;
import com.manuelpeinado.refreshactionitem.RefreshActionItem;
import com.manuelpeinado.refreshactionitem.RefreshActionItem.RefreshActionListener;
import com.mywickr.gui.WickrAttachmentDisplayView;
import com.mywickr.gui.WickrAttachmentImageView;
import com.mywickr.gui.WickrCircleProgressBar;
import com.mywickr.gui.WickrNewConvoActivity;
import com.mywickr.gui.WickrSecureCam;
import com.mywickr.gui.WickrSecureVideo;
import com.mywickr.gui.WickrSherlockFragmentActivity;
import com.mywickr.gui.fragments.ContactPopupFragment;
import com.mywickr.gui.listadapters.WickrConvoMsgAdapter;
import com.mywickr.gui.listadapters.WickrConvoMsgUsersAdapter;
import com.mywickr.helpers.AudioHelper;
import com.mywickr.helpers.AudioHelper.audioProgressTickListener;
import com.mywickr.helpers.AudioHelper.finishedPlayingListener;
import com.mywickr.interfaces.WickrAttachmentDisplayInterface;
import com.mywickr.interfaces.WickrAudioPlayerInterface;
import com.mywickr.interfaces.WickrContactPopupInterface;
import com.mywickr.interfaces.WickrErrorPopupInterface;
import com.mywickr.services.WickrUploadManagerService;
import com.mywickr.wickr.WickrAppClock;
import com.mywickr.wickr.WickrAppClockInterface;
import com.mywickr.wickr.WickrAttachment;
import com.mywickr.wickr.WickrAttachmentManager;
import com.mywickr.wickr.WickrAttachmentType;
import com.mywickr.wickr.WickrComposeCtx;
import com.mywickr.wickr.WickrComposeType;
import com.mywickr.wickr.WickrConvo;
import com.mywickr.wickr.WickrError;
import com.mywickr.wickr.WickrInbox;
import com.mywickr.wickr.WickrInboxState;
import com.mywickr.wickr.WickrMessage;
import com.mywickr.wickr.WickrOutbox;
import com.mywickr.wickr.WickrSession;
import com.mywickr.wickr.WickrUploadQueue;
import com.mywickr.wickr.WickrUser;
import com.mywickr.wickr.WickrUtil;
import java.security.InvalidParameterException;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Iterator;

public class ConvoDetailActivity extends WickrSherlockFragmentActivity
  implements WickrAppClockInterface, RefreshActionItem.RefreshActionListener, WickrAttachmentDisplayInterface, WickrContactPopupInterface, WickrAudioPlayerInterface, WickrErrorPopupInterface
{
  private static final int ADD_REMOVE_PARTICPANTS_REQUEST_CODE = 200;
  private static final int CAMERA_TAKE_IMAGE = 1888;
  private static final int CAMERA_TAKE_VIDEO = 1899;
  public static final String CONVO_DETAIL_ID = "con_det_id";
  private static final int GALLERY_TAKE_IMAGE = 1900;
  private static final int GALLERY_TAKE_VIDEO = 1878;
  private static final int MAX_ATTACH_SIZE = 5000000;
  private static final int MAX_NUM_OF_ATTACHMENTS = 3;
  private static final int MAX_TEXT_LENGTH = 1500;
  private static final int PICK_CONTACT = 11000;
  public static LinearLayout attachHere;
  public static HorizontalScrollView attachmentsLayout;
  public static long defaultTTL;
  static View horizontalRuleView;
  private WickrConvoMsgAdapter adapter;
  private WickrAttachmentDisplayView attachmentDisplayView = null;
  private int attachmentsInBytes = 0;
  AudioHelper audioHelper;
  LinearLayout audioLayout;
  TextView audioTextView;
  Button btn;
  private WickrConvo convo = null;
  private int currentAttachmentIndex = 0;
  private WickrMessage currentLoadedMessage = null;
  protected WickrSession currentSession;
  private EditText groupNameEditText;
  InputMethodManager imm;
  private boolean inBackground = false;
  TextView initialTextView;
  boolean isDecrypting = false;
  boolean isEditingUsers = false;
  boolean isRecording = false;
  protected boolean isSendButtonPressed = false;
  private MenuItem itemToEnable = null;
  LinearLayout layoutBottom;
  private NotificationCompat.Builder mBuilder;
  Chronometer mChronometer;
  long mCurrentTtl;
  ListView mListView;
  private NotificationManager mNotifyManager;
  WickrAttachmentManager mWickrAttachmentManager;
  private Menu menu;
  EditText messageField;
  private BroadcastReceiver msgQueueErrorReceiver = new BroadcastReceiver()
  {
    public void onReceive(Context paramAnonymousContext, Intent paramAnonymousIntent)
    {
      ConvoDetailActivity.this.wickrMsgQueueHasError(paramAnonymousIntent.getStringExtra("error"));
    }
  };
  private BroadcastReceiver msgQueueRefreshReceiver = new BroadcastReceiver()
  {
    public void onReceive(Context paramAnonymousContext, Intent paramAnonymousIntent)
    {
      ConvoDetailActivity.this.wickrMsgQueueRequestsRefresh();
    }
  };
  private BroadcastReceiver msgUploadFinishedReceiver = new BroadcastReceiver()
  {
    public void onReceive(Context paramAnonymousContext, Intent paramAnonymousIntent)
    {
      ConvoDetailActivity.this.uploadFinished();
    }
  };
  String name;
  LinearLayout optionsMenuLayout;
  ImageButton playButton;
  SharedPreferences prefs;
  protected ProgressDialog progressDialog;
  ImageButton reloadButton;
  RelativeLayout rootLayout;
  private boolean scrollingEnabled;
  ImageButton sendAudioButton;
  long tempStart;
  long tempStop;
  LinearLayout timerLayout;
  SeekBar timerSeekBar;
  TextView timerTextView;
  private boolean uploadInProgress = false;
  ListView userNameListView;

  public static void addAttachmentView(WickrAttachmentImageView paramWickrAttachmentImageView)
  {
    attachmentsLayout.setVisibility(0);
    horizontalRuleView.setVisibility(0);
    attachHere.setVisibility(0);
    attachHere.addView(paramWickrAttachmentImageView);
  }

  private void buttonClick()
  {
    try
    {
      this.audioHelper.playRecording();
      return;
    }
    catch (Exception localException)
    {
      localException.printStackTrace();
      return;
    }
    catch (IllegalStateException localIllegalStateException)
    {
    }
  }

  public static void clearWickrAttachmentStatics()
  {
    WickrAttachmentManager.attachmentsInBytes = 0;
    WickrAttachmentManager.currentAttachmentIndex = 0;
    WickrAttachmentManager.oneImage = null;
    WickrAttachmentManager.sendingBitmap = null;
  }

  private String getGroupTitle()
  {
    if (this.convo.getAllUsers().length == 1)
      return this.convo.getAllUsersString();
    return this.convo.getVGroupTag();
  }

  public static void removeAttachmentView(WickrAttachmentImageView paramWickrAttachmentImageView, int paramInt)
  {
    attachHere.removeView(paramWickrAttachmentImageView);
    WickrAttachmentManager.currentAttachmentIndex = -1 + WickrAttachmentManager.currentAttachmentIndex;
    if (WickrAttachmentManager.currentAttachmentIndex == 0)
    {
      attachmentsLayout.setVisibility(8);
      horizontalRuleView.setVisibility(8);
      clearWickrAttachmentStatics();
    }
  }

  private void resetAudioGuiAndData()
  {
    this.audioHelper.audio = null;
    this.btn.setBackgroundResource(2130837716);
    this.audioTextView.setText("Touch to stop recording");
    this.sendAudioButton.setVisibility(8);
    this.playButton.setVisibility(8);
    this.btn.setVisibility(0);
    deleteFile("audiorecorder.mp4");
    this.reloadButton.setVisibility(8);
    this.mChronometer.stop();
    this.mChronometer.setText("0:00");
  }

  private void scrollMyListViewToBottom()
  {
    getListView().post(new Runnable()
    {
      public void run()
      {
        ConvoDetailActivity.this.getListView().setSelection(ConvoDetailActivity.this.adapter.getCount());
      }
    });
  }

  private void toggleAudio(boolean paramBoolean)
  {
    try
    {
      if ((!this.isRecording) && (!paramBoolean))
      {
        startRecordingOfAudio();
        this.btn.setBackgroundResource(2130837717);
        this.isRecording = true;
        this.audioTextView.setText("Touch to stop recording");
        return;
      }
      stopRecordingOfAudio();
      this.isRecording = false;
      this.audioTextView.setText("");
      return;
    }
    catch (Exception localException)
    {
    }
  }

  private void toggleListOfUsers()
  {
    if (this.isEditingUsers)
    {
      if ((this.groupNameEditText != null) && (this.convo.getAllUsers().length > 1));
      try
      {
        this.convo.setVGroupTag(this.groupNameEditText.getText().toString());
        getSupportActionBar().setTitle(getGroupTitle());
        this.rootLayout.removeView(this.userNameListView);
        this.isEditingUsers = false;
        this.menu.findItem(2131296491).collapseActionView();
        return;
      }
      catch (InvalidParameterException localInvalidParameterException)
      {
        while (true)
        {
          localInvalidParameterException.printStackTrace();
          this.groupNameEditText.setText(getGroupTitle());
          getSupportActionBar().setTitle(getGroupTitle());
        }
      }
    }
    this.rootLayout.addView(this.userNameListView);
    this.isEditingUsers = true;
  }

  public void audioButton(View paramView)
  {
    this.layoutBottom.setVisibility(8);
    this.optionsMenuLayout.setVisibility(8);
    this.audioLayout.setVisibility(0);
    ((InputMethodManager)getSystemService("input_method")).hideSoftInputFromWindow(paramView.getWindowToken(), 0);
    if (this.hasError)
      return;
    this.audioHelper.setBufferSize();
    this.mChronometer = ((Chronometer)findViewById(2131296331));
    this.mChronometer.setOnChronometerTickListener(new Chronometer.OnChronometerTickListener()
    {
      public void onChronometerTick(Chronometer paramAnonymousChronometer)
      {
        if (SystemClock.elapsedRealtime() - ConvoDetailActivity.this.mChronometer.getBase() > ConvoDetailActivity.this.audioHelper.getMaxRecordingTime())
        {
          Toast.makeText(ConvoDetailActivity.this, "Recording limit reached!", 1).show();
          ConvoDetailActivity.this.stopRecordingOfAudio();
        }
      }
    });
    this.btn = ((Button)findViewById(2131296335));
    this.playButton = ((ImageButton)findViewById(2131296330));
    this.reloadButton = ((ImageButton)findViewById(2131296332));
    this.audioTextView = ((TextView)findViewById(2131296336));
    this.btn.setOnClickListener(new View.OnClickListener()
    {
      public void onClick(View paramAnonymousView)
      {
        ConvoDetailActivity.this.toggleAudio(false);
      }
    });
  }

  public void cameraButton(View paramView)
  {
    if ((this.mWickrAttachmentManager != null) && (WickrAttachmentManager.currentAttachmentIndex == 3))
    {
      WickrUtil.showDialogWithTitle(this, "Max reached", "Wickr currently supports up to 3 attachments per message");
      return;
    }
    AlertDialog.Builder localBuilder = new AlertDialog.Builder(this);
    localBuilder.setTitle("Capture").setItems(new String[] { "Picture", "Video" }, new DialogInterface.OnClickListener()
    {
      public void onClick(DialogInterface paramAnonymousDialogInterface, int paramAnonymousInt)
      {
        switch (paramAnonymousInt)
        {
        default:
          return;
        case 0:
          ConvoDetailActivity.this.navigatingInApp = true;
          Intent localIntent2 = new Intent(ConvoDetailActivity.this, WickrSecureCam.class);
          ConvoDetailActivity.this.startActivityForResult(localIntent2, 1888);
          return;
        case 1:
        }
        ConvoDetailActivity.this.navigatingInApp = true;
        Intent localIntent1 = new Intent(ConvoDetailActivity.this, WickrSecureVideo.class);
        ConvoDetailActivity.this.startActivityForResult(localIntent1, 1899);
      }
    });
    localBuilder.create();
    localBuilder.show();
  }

  public void closeAudio(View paramView)
  {
    toggleAudio(true);
    resetAudioGuiAndData();
    this.audioLayout.setVisibility(8);
    this.layoutBottom.setVisibility(0);
  }

  public void closeTimer(View paramView)
  {
    this.timerLayout.setVisibility(8);
    this.layoutBottom.setVisibility(0);
  }

  public void contactPopup(WickrUser paramWickrUser)
  {
    FragmentManager localFragmentManager = getSupportFragmentManager();
    final ContactPopupFragment localContactPopupFragment = new ContactPopupFragment(paramWickrUser);
    localContactPopupFragment.setDismissInterface(new DialogInterface.OnDismissListener()
    {
      public void onDismiss(DialogInterface paramAnonymousDialogInterface)
      {
        if (localContactPopupFragment.madeChanges())
        {
          ConvoDetailActivity.this.adapter.notifyDataSetChanged();
          if (ConvoDetailActivity.this.convo.getAllUsers().length == 1)
            ConvoDetailActivity.this.getSupportActionBar().setTitle(ConvoDetailActivity.this.getGroupTitle());
        }
      }
    });
    if (this.isEditingUsers)
      toggleListOfUsers();
    localContactPopupFragment.show(localFragmentManager, "fragment_edit_name");
  }

  public boolean dispatchTouchEvent(MotionEvent paramMotionEvent)
  {
    if ((this.attachmentDisplayView != null) && (paramMotionEvent.getAction() == 1))
      wickrAttachmentTouchUp(0);
    return super.dispatchTouchEvent(paramMotionEvent);
  }

  public void displayUploadNotification()
  {
    uploadNotificationStarted();
    this.mNotifyManager = ((NotificationManager)getSystemService("notification"));
    this.mBuilder = new NotificationCompat.Builder(this);
    this.mBuilder.setContentTitle("Wickr").setContentText("Upload in progress").setSmallIcon(2130837735);
    this.mBuilder.setProgress(0, 0, true);
    this.mNotifyManager.notify(WickrUploadManagerService.UPLOAD_NOTIFICATION_ID, this.mBuilder.build());
  }

  public void documentButton(View paramView)
  {
    Toast.makeText(this, "Documents will be added soon.", 1).show();
  }

  public void errorPopup(String paramString, int paramInt)
  {
    AlertDialog.Builder localBuilder = new AlertDialog.Builder(this);
    localBuilder.setView(getLayoutInflater().inflate(2130903099, null));
    AlertDialog localAlertDialog = localBuilder.create();
    localAlertDialog.show();
    Button localButton1 = (Button)localAlertDialog.findViewById(2131296457);
    Button localButton2 = (Button)localAlertDialog.findViewById(2131296458);
    Button localButton3 = (Button)localAlertDialog.findViewById(2131296459);
    Button localButton4 = (Button)localAlertDialog.findViewById(2131296460);
    ((TextView)localAlertDialog.findViewById(2131296456)).setText(paramString);
    WickrOutbox localWickrOutbox = (WickrOutbox)getListView().getItemAtPosition(paramInt);
    int i;
    int j;
    Iterator localIterator;
    label149: ErrorDialogOnClickListener localErrorDialogOnClickListener;
    if (this.convo.getAllUsers().length > 1)
    {
      i = 1;
      if (i != 0)
      {
        j = 0;
        localIterator = localWickrOutbox.getErrors().iterator();
        if (localIterator.hasNext())
          break label235;
        if (j == this.convo.getAllUsers().length)
          i = 0;
      }
      localErrorDialogOnClickListener = new ErrorDialogOnClickListener(localWickrOutbox, localAlertDialog);
      if (i == 0)
        break label257;
      localButton1.setVisibility(0);
      localButton1.setOnClickListener(localErrorDialogOnClickListener);
    }
    while (true)
    {
      localButton2.setOnClickListener(localErrorDialogOnClickListener);
      localButton3.setOnClickListener(localErrorDialogOnClickListener);
      localButton4.setOnClickListener(localErrorDialogOnClickListener);
      return;
      i = 0;
      break;
      label235: if (((WickrError)localIterator.next()).getUserReference() == null)
        break label149;
      j++;
      break label149;
      label257: localButton1.setVisibility(8);
    }
  }

  public void galleryButton(View paramView)
  {
    if ((this.mWickrAttachmentManager != null) && (WickrAttachmentManager.currentAttachmentIndex == 3))
    {
      WickrUtil.showDialogWithTitle(this, "Max reached", "Wickr currently supports up to 3 attachments per message");
      return;
    }
    this.navigatingInApp = true;
    Intent localIntent = new Intent();
    localIntent.setType("image/*");
    localIntent.setAction("android.intent.action.GET_CONTENT");
    localIntent.addCategory("android.intent.category.OPENABLE");
    startActivityForResult(localIntent, 1900);
  }

  public ListView getListView()
  {
    return this.mListView;
  }

  public void onActivityResult(int paramInt1, int paramInt2, Intent paramIntent)
  {
    super.onActivityResult(paramInt1, paramInt2, paramIntent);
    this.optionsMenuLayout.setVisibility(8);
    if ((paramInt1 == 1888) && (paramInt2 == -1))
    {
      if (this.mWickrAttachmentManager == null)
        this.mWickrAttachmentManager = new WickrAttachmentManager(this);
      this.mWickrAttachmentManager.addImageFromWickrCamera();
    }
    do
    {
      return;
      if ((paramInt1 == 1900) && (paramInt2 == -1))
      {
        if (this.mWickrAttachmentManager == null)
          this.mWickrAttachmentManager = new WickrAttachmentManager(this);
        this.mWickrAttachmentManager.addImageFromGallery(paramIntent);
        return;
      }
      if ((paramInt1 == 1899) && (paramInt2 == -1))
      {
        if (this.mWickrAttachmentManager == null)
          this.mWickrAttachmentManager = new WickrAttachmentManager(this);
        this.mWickrAttachmentManager.addVideo(paramIntent);
        return;
      }
    }
    while (paramInt1 != 200);
    toggleListOfUsers();
  }

  public void onClickPlayRecording(View paramView)
  {
    this.audioHelper.onClickPlayRecording(this.playButton);
  }

  public void onClickReload(View paramView)
  {
    this.isRecording = false;
    resetAudioGuiAndData();
  }

  protected void onCreate(Bundle paramBundle)
  {
    super.onCreate(paramBundle);
    if (this.hasError)
      return;
    this.uploadInProgress = false;
    getSupportActionBar().setDisplayHomeAsUpEnabled(true);
    this.currentSession = WickrSession.getActiveSession();
    this.mCurrentTtl = ((int)this.currentSession.getDefaultSDTime());
    setContentView(2130903061);
    this.mListView = ((ListView)findViewById(2131296321));
    this.optionsMenuLayout = ((LinearLayout)findViewById(2131296342));
    this.optionsMenuLayout.setVisibility(8);
    this.messageField = ((EditText)findViewById(2131296327));
    attachmentsLayout = (HorizontalScrollView)findViewById(2131296324);
    horizontalRuleView = findViewById(2131296326);
    attachHere = (LinearLayout)findViewById(2131296325);
    this.sendAudioButton = ((ImageButton)findViewById(2131296333));
    this.layoutBottom = ((LinearLayout)findViewById(2131296322));
    this.audioLayout = ((LinearLayout)findViewById(2131296329));
    this.timerLayout = ((LinearLayout)findViewById(2131296337));
    this.timerSeekBar = ((SeekBar)findViewById(2131296338));
    this.timerTextView = ((TextView)findViewById(2131296339));
    this.rootLayout = ((RelativeLayout)findViewById(2131296320));
    setKeyboardListener(new OnKeyboardVisibilityListener()
    {
      public void onVisibilityChanged(boolean paramAnonymousBoolean)
      {
        if (paramAnonymousBoolean);
        try
        {
          if ((ConvoDetailActivity.this.mListView.getLastVisiblePosition() < ConvoDetailActivity.this.adapter.getCount()) && (ConvoDetailActivity.this.mListView.getLastVisiblePosition() > -10 + ConvoDetailActivity.this.adapter.getCount()))
            ConvoDetailActivity.this.mListView.setSelection(ConvoDetailActivity.this.adapter.getCount());
          return;
        }
        catch (Exception localException)
        {
        }
      }
    });
    this.audioHelper = new AudioHelper(this);
    this.timerSeekBar.setMax(101);
    this.timerSeekBar.setOnSeekBarChangeListener(new SeekBar.OnSeekBarChangeListener()
    {
      public void onProgressChanged(SeekBar paramAnonymousSeekBar, int paramAnonymousInt, boolean paramAnonymousBoolean)
      {
        ConvoDetailActivity.this.updateDisplay(WickrUtil.allowedTime[paramAnonymousInt], false);
      }

      public void onStartTrackingTouch(SeekBar paramAnonymousSeekBar)
      {
      }

      public void onStopTrackingTouch(SeekBar paramAnonymousSeekBar)
      {
        WickrSession.getActiveSession().setDefaultSDTime(WickrUtil.allowedTime[paramAnonymousSeekBar.getProgress()]);
      }
    });
    this.convo = WickrConvo.getConvoWithID(getIntent().getIntExtra("con_det_id", -1));
    this.convo.cleanUp();
    updateDisplay(WickrSession.getActiveSession().getDefaultSDTime(), true);
    getSupportActionBar().setTitle(getGroupTitle());
    this.userNameListView = new ListView(this);
    this.userNameListView.setBackgroundColor(Color.parseColor("#f2ffffff"));
    int i = WickrUtil.convertDpToPx(this, 16);
    this.userNameListView.setPadding(i, 0, i, 0);
    Button localButton = new Button(this);
    localButton.setText("Add/Remove Participants");
    localButton.setBackgroundColor(0);
    localButton.setTextColor(getResources().getColor(2131034148));
    localButton.setOnClickListener(new View.OnClickListener()
    {
      public void onClick(View paramAnonymousView)
      {
        Intent localIntent = new Intent(ConvoDetailActivity.this, WickrNewConvoActivity.class);
        ArrayList localArrayList1 = new ArrayList(Arrays.asList(ConvoDetailActivity.this.convo.getAllUsers()));
        ArrayList localArrayList2 = new ArrayList();
        Iterator localIterator = localArrayList1.iterator();
        while (true)
        {
          if (!localIterator.hasNext())
          {
            localIntent.putExtra("existing_users", localArrayList2);
            localIntent.putExtra("convo_vgroup_id", ConvoDetailActivity.this.convo.getVGroupID());
            ConvoDetailActivity.this.navigatingInApp = true;
            ConvoDetailActivity.this.finish();
            ConvoDetailActivity.this.startActivity(localIntent);
            Log.e("add remove", "participants");
            return;
          }
          localArrayList2.add(((WickrUser)localIterator.next()).getUserIDHash());
        }
      }
    });
    this.userNameListView.addHeaderView(localButton);
    WickrConvoMsgUsersAdapter localWickrConvoMsgUsersAdapter = new WickrConvoMsgUsersAdapter(this, new ArrayList(Arrays.asList(this.convo.getAllUsers())), this);
    this.userNameListView.setAdapter(localWickrConvoMsgUsersAdapter);
    this.imm = ((InputMethodManager)getSystemService("input_method"));
    this.mListView.setOnScrollListener(new AbsListView.OnScrollListener()
    {
      public void onScroll(AbsListView paramAnonymousAbsListView, int paramAnonymousInt1, int paramAnonymousInt2, int paramAnonymousInt3)
      {
      }

      public void onScrollStateChanged(AbsListView paramAnonymousAbsListView, int paramAnonymousInt)
      {
      }
    });
    this.adapter = this.convo.getMsgAdapter(this, this, this, this, this);
    getListView().setTranscriptMode(1);
    setLongClickAndScrolling();
    this.mListView.setAdapter(this.adapter);
    getSupportActionBar().setDisplayHomeAsUpEnabled(true);
    this.mListView.setOnItemClickListener(new AdapterView.OnItemClickListener()
    {
      public void onItemClick(AdapterView<?> paramAnonymousAdapterView, View paramAnonymousView, int paramAnonymousInt, long paramAnonymousLong)
      {
        WickrMessage localWickrMessage = (WickrMessage)ConvoDetailActivity.this.mListView.getItemAtPosition(paramAnonymousInt);
        if (localWickrMessage.isInbox())
        {
          WickrInbox localWickrInbox = (WickrInbox)localWickrMessage;
          if (localWickrInbox.getInboxState() == WickrInboxState.WICKR_INBOX_UNOPENED)
          {
            if (ConvoDetailActivity.this.isDecrypting)
              break label75;
            new ConvoDetailActivity.MessageUnlockerTask(ConvoDetailActivity.this, paramAnonymousView, localWickrInbox).execute(new Void[0]);
          }
        }
        return;
        label75: Toast.makeText(ConvoDetailActivity.this, "Please wait for your other message to decrypt", 0).show();
      }
    });
    getListView().setOnTouchListener(new View.OnTouchListener()
    {
      public boolean onTouch(View paramAnonymousView, MotionEvent paramAnonymousMotionEvent)
      {
        return (paramAnonymousMotionEvent.getAction() == 2) && (!ConvoDetailActivity.this.scrollingEnabled);
      }
    });
  }

  public boolean onCreateOptionsMenu(Menu paramMenu)
  {
    // Byte code:
    //   0: aload_0
    //   1: getfield 411	com/mywickr/gui/details/ConvoDetailActivity:hasError	Z
    //   4: ifeq +5 -> 9
    //   7: iconst_1
    //   8: ireturn
    //   9: aload_0
    //   10: iconst_0
    //   11: putfield 129	com/mywickr/gui/details/ConvoDetailActivity:uploadInProgress	Z
    //   14: aload_0
    //   15: aload_1
    //   16: invokespecial 876	com/mywickr/gui/WickrSherlockFragmentActivity:onCreateOptionsMenu	(Lcom/actionbarsherlock/view/Menu;)Z
    //   19: pop
    //   20: aload_0
    //   21: aload_1
    //   22: putfield 369	com/mywickr/gui/details/ConvoDetailActivity:menu	Lcom/actionbarsherlock/view/Menu;
    //   25: aload_0
    //   26: invokevirtual 880	com/mywickr/gui/details/ConvoDetailActivity:getSupportMenuInflater	()Lcom/actionbarsherlock/view/MenuInflater;
    //   29: ldc_w 881
    //   32: aload_1
    //   33: invokevirtual 886	com/actionbarsherlock/view/MenuInflater:inflate	(ILcom/actionbarsherlock/view/Menu;)V
    //   36: aload_1
    //   37: ldc_w 370
    //   40: invokeinterface 376 2 0
    //   45: invokeinterface 890 1 0
    //   50: astore_3
    //   51: aload_1
    //   52: ldc_w 370
    //   55: invokeinterface 376 2 0
    //   60: invokeinterface 894 1 0
    //   65: ldc_w 895
    //   68: getstatic 901	android/graphics/PorterDuff$Mode:MULTIPLY	Landroid/graphics/PorterDuff$Mode;
    //   71: invokevirtual 907	android/graphics/drawable/Drawable:setColorFilter	(ILandroid/graphics/PorterDuff$Mode;)V
    //   74: aload_0
    //   75: aload_3
    //   76: ldc_w 908
    //   79: invokevirtual 909	android/view/View:findViewById	(I)Landroid/view/View;
    //   82: checkcast 338	android/widget/EditText
    //   85: putfield 336	com/mywickr/gui/details/ConvoDetailActivity:groupNameEditText	Landroid/widget/EditText;
    //   88: aload_0
    //   89: getfield 336	com/mywickr/gui/details/ConvoDetailActivity:groupNameEditText	Landroid/widget/EditText;
    //   92: aload_0
    //   93: invokespecial 190	com/mywickr/gui/details/ConvoDetailActivity:getGroupTitle	()Ljava/lang/String;
    //   96: invokevirtual 384	android/widget/EditText:setText	(Ljava/lang/CharSequence;)V
    //   99: aload_0
    //   100: getfield 336	com/mywickr/gui/details/ConvoDetailActivity:groupNameEditText	Landroid/widget/EditText;
    //   103: new 911	com/mywickr/gui/details/ConvoDetailActivity$12
    //   106: dup
    //   107: aload_0
    //   108: invokespecial 912	com/mywickr/gui/details/ConvoDetailActivity$12:<init>	(Lcom/mywickr/gui/details/ConvoDetailActivity;)V
    //   111: invokevirtual 916	android/widget/EditText:setOnEditorActionListener	(Landroid/widget/TextView$OnEditorActionListener;)V
    //   114: aload_0
    //   115: getfield 154	com/mywickr/gui/details/ConvoDetailActivity:convo	Lcom/mywickr/wickr/WickrConvo;
    //   118: invokevirtual 248	com/mywickr/wickr/WickrConvo:getAllUsers	()[Lcom/mywickr/wickr/WickrUser;
    //   121: arraylength
    //   122: iconst_1
    //   123: if_icmpne +17 -> 140
    //   126: aload_1
    //   127: iconst_0
    //   128: invokeinterface 919 2 0
    //   133: aconst_null
    //   134: invokeinterface 923 2 0
    //   139: pop
    //   140: aload_1
    //   141: iconst_0
    //   142: invokeinterface 919 2 0
    //   147: new 925	com/mywickr/gui/details/ConvoDetailActivity$13
    //   150: dup
    //   151: aload_0
    //   152: invokespecial 926	com/mywickr/gui/details/ConvoDetailActivity$13:<init>	(Lcom/mywickr/gui/details/ConvoDetailActivity;)V
    //   155: invokeinterface 930 2 0
    //   160: pop
    //   161: aload_3
    //   162: ldc_w 931
    //   165: invokevirtual 909	android/view/View:findViewById	(I)Landroid/view/View;
    //   168: checkcast 270	android/widget/Button
    //   171: new 933	com/mywickr/gui/details/ConvoDetailActivity$14
    //   174: dup
    //   175: aload_0
    //   176: aload_1
    //   177: invokespecial 936	com/mywickr/gui/details/ConvoDetailActivity$14:<init>	(Lcom/mywickr/gui/details/ConvoDetailActivity;Lcom/actionbarsherlock/view/Menu;)V
    //   180: invokevirtual 437	android/widget/Button:setOnClickListener	(Landroid/view/View$OnClickListener;)V
    //   183: iconst_1
    //   184: ireturn
  }

  protected void onDestroy()
  {
    if (this.hasError)
    {
      super.onDestroy();
      return;
    }
    clearWickrAttachmentStatics();
    this.convo.cleanUpMessages();
    super.onDestroy();
  }

  protected void onPause()
  {
    super.onPause();
    if (!WickrSession.getActiveSession().appIsBackground())
    {
      this.inBackground = true;
      if (this.uploadInProgress)
        displayUploadNotification();
    }
    unregisterReceiver(this.msgQueueRefreshReceiver);
    unregisterReceiver(this.msgQueueErrorReceiver);
    unregisterReceiver(this.msgUploadFinishedReceiver);
    if (this.hasError)
      return;
    WickrSession.getActiveSession().getLocalAppClock().removeListener(this);
  }

  public boolean onPrepareOptionsMenu(Menu paramMenu)
  {
    return super.onPrepareOptionsMenu(paramMenu);
  }

  public void onRefreshButtonClick(RefreshActionItem paramRefreshActionItem)
  {
    WickrSession.getActiveSession().checkForNewMessages();
  }

  protected void onResume()
  {
    super.onResume();
    if (this.inBackground)
      this.inBackground = false;
    if (this.hasError)
      return;
    this.uploadInProgress = false;
    if (this.itemToEnable != null)
    {
      this.itemToEnable.setEnabled(true);
      this.itemToEnable = null;
    }
    WickrConvoMsgAdapter localWickrConvoMsgAdapter = (WickrConvoMsgAdapter)getListView().getAdapter();
    if ((localWickrConvoMsgAdapter == null) || (localWickrConvoMsgAdapter.getCount() == 0))
      this.messageField.requestFocus();
    localWickrConvoMsgAdapter.notifyDataSetChanged();
    WickrSession.getActiveSession().getLocalAppClock().addListener(this);
    scrollMyListViewToBottom();
    registerReceiver(this.msgQueueRefreshReceiver, new IntentFilter("com.mywickr.wickr.dlqueuerefresh"));
    registerReceiver(this.msgQueueErrorReceiver, new IntentFilter("com.mywickr.wickr.dlqueueerror"));
    registerReceiver(this.msgUploadFinishedReceiver, new IntentFilter("com.mywickr.wickr.uploadfinished"));
  }

  protected void onStop()
  {
    super.onStop();
    if (this.hasError);
    while (true)
    {
      return;
      try
      {
        if (this.audioHelper.at != null)
        {
          this.audioHelper.at.stop();
          this.audioHelper.at.release();
          this.audioHelper.at.flush();
          return;
        }
      }
      catch (Exception localException)
      {
        localException.printStackTrace();
      }
    }
  }

  public void pauseAudioRecording(View paramView)
  {
    resetAudioGuiAndData();
  }

  protected void refresh()
  {
    this.adapter.notifyDataSetChanged();
    this.mListView.smoothScrollToPosition(this.adapter.getCount());
  }

  protected void refreshInbox()
  {
    refresh();
  }

  public void sendAudioRecording(View paramView)
  {
    WickrComposeCtx localWickrComposeCtx = new WickrComposeCtx(WickrComposeType.WICKR_AUDIO_COMPOSE, this.convo, this.mCurrentTtl);
    localWickrComposeCtx.setAudio(this.audioHelper.audio);
    WickrSession.getActiveSession().getUploadQueue().enqueueComposeContext(localWickrComposeCtx);
    this.audioLayout.setVisibility(8);
    this.layoutBottom.setVisibility(0);
    resetAudioGuiAndData();
  }

  public void sendButton(View paramView)
  {
    String str = this.messageField.getText().toString().replaceFirst("\\s+$", "");
    if ((WickrAttachmentManager.currentAttachmentIndex == 0) && (str.length() == 0))
      return;
    if (WickrAttachmentManager.attachmentInProgress)
    {
      WickrUtil.showDialog(this, "Attachment in progress");
      return;
    }
    if (str.length() > 1500)
    {
      WickrUtil.showDialog(this, "This message is " + (-1500 + str.length()) + " characters over the 1500 character message limit");
      return;
    }
    if (WickrAttachmentManager.attachmentsInBytes > 5000000)
    {
      WickrUtil.showDialog(this, "This message is " + Math.round(100.0D * (WickrAttachmentManager.attachmentsInBytes / 1000000.0F)) / 100.0D + "MB of a possible 5MB. Please remove an attachment.");
      return;
    }
    WickrComposeCtx localWickrComposeCtx = new WickrComposeCtx(WickrComposeType.WICKR_TXT_COMPOSE, this.convo, this.mCurrentTtl);
    localWickrComposeCtx.setText(str);
    Iterator localIterator;
    if (this.mWickrAttachmentManager != null)
      if (this.mWickrAttachmentManager.getAttachments() != null)
        localIterator = this.mWickrAttachmentManager.getAttachments().iterator();
    while (true)
    {
      if (!localIterator.hasNext())
      {
        this.mWickrAttachmentManager = null;
        clearWickrAttachmentStatics();
        this.messageField.setText("");
        attachHere.removeAllViews();
        attachmentsLayout.setVisibility(8);
        horizontalRuleView.setVisibility(8);
        this.optionsMenuLayout.setVisibility(8);
        this.uploadInProgress = true;
        WickrSession.getActiveSession().getUploadQueue().enqueueComposeContext(localWickrComposeCtx);
        this.mListView.smoothScrollToPosition(this.adapter.getCount());
        return;
      }
      localWickrComposeCtx.addAttachment((WickrAttachment)localIterator.next());
    }
  }

  public final void setKeyboardListener(final OnKeyboardVisibilityListener paramOnKeyboardVisibilityListener)
  {
    final View localView = ((ViewGroup)findViewById(16908290)).getChildAt(0);
    localView.getViewTreeObserver().addOnGlobalLayoutListener(new ViewTreeObserver.OnGlobalLayoutListener()
    {
      private final Rect r = new Rect();
      private boolean wasOpened;

      public void onGlobalLayout()
      {
        localView.getWindowVisibleDisplayFrame(this.r);
        if (localView.getRootView().getHeight() - (this.r.bottom - this.r.top) > 100);
        for (boolean bool = true; bool == this.wasOpened; bool = false)
          return;
        this.wasOpened = bool;
        paramOnKeyboardVisibilityListener.onVisibilityChanged(bool);
      }
    });
  }

  public void setLongClickAndScrolling()
  {
    this.scrollingEnabled = true;
    getListView().setOnItemLongClickListener(new AdapterView.OnItemLongClickListener()
    {
      public boolean onItemLongClick(AdapterView<?> paramAnonymousAdapterView, View paramAnonymousView, final int paramAnonymousInt, long paramAnonymousLong)
      {
        AlertDialog.Builder localBuilder = new AlertDialog.Builder(ConvoDetailActivity.this);
        localBuilder.setCancelable(true).setPositiveButton("Delete", new DialogInterface.OnClickListener()
        {
          public void onClick(DialogInterface paramAnonymous2DialogInterface, int paramAnonymous2Int)
          {
            ((WickrMessage)ConvoDetailActivity.this.getListView().getItemAtPosition(paramAnonymousInt)).delete();
            ConvoDetailActivity.this.adapter.notifyDataSetChanged();
          }
        }).setNegativeButton("Cancel", new DialogInterface.OnClickListener()
        {
          public void onClick(DialogInterface paramAnonymous2DialogInterface, int paramAnonymous2Int)
          {
            paramAnonymous2DialogInterface.dismiss();
          }
        });
        WickrMessage localWickrMessage = (WickrMessage)ConvoDetailActivity.this.getListView().getItemAtPosition(paramAnonymousInt);
        if (localWickrMessage.isInbox())
        {
          WickrInbox localWickrInbox = (WickrInbox)localWickrMessage;
          localBuilder.setMessage("From: " + localWickrInbox.getTimestampText() + "\n\nThis message will automatically delete from your device on: " + localWickrInbox.getLongDeleteTime() + ". Are you sure you want to delete it now?");
        }
        while (true)
        {
          localBuilder.create().show();
          return true;
          WickrOutbox localWickrOutbox = (WickrOutbox)localWickrMessage;
          localBuilder.setMessage("From: " + localWickrOutbox.getTimestampText() + "\n\nThis message will automatically delete from your device on: " + localWickrOutbox.getLongDeleteTime() + ". Are you sure you want to delete it now?");
        }
      }
    });
  }

  protected void startRecordingOfAudio()
    throws Exception
  {
    this.audioHelper.startRecordingOfAudio();
    this.mChronometer.setBase(SystemClock.elapsedRealtime());
    this.mChronometer.start();
  }

  public void stopRecordingOfAudio()
  {
    try
    {
      if (this.mChronometer.getText().toString().equals("00:00"))
      {
        this.mChronometer.stop();
        return;
      }
      this.mChronometer.stop();
      this.sendAudioButton.setVisibility(0);
      this.playButton.setImageResource(2130837719);
      this.audioHelper.stopRecordingOfAudio();
      this.playButton.setVisibility(0);
      this.reloadButton.setVisibility(0);
      this.btn.setVisibility(4);
      return;
    }
    catch (Exception localException)
    {
    }
  }

  public void timerButton(View paramView)
  {
    this.optionsMenuLayout.setVisibility(8);
    ((InputMethodManager)getSystemService("input_method")).hideSoftInputFromWindow(paramView.getWindowToken(), 0);
    this.timerLayout.setVisibility(0);
    this.layoutBottom.setVisibility(8);
  }

  public void unsetLongClickAndScrolling()
  {
    this.scrollingEnabled = false;
    getListView().setOnItemLongClickListener(null);
  }

  public void updateDisplay(long paramLong, boolean paramBoolean)
  {
    this.timerTextView.setText(WickrUtil.destructTimeToString(paramLong));
    this.messageField.setHint(WickrUtil.destructTimeToStringFormal(paramLong));
    if (paramBoolean);
    for (int i = 0; ; i++)
    {
      int j = 0;
      if (i >= 101);
      while (true)
      {
        if (j == 0)
          this.timerSeekBar.setProgress(this.timerSeekBar.getMax());
        this.mCurrentTtl = paramLong;
        return;
        if (WickrUtil.allowedTime[i] != paramLong)
          break;
        this.timerSeekBar.setProgress(i);
        j = 1;
      }
      if ((i != 0) && (WickrUtil.allowedTime[(i - 1)] < paramLong) && (WickrUtil.allowedTime[i] > paramLong))
        this.timerSeekBar.setProgress(i);
    }
  }

  public void uploadFinished()
  {
    this.uploadInProgress = false;
  }

  protected void uploadNotificationStarted()
  {
    Intent localIntent = new Intent();
    localIntent.setAction("com.mywickr.wickr.uploadstarted");
    sendBroadcast(localIntent);
  }

  public void wickrAppClockDidTick()
  {
    runOnUiThread(new Runnable()
    {
      public void run()
      {
        try
        {
          ArrayList localArrayList = new ArrayList();
          ListView localListView = ConvoDetailActivity.this.getListView();
          int i = localListView.getFirstVisiblePosition();
          int j = localListView.getLastVisiblePosition();
          Iterator localIterator;
          if (i > j)
            localIterator = localArrayList.iterator();
          while (true)
          {
            if (!localIterator.hasNext())
            {
              return;
              localArrayList.add((WickrMessage)localListView.getItemAtPosition(i));
              i++;
              break;
            }
            WickrMessage localWickrMessage = (WickrMessage)localIterator.next();
            if (localWickrMessage.isInbox())
            {
              if (((WickrInbox)localWickrMessage).expireIfNecessary(true))
              {
                ConvoDetailActivity.this.adapter.notifyDataSetChanged();
                ConvoDetailActivity.this.wickrAttachmentTouchUp(0);
              }
            }
            else if (((WickrOutbox)localWickrMessage).needsCleanup())
            {
              localWickrMessage.delete();
              ConvoDetailActivity.this.adapter.notifyDataSetChanged();
            }
          }
        }
        catch (Exception localException)
        {
        }
      }
    });
  }

  public void wickrAttachmentTouchDown(int paramInt1, int paramInt2)
  {
    this.tempStart = System.currentTimeMillis();
    this.imm.hideSoftInputFromWindow(getCurrentFocus().getWindowToken(), 2);
    getSupportActionBar().hide();
    WickrUtil.hideStatusAndNavigationBar(this);
    WickrMessage localWickrMessage = (WickrMessage)this.mListView.getAdapter().getItem(paramInt1);
    if ((this.currentLoadedMessage != null) && (!this.currentLoadedMessage.equals(localWickrMessage)))
    {
      this.currentLoadedMessage.clearCache();
      this.currentLoadedMessage = null;
    }
    this.currentLoadedMessage = localWickrMessage;
    if (localWickrMessage != null);
    while (true)
    {
      WickrAttachment localWickrAttachment;
      try
      {
        localWickrAttachment = localWickrMessage.getAttachments()[paramInt2];
        if (localWickrAttachment.getType() == WickrAttachmentType.WICKR_ATTACH_IMAGE)
        {
          this.attachmentDisplayView = new WickrAttachmentDisplayView(this, localWickrAttachment);
          if (this.attachmentDisplayView != null)
          {
            unsetLongClickAndScrolling();
            ((ViewGroup)getWindow().getDecorView()).addView(this.attachmentDisplayView);
          }
          return;
        }
      }
      catch (Exception localException)
      {
        WickrUtil.showDialog(this, "There was an error opening this file. This is likely due to the recent Wickr update. Please email us if you have any further problems");
        return;
      }
      if (localWickrAttachment.getType() == WickrAttachmentType.WICKR_ATTACH_VIDEO)
        this.attachmentDisplayView = new WickrAttachmentDisplayView(this, localWickrAttachment, localWickrMessage.getSrvMsgID() + ".mp4");
    }
  }

  public void wickrAttachmentTouchUp(int paramInt)
  {
    this.tempStop = System.currentTimeMillis();
    if (this.tempStop - this.tempStart <= 500L)
    {
      Toast.makeText(this, "Press and hold to view an attachment", 0).show();
      this.tempStart = 0L;
      this.tempStop = 0L;
    }
    if (this.attachmentDisplayView != null)
    {
      WickrUtil.showStatusBar(this);
      WickrUtil.showNavigationBar(this);
      getSupportActionBar().show();
      ((ViewGroup)getWindow().getDecorView()).removeView(this.attachmentDisplayView);
      this.attachmentDisplayView.cleanup();
      this.attachmentDisplayView = null;
      setLongClickAndScrolling();
    }
  }

  public void wickrAudioPlayer(byte[] paramArrayOfByte, final ImageView paramImageView, final WickrCircleProgressBar paramWickrCircleProgressBar)
  {
    if (this.audioHelper == null)
      this.audioHelper = new AudioHelper(this);
    this.audioHelper.setOnFinishedPlayingListener(new AudioHelper.finishedPlayingListener()
    {
      public void onCallback()
      {
        paramImageView.setImageDrawable(ConvoDetailActivity.this.getResources().getDrawable(2130837733));
        paramImageView.getDrawable().setColorFilter(Color.parseColor("#ff0000"), PorterDuff.Mode.MULTIPLY);
      }
    });
    this.audioHelper.setAudioProgressTickListener(new AudioHelper.audioProgressTickListener()
    {
      public void onPositionChange(int paramAnonymousInt)
      {
        paramWickrCircleProgressBar.setProgress(paramAnonymousInt);
      }
    });
    this.audioHelper.playAudio(paramArrayOfByte);
    paramImageView.setImageResource(2130837728);
    paramImageView.getDrawable().setColorFilter(Color.parseColor("#ff0000"), PorterDuff.Mode.MULTIPLY);
  }

  public void wickrButton(View paramView)
  {
    if (this.optionsMenuLayout.getVisibility() == 8)
    {
      this.optionsMenuLayout.setVisibility(0);
      return;
    }
    this.optionsMenuLayout.setVisibility(8);
  }

  public void wickrMsgQueueHasError(final String paramString)
  {
    runOnUiThread(new Runnable()
    {
      public void run()
      {
        WickrUtil.showDialog(ConvoDetailActivity.this, paramString);
      }
    });
  }

  public void wickrMsgQueueRequestsRefresh()
  {
    refreshInbox();
  }

  public void wickrMsgQueueStarted()
  {
  }

  public class CustomMenuListener
    implements View.OnClickListener
  {
    Menu menu;

    public CustomMenuListener(Menu arg2)
    {
      Object localObject;
      this.menu = localObject;
    }

    public void onClick(View paramView)
    {
    }
  }

  class ErrorDialogOnClickListener
    implements View.OnClickListener
  {
    AlertDialog dialog;
    WickrOutbox message;

    public ErrorDialogOnClickListener(WickrOutbox paramAlertDialog, AlertDialog arg3)
    {
      this.message = paramAlertDialog;
      Object localObject;
      this.dialog = localObject;
    }

    public void onClick(View paramView)
    {
      switch (paramView.getId())
      {
      default:
        return;
      case 2131296457:
        ArrayList localArrayList = new ArrayList();
        WickrUser[] arrayOfWickrUser = this.message.getConvo().getAllUsers();
        int i = arrayOfWickrUser.length;
        int j = 0;
        Iterator localIterator;
        if (j >= i)
          localIterator = this.message.getErrors().iterator();
        while (true)
        {
          if (!localIterator.hasNext())
          {
            String str = WickrConvo.getVGroupIDWithUsers((WickrUser[])localArrayList.toArray(new WickrUser[localArrayList.size()]));
            WickrConvo localWickrConvo = WickrConvo.getConvoWithvGroupID(str);
            if (localWickrConvo == null)
              localWickrConvo = new WickrConvo(str, null, (WickrUser[])localArrayList.toArray(new WickrUser[localArrayList.size()]));
            retryMessageSendInConvo(localWickrConvo);
            Intent localIntent = new Intent(ConvoDetailActivity.this, ConvoDetailActivity.class);
            localIntent.putExtra("con_det_id", localWickrConvo.getID());
            ConvoDetailActivity.this.navigatingInApp = true;
            ConvoDetailActivity.this.startActivity(localIntent);
            this.dialog.dismiss();
            ConvoDetailActivity.this.finish();
            return;
            localArrayList.add(arrayOfWickrUser[j]);
            j++;
            break;
          }
          WickrUser localWickrUser = ((WickrError)localIterator.next()).getUserReference();
          if (localWickrUser != null)
            localArrayList.remove(localWickrUser);
        }
      case 2131296458:
        retryMessageSendInConvo(ConvoDetailActivity.this.convo);
        this.dialog.dismiss();
        return;
      case 2131296459:
        this.message.delete();
        ConvoDetailActivity.this.adapter.notifyDataSetChanged();
        this.dialog.dismiss();
        return;
      case 2131296460:
      }
      this.dialog.dismiss();
    }

    public void retryMessageSendInConvo(WickrConvo paramWickrConvo)
    {
      WickrComposeCtx localWickrComposeCtx;
      WickrAttachment[] arrayOfWickrAttachment;
      int j;
      if (this.message.getAudioBody() == null)
      {
        localWickrComposeCtx = new WickrComposeCtx(WickrComposeType.WICKR_TXT_COMPOSE, paramWickrConvo, this.message.getTTL());
        localWickrComposeCtx.setText(this.message.getCachedText());
        if (this.message.getAttachments() != null)
        {
          arrayOfWickrAttachment = this.message.getAttachments();
          int i = arrayOfWickrAttachment.length;
          j = 0;
          if (j < i)
            break label103;
        }
      }
      while (true)
      {
        WickrSession.getActiveSession().getUploadQueue().enqueueComposeContext(localWickrComposeCtx);
        this.message.delete();
        ConvoDetailActivity.this.adapter.notifyDataSetChanged();
        return;
        label103: localWickrComposeCtx.addAttachment(arrayOfWickrAttachment[j]);
        j++;
        break;
        localWickrComposeCtx = new WickrComposeCtx(WickrComposeType.WICKR_AUDIO_COMPOSE, ConvoDetailActivity.this.convo, this.message.getTTL());
        localWickrComposeCtx.setAudio(this.message.getAudioBody());
      }
    }
  }

  private class MessageUnlockerTask extends AsyncTask<Void, Void, Void>
  {
    private WickrInbox inbox;
    private View v;

    public MessageUnlockerTask(View paramWickrInbox, WickrInbox arg3)
    {
      this.v = paramWickrInbox;
      Object localObject;
      this.inbox = localObject;
    }

    protected Void doInBackground(Void[] paramArrayOfVoid)
    {
      this.inbox.unlock();
      boolean bool = this.inbox.validateSender(false);
      if ((!this.inbox.hasAttachments()) && (bool))
        this.inbox.clearCache();
      return null;
    }

    protected void onPostExecute(Void paramVoid)
    {
      ConvoDetailActivity.this.adapter.notifyDataSetChanged();
      ConvoDetailActivity.this.isDecrypting = false;
    }

    protected void onPreExecute()
    {
      ConvoDetailActivity.this.isDecrypting = true;
      ((ImageView)this.v.findViewById(2131296429)).setVisibility(8);
      ((ProgressBar)this.v.findViewById(2131296427)).setVisibility(0);
    }
  }

  public static abstract interface OnKeyboardVisibilityListener
  {
    public abstract void onVisibilityChanged(boolean paramBoolean);
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.gui.details.ConvoDetailActivity
 * JD-Core Version:    0.6.2
 */