package com.mywickr.gui.fragments;

import android.annotation.SuppressLint;
import android.app.Dialog;
import android.content.ContentResolver;
import android.content.DialogInterface;
import android.content.DialogInterface.OnDismissListener;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.BitmapFactory.Options;
import android.os.Bundle;
import android.support.v4.app.DialogFragment;
import android.support.v4.app.FragmentActivity;
import android.text.Editable;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.view.Window;
import android.view.inputmethod.InputMethodManager;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.TextView.OnEditorActionListener;
import android.widget.Toast;
import com.mywickr.gui.EditCircleTextView;
import com.mywickr.gui.WickrSherlockFragmentActivity;
import com.mywickr.interfaces.WickrPrivacyManInterface;
import com.mywickr.wickr.WickrAPICode;
import com.mywickr.wickr.WickrAttachmentManager;
import com.mywickr.wickr.WickrPrivacyMan;
import com.mywickr.wickr.WickrPrivacyType;
import com.mywickr.wickr.WickrSession;
import com.mywickr.wickr.WickrStatus;
import com.mywickr.wickr.WickrUser;
import com.mywickr.wickr.WickrUtil;
import java.io.InputStream;
import java.security.InvalidParameterException;

public class ContactPopupFragment extends DialogFragment
  implements WickrPrivacyManInterface
{
  private final int GALLERY_TAKE_IMAGE = 100;
  private Button blockUserButton;
  private EditCircleTextView circleTextView;
  private Button closeButton;
  private WickrUser currentUser = null;
  private DialogInterface.OnDismissListener dismissInterface = null;
  private Button editButton;
  private boolean isEditing = false;
  private View.OnClickListener listener = new View.OnClickListener()
  {
    public void onClick(View paramAnonymousView)
    {
      switch (paramAnonymousView.getId())
      {
      case 2131296372:
      case 2131296373:
      case 2131296374:
      case 2131296375:
      default:
        return;
      case 2131296371:
        ContactPopupFragment localContactPopupFragment = ContactPopupFragment.this;
        if (ContactPopupFragment.this.isEditing);
        for (boolean bool = false; ; bool = true)
        {
          localContactPopupFragment.setIsEditing(bool);
          return;
        }
      case 2131296376:
        ContactPopupFragment.this.closeToggle();
        return;
      case 2131296378:
        ContactPopupFragment.this.blockUserToggle();
        return;
      case 2131296377:
      }
      ContactPopupFragment.this.circleTextViewToggle();
    }
  };
  private boolean madeChanges = false;
  private EditText nameEditText;
  private TextView usernameTextView;

  @SuppressLint({"ValidFragment"})
  public ContactPopupFragment(WickrUser paramWickrUser)
  {
    this.currentUser = paramWickrUser;
  }

  private String blockButtonText()
  {
    boolean bool = this.currentUser.isOnPrivacyList();
    if (WickrSession.getActiveSession().getPrivacyList().getType() == WickrPrivacyType.WICKR_PRIVACY_BLACK)
    {
      if (bool)
        return "Unblock User";
      return "Block User";
    }
    if (bool)
      return "Block User";
    return "Unblock User";
  }

  private void blockUserToggle()
  {
    if (this.isEditing)
      Toast.makeText(getActivity(), "Importing from Contacts", 0).show();
    while (true)
    {
      return;
      WickrPrivacyMan localWickrPrivacyMan = WickrSession.getActiveSession().getPrivacyList();
      boolean bool = this.currentUser.isOnPrivacyList();
      WickrStatus localWickrStatus;
      if (WickrSession.getActiveSession().getPrivacyList().getType() == WickrPrivacyType.WICKR_PRIVACY_BLACK)
        if (bool)
          localWickrStatus = localWickrPrivacyMan.unblockUser(this.currentUser);
      while (localWickrStatus.isError())
      {
        WickrUtil.showDialog(getActivity(), "Unknown error: " + localWickrStatus.getValue() + " while attempting to unblock " + this.currentUser.getPrimaryName());
        return;
        localWickrStatus = localWickrPrivacyMan.blockUser(this.currentUser);
        continue;
        if (bool)
          localWickrStatus = localWickrPrivacyMan.blockUser(this.currentUser);
        else
          localWickrStatus = localWickrPrivacyMan.unblockUser(this.currentUser);
      }
    }
  }

  private void circleTextViewToggle()
  {
    if (this.isEditing)
    {
      if (this.currentUser.getUserImage() == null)
      {
        ((WickrSherlockFragmentActivity)getActivity()).navigatingInApp = true;
        Intent localIntent = new Intent();
        localIntent.setType("image/*");
        localIntent.setAction("android.intent.action.GET_CONTENT");
        localIntent.addCategory("android.intent.category.OPENABLE");
        startActivityForResult(localIntent, 100);
      }
    }
    else
      return;
    this.madeChanges = true;
    this.currentUser.setUserImage(null);
    this.circleTextView.setImage(null);
    this.circleTextView.invalidate();
  }

  private void closeToggle()
  {
    if (this.isEditing)
    {
      setIsEditing(false);
      return;
    }
    WickrSession.getActiveSession().getPrivacyList().setPrivacyGUIManager(null);
    getDialog().dismiss();
  }

  public boolean madeChanges()
  {
    return this.madeChanges;
  }

  public void onActivityResult(int paramInt1, int paramInt2, Intent paramIntent)
  {
    super.onActivityResult(paramInt1, paramInt2, paramIntent);
    if ((paramInt1 == 100) && (paramInt2 == -1));
    try
    {
      BitmapFactory.Options localOptions = new BitmapFactory.Options();
      localOptions.inJustDecodeBounds = true;
      InputStream localInputStream1 = getActivity().getContentResolver().openInputStream(paramIntent.getData());
      BitmapFactory.decodeStream(localInputStream1, null, localOptions);
      localInputStream1.close();
      localOptions.inSampleSize = WickrAttachmentManager.calculateInSampleSize(localOptions, 100, 100);
      localOptions.inJustDecodeBounds = false;
      InputStream localInputStream2 = getActivity().getContentResolver().openInputStream(paramIntent.getData());
      Bitmap localBitmap = BitmapFactory.decodeStream(localInputStream2, null, localOptions);
      localInputStream2.close();
      if (WickrAttachmentManager.getOrientation(paramIntent.getData(), getActivity()) != 0)
        localBitmap = WickrAttachmentManager.rotateBitmap(localBitmap);
      this.currentUser.setUserImage(localBitmap);
      this.madeChanges = true;
      setIsEditing(false);
      return;
    }
    catch (Exception localException)
    {
      localException.printStackTrace();
      WickrUtil.showDialog(getActivity(), "Error adding image!");
    }
  }

  public View onCreateView(LayoutInflater paramLayoutInflater, ViewGroup paramViewGroup, Bundle paramBundle)
  {
    getDialog().getWindow().requestFeature(1);
    View localView = paramLayoutInflater.inflate(2130903074, paramViewGroup);
    this.editButton = ((Button)localView.findViewById(2131296371));
    this.closeButton = ((Button)localView.findViewById(2131296376));
    this.blockUserButton = ((Button)localView.findViewById(2131296378));
    this.usernameTextView = ((TextView)localView.findViewById(2131296379));
    this.circleTextView = ((EditCircleTextView)localView.findViewById(2131296377));
    this.nameEditText = ((EditText)localView.findViewById(2131296380));
    this.nameEditText.setOnEditorActionListener(new TextView.OnEditorActionListener()
    {
      public boolean onEditorAction(TextView paramAnonymousTextView, int paramAnonymousInt, KeyEvent paramAnonymousKeyEvent)
      {
        boolean bool = false;
        if (paramAnonymousKeyEvent != null)
        {
          int i = paramAnonymousKeyEvent.getKeyCode();
          bool = false;
          if (i == 66)
          {
            int j = paramAnonymousKeyEvent.getAction();
            bool = false;
            if (j == 0)
            {
              ((InputMethodManager)ContactPopupFragment.this.getActivity().getSystemService("input_method")).hideSoftInputFromWindow(paramAnonymousTextView.getWindowToken(), 2);
              ContactPopupFragment.this.setIsEditing(false);
              bool = true;
            }
          }
        }
        return bool;
      }
    });
    this.editButton.setOnClickListener(this.listener);
    this.closeButton.setOnClickListener(this.listener);
    this.blockUserButton.setOnClickListener(this.listener);
    this.circleTextView.setOnClickListener(this.listener);
    WickrSession.getActiveSession().getPrivacyList().setPrivacyGUIManager(this);
    setIsEditing(false);
    return localView;
  }

  public void onDismiss(DialogInterface paramDialogInterface)
  {
    if (this.dismissInterface != null)
      this.dismissInterface.onDismiss(paramDialogInterface);
    super.onDismiss(paramDialogInterface);
  }

  public void setDismissInterface(DialogInterface.OnDismissListener paramOnDismissListener)
  {
    this.dismissInterface = paramOnDismissListener;
  }

  protected void setIsEditing(boolean paramBoolean)
  {
    if (!paramBoolean)
      if ((this.isEditing) && (this.nameEditText.getText().toString().trim().length() <= 0));
    while (true)
    {
      try
      {
        this.currentUser.setUserName(this.nameEditText.getText().toString());
        this.madeChanges = true;
        this.nameEditText.setText(null);
        this.nameEditText.setVisibility(8);
        this.blockUserButton.setVisibility(0);
        this.blockUserButton.setText(blockButtonText());
        this.editButton.setVisibility(0);
        this.closeButton.setText("Close");
        this.usernameTextView.setText(this.currentUser.getPrimaryName());
        this.circleTextView.setTextInitials(this.currentUser.getPrimaryName());
        this.circleTextView.setImage(this.currentUser.getUserImage());
        this.circleTextView.setEditing(paramBoolean);
        this.isEditing = paramBoolean;
        return;
      }
      catch (InvalidParameterException localInvalidParameterException)
      {
        localInvalidParameterException.printStackTrace();
        WickrUtil.showDialog(getActivity(), "The username you have entered is invalid");
        continue;
      }
      this.currentUser.setUserName(null);
      this.madeChanges = true;
      continue;
      this.nameEditText.setVisibility(0);
      this.nameEditText.requestFocus();
      this.blockUserButton.setVisibility(8);
      this.editButton.setVisibility(8);
      this.closeButton.setText("Done");
      this.usernameTextView.setText(this.currentUser.getSecondaryName());
      this.nameEditText.setText(this.currentUser.getUserName());
    }
  }

  public void wickrPrivacyManStatus(WickrStatus paramWickrStatus, WickrAPICode paramWickrAPICode, char paramChar)
  {
    this.blockUserButton.setText(blockButtonText());
    if ((paramWickrStatus.isError()) || (paramWickrAPICode.isError()))
      WickrUtil.showDialog(getActivity(), paramWickrAPICode.toString("Updating your block list"));
  }

  public void wickrServerCallNetError()
  {
    this.editButton.setText("Waiting (Check Connection)");
  }

  public void wickrServerCallReturned()
  {
    this.editButton.setVisibility(0);
  }

  public void wickrServerCallStarted()
  {
    this.editButton.setVisibility(8);
    this.blockUserButton.setText("Waiting for server");
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.gui.fragments.ContactPopupFragment
 * JD-Core Version:    0.6.2
 */