package com.mywickr.gui.fragments;

import android.app.AlertDialog;
import android.app.AlertDialog.Builder;
import android.app.NotificationManager;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.support.v4.app.FragmentActivity;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemLongClickListener;
import android.widget.ListView;
import com.actionbarsherlock.view.Menu;
import com.actionbarsherlock.view.MenuInflater;
import com.actionbarsherlock.view.MenuItem;
import com.manuelpeinado.refreshactionitem.ProgressIndicatorType;
import com.manuelpeinado.refreshactionitem.RefreshActionItem;
import com.manuelpeinado.refreshactionitem.RefreshActionItem.RefreshActionListener;
import com.mywickr.gui.WickrNewConvoActivity;
import com.mywickr.gui.WickrSettingsActivity;
import com.mywickr.gui.WickrSherlockFragmentActivity;
import com.mywickr.gui.details.ConvoDetailActivity;
import com.mywickr.gui.listadapters.WickrConvoAdapter;
import com.mywickr.gui.login.UserLoginActivity;
import com.mywickr.wickr.WickrConvo;
import com.mywickr.wickr.WickrSession;
import com.mywickr.wickr.WickrUtil;

public class WickrInboxFragment extends WickrSherlockListFragment
  implements RefreshActionItem.RefreshActionListener
{
  private static final int NEW_CONVO_REQUEST_CODE = 100;
  private WickrConvoAdapter adapter = null;
  private WickrConvo createdConvo = null;
  private boolean createdNewConvo = false;
  private RefreshActionItem mRefreshActionItemInbox = null;
  private BroadcastReceiver msgCheckEndReceiver = new BroadcastReceiver()
  {
    public void onReceive(Context paramAnonymousContext, Intent paramAnonymousIntent)
    {
      WickrInboxFragment.this.wickrMsgCheckEnded();
    }
  };
  private BroadcastReceiver msgCheckStartReceiver = new BroadcastReceiver()
  {
    public void onReceive(Context paramAnonymousContext, Intent paramAnonymousIntent)
    {
      WickrInboxFragment.this.wickrMsgCheckStarted();
    }
  };
  private BroadcastReceiver msgQueueErrorReceiver = new BroadcastReceiver()
  {
    public void onReceive(Context paramAnonymousContext, Intent paramAnonymousIntent)
    {
      WickrInboxFragment.this.wickrMsgQueueHasError(paramAnonymousIntent.getStringExtra("error"));
    }
  };
  private BroadcastReceiver msgQueueFinishedReceiver = new BroadcastReceiver()
  {
    public void onReceive(Context paramAnonymousContext, Intent paramAnonymousIntent)
    {
      WickrInboxFragment.this.wickrMsgQueueFinished();
    }
  };
  private BroadcastReceiver msgQueueNetIssuesReceiver = new BroadcastReceiver()
  {
    public void onReceive(Context paramAnonymousContext, Intent paramAnonymousIntent)
    {
      WickrInboxFragment.this.wickrMsgQueueHasNetIssues(paramAnonymousIntent.getBooleanExtra("hasIssues", false));
    }
  };
  private BroadcastReceiver msgQueueProgressReceiver = new BroadcastReceiver()
  {
    public void onReceive(Context paramAnonymousContext, Intent paramAnonymousIntent)
    {
      WickrInboxFragment.this.wickrMsgQueueProgress(paramAnonymousIntent.getIntExtra("progress", 0));
    }
  };
  private BroadcastReceiver msgQueueRefreshReceiver = new BroadcastReceiver()
  {
    public void onReceive(Context paramAnonymousContext, Intent paramAnonymousIntent)
    {
      WickrInboxFragment.this.wickrMsgQueueRequestsRefresh();
    }
  };
  private BroadcastReceiver msgQueueStartReceiver = new BroadcastReceiver()
  {
    public void onReceive(Context paramAnonymousContext, Intent paramAnonymousIntent)
    {
      WickrInboxFragment.this.wickrMsgQueueStarted();
    }
  };
  private NotificationManager nManager;

  public void loadConvo(WickrConvo paramWickrConvo)
  {
    Intent localIntent = new Intent(getActivity(), ConvoDetailActivity.class);
    localIntent.putExtra("con_det_id", paramWickrConvo.getID());
    ((WickrSherlockFragmentActivity)getActivity()).navigatingInApp = true;
    startActivity(localIntent);
  }

  public void onActivityCreated(Bundle paramBundle)
  {
    super.onActivityCreated(null);
    if (this.activityHasError)
      return;
    setHasOptionsMenu(true);
    this.adapter = WickrConvo.getConvoAdapter();
    setListAdapter(this.adapter);
    getListView().setOnItemLongClickListener(new AdapterView.OnItemLongClickListener()
    {
      public boolean onItemLongClick(AdapterView<?> paramAnonymousAdapterView, View paramAnonymousView, final int paramAnonymousInt, long paramAnonymousLong)
      {
        AlertDialog.Builder localBuilder = new AlertDialog.Builder(WickrInboxFragment.this.getActivity());
        localBuilder.setMessage("Are you sure you want to delete this conversation?").setCancelable(true).setPositiveButton("Delete", new DialogInterface.OnClickListener()
        {
          public void onClick(DialogInterface paramAnonymous2DialogInterface, int paramAnonymous2Int)
          {
            ((WickrConvo)WickrInboxFragment.this.getListView().getItemAtPosition(paramAnonymousInt)).delete();
            WickrInboxFragment.this.adapter.notifyDataSetChanged();
          }
        }).setNegativeButton("Cancel", new DialogInterface.OnClickListener()
        {
          public void onClick(DialogInterface paramAnonymous2DialogInterface, int paramAnonymous2Int)
          {
            paramAnonymous2DialogInterface.dismiss();
          }
        });
        localBuilder.create().show();
        return true;
      }
    });
  }

  public void onCreateOptionsMenu(Menu paramMenu, MenuInflater paramMenuInflater)
  {
    super.onCreateOptionsMenu(paramMenu, paramMenuInflater);
    paramMenuInflater.inflate(2131558404, paramMenu);
    setupRefreshItem(paramMenu);
  }

  public View onCreateView(LayoutInflater paramLayoutInflater, ViewGroup paramViewGroup, Bundle paramBundle)
  {
    return paramLayoutInflater.inflate(2130903078, paramViewGroup, false);
  }

  public void onListItemClick(ListView paramListView, View paramView, int paramInt, long paramLong)
  {
    super.onListItemClick(paramListView, paramView, paramInt, paramLong);
    loadConvo((WickrConvo)getListView().getItemAtPosition(paramInt));
  }

  public boolean onOptionsItemSelected(MenuItem paramMenuItem)
  {
    if (paramMenuItem.getItemId() == 2131296489)
    {
      Intent localIntent1 = new Intent(getActivity(), WickrNewConvoActivity.class);
      ((WickrSherlockFragmentActivity)getActivity()).navigatingInApp = true;
      startActivityForResult(localIntent1, 100);
    }
    do
    {
      return true;
      if (paramMenuItem.getItemId() == 2131296486)
      {
        Intent localIntent2 = new Intent(getActivity(), WickrSettingsActivity.class);
        ((WickrSherlockFragmentActivity)getActivity()).navigatingInApp = true;
        startActivity(localIntent2);
        return true;
      }
    }
    while (paramMenuItem.getItemId() != 2131296488);
    if (!WickrSession.getActiveSession().logout(false))
    {
      AlertDialog.Builder localBuilder = new AlertDialog.Builder(getActivity());
      localBuilder.setMessage("There is currently a message upload / download in progress. If you log out now they will be canceled. Are you sure you want to continue?");
      localBuilder.setPositiveButton("Logout", new DialogInterface.OnClickListener()
      {
        public void onClick(DialogInterface paramAnonymousDialogInterface, int paramAnonymousInt)
        {
          paramAnonymousDialogInterface.dismiss();
          WickrSession.getActiveSession().logout(true);
          Intent localIntent = new Intent(WickrInboxFragment.this.getActivity(), UserLoginActivity.class);
          localIntent.setFlags(268468224);
          WickrInboxFragment.this.startActivity(localIntent);
        }
      });
      localBuilder.setNegativeButton("Cancel", new DialogInterface.OnClickListener()
      {
        public void onClick(DialogInterface paramAnonymousDialogInterface, int paramAnonymousInt)
        {
          paramAnonymousDialogInterface.dismiss();
        }
      });
      localBuilder.show();
      return true;
    }
    Intent localIntent3 = new Intent(getActivity(), UserLoginActivity.class);
    localIntent3.setFlags(268468224);
    startActivity(localIntent3);
    return true;
  }

  public void onPause()
  {
    super.onPause();
    getActivity().unregisterReceiver(this.msgCheckStartReceiver);
    getActivity().unregisterReceiver(this.msgCheckEndReceiver);
    getActivity().unregisterReceiver(this.msgQueueStartReceiver);
    getActivity().unregisterReceiver(this.msgQueueProgressReceiver);
    getActivity().unregisterReceiver(this.msgQueueRefreshReceiver);
    getActivity().unregisterReceiver(this.msgQueueNetIssuesReceiver);
    getActivity().unregisterReceiver(this.msgQueueErrorReceiver);
    getActivity().unregisterReceiver(this.msgQueueFinishedReceiver);
    if (this.activityHasError);
  }

  public void onRefreshButtonClick(RefreshActionItem paramRefreshActionItem)
  {
    refreshInbox();
  }

  public void onResume()
  {
    super.onResume();
    Log.e("", ((WickrSherlockFragmentActivity)getActivity()).navigatingInApp);
    if (this.activityHasError)
      return;
    WickrSession.getActiveSession().updateDownloadServiceStatus();
    getActivity().registerReceiver(this.msgCheckStartReceiver, new IntentFilter("com.mywickr.wickr.dlqueuecheckstart"));
    getActivity().registerReceiver(this.msgCheckEndReceiver, new IntentFilter("com.mywickr.wickr.dlqueuecheckend"));
    getActivity().registerReceiver(this.msgQueueStartReceiver, new IntentFilter("com.mywickr.wickr.dlqueuestart"));
    getActivity().registerReceiver(this.msgQueueProgressReceiver, new IntentFilter("com.mywickr.wickr.dlqueueprogress"));
    getActivity().registerReceiver(this.msgQueueRefreshReceiver, new IntentFilter("com.mywickr.wickr.dlqueuerefresh"));
    getActivity().registerReceiver(this.msgQueueNetIssuesReceiver, new IntentFilter("com.mywickr.wickr.dlqueuenetissue"));
    getActivity().registerReceiver(this.msgQueueErrorReceiver, new IntentFilter("com.mywickr.wickr.dlqueueerror"));
    getActivity().registerReceiver(this.msgQueueFinishedReceiver, new IntentFilter("com.mywickr.wickr.dlqueuefinish"));
    this.adapter.notifyDataSetChanged();
  }

  protected void refreshInbox()
  {
    this.nManager = ((NotificationManager)getActivity().getSystemService("notification"));
    this.nManager.cancelAll();
    WickrSession.getActiveSession().checkForNewMessages();
  }

  public void setupRefreshItem(Menu paramMenu)
  {
    MenuItem localMenuItem = paramMenu.findItem(2131296466);
    this.mRefreshActionItemInbox = ((RefreshActionItem)localMenuItem.getActionView());
    this.mRefreshActionItemInbox.setMenuItem(localMenuItem);
    this.mRefreshActionItemInbox.setMax(100);
    this.mRefreshActionItemInbox.setRefreshActionListener(this);
    WickrSession.getActiveSession().checkForNewMessages();
  }

  public void wickrMsgCheckEnded()
  {
    if (this.mRefreshActionItemInbox != null)
      this.mRefreshActionItemInbox.showProgress(false);
  }

  public void wickrMsgCheckStarted()
  {
    if (this.mRefreshActionItemInbox != null)
    {
      this.mRefreshActionItemInbox.setProgressIndicatorType(ProgressIndicatorType.INDETERMINATE);
      this.mRefreshActionItemInbox.showProgress(true);
    }
  }

  public void wickrMsgQueueFinished()
  {
    if (this.mRefreshActionItemInbox != null)
    {
      this.mRefreshActionItemInbox.showProgress(false);
      wickrMsgQueueHasNetIssues(false);
    }
  }

  public void wickrMsgQueueHasError(String paramString)
  {
    WickrUtil.showDialog(getActivity(), paramString);
  }

  public void wickrMsgQueueHasNetIssues(boolean paramBoolean)
  {
    if (this.mRefreshActionItemInbox != null)
    {
      if (paramBoolean)
        this.mRefreshActionItemInbox.showBadge();
    }
    else
      return;
    this.mRefreshActionItemInbox.hideBadge();
  }

  public void wickrMsgQueueProgress(int paramInt)
  {
    if (this.mRefreshActionItemInbox != null)
    {
      this.mRefreshActionItemInbox.showProgress(true);
      if (this.mRefreshActionItemInbox.getProgressIndicatorType() != ProgressIndicatorType.WHEEL)
        this.mRefreshActionItemInbox.setProgressIndicatorType(ProgressIndicatorType.WHEEL);
      this.mRefreshActionItemInbox.setProgress(paramInt);
      wickrMsgQueueHasNetIssues(false);
    }
  }

  public void wickrMsgQueueRequestsRefresh()
  {
    wickrMsgQueueHasNetIssues(false);
    this.adapter.notifyDataSetChanged();
  }

  public void wickrMsgQueueStarted()
  {
    if (this.mRefreshActionItemInbox != null)
    {
      this.mRefreshActionItemInbox.setProgressIndicatorType(ProgressIndicatorType.WHEEL);
      this.mRefreshActionItemInbox.showProgress(true);
    }
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.gui.fragments.WickrInboxFragment
 * JD-Core Version:    0.6.2
 */