package com.mywickr.gui.login;

import android.app.AlertDialog;
import android.app.AlertDialog.Builder;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.res.Resources;
import android.graphics.drawable.AnimationDrawable;
import android.os.Build.VERSION;
import android.os.Bundle;
import android.widget.ProgressBar;
import android.widget.SeekBar;
import android.widget.ViewFlipper;
import com.mywickr.gui.WickrNoTitleActivity;
import com.mywickr.services.RegistrationService;
import java.util.Timer;
import java.util.TimerTask;

public class LoginRegLoadingActivity extends WickrNoTitleActivity
{
  private RegFailureReceiver failReceive = null;
  private RegNetErrorReceiver netErrorReceiver = null;
  private SeekBar progress;
  private Timer progressTimer = null;
  private RegSuccessReceiver successReceive = null;
  private ViewFlipper tutorialSlideFlipper = null;

  public void onBackPressed()
  {
    AlertDialog.Builder localBuilder = new AlertDialog.Builder(this);
    localBuilder.setMessage("Please wait until securing is complete").setCancelable(false).setPositiveButton("OK", null);
    localBuilder.create().show();
  }

  protected void onCreate(Bundle paramBundle)
  {
    super.onCreate(paramBundle);
    setContentView(2130903106);
    this.tutorialSlideFlipper = ((ViewFlipper)findViewById(2131296477));
    this.tutorialSlideFlipper.setFlipInterval(5000);
    this.tutorialSlideFlipper.startFlipping();
    IntentFilter localIntentFilter1 = new IntentFilter("com.mywickr.wickr.REGISTRATION_DONE");
    localIntentFilter1.addCategory("android.intent.category.DEFAULT");
    this.successReceive = new RegSuccessReceiver();
    registerReceiver(this.successReceive, localIntentFilter1);
    IntentFilter localIntentFilter2 = new IntentFilter("com.mywickr.wickr.REGISTRATION_FAILED");
    localIntentFilter2.addCategory("android.intent.category.DEFAULT");
    this.failReceive = new RegFailureReceiver();
    registerReceiver(this.failReceive, localIntentFilter2);
    IntentFilter localIntentFilter3 = new IntentFilter("com.mywickr.wickr.REGISTRATION_NET_FAIL");
    localIntentFilter3.addCategory("android.intent.category.DEFAULT");
    this.netErrorReceiver = new RegNetErrorReceiver();
    registerReceiver(this.netErrorReceiver, localIntentFilter3);
    this.progressTimer = new Timer();
    this.progressTimer.scheduleAtFixedRate(new RegProgressTask(), 0L, 3000L);
    this.progress = ((SeekBar)findViewById(2131296476));
    this.progress.setThumb(getResources().getDrawable(2130837877));
    if (Build.VERSION.SDK_INT >= 16)
      ((AnimationDrawable)this.progress.getThumb()).start();
    this.progress.setEnabled(false);
    this.progress.setProgress(0);
    Intent localIntent = new Intent(this, RegistrationService.class);
    localIntent.putExtra("isSync", getIntent().getBooleanExtra("isSync", true));
    localIntent.putExtra("userid", getIntent().getStringExtra("userid"));
    localIntent.putExtra("password", getIntent().getStringExtra("password"));
    localIntent.putExtra("type", getIntent().getStringExtra("type"));
    localIntent.putExtra("devid", getIntent().getStringExtra("devid"));
    localIntent.putExtra("ignoreSuspend", getIntent().getBooleanExtra("ignoreSuspend", false));
    startService(localIntent);
  }

  protected void onDestroy()
  {
    unregisterReceiver(this.successReceive);
    unregisterReceiver(this.failReceive);
    unregisterReceiver(this.netErrorReceiver);
    this.progressTimer.cancel();
    this.tutorialSlideFlipper.stopFlipping();
    super.onDestroy();
  }

  public class RegFailureReceiver extends BroadcastReceiver
  {
    public static final String ACTION_RESP = "com.mywickr.wickr.REGISTRATION_FAILED";

    public RegFailureReceiver()
    {
    }

    public void onReceive(Context paramContext, Intent paramIntent)
    {
      LoginRegLoadingActivity.this.progressTimer.cancel();
      LoginRegLoadingActivity.this.tutorialSlideFlipper.stopFlipping();
      LoginRegLoadingActivity.this.setResult(paramIntent.getIntExtra("result", 9));
      LoginRegLoadingActivity.this.finish();
    }
  }

  public class RegNetErrorReceiver extends BroadcastReceiver
  {
    public static final String ACTION_RESP = "com.mywickr.wickr.REGISTRATION_NET_FAIL";

    public RegNetErrorReceiver()
    {
    }

    public void onReceive(Context paramContext, Intent paramIntent)
    {
      LoginRegLoadingActivity.this.progressTimer.cancel();
      LoginRegLoadingActivity.this.tutorialSlideFlipper.stopFlipping();
      LoginRegLoadingActivity.this.setResult(paramIntent.getIntExtra("result", 9));
      LoginRegLoadingActivity.this.finish();
    }
  }

  class RegProgressTask extends TimerTask
  {
    RegProgressTask()
    {
    }

    public void run()
    {
      LoginRegLoadingActivity.this.runOnUiThread(new Runnable()
      {
        public void run()
        {
          SeekBar localSeekBar = LoginRegLoadingActivity.this.progress;
          localSeekBar.setProgress(2 + localSeekBar.getProgress());
        }
      });
    }
  }

  public class RegSuccessReceiver extends BroadcastReceiver
  {
    public static final String ACTION_RESP = "com.mywickr.wickr.REGISTRATION_DONE";

    public RegSuccessReceiver()
    {
    }

    public void onReceive(Context paramContext, Intent paramIntent)
    {
      LoginRegLoadingActivity.this.progressTimer.cancel();
      LoginRegLoadingActivity.this.tutorialSlideFlipper.stopFlipping();
      Intent localIntent = new Intent();
      localIntent.putExtra("password", LoginRegLoadingActivity.this.getIntent().getStringExtra("password"));
      LoginRegLoadingActivity.this.setResult(0, localIntent);
      LoginRegLoadingActivity.this.finish();
    }
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.gui.login.LoginRegLoadingActivity
 * JD-Core Version:    0.6.2
 */