package com.mywickr.gui.login;

import android.content.Intent;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.os.Bundle;
import android.os.Looper;
import android.util.Log;
import android.view.KeyEvent;
import android.view.inputmethod.InputMethodManager;
import android.widget.EditText;
import android.widget.ProgressBar;
import android.widget.TextView;
import android.widget.TextView.OnEditorActionListener;
import android.widget.Toast;
import com.loopj.android.http.BinaryHttpResponseHandler;
import com.loopj.android.http.RequestHandle;
import com.mywickr.gcm.WickrGCMFactory;
import com.mywickr.gui.WickrInboxFragmentActivity;
import com.mywickr.gui.WickrNoTitleFragmentActivity;
import com.mywickr.gui.WickrWizardActivity;
import com.mywickr.wickr.WickrAPICode;
import com.mywickr.wickr.WickrAsyncHttp;
import com.mywickr.wickr.WickrLoginReceipt;
import com.mywickr.wickr.WickrSession;
import com.mywickr.wickr.WickrUtil;
import com.mywickr.wickr.app.WickrApp;
import org.apache.http.Header;

public class LoginResumeActivity extends WickrNoTitleFragmentActivity
{
  public static final int INVALID_PASS = -7;
  public static int LOGIN_TIMEOUT_IN_SECONDS = 0;
  public static final String PARAM_PASS = "pass";
  public static final int REACHED_MAX_LOGIN_ATTEMPT = -8;
  private boolean backAllowed = true;
  private String errorValueString = null;
  private int failedLoginAttempts;
  WickrAsyncHttp httpClient;
  private boolean isLogin = false;
  private boolean isMaxLimitReached = false;
  private ProgressBar loadingProgressBar;
  private RequestHandle loginRequest = null;
  private LoginThread loginThread = null;
  private int maxFailedLoginAttempts = 3;
  private EditText passwordField = null;
  private SharedPreferences prefs;
  private WickrLoginReceipt receipt = null;
  private TextView status;
  private String userPass = null;
  private boolean wantsCache = false;

  private void finishLoginWithResult(WickrLoginReceipt paramWickrLoginReceipt)
  {
    Log.e(getClass().getSimpleName(), "38");
    if (this.isLogin)
    {
      Log.e(getClass().getSimpleName(), "39");
      if (paramWickrLoginReceipt == null)
      {
        Log.e(getClass().getSimpleName(), "40");
        getFailedLoginAttempts();
        if (getFailedLoginAttempts() >= this.maxFailedLoginAttempts)
        {
          Log.e(getClass().getSimpleName(), "41");
          setResult(-8);
        }
        while (true)
        {
          Log.e(getClass().getSimpleName(), "43");
          finish();
          return;
          Log.e(getClass().getSimpleName(), "42");
          setFailedLoginAttempts(1 + getFailedLoginAttempts());
          setFailedLoginTime();
          setResult(-7);
        }
      }
      if ((paramWickrLoginReceipt.getStatusCode().isError()) || (WickrSession.getActiveSession().isErrorState()))
      {
        Log.e(getClass().getSimpleName(), "44");
        setResult(paramWickrLoginReceipt.getStatusCode().getValue());
        finish();
        return;
      }
      Log.e(getClass().getSimpleName(), "45");
      if (getFailedLoginAttempts() >= this.maxFailedLoginAttempts)
      {
        Log.e(getClass().getSimpleName(), "46");
        setResult(-8);
        finish();
        Log.e(getClass().getSimpleName(), "52");
        return;
      }
      Log.e(getClass().getSimpleName(), "37");
      if (!WickrSession.getActiveSession().getNeedsWizard())
      {
        Log.e(getClass().getSimpleName(), "47");
        Intent localIntent2 = new Intent(this, WickrInboxFragmentActivity.class);
        localIntent2.putExtra("server_message", paramWickrLoginReceipt.getServerMessage());
        startActivity(localIntent2);
        setResult(-1);
      }
      while (true)
      {
        if (this.wantsCache)
        {
          Log.e(getClass().getSimpleName(), "49");
          WickrSession.getActiveSession().cachePassword(this.userPass);
        }
        if (UserLoginActivity.activeLoginActivity != null)
        {
          Log.e(getClass().getSimpleName(), "50");
          UserLoginActivity.activeLoginActivity.finish();
          UserLoginActivity.activeLoginActivity = null;
        }
        Log.e(getClass().getSimpleName(), "51");
        break;
        Log.e(getClass().getSimpleName(), "48");
        startActivity(new Intent(this, WickrWizardActivity.class));
        setResult(-1);
      }
    }
    Log.e(getClass().getSimpleName(), "53");
    if ((paramWickrLoginReceipt == null) || (paramWickrLoginReceipt.getStatusCode().isError()))
    {
      Log.e(getClass().getSimpleName(), "54");
      Intent localIntent1 = new Intent(this, UserLoginActivity.class);
      localIntent1.addFlags(335544320);
      startActivity(localIntent1);
      finish();
      return;
    }
    Log.e(getClass().getSimpleName(), "55");
    WickrSession.getActiveSession().appDidResume();
    finish();
  }

  public int getFailedLoginAttempts()
  {
    return this.prefs.getInt("failedLoginAttempts", 0);
  }

  public void onBackPressed()
  {
    if ((this.backAllowed) && (this.isLogin))
    {
      if (WickrSession.getActiveSession() == null)
        break label38;
      WickrSession.getActiveSession().closeSession(true);
    }
    while (true)
    {
      setResult(0);
      super.onBackPressed();
      return;
      label38: Intent localIntent = new Intent(this, UserLoginActivity.class);
      localIntent.addFlags(335544320);
      startActivity(localIntent);
    }
  }

  protected void onCreate(Bundle paramBundle)
  {
    Log.e(getClass().getSimpleName(), "1");
    super.onCreate(paramBundle);
    setContentView(2130903098);
    this.prefs = getSharedPreferences("prefs", 0);
    Log.e(getClass().getSimpleName(), "2");
    Long localLong = Long.valueOf(this.prefs.getLong("timeLoginExpired", 0L));
    long l = System.currentTimeMillis();
    Log.e(getClass().getSimpleName(), "3");
    if ((localLong.longValue() + 1000 * LOGIN_TIMEOUT_IN_SECONDS < l) || (localLong.longValue() == 0L))
    {
      setFailedLoginAttempts(0);
      Log.e(getClass().getSimpleName(), "4");
    }
    Log.e(getClass().getSimpleName(), "5");
    this.status = ((TextView)findViewById(2131296454));
    this.userPass = getIntent().getStringExtra("pass");
    this.isLogin = getIntent().getBooleanExtra("isLogin", false);
    this.wantsCache = getIntent().getBooleanExtra("wantsCache", false);
    this.loadingProgressBar = ((ProgressBar)findViewById(2131296453));
    this.passwordField = ((EditText)findViewById(2131296455));
    this.passwordField.setOnEditorActionListener(new TextView.OnEditorActionListener()
    {
      public boolean onEditorAction(TextView paramAnonymousTextView, int paramAnonymousInt, KeyEvent paramAnonymousKeyEvent)
      {
        boolean bool1;
        if (paramAnonymousInt != 6)
        {
          boolean bool2 = paramAnonymousKeyEvent.isShiftPressed();
          bool1 = false;
          if (!bool2)
          {
            int i = paramAnonymousKeyEvent.getKeyCode();
            bool1 = false;
            if (i == 66)
            {
              int j = paramAnonymousKeyEvent.getAction();
              bool1 = false;
              if (j != 0);
            }
          }
        }
        else
        {
          LoginResumeActivity.this.passwordField.setVisibility(8);
          if (!WickrSession.getActiveSession().attemptSessionUnlock(paramAnonymousTextView.getText().toString()))
            break label93;
          LoginResumeActivity.this.finish();
        }
        while (true)
        {
          bool1 = true;
          return bool1;
          label93: Toast.makeText(LoginResumeActivity.this, "Invalid Password Try again", 0).show();
          LoginResumeActivity.this.passwordField.setVisibility(0);
        }
      }
    });
    this.passwordField.setVisibility(8);
    Log.e(getClass().getSimpleName(), "6");
  }

  protected void onPause()
  {
    super.onPause();
    com.loopj.android.http.AsyncHttpRequest.shouldContinue = false;
  }

  protected void onResume()
  {
    super.onResume();
    Log.e(getClass().getSimpleName(), "7");
    this.passwordField.setVisibility(8);
    ((InputMethodManager)getSystemService("input_method")).hideSoftInputFromWindow(this.passwordField.getWindowToken(), 0);
    this.status.setText("Unlocking Account");
    Log.e(getClass().getSimpleName(), "8");
    this.loginThread = new LoginThread(null);
    Log.e(getClass().getSimpleName(), "9");
    this.loginThread.start();
    Log.e(getClass().getSimpleName(), "10");
  }

  public void setFailedLoginAttempts(int paramInt)
  {
    SharedPreferences.Editor localEditor = this.prefs.edit();
    localEditor.putInt("failedLoginAttempts", paramInt);
    localEditor.commit();
  }

  public void setFailedLoginTime()
  {
    SharedPreferences.Editor localEditor = this.prefs.edit();
    localEditor.putLong("timeLoginExpired", System.currentTimeMillis());
    localEditor.commit();
  }

  private class LoginThread extends Thread
  {
    private LoginThread()
    {
    }

    private void returnValue(WickrLoginReceipt paramWickrLoginReceipt)
    {
      LoginResumeActivity.this.receipt = paramWickrLoginReceipt;
      LoginResumeActivity.this.runOnUiThread(new Runnable()
      {
        public void run()
        {
          Log.e(LoginResumeActivity.this.getClass().getSimpleName(), "11");
          LoginResumeActivity.this.finishLoginWithResult(LoginResumeActivity.this.receipt);
        }
      });
    }

    private void showErrorValue(String paramString)
    {
      LoginResumeActivity.this.errorValueString = paramString;
      LoginResumeActivity.this.runOnUiThread(new Runnable()
      {
        public void run()
        {
          LoginResumeActivity.this.status.setText(LoginResumeActivity.this.errorValueString);
        }
      });
    }

    public void run()
    {
      Log.e(LoginResumeActivity.this.getClass().getSimpleName(), "14");
      Looper.prepare();
      Log.e(LoginResumeActivity.this.getClass().getSimpleName(), "15");
      LoginResumeActivity.this.backAllowed = false;
      Log.e(LoginResumeActivity.this.getClass().getSimpleName(), "16");
      WickrSession localWickrSession = WickrSession.getActiveSession();
      Log.e(LoginResumeActivity.this.getClass().getSimpleName(), "17");
      String str1 = WickrUtil.getDeviceIdentifier(LoginResumeActivity.this.getApplicationContext());
      String str2 = WickrUtil.getDBKeyFromPassword(LoginResumeActivity.this.userPass, str1);
      if (LoginResumeActivity.this.isLogin)
      {
        Log.e(LoginResumeActivity.this.getClass().getSimpleName(), "18");
        if (!((WickrApp)LoginResumeActivity.this.getApplication()).initializeDB(str2))
        {
          Log.e(LoginResumeActivity.this.getClass().getSimpleName(), "19");
          returnValue(null);
          return;
        }
        Log.e(LoginResumeActivity.this.getClass().getSimpleName(), "20");
        if (localWickrSession == null)
        {
          Log.e(LoginResumeActivity.this.getClass().getSimpleName(), "21");
          WickrApp localWickrApp = (WickrApp)LoginResumeActivity.this.getApplication();
          Log.e(LoginResumeActivity.this.getClass().getSimpleName(), "21.1");
          localWickrSession = localWickrApp.initializeSession(LoginResumeActivity.this.userPass, str1);
          Log.e(LoginResumeActivity.this.getClass().getSimpleName(), "21.2");
          if (localWickrSession.isErrorState())
          {
            Log.e(LoginResumeActivity.this.getClass().getSimpleName(), "22");
            returnValue(null);
            return;
          }
        }
      }
      Log.e(LoginResumeActivity.this.getClass().getSimpleName(), "23");
      String str3 = WickrGCMFactory.getSharedFactory().getRegistrationId();
      Log.e(LoginResumeActivity.this.getClass().getSimpleName(), "24");
      if (str3 != null)
        if (!LoginResumeActivity.this.isLogin)
          break label421;
      String str4;
      label421: for (boolean bool = false; ; bool = true)
      {
        str4 = localWickrSession.getServerLoginString(str3, bool);
        Log.e(LoginResumeActivity.this.getClass().getSimpleName(), "25");
        if (!localWickrSession.isErrorState())
          break label427;
        Log.e(LoginResumeActivity.this.getClass().getSimpleName(), "26");
        returnValue(null);
        return;
        str3 = "";
        break;
      }
      label427: Log.e(LoginResumeActivity.this.getClass().getSimpleName(), "27");
      LoginResumeActivity.this.httpClient = WickrSession.getActiveSession().getHttpClient();
      Log.e(LoginResumeActivity.this.getClass().getSimpleName(), "28");
      BinaryHttpResponseHandler local3 = new BinaryHttpResponseHandler(WickrUtil.allowedContentTypes)
      {
        public void onFailure(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte, Throwable paramAnonymousThrowable)
        {
        }

        public void onRetry(int paramAnonymousInt)
        {
          Log.e(LoginResumeActivity.this.getClass().getSimpleName(), "33");
          LoginResumeActivity.LoginThread.this.showErrorValue("Check Connection");
        }

        public void onSuccess(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte)
        {
          Log.e(LoginResumeActivity.this.getClass().getSimpleName(), "29");
          WickrLoginReceipt localWickrLoginReceipt = WickrSession.getActiveSession().processLoginResult(paramAnonymousArrayOfByte);
          if (WickrSession.getActiveSession().getSessionLock() > 0L)
          {
            Log.e(LoginResumeActivity.this.getClass().getSimpleName(), "30");
            if ((WickrSession.getActiveSession().getSessionLock() < localWickrLoginReceipt.getServerTime() - WickrSession.getActiveSession().lastSessionLockTime()) && (!LoginResumeActivity.this.isLogin))
            {
              Log.e(LoginResumeActivity.this.getClass().getSimpleName(), "31");
              LoginResumeActivity.this.runOnUiThread(new Runnable()
              {
                public void run()
                {
                  Log.e(LoginResumeActivity.this.getClass().getSimpleName(), "32");
                  LoginResumeActivity.this.loadingProgressBar.setVisibility(4);
                  LoginResumeActivity.this.passwordField.setVisibility(0);
                  LoginResumeActivity.this.status.setText("Session Locked");
                }
              });
              return;
            }
            LoginResumeActivity.LoginThread.this.returnValue(localWickrLoginReceipt);
            return;
          }
          LoginResumeActivity.LoginThread.this.returnValue(localWickrLoginReceipt);
        }
      };
      Log.e(LoginResumeActivity.this.getClass().getSimpleName(), "34");
      WickrAsyncHttp localWickrAsyncHttp = LoginResumeActivity.this.httpClient;
      String[] arrayOfString = new String[4];
      arrayOfString[0] = "json_secure";
      arrayOfString[1] = str4;
      arrayOfString[2] = "json_id";
      arrayOfString[3] = WickrSession.getActiveSession().getAppID();
      localWickrAsyncHttp.addStringParameters(arrayOfString);
      Log.e(LoginResumeActivity.this.getClass().getSimpleName(), "35");
      LoginResumeActivity.this.httpClient.post("https://secex.info/service/105/src/doLogin.php", local3);
      Log.e(LoginResumeActivity.this.getClass().getSimpleName(), "36");
      LoginResumeActivity.this.runOnUiThread(new Runnable()
      {
        public void run()
        {
          Log.e(LoginResumeActivity.this.getClass().getSimpleName(), "37");
          LoginResumeActivity.this.loadingProgressBar.setVisibility(0);
          LoginResumeActivity.this.status.setText("Unlocking Account");
        }
      });
      LoginResumeActivity.this.backAllowed = true;
      Looper.loop();
    }
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.gui.login.LoginResumeActivity
 * JD-Core Version:    0.6.2
 */