package com.mywickr.services;

import android.app.NotificationManager;
import android.app.Service;
import android.content.Context;
import android.content.Intent;
import android.os.Binder;
import android.os.Handler;
import android.os.IBinder;
import android.util.Log;
import com.loopj.android.http.BinaryHttpResponseHandler;
import com.loopj.android.http.RequestHandle;
import com.mywickr.wickr.WickrAPICode;
import com.mywickr.wickr.WickrAsyncHttp;
import com.mywickr.wickr.WickrInbox;
import com.mywickr.wickr.WickrKeyPairFactory;
import com.mywickr.wickr.WickrMessageQueue;
import com.mywickr.wickr.WickrSession;
import com.mywickr.wickr.WickrStatus;
import com.mywickr.wickr.WickrUtil;
import java.util.ArrayList;
import java.util.List;
import org.apache.http.Header;

public class WickrDownloadManagerService extends Service
{
  private static int FOREGROUND_ID = 1111;
  private static IBinder mBinder = null;
  private boolean downloadInProgress = false;
  private Handler handler;
  private WickrAsyncHttp httpClient = new WickrAsyncHttp(this, true);
  private RequestHandle messageCheckHandle;
  private WickrMessageQueue messageQueue;
  private NotificationManager nManager;
  private WickrStatus status;
  private float totalDownloadJob;
  private float totalDownloaded;

  private static native String activeSessionMessageAckString(WickrStatus paramWickrStatus, String[] paramArrayOfString);

  private static native String activeSessionMessageCheckString(WickrStatus paramWickrStatus);

  private void checkForMessages()
  {
    if (shouldStart())
      commitMessageCheck();
  }

  private void commitMessageCheck()
  {
    if ((!this.downloadInProgress) && (WickrSession.getActiveSession() != null))
    {
      setDownloadInProgress(true);
      setStatus(new WickrStatus(1));
      this.messageQueue = new WickrMessageQueue();
      String str = activeSessionMessageCheckString(getStatus());
      BinaryHttpResponseHandler local1 = new BinaryHttpResponseHandler(WickrUtil.allowedContentTypes)
      {
        public void onFailure(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte, Throwable paramAnonymousThrowable)
        {
        }

        public void onRetry(int paramAnonymousInt)
        {
          WickrDownloadManagerService.this.onQueueNetIssue(true);
          Log.e("on", "retry");
        }

        public void onSuccess(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte)
        {
          WickrDownloadManagerService.this.processMessageCheckResults(paramAnonymousArrayOfByte);
        }
      };
      WickrAsyncHttp localWickrAsyncHttp = this.httpClient;
      String[] arrayOfString = new String[4];
      arrayOfString[0] = "json_secure";
      arrayOfString[1] = str;
      arrayOfString[2] = "json_id";
      arrayOfString[3] = WickrSession.getActiveSession().getAppID();
      localWickrAsyncHttp.addStringParameters(arrayOfString);
      this.messageCheckHandle = this.httpClient.post("https://secex.info/service/105/src/newMessageCheck.php", local1);
      return;
    }
    setDownloadInProgress(false);
  }

  public static String getMessageAckString(WickrInbox[] paramArrayOfWickrInbox)
  {
    WickrStatus localWickrStatus = new WickrStatus(1);
    ArrayList localArrayList = new ArrayList();
    int i = paramArrayOfWickrInbox.length;
    for (int j = 0; ; j++)
    {
      if (j >= i)
      {
        String str = activeSessionMessageAckString(localWickrStatus, (String[])localArrayList.toArray(new String[localArrayList.size()]));
        if (localWickrStatus.isError())
          str = null;
        return str;
      }
      WickrInbox localWickrInbox = paramArrayOfWickrInbox[j];
      if (!localWickrInbox.isDeleted())
        localArrayList.add(localWickrInbox.getSrvMsgID());
    }
  }

  private void performMessageBlobDownload(final WickrInbox paramWickrInbox)
  {
    BinaryHttpResponseHandler local2 = new BinaryHttpResponseHandler(WickrUtil.allowedContentTypes)
    {
      public void onFailure(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte, Throwable paramAnonymousThrowable)
      {
      }

      public void onProgress(int paramAnonymousInt1, int paramAnonymousInt2)
      {
        super.onProgress(paramAnonymousInt1, paramAnonymousInt2);
        if ((WickrDownloadManagerService.this.messageQueue.getTotalDownloadTask() > 0) && (paramAnonymousInt2 > 0))
        {
          float f = 100.0F * (WickrDownloadManagerService.this.messageQueue.getNumberOfStatuses() / WickrDownloadManagerService.this.messageQueue.getTotalDownloadTask() + paramAnonymousInt1 / paramAnonymousInt2);
          WickrDownloadManagerService.this.onQueueProgress((int)f);
        }
      }

      public void onRetry(int paramAnonymousInt)
      {
        WickrDownloadManagerService.this.onQueueNetIssue(true);
      }

      public void onSuccess(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte)
      {
        WickrDownloadManagerService.this.nManager = ((NotificationManager)WickrDownloadManagerService.this.getApplicationContext().getSystemService("notification"));
        WickrDownloadManagerService.this.nManager.cancelAll();
        WickrAPICode localWickrAPICode = WickrInbox.checkForDownloadError(paramAnonymousArrayOfByte);
        WickrDownloadManagerService.this.messageQueue.saveDownloadStatus(paramWickrInbox.getSrvMsgID(), localWickrAPICode);
        if (!localWickrAPICode.isError())
        {
          if (paramWickrInbox.processBlobDownload(paramAnonymousArrayOfByte).isError())
            paramWickrInbox.delete();
          WickrDownloadManagerService.this.onQueueRequestRefresh();
        }
        while (true)
        {
          WickrDownloadManagerService.this.onQueueProgress((int)WickrDownloadManagerService.this.messageQueue.getPercentageCompleted());
          if (WickrDownloadManagerService.this.messageQueue.getTotalDownloadTask() == WickrDownloadManagerService.this.messageQueue.getNumberOfStatuses())
          {
            WickrDownloadManagerService.this.allDownloadsComplete(WickrDownloadManagerService.this.messageQueue.getMsgQueueAsArray());
            WickrDownloadManagerService.this.messageQueue.resetQueue();
            WickrDownloadManagerService.this.onQueueFinish();
          }
          return;
          if (localWickrAPICode.getValue() == 16)
            paramWickrInbox.delete();
        }
      }
    };
    String str = paramWickrInbox.getSecureDownloadString();
    if (str != null)
    {
      WickrAsyncHttp localWickrAsyncHttp = this.httpClient;
      String[] arrayOfString = new String[4];
      arrayOfString[0] = "json_secure";
      arrayOfString[1] = str;
      arrayOfString[2] = "json_id";
      arrayOfString[3] = WickrSession.getActiveSession().getAppID();
      localWickrAsyncHttp.addStringParameters(arrayOfString);
      this.httpClient.post("https://secex.info/service/105/src/downloadMessage.php", local2);
    }
    do
    {
      return;
      this.messageQueue.saveDownloadStatus(paramWickrInbox.getSrvMsgID(), new WickrAPICode(9));
    }
    while (this.messageQueue.getTotalDownloadTask() != this.messageQueue.getNumberOfStatuses());
    allDownloadsComplete(this.messageQueue.getMsgQueueAsArray());
    this.messageQueue.resetQueue();
    onQueueFinish();
  }

  private void setDownloadInProgress(boolean paramBoolean)
  {
    Log.e("", paramBoolean);
    this.downloadInProgress = paramBoolean;
  }

  private boolean shouldStart()
  {
    boolean bool2;
    if (!this.downloadInProgress)
    {
      onCheckStart();
      bool2 = true;
      Log.d("", "1");
      return bool2;
    }
    Log.d("", "2");
    RequestHandle localRequestHandle = this.messageCheckHandle;
    int i = 0;
    if (localRequestHandle != null)
    {
      Log.d("", "3");
      if (!this.messageCheckHandle.isCancelled())
        break label124;
      Log.d("", "4");
    }
    for (i = 0; ; i = 1)
    {
      boolean bool1 = this.messageQueue.messageQueue.isEmpty();
      bool2 = false;
      if (!bool1)
        break;
      bool2 = false;
      if (i != 0)
        break;
      Log.d("", "6");
      setDownloadInProgress(false);
      onCheckEnd();
      onQueueFinish();
      return true;
      label124: Log.d("", "5");
    }
  }

  private static native byte[] testNewMessageCheckString(WickrStatus paramWickrStatus);

  private static native WickrInbox[] wickrMessageCheckResults(byte[] paramArrayOfByte, WickrAPICode paramWickrAPICode, WickrStatus paramWickrStatus);

  public void allDownloadsComplete(WickrInbox[] paramArrayOfWickrInbox)
  {
    int i;
    if ((paramArrayOfWickrInbox != null) && (paramArrayOfWickrInbox.length > 0))
      i = 0;
    for (int j = 0; ; j++)
    {
      if (j >= paramArrayOfWickrInbox.length)
      {
        WickrKeyPairFactory.createKeys(i, false);
        String str = getMessageAckString(paramArrayOfWickrInbox);
        if (str != null)
        {
          BinaryHttpResponseHandler local3 = new BinaryHttpResponseHandler(WickrUtil.allowedContentTypes)
          {
            public void onFailure(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte, Throwable paramAnonymousThrowable)
            {
            }

            public void onSuccess(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte)
            {
            }
          };
          WickrAsyncHttp localWickrAsyncHttp = this.httpClient;
          String[] arrayOfString = new String[4];
          arrayOfString[0] = "json_secure";
          arrayOfString[1] = str;
          arrayOfString[2] = "json_id";
          arrayOfString[3] = WickrSession.getActiveSession().getAppID();
          localWickrAsyncHttp.addStringParameters(arrayOfString);
          this.httpClient.post("https://secex.info/service/105/src/ackMessage.php", local3);
        }
        setDownloadInProgress(false);
        stopSelf();
        return;
      }
      if (paramArrayOfWickrInbox[j].shouldReplaceKey())
        i++;
    }
  }

  public void cancelAllTransfers()
  {
    this.messageCheckHandle.cancel(true);
    this.httpClient.cancelRequests();
    this.messageQueue.resetQueue();
    setDownloadInProgress(false);
    stopSelf();
  }

  public WickrStatus getStatus()
  {
    return this.status;
  }

  public boolean isDownloading()
  {
    return this.downloadInProgress;
  }

  public boolean isErrorState()
  {
    return this.status.isError();
  }

  public IBinder onBind(Intent paramIntent)
  {
    updateGUI();
    return mBinder;
  }

  protected void onCheckEnd()
  {
    Intent localIntent = new Intent();
    localIntent.setAction("com.mywickr.wickr.dlqueuecheckend");
    sendBroadcast(localIntent);
  }

  protected void onCheckStart()
  {
    Intent localIntent = new Intent();
    localIntent.setAction("com.mywickr.wickr.dlqueuecheckstart");
    sendBroadcast(localIntent);
  }

  public void onCreate()
  {
    super.onCreate();
    mBinder = new DownloadBinder();
    this.handler = new Handler();
  }

  public void onDestroy()
  {
    mBinder = null;
    setDownloadInProgress(false);
    super.onDestroy();
  }

  protected void onQueueError(String paramString)
  {
    Intent localIntent = new Intent();
    localIntent.setAction("com.mywickr.wickr.dlqueueerror");
    localIntent.putExtra("error", paramString);
    sendBroadcast(localIntent);
  }

  protected void onQueueFinish()
  {
    Intent localIntent = new Intent();
    localIntent.setAction("com.mywickr.wickr.dlqueuefinish");
    sendBroadcast(localIntent);
  }

  protected void onQueueNetIssue(boolean paramBoolean)
  {
    Intent localIntent = new Intent();
    localIntent.setAction("com.mywickr.wickr.dlqueuenetissue");
    localIntent.putExtra("hasIssue", paramBoolean);
    sendBroadcast(localIntent);
  }

  protected void onQueueProgress(int paramInt)
  {
    Intent localIntent = new Intent();
    localIntent.setAction("com.mywickr.wickr.dlqueueprogress");
    localIntent.putExtra("progress", paramInt);
    sendBroadcast(localIntent);
  }

  protected void onQueueRequestRefresh()
  {
    Intent localIntent = new Intent();
    localIntent.setAction("com.mywickr.wickr.dlqueuerefresh");
    sendBroadcast(localIntent);
  }

  protected void onQueueStart()
  {
    Intent localIntent = new Intent();
    localIntent.setAction("com.mywickr.wickr.dlqueuestart");
    sendBroadcast(localIntent);
  }

  public int onStartCommand(Intent paramIntent, int paramInt1, int paramInt2)
  {
    checkForMessages();
    return 2;
  }

  public void processMessageCheckResults(byte[] paramArrayOfByte)
  {
    WickrAPICode localWickrAPICode = new WickrAPICode(0);
    WickrInbox[] arrayOfWickrInbox1 = wickrMessageCheckResults(paramArrayOfByte, localWickrAPICode, getStatus());
    if (getStatus().isError())
    {
      onQueueError(localWickrAPICode.toString("processing transmissions"));
      allDownloadsComplete(null);
      return;
    }
    if (localWickrAPICode.isError())
    {
      onQueueError(localWickrAPICode.toString("processing transmissions"));
      allDownloadsComplete(null);
      return;
    }
    ArrayList localArrayList = new ArrayList();
    WickrInbox[] arrayOfWickrInbox2 = WickrInbox.getUndownloadedMessages();
    int n;
    if (arrayOfWickrInbox2.length > 0)
    {
      n = 0;
      if (n < arrayOfWickrInbox2.length);
    }
    else if (arrayOfWickrInbox1.length <= 0);
    for (int m = 0; ; m++)
    {
      if (m >= arrayOfWickrInbox1.length)
      {
        if (localArrayList.size() != 0)
          break label185;
        onCheckEnd();
        allDownloadsComplete(null);
        return;
        localArrayList.add(arrayOfWickrInbox2[n]);
        n++;
        break;
      }
      if (!WickrInbox.messageIsDuplicate(arrayOfWickrInbox1[m]))
      {
        arrayOfWickrInbox1[m].save();
        localArrayList.add(arrayOfWickrInbox1[m]);
      }
    }
    label185: this.totalDownloaded = 0.0F;
    this.messageQueue.setTotalDownloadTask(localArrayList.size());
    for (int i = 0; ; i++)
    {
      if (i >= localArrayList.size())
      {
        onQueueStart();
        this.totalDownloadJob = this.messageQueue.getTotalDownloadTask();
        WickrInbox[] arrayOfWickrInbox3 = this.messageQueue.getMsgQueueAsArray();
        int j = arrayOfWickrInbox3.length;
        for (int k = 0; k < j; k++)
          performMessageBlobDownload(arrayOfWickrInbox3[k]);
        break;
      }
      this.messageQueue.addToQueue((WickrInbox)localArrayList.get(i));
    }
  }

  public void setStatus(WickrStatus paramWickrStatus)
  {
    this.status = paramWickrStatus;
  }

  public void updateGUI()
  {
    if (!shouldStart())
    {
      if (this.messageQueue != null)
      {
        if (this.messageQueue.getTotalDownloadTask() > 0)
          onQueueProgress((int)(100.0D * this.messageQueue.getPercentageCompleted()));
        return;
      }
      onCheckStart();
      return;
    }
    onCheckEnd();
    onQueueFinish();
  }

  public class DownloadBinder extends Binder
  {
    public DownloadBinder()
    {
    }

    public WickrDownloadManagerService getService()
    {
      return WickrDownloadManagerService.this;
    }
  }

  public class DownloadManagerAction
  {
    public static final String CHECK_END_ACTION = "com.mywickr.wickr.dlqueuecheckend";
    public static final String CHECK_START_ACTION = "com.mywickr.wickr.dlqueuecheckstart";
    public static final String QUEUE_ERROR_ACTION = "com.mywickr.wickr.dlqueueerror";
    public static final String QUEUE_FINISH_ACTION = "com.mywickr.wickr.dlqueuefinish";
    public static final String QUEUE_NET_ISSUE_ACTION = "com.mywickr.wickr.dlqueuenetissue";
    public static final String QUEUE_PROGRESS_ACTION = "com.mywickr.wickr.dlqueueprogress";
    public static final String QUEUE_REFRESH_ACTION = "com.mywickr.wickr.dlqueuerefresh";
    public static final String QUEUE_START_ACTION = "com.mywickr.wickr.dlqueuestart";

    public DownloadManagerAction()
    {
    }
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.services.WickrDownloadManagerService
 * JD-Core Version:    0.6.2
 */