package com.mywickr.wickr;

import android.content.Context;
import java.io.File;
import net.sqlcipher.database.SQLiteDatabase;
import net.sqlcipher.database.SQLiteOpenHelper;

public class WickrDBAdapter extends SQLiteOpenHelper
{
  private static final String DATABASE_NAME = "wickr_db";
  private static final int DATABASE_VERSION = 2;
  public static final String TABLE_Wickr_Account = "Wickr_Account";
  static final String TABLE_Wickr_App = "Wickr_App";
  static final String TABLE_Wickr_Convo = "Wickr_convo";
  static final String TABLE_Wickr_ConvoUser = "Wickr_ConvoUser";
  static final String TABLE_Wickr_Error = "Wickr_Error";
  static final String TABLE_Wickr_KeyPair = "Wickr_KeyPair";
  static final String TABLE_Wickr_Message = "Wickr_Message";
  static final String TABLE_Wickr_PrivacyMan = "Wickr_PrivacyMan";
  static final String TABLE_Wickr_User = "Wickr_User";
  private static final String TAG = WickrDBAdapter.class.getSimpleName();
  static final String Wickr_Account_KEY_afEnable = "afEnable";
  static final String Wickr_Account_KEY_afSpeed = "afSpeed";
  static final String Wickr_Account_KEY_appID = "appID";
  static final String Wickr_Account_KEY_connectPopup = "connectPopup";
  static final String Wickr_Account_KEY_defaultTTL = "defaultTTL";
  static final String Wickr_Account_KEY_devTest = "devTest";
  static final String Wickr_Account_KEY_gcmID = "gcmID";
  static final String Wickr_Account_KEY_highE = "highE";
  static final String Wickr_Account_KEY_id = "_id";
  static final String Wickr_Account_KEY_isNewUser = "isNewUser";
  static final String Wickr_Account_KEY_lastAPID = "lastAPID";
  static final String Wickr_Account_KEY_needsBackup = "needsBackup";
  static final String Wickr_Account_KEY_privacyMan = "privacyMan";
  static final String Wickr_Account_KEY_privateKey = "privateKey";
  static final String Wickr_Account_KEY_sessionTimeout = "sessionTimeout";
  static final String Wickr_Account_KEY_userName = "userName";
  static final String Wickr_Account_KEY_vibrateEnabled = "vibrateEnabled";
  static final String Wickr_Account_KEY_wasSynced = "wasSynced";
  static final String Wickr_Account_KEY_wsSeed = "wsSeed";
  static final String Wickr_App_KEY_appIDHash = "appIDHash";
  static final String Wickr_App_KEY_appIDSec = "appIDSec";
  static final String Wickr_App_KEY_id = "_id";
  static final String Wickr_App_KEY_pubKey = "pubKey";
  static final String Wickr_App_KEY_pube = "pube";
  static final String Wickr_App_KEY_pubet = "pubet";
  static final String Wickr_App_KEY_pubid = "pubid";
  static final String Wickr_App_KEY_user = "user";
  static final String Wickr_ConvoUser_KEY_convo = "convo";
  static final String Wickr_ConvoUser_KEY_user = "user";
  static final String Wickr_Convo_KEY_account = "account";
  static final String Wickr_Convo_KEY_id = "_id";
  static final String Wickr_Convo_KEY_lastTimestamp = "lastTimestamp";
  static final String Wickr_Convo_KEY_lastUser = "lastUser";
  static final String Wickr_Convo_KEY_needsInfo = "needsInfo";
  static final String Wickr_Convo_KEY_unreadMessages = "unreadMessages";
  static final String Wickr_Convo_KEY_vGroupID = "vGroupID";
  static final String Wickr_Convo_KEY_vGroupTagSec = "vGroupTagSec";
  static final String Wickr_Error_KEY_code = "code";
  static final String Wickr_Error_KEY_id = "_id";
  static final String Wickr_Error_KEY_msgRef = "msgRef";
  static final String Wickr_Error_KEY_stringSec = "stringSec";
  static final String Wickr_Error_KEY_usrRef = "userRef";
  static final String Wickr_KeyPair_KEY_dnd = "dnd";
  static final String Wickr_KeyPair_KEY_expireTime = "expireTime";
  static final String Wickr_KeyPair_KEY_identifier = "identifier";
  static final String Wickr_KeyPair_KEY_needsUpload = "needsUpload";
  static final String Wickr_KeyPair_KEY_privateKey = "privateKey";
  static final String Wickr_KeyPair_KEY_publicKey = "publicKey";
  static final String Wickr_KeyPair_KEY_timestamp = "timestamp";
  static final String Wickr_Message_KEY_appSender = "appSender";
  static final String Wickr_Message_KEY_bEnc = "bEnc";
  static final String Wickr_Message_KEY_bodyText = "bodyText";
  static final String Wickr_Message_KEY_ch = "ch";
  static final String Wickr_Message_KEY_class = "class";
  static final String Wickr_Message_KEY_cleanup = "cleanup";
  static final String Wickr_Message_KEY_convo = "convo";
  static final String Wickr_Message_KEY_id = "_id";
  static final String Wickr_Message_KEY_msgID = "msgID";
  static final String Wickr_Message_KEY_msgIDS = "msgIDs";
  static final String Wickr_Message_KEY_ottl = "ottl";
  static final String Wickr_Message_KEY_senderAppID = "senderAppID";
  static final String Wickr_Message_KEY_senderUserID = "senderUserID";
  static final String Wickr_Message_KEY_tMsgID = "tMsgID";
  static final String Wickr_Message_KEY_timestamp = "timestamp";
  static final String Wickr_Message_KEY_ttl = "ttl";
  static final String Wickr_Message_KEY_type = "type";
  static final String Wickr_Message_KEY_ul = "ul";
  static final String Wickr_Message_KEY_userSender = "userSender";
  static final String Wickr_Message_KEY_verifiedSender = "verifiedSender";
  static final String Wickr_PrivacyMan_KEY_account = "account";
  static final String Wickr_PrivacyMan_KEY_id = "_id";
  static final String Wickr_PrivacyMan_KEY_lastUpdate = "lastUpdate";
  static final String Wickr_PrivacyMan_KEY_type = "type";
  static final String Wickr_User_KEY_account = "account";
  static final String Wickr_User_KEY_id = "_id";
  static final String Wickr_User_KEY_isHidden = "isHidden";
  static final String Wickr_User_KEY_privacyMan = "privacyMan";
  static final String Wickr_User_KEY_userAlias = "userAlias";
  static final String Wickr_User_KEY_userAliasHash = "userAliasHash";
  static final String Wickr_User_KEY_userIDHash = "userIDHash";
  static final String Wickr_User_KEY_userIDSec = "UserIDSec";
  static final String Wickr_User_KEY_userImageSec = "userImageSec";
  static final String Wickr_User_KEY_userNameSec = "userNameSec";
  public static SQLiteDatabase readablDatabase;
  private static WickrDBAdapter sharedAdapter = null;
  public static SQLiteDatabase writableDatabase = null;

  static
  {
    readablDatabase = null;
  }

  private WickrDBAdapter(Context paramContext)
  {
    super(paramContext, "wickr_db", null, 2);
  }

  public static void deleteDb(Context paramContext)
  {
    if (readablDatabase != null)
      readablDatabase.close();
    if (writableDatabase != null)
      writableDatabase.close();
    if (sharedAdapter != null)
      sharedAdapter.close();
    paramContext.deleteDatabase("wickr_db");
    sharedAdapter = null;
  }

  public static boolean doesDBExist(Context paramContext)
  {
    return paramContext.getDatabasePath("wickr_db").exists();
  }

  public static boolean initializeDB(Context paramContext, String paramString)
  {
    SQLiteDatabase.loadLibs(paramContext);
    if (sharedAdapter == null)
      sharedAdapter = new WickrDBAdapter(paramContext);
    try
    {
      writableDatabase = sharedAdapter.getWritableDatabase(paramString);
      readablDatabase = sharedAdapter.getReadableDatabase(paramString);
      return true;
    }
    catch (Throwable localThrowable)
    {
      sharedAdapter = null;
      writableDatabase = null;
      readablDatabase = null;
    }
    return false;
  }

  public void onCreate(SQLiteDatabase paramSQLiteDatabase)
  {
    paramSQLiteDatabase.execSQL("CREATE TABLE Wickr_Account (_id INTEGER PRIMARY KEY, userName BLOB, appID BLOB, nextLoginTime BIGINT, failedLoginCount INTEGER, afEnable INTEGER, afSpeed INTEGER, needsBackup INTEGER, isNewUser INTEGER, connectPopup INTEGER, wasSynced INTEGER, devTest BLOB, wsSeed BLOB, defaultTTL BLOB, sessionTimeout BLOB, vibrateEnabled INTEGER, privateKey BLOB, highE INTEGER, lastAPID INTEGER, privacyMan INTEGER, gcmID TEXT, FOREIGN KEY(privacyMan) REFERENCES privacyMan(_id));");
    paramSQLiteDatabase.execSQL("CREATE TABLE Wickr_Convo (_id INTEGER PRIMARY KEY, vGroupID TEXT UNIQUE, unreadMessages INTEGER, lastUser INTEGER, lastTimestamp INTEGER, account INTEGER, needsInfo INTEGER, vGroupTagSec BLOB, FOREIGN KEY(lastUser) REFERENCES Wickr_User(_id), FOREIGN KEY(account) REFERENCES Wickr_Account(_id));");
    paramSQLiteDatabase.execSQL("CREATE TABLE Wickr_Message (_id INTEGER PRIMARY KEY, msgID text, msgIDs text, class INTEGER, timestamp INTEGER, type TEXT, convo INTEGER, verifiedSender INTEGER, cleanup INTEGER, appSender INTEGER, userSender INTEGER, senderAppID TEXT, senderUserID TEXT, bodyText BLOB, ch BLOB, ttl BLOB, ul BLOB, bEnc BLOB, tMsgID STRING, ottl INTEGER, FOREIGN KEY(convo) REFERENCES Wickr_Convo(_id), FOREIGN KEY(appSender) REFERENCES Wickr_App(_id), FOREIGN KEY(userSender) REFERENCES Wickr_User(_id));");
    paramSQLiteDatabase.execSQL("CREATE TABLE Wickr_App (_id INTEGER PRIMARY KEY, appIDHAsh TEXT, appIDSec BLOB, pubKey BLOB, user TEXT, FOREIGN KEY(user) REFERENCES Wickr_User(userIDHash));");
    paramSQLiteDatabase.execSQL("CREATE TABLE Wickr_User (_id INTEGER PRIMARY KEY,  userIDHash TEXT UNIQUE, userIDSec BLOB, userAliasHash TEXT, userAlias BLOB, privacyMan INTEGER, userNameSec BLOB, userImageSec BLOB, isHidden INTEGER, account INTEGER, FOREIGN KEY(privacyMan) REFERENCES Wickr_PrivacyMan(_id), FOREIGN KEY(account) REFERENCES Wickr_account(_id));");
    paramSQLiteDatabase.execSQL("CREATE TABLE Wickr_ConvoUser (user INTEGER, convo INTEGER, FOREIGN KEY(user) REFERENCES Wickr_User(_id), FOREIGN KEY(convo) REFERENCES Wickr_Convo(_id) UNIQUE(user, convo));");
    paramSQLiteDatabase.execSQL("CREATE TABLE Wickr_PrivacyMan (_id INTEGER PRIMARY KEY, type INTEGER, lastUpdate INTEGER, account INTEGER);");
    paramSQLiteDatabase.execSQL("CREATE TABLE Wickr_KeyPair (dnd INTEGER, expireTime INTEGER, identifier INTEGER, needsUpload INTEGER, privateKey BLOB, publicKey BLOB, timestamp INTEGER);");
    paramSQLiteDatabase.execSQL("CREATE TABLE Wickr_Error (_id INTEGER PRIMARY KEY, msgRef INTEGER, userRef TEXT, code INTEGER, stringSec BLOB, FOREIGN KEY(msgRef) REFERENCES Wickr_Message(_id), FOREIGN KEY(userRef) REFERENCES Wickr_User(userIDHash))");
  }

  public void onUpgrade(SQLiteDatabase paramSQLiteDatabase, int paramInt1, int paramInt2)
  {
    if (paramInt2 > paramInt1)
    {
      paramSQLiteDatabase.execSQL("ALTER TABLE Wickr_Message ADD COLUMN tMsgID STRING");
      paramSQLiteDatabase.execSQL("ALTER TABLE Wickr_Message ADD COLUMN ottl INTEGER");
      paramSQLiteDatabase.execSQL("CREATE TABLE Wickr_Error (_id INTEGER PRIMARY KEY, msgRef INTEGER, userRef TEXT, code INTEGER, stringSec BLOB, FOREIGN KEY(msgRef) REFERENCES Wickr_Message(_id), FOREIGN KEY(userRef) REFERENCES Wickr_User(userIDHash))");
      paramSQLiteDatabase.execSQL("ALTER TABLE Wickr_User ADD COLUMN userNameSec BLOB");
      paramSQLiteDatabase.execSQL("ALTER TABLE Wickr_User ADD COLUMN userImageSec BLOB");
      paramSQLiteDatabase.execSQL("ALTER TABLE Wickr_Convo ADD COLUMN vGroupTagSec BLOB");
    }
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.wickr.WickrDBAdapter
 * JD-Core Version:    0.6.2
 */