package com.mywickr.wickr;

import android.content.Context;
import android.content.Intent;
import android.os.Handler;
import android.os.Looper;
import com.loopj.android.http.BinaryHttpResponseHandler;
import com.loopj.android.http.RequestHandle;
import com.mywickr.gui.listadapters.WickrConvoMsgAdapter;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Iterator;
import org.apache.http.Header;

public class WickrUploadOperation extends WickrOperation
{
  protected long contentSize;
  private Context context;
  private WickrComposeCtx ctx;
  private WickrAsyncHttp httpClient = null;
  private WickrOutbox outboxMessage = null;
  private RequestHandle uploadRequestHandle = null;
  private ArrayList<WickrUserValidator> validators = null;

  public WickrUploadOperation(WickrComposeCtx paramWickrComposeCtx, WickrQueueInterface paramWickrQueueInterface, WickrAsyncHttp paramWickrAsyncHttp, Context paramContext)
  {
    super(paramWickrQueueInterface);
    this.ctx = paramWickrComposeCtx;
    this.validators = new ArrayList();
    this.httpClient = paramWickrAsyncHttp;
    this.outboxMessage = this.ctx.getOutboxMessage();
    this.context = paramContext;
    if (this.outboxMessage != null)
    {
      this.outboxMessage.save();
      return;
    }
    processError(new WickrAPICode(-9), "Unknown error sending your message: -9", null);
  }

  private String getTempFilePath()
  {
    return this.outboxMessage.getMsgIDSecure() + ".out";
  }

  private void postMessage()
    throws Exception
  {
    WickrComposeReceipt localWickrComposeReceipt = this.ctx.getComposeReceipt(WickrSession.getActiveSession().getLocalAppTime());
    if ((localWickrComposeReceipt == null) || (this.ctx.isErrorState()))
    {
      WickrAPICode localWickrAPICode = new WickrAPICode(-2);
      processError(localWickrAPICode, localWickrAPICode.toString("sending your message"), null);
      complete();
      return;
    }
    if (getStatusDisplayInterface() != null)
      getStatusDisplayInterface().setStatus("Uploading");
    setProgress(0.2F);
    writeTempFile(localWickrComposeReceipt.getMsgBlobForUpload());
    BinaryHttpResponseHandler local1 = new BinaryHttpResponseHandler(WickrUtil.allowedContentTypes)
    {
      public void onFailure(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte, Throwable paramAnonymousThrowable)
      {
      }

      public void onProgress(int paramAnonymousInt1, int paramAnonymousInt2)
      {
        float f = 100.0F * (paramAnonymousInt1 / paramAnonymousInt2);
        WickrUploadOperation.this.setProgress(f);
      }

      public void onSuccess(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte)
      {
        WickrUploadOperation.this.cleanTempFile();
        WickrAPICode localWickrAPICode = WickrUploadOperation.this.ctx.processPostMessageResult(paramAnonymousArrayOfByte);
        WickrUser[] arrayOfWickrUser;
        int j;
        if (!localWickrAPICode.isError())
        {
          WickrUploadOperation.this.outboxMessage.clearUnlock();
          WickrUploadOperation.this.outboxMessage.clearCache();
          arrayOfWickrUser = WickrUploadOperation.this.ctx.getRecipients();
          int i = arrayOfWickrUser.length;
          j = 0;
          if (j < i);
        }
        while (true)
        {
          WickrUploadOperation.this.complete();
          return;
          arrayOfWickrUser[j].clearAppKeyInfo();
          j++;
          break;
          WickrUploadOperation.this.processError(localWickrAPICode, localWickrAPICode.toString("sending your message"), null);
        }
      }
    };
    WickrAsyncHttp localWickrAsyncHttp = this.httpClient;
    String[] arrayOfString = new String[4];
    arrayOfString[0] = "json_secure";
    arrayOfString[1] = localWickrComposeReceipt.getJsonForUpload();
    arrayOfString[2] = "json_id";
    arrayOfString[3] = WickrSession.getActiveSession().getAppID();
    localWickrAsyncHttp.addStringParameters(arrayOfString);
    this.httpClient.addFileData("blob", WickrSession.getActiveSession().getContext().openFileInput(getTempFilePath()));
    if (WickrContactMan.isBackUpNeeded)
    {
      byte[] arrayOfByte = WickrSession.getActiveSession().getContactManager().newContactBackup();
      if (arrayOfByte != null)
        this.httpClient.addByteArrayData("backup", arrayOfByte);
    }
    this.uploadRequestHandle = this.httpClient.post("https://secex.info/service/105/src/postMessage.php", local1);
  }

  private void processError(WickrAPICode paramWickrAPICode, String paramString, WickrUser paramWickrUser)
  {
    new WickrError(paramWickrAPICode, paramString, this.outboxMessage, paramWickrUser).save();
    this.outboxMessage.refreshErrors();
    if (Looper.getMainLooper().getThread() == Thread.currentThread())
    {
      if (this.outboxMessage.getConvo().getMsgAdapter() != null)
        this.outboxMessage.getConvo().getMsgAdapter().notifyDataSetChanged();
      return;
    }
    new Handler(Looper.getMainLooper()).post(new Runnable()
    {
      public void run()
      {
        if (WickrUploadOperation.this.outboxMessage.getConvo().getMsgAdapter() != null)
          WickrUploadOperation.this.outboxMessage.getConvo().getMsgAdapter().notifyDataSetChanged();
      }
    });
  }

  private void setProgress(final float paramFloat)
  {
    this.progress = paramFloat;
    if (getProgressDisplayInterface() != null)
    {
      if (Looper.getMainLooper().getThread() == Thread.currentThread())
        getProgressDisplayInterface().setProgress(paramFloat);
    }
    else
      return;
    new Handler(Looper.getMainLooper()).post(new Runnable()
    {
      public void run()
      {
        try
        {
          WickrUploadOperation.this.getProgressDisplayInterface().setProgress(paramFloat);
          return;
        }
        catch (Exception localException)
        {
        }
      }
    });
  }

  public void cancel()
  {
    Iterator localIterator;
    if (this.validators != null)
      localIterator = this.validators.iterator();
    while (true)
    {
      if (!localIterator.hasNext())
      {
        if (this.uploadRequestHandle != null)
          this.uploadRequestHandle.cancel(true);
        super.cancel();
        return;
      }
      ((WickrUserValidator)localIterator.next()).cancel();
    }
  }

  public void cleanTempFile()
  {
    WickrSession.getActiveSession().getContext().deleteFile(getTempFilePath());
  }

  public void complete()
  {
    if (getProgressDisplayInterface() != null)
    {
      if (Looper.getMainLooper().getThread() != Thread.currentThread())
        break label35;
      getProgressDisplayInterface().setOperation(null, null);
    }
    while (true)
    {
      super.complete();
      return;
      label35: new Handler(Looper.getMainLooper()).post(new Runnable()
      {
        public void run()
        {
          try
          {
            WickrUploadOperation.this.uploadFinished();
            WickrUploadOperation.this.getProgressDisplayInterface().setOperation(null, null);
            return;
          }
          catch (Exception localException)
          {
          }
        }
      });
    }
  }

  public String getID()
  {
    return this.outboxMessage.getMsgIDSecure();
  }

  protected Runnable getRunnable()
  {
    return new WickrUploadRunnable();
  }

  public void start()
  {
    super.start();
    setProgress(0.1F);
  }

  protected void uploadFinished()
  {
    Intent localIntent = new Intent();
    localIntent.setAction("com.mywickr.wickr.uploadfinished");
    this.context.sendBroadcast(localIntent);
  }

  public void writeTempFile(byte[] paramArrayOfByte)
  {
    try
    {
      FileOutputStream localFileOutputStream = WickrSession.getActiveSession().getContext().openFileOutput(getTempFilePath(), 0);
      localFileOutputStream.write(paramArrayOfByte);
      localFileOutputStream.close();
      return;
    }
    catch (FileNotFoundException localFileNotFoundException)
    {
      localFileNotFoundException.printStackTrace();
      return;
    }
    catch (IOException localIOException)
    {
      localIOException.printStackTrace();
    }
  }

  public class WickrUploadRunnable
    implements Runnable
  {
    public WickrUploadRunnable()
    {
    }

    public void run()
    {
      Looper.prepare();
      WickrUser[] arrayOfWickrUser = WickrUploadOperation.this.ctx.getConvo().getAllUsers();
      int i = arrayOfWickrUser.length;
      int j = 0;
      Iterator localIterator;
      if (j >= i)
      {
        if (WickrUploadOperation.this.getStatusDisplayInterface() != null)
          WickrUploadOperation.this.getStatusDisplayInterface().setStatus("Validating");
        localIterator = WickrUploadOperation.this.validators.iterator();
      }
      while (true)
      {
        if (!localIterator.hasNext())
        {
          Looper.loop();
          return;
          WickrUser localWickrUser = arrayOfWickrUser[j];
          WickrUserValidator localWickrUserValidator = new WickrUserValidator(new WickrUploadOperation.WickrUserValidatorResponse(WickrUploadOperation.this), localWickrUser);
          WickrUploadOperation.this.validators.add(localWickrUserValidator);
          j++;
          break;
        }
        ((WickrUserValidator)localIterator.next()).start();
      }
    }
  }

  public class WickrUserValidatorResponse
    implements WickrUserValidatorInterface
  {
    public WickrUserValidatorResponse()
    {
    }

    public void userValidatorFailedWithError(WickrAPICode paramWickrAPICode, String paramString, WickrUserValidator paramWickrUserValidator)
    {
      WickrUploadOperation.this.processError(paramWickrAPICode, paramString, paramWickrUserValidator.getSearchItem().getRepresentedUser());
      WickrUploadOperation.this.complete();
    }

    public void userValidatorHasNetworkIssue()
    {
    }

    public void userValidatorSuccess(Object paramObject, WickrUserValidator paramWickrUserValidator)
    {
      if (WickrUploadOperation.this.ctx.updateRecipient((WickrUser)paramObject).isError())
      {
        WickrAPICode localWickrAPICode1 = new WickrAPICode(-9);
        userValidatorFailedWithError(localWickrAPICode1, localWickrAPICode1.toString("validating a user"), paramWickrUserValidator);
      }
      do
      {
        return;
        WickrUploadOperation.this.validators.remove(paramWickrUserValidator);
      }
      while (WickrUploadOperation.this.validators.size() != 0);
      try
      {
        WickrUploadOperation.this.postMessage();
        return;
      }
      catch (Exception localException)
      {
        localException.printStackTrace();
        WickrAPICode localWickrAPICode2 = new WickrAPICode(-2);
        WickrUploadOperation.this.processError(localWickrAPICode2, localWickrAPICode2.toString("uploading your message"), null);
      }
    }
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.wickr.WickrUploadOperation
 * JD-Core Version:    0.6.2
 */