package com.mywickr.wickr;

import android.annotation.SuppressLint;
import android.app.Activity;
import android.app.AlertDialog;
import android.app.AlertDialog.Builder;
import android.content.ContentResolver;
import android.content.ContentUris;
import android.content.Context;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.os.Build;
import android.os.Build.VERSION;
import android.provider.ContactsContract.Contacts;
import android.provider.Settings.Secure;
import android.telephony.TelephonyManager;
import android.util.DisplayMetrics;
import android.view.View;
import android.view.Window;
import android.widget.TextView;
import com.google.i18n.phonenumbers.NumberParseException;
import com.google.i18n.phonenumbers.PhoneNumberUtil;
import com.google.i18n.phonenumbers.PhoneNumberUtil.PhoneNumberFormat;
import com.google.i18n.phonenumbers.Phonenumber.PhoneNumber;
import com.mywickr.gcm.WickrGCMFactory;
import com.neovisionaries.i18n.CountryCode;
import java.io.InputStream;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.Locale;
import java.util.UUID;
import java.util.concurrent.TimeUnit;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class WickrUtil
{
  public static char ACCOUNT_INFO = '\000';
  public static String ADDING_DUPLICATE_RECIPIENT_ALERT;
  public static char ADD_MAIL_CONN = '\000';
  public static char ADD_PHONE_CONN = '\000';
  public static String ADD_USER_TO_BLOCK_LIST;
  public static char BLOCK_USER_CALL = '\000';
  public static String BLOCK_USER_CALLER_AUDIO_MSG;
  public static String BLOCK_USER_CALLER_CONVO;
  public static String BLOCK_USER_CALLER_MSG;
  public static String BLOCK_USER_CALLER_PRIVACY;
  public static char CHANGE_MODE_CALL = '\000';
  public static char CONTACT_BACKUP = '\000';
  public static String CONTACT_MANAGER_CALLER_NEW_MSG;
  public static String CONTACT_MANGER_CALLER_ID_CONNECT;
  public static String DEVICE_MANUFACTURER = Build.MANUFACTURER;
  private static final String EMAIL_PATTERN = "^[_A-Za-z0-9-\\+]+(\\.[_A-Za-z0-9-]+)*@[A-Za-z0-9-]+(\\.[A-Za-z0-9]+)*(\\.[A-Za-z]{2,})$";
  public static String ERASE_EXISTING_ACCOUNT;
  public static String FORGOT_PASSWORD;
  public static final int HTTPS_TIMEOUT = 5000;
  public static final int MAX_LOGIN_ATTEMPT = 5;
  public static final int MAX_RETRY_COUNT = 10000;
  public static String MSG_AUTO_LOGIN;
  public static String MSG_CONNECT_MAIL;
  public static String MSG_CONNECT_PHONE;
  public static String MSG_EMAIL_CONNECT_CONFIRM;
  public static String MSG_INVITE_TEXT_BODY;
  public static String MSG_JOIN_WICKR;
  public static String MSG_PHONE_CONNECT_CONFIRM;
  public static String MSG_SYNC_OFF;
  private static final String PHONE_PATTERN = "^\\+[0-9]{10,15}$";
  public static String REMOVE_DEVICE;
  public static char REMOVE_MAIL_CONN = '\000';
  public static char REMOVE_PHONE_CONN = '\000';
  public static String RESET_APP;
  public static String RESTORE_BACKUP;
  public static String SENDER_VALIDATED;
  public static char SUSPEND_DEVICE = '\000';
  public static char SYNC = '\000';
  public static final long TIME_TILL_NEXT_RETRY = 60000L;
  public static char UNBLOCK_USER_CALL = '\000';
  public static char UPDATE_PRIVACY_LIST_CALL = '\000';
  public static final String URL_ABOUT = "https://secex.info/service/about_blk.php?p=2";
  public static final String URL_ACK_MESSAGE = "https://secex.info/service/105/src/ackMessage.php";
  public static final String URL_CHECK_NEW_MESSAGE = "https://secex.info/service/105/src/newMessageCheck.php";
  public static final String URL_DOLOGIN = "https://secex.info/service/105/src/doLogin.php";
  public static final String URL_DOWNLOAD_MESSAGE = "https://secex.info/service/105/src/downloadMessage.php";
  public static final String URL_DO_SUSPEND = "https://secex.info/service/105/src/doSuspend.php";
  public static final String URL_GET_CONTACT = "https://secex.info/service/105/src/getContacts.php";
  public static final String URL_GET_SELF_INFO = "https://secex.info/service/105/src/getSelfInfo.php";
  public static final String URL_GET_USER_INFO = "https://secex.info/service/105/src/getUserInfo.php";
  public static final String URL_GET_USER_INFO_UPDATE = "https://secex.info/service/105/src/getUserInfoSingle.php";
  public static final String URL_GET_WHITE_LIST = "https://secex.info/service/105/src/getWhitelist.php";
  public static final String URL_GET_X_USER = "https://secex.info/service/105/src/getXUsers.php";
  public static final String URL_LINK_EXTERNAL_ID = "https://secex.info/service/105/src/linkExternalID.php";
  public static final String URL_PART1 = "https://secex.info/service";
  public static final String URL_PART2 = "/105/src";
  public static final String URL_POST_MESSAGE = "https://secex.info/service/105/src/postMessage.php";
  public static final String URL_REGISTER_CHECK = "https://secex.info/service/105/src/registerUserCheck.php";
  public static final String URL_REGISTER_USER = "https://secex.info/service/105/src/registerUser.php";
  public static final String URL_ROTATE_KEY = "https://secex.info/service/105/src/rotateKey.php";
  public static final String URL_SET_USER_PROPERTY = "https://secex.info/service/105/src/setUserProperty.php";
  public static final String URL_SET_WHITE_LIST = "https://secex.info/service/105/src/setWhitelist.php";
  private static final String USER_PATTERN = "^[\\p{L}\\p{M}][\\p{L}\\p{N}\\p{M}]{3,14}$";
  private static final String USER_PATTERN_REGISTRATION = "^[a-zA-Z\\u00C0-\\u00D6\\u00D8-\\u00F6\\u00F8-\\u00FF][a-zA-Z\\u00C0-\\u00D6\\u00D8-\\u00F6\\u00F8-\\u00FF0-9]{3,14}$";
  public static String[] allowedContentTypes;
  public static int[] allowedTime;
  private static CountryCode countryCode;
  private static Pattern emailPattern;
  private static Pattern phonePattern;
  private static PhoneNumberUtil phoneUtil;
  private static String stringTemp;
  private static Pattern userPattern;
  private static Pattern userRegPattern;

  static
  {
    ADDING_DUPLICATE_RECIPIENT_ALERT = "You have already addressed this message to ";
    ADD_USER_TO_BLOCK_LIST = "Type the Wickr ID of the user you want to add";
    MSG_CONNECT_MAIL = "Note: A confirmation email will be sent to this address. You must tap the link inside it to verify your account.\r\n(Users age 13 or under may not use ID Connect without the consent of a parent or guardian.)";
    MSG_CONNECT_PHONE = "Note: A confirmation text message will be sent to this number. You must tap the link to verify your account.\r\n(Users age 13 or under may not use ID Connect without the consent of a parent or guardian.)\r\nExample usage: (US) +15555555555";
    RESTORE_BACKUP = "Do you want to import contacts from ";
    ERASE_EXISTING_ACCOUNT = "Resetting Wickr will put your app back into its original state. You will lose all data, and will not receive any messages sent to you unless you re-activate your account on this device.";
    FORGOT_PASSWORD = "Wickr does not know your username or password for security reasons. If you don't remember your password please tap \"Erase Data\" and create a new account.";
    RESET_APP = "Resetting Wickr will put your app back into its original state. You will lose all data, and will not receive any messages sent to you unless you re-activate your account on this device";
    REMOVE_DEVICE = "If you suspend this device, it will no longer be able to log in to this account.";
    SENDER_VALIDATED = "A digital signature has verified this message was composed by the username shown. \r\n (SHA-256)\r\n";
    MSG_SYNC_OFF = "For your protection, we do not allow Wickr accounts to be recovered using Google accounts. Disabling multiple devices will require you to choose a new username if you replace your device or reinstall your app.";
    MSG_AUTO_LOGIN = "Storing your password for this app may increase the risk of someone accessing your account without permission";
    MSG_EMAIL_CONNECT_CONFIRM = "Your email address will not be associated with your account until you tap the confirmation link we have sent to this email address. If you do not see it, please check your spam folder.";
    MSG_PHONE_CONNECT_CONFIRM = "Your phone number will not be associated with your account until you tap the confirmation link we have sent to your phone number via Text Message.";
    MSG_JOIN_WICKR = "Join me on Wickr";
    MSG_INVITE_TEXT_BODY = "I'd like to communicate privately with you. Download Wickr for free at mywickr.com/app. My Wickr ID is ";
    ACCOUNT_INFO = 'a';
    BLOCK_USER_CALL = 'b';
    UNBLOCK_USER_CALL = 'u';
    CHANGE_MODE_CALL = 'm';
    UPDATE_PRIVACY_LIST_CALL = 'p';
    ADD_MAIL_CONN = 'c';
    ADD_PHONE_CONN = 'n';
    REMOVE_MAIL_CONN = 'r';
    REMOVE_PHONE_CONN = 'd';
    SYNC = 'c';
    SUSPEND_DEVICE = 's';
    CONTACT_BACKUP = 't';
    BLOCK_USER_CALLER_CONVO = "convo";
    BLOCK_USER_CALLER_MSG = "msg";
    BLOCK_USER_CALLER_AUDIO_MSG = "audio";
    BLOCK_USER_CALLER_PRIVACY = "PRIVACY";
    CONTACT_MANAGER_CALLER_NEW_MSG = "newMessage";
    CONTACT_MANGER_CALLER_ID_CONNECT = "idconnect";
    emailPattern = Pattern.compile("^[_A-Za-z0-9-\\+]+(\\.[_A-Za-z0-9-]+)*@[A-Za-z0-9-]+(\\.[A-Za-z0-9]+)*(\\.[A-Za-z]{2,})$");
    phonePattern = Pattern.compile("^\\+[0-9]{10,15}$");
    userPattern = Pattern.compile("^[\\p{L}\\p{M}][\\p{L}\\p{N}\\p{M}]{3,14}$");
    userRegPattern = Pattern.compile("^[a-zA-Z\\u00C0-\\u00D6\\u00D8-\\u00F6\\u00F8-\\u00FF][a-zA-Z\\u00C0-\\u00D6\\u00D8-\\u00F6\\u00F8-\\u00FF0-9]{3,14}$");
    allowedContentTypes = new String[] { "image/jpeg", "image/png", "msg/msg", "text/html; charset=utf-8" };
    allowedTime = new int[] { 3, 4, 4, 4, 5, 5, 5, 6, 6, 6, 7, 7, 7, 8, 8, 8, 9, 9, 9, 10, 10, 10, 12, 12, 15, 15, 20, 20, 30, 30, 45, 45, 60, 60, 90, 90, 120, 120, 180, 180, 240, 240, 300, 300, 360, 360, 420, 420, 480, 480, 540, 540, 600, 600, 900, 900, 1200, 1200, 1800, 1800, 2400, 2400, 3000, 3000, 3600, 3600, 5400, 5400, 7200, 7200, 10800, 10800, 14400, 14400, 18000, 18000, 21600, 21600, 25200, 25200, 28800, 28800, 32400, 32400, 43200, 43200, 64800, 64800, 86400, 86400, 86400, 129600, 129600, 172800, 172800, 259200, 259200, 345600, 345600, 432000, 432000, 518400 };
    System.loadLibrary("wickrCore");
    startFipsMode();
  }

  public static WickrAliasType aliasTypeFromString(String paramString)
  {
    if ((paramString.length() < 4) || (paramString.length() > 50))
      return WickrAliasType.WICKR_INVALID_ALIAS;
    if (emailPattern.matcher(paramString).matches())
      return WickrAliasType.WICKR_EMAIL_ALIAS;
    if (phonePattern.matcher(paramString).matches())
      return WickrAliasType.WICKR_PHONE_ALIAS;
    if (validateUsername(paramString, false))
      return WickrAliasType.WICKR_USERNAME_ALIAS;
    return WickrAliasType.WICKR_INVALID_ALIAS;
  }

  public static String checkForCountryCode(String paramString)
  {
    if (phoneUtil == null)
      phoneUtil = PhoneNumberUtil.getInstance();
    try
    {
      if (paramString.startsWith("+"))
        paramString = paramString.substring(1, paramString.length());
      String str1 = paramString.replaceAll("\\D", "");
      if (countryCode == null)
        countryCode = CountryCode.getByCode(Locale.getDefault().getISO3Country());
      Phonenumber.PhoneNumber localPhoneNumber = phoneUtil.parse(str1, countryCode.getAlpha2());
      String str2 = phoneUtil.format(localPhoneNumber, PhoneNumberUtil.PhoneNumberFormat.E164);
      return str2;
    }
    catch (Exception localException)
    {
      localException.printStackTrace();
      return null;
    }
    catch (NumberParseException localNumberParseException)
    {
    }
    return null;
  }

  public static int convertDpToPx(Activity paramActivity, int paramInt)
  {
    return (int)(0.5F + 16.0F * paramActivity.getResources().getDisplayMetrics().density);
  }

  public static Bitmap cropCenterSquareBitmap(Bitmap paramBitmap)
  {
    if (paramBitmap.getWidth() >= paramBitmap.getHeight())
      return Bitmap.createBitmap(paramBitmap, paramBitmap.getWidth() / 2 - paramBitmap.getHeight() / 2, 0, paramBitmap.getHeight(), paramBitmap.getHeight());
    if (paramBitmap.getWidth() == paramBitmap.getHeight())
      return paramBitmap;
    return Bitmap.createBitmap(paramBitmap, 0, paramBitmap.getHeight() / 2 - paramBitmap.getWidth() / 2, paramBitmap.getWidth(), paramBitmap.getWidth());
  }

  public static void deletePrivateFiles(Context paramContext)
  {
    String[] arrayOfString = paramContext.fileList();
    int i = arrayOfString.length;
    for (int j = 0; ; j++)
    {
      if (j >= i)
        return;
      paramContext.deleteFile(arrayOfString[j]);
    }
  }

  public static void destroyLocalApp(Context paramContext)
  {
    WickrGCMFactory.unregisterNotifications(paramContext);
    WickrDBAdapter.deleteDb(paramContext);
    if (WickrSession.getActiveSession() != null)
      WickrSession.getActiveSession().closeSession(true);
  }

  @SuppressLint({"DefaultLocale"})
  public static String destructTimeToString(long paramLong)
  {
    int i = (int)TimeUnit.SECONDS.toDays(paramLong);
    long l1 = TimeUnit.SECONDS.toHours(paramLong) - i * 24;
    long l2 = TimeUnit.SECONDS.toMinutes(paramLong) - 60L * TimeUnit.SECONDS.toHours(paramLong);
    long l3 = TimeUnit.SECONDS.toSeconds(paramLong) - 60L * TimeUnit.SECONDS.toMinutes(paramLong);
    Object[] arrayOfObject = new Object[4];
    arrayOfObject[0] = Integer.valueOf(i);
    arrayOfObject[1] = Long.valueOf(l1);
    arrayOfObject[2] = Long.valueOf(l2);
    arrayOfObject[3] = Long.valueOf(l3);
    stringTemp = String.format("*%dd %dh %dm %02ds", arrayOfObject);
    return stringTemp;
  }

  @SuppressLint({"DefaultLocale"})
  public static String destructTimeToStringFormal(long paramLong)
  {
    int i = (int)TimeUnit.SECONDS.toDays(paramLong);
    long l1 = TimeUnit.SECONDS.toHours(paramLong) - i * 24;
    long l2 = TimeUnit.SECONDS.toMinutes(paramLong) - 60L * TimeUnit.SECONDS.toHours(paramLong);
    long l3 = TimeUnit.SECONDS.toSeconds(paramLong) - 60L * TimeUnit.SECONDS.toMinutes(paramLong);
    StringBuilder localStringBuilder = new StringBuilder();
    int j = 0;
    if (i > 0)
    {
      if (i == 1)
        localStringBuilder.append(i + " day");
      if (i > 1)
        localStringBuilder.append(i + " days");
      j = 1;
    }
    if (l1 > 0L)
    {
      if (j != 0)
        localStringBuilder.append(", ");
      if (l1 == 1L)
        localStringBuilder.append(l1 + " hour");
      if (l1 > 1L)
        localStringBuilder.append(l1 + " hours");
      j = 1;
    }
    if (l2 > 0L)
    {
      if (j != 0)
        localStringBuilder.append(", ");
      if (l2 == 1L)
        localStringBuilder.append(l2 + " minute");
      if (l2 > 1L)
        localStringBuilder.append(l2 + " minutes");
      j = 1;
    }
    if (l3 > 0L)
    {
      if (j != 0)
        localStringBuilder.append(", ");
      if (l3 == 1L)
        localStringBuilder.append(l3 + " second");
      if (l3 > 1L)
        localStringBuilder.append(l3 + " seconds");
    }
    return "Destructs in " + localStringBuilder.toString();
  }

  public static int dpToPixels(float paramFloat)
  {
    return (int)(0.5F + paramFloat * WickrSession.getActiveSession().getContext().getResources().getDisplayMetrics().density);
  }

  public static String formatTimestamp(long paramLong)
  {
    Calendar localCalendar1 = Calendar.getInstance();
    localCalendar1.setTimeInMillis(1000L * paramLong);
    Calendar localCalendar2 = Calendar.getInstance();
    localCalendar2.setTimeInMillis(System.currentTimeMillis());
    if ((localCalendar2.get(6) == localCalendar1.get(6)) && (localCalendar2.get(5) == localCalendar1.get(5)));
    for (SimpleDateFormat localSimpleDateFormat = new SimpleDateFormat("hh:mma", Locale.ENGLISH); ; localSimpleDateFormat = new SimpleDateFormat("MM/dd/yyyy hh:mma", Locale.ENGLISH))
      return localSimpleDateFormat.format(Long.valueOf(localCalendar1.getTimeInMillis()));
  }

  public static String getCountryCode()
  {
    if (phoneUtil == null)
      phoneUtil = PhoneNumberUtil.getInstance();
    try
    {
      if (countryCode == null)
        countryCode = CountryCode.getByCode(Locale.getDefault().getISO3Country());
      String str = "+" + phoneUtil.parse("555", countryCode.getAlpha2()).getCountryCode();
      return str;
    }
    catch (Exception localException)
    {
      localException.printStackTrace();
    }
    return "+";
  }

  public static String getDBKeyFromPassword(String paramString1, String paramString2)
  {
    WickrStatus localWickrStatus = new WickrStatus(1);
    String str = passwordToDBKey(localWickrStatus, paramString1, paramString2);
    if (localWickrStatus.isError())
      str = null;
    return str;
  }

  public static String getDeviceIdAlternate(Context paramContext)
  {
    TelephonyManager localTelephonyManager = (TelephonyManager)paramContext.getSystemService("phone");
    String str1 = localTelephonyManager.getDeviceId();
    String str2 = localTelephonyManager.getSimSerialNumber();
    return new UUID(Settings.Secure.getString(paramContext.getContentResolver(), "android_id").hashCode(), str1.hashCode() << 32 | str2.hashCode()).toString();
  }

  public static String getDeviceIdentifier(Context paramContext)
  {
    return new DeviceUuidFactory(paramContext).getDeviceUuid().toString();
  }

  public static void hideOnlyNavigationBar(Activity paramActivity)
  {
    if (Build.VERSION.SDK_INT >= 16)
      paramActivity.getWindow().getDecorView().setSystemUiVisibility(2);
  }

  public static void hideOnlyStatusBar(Activity paramActivity)
  {
    if (Build.VERSION.SDK_INT < 16)
    {
      paramActivity.getWindow().setFlags(1024, 1024);
      return;
    }
    paramActivity.getWindow().getDecorView().setSystemUiVisibility(4);
  }

  public static void hideStatusAndNavigationBar(Activity paramActivity)
  {
    if (Build.VERSION.SDK_INT < 16)
    {
      paramActivity.getWindow().setFlags(1024, 1024);
      return;
    }
    paramActivity.getWindow().getDecorView().setSystemUiVisibility(6);
  }

  public static boolean isNetworkAvailable(Context paramContext)
  {
    NetworkInfo localNetworkInfo = ((ConnectivityManager)paramContext.getSystemService("connectivity")).getActiveNetworkInfo();
    boolean bool1 = false;
    if (localNetworkInfo != null)
    {
      boolean bool2 = localNetworkInfo.isConnected();
      bool1 = false;
      if (bool2)
        bool1 = true;
    }
    return bool1;
  }

  public static boolean isNumeric(String paramString)
  {
    return paramString.matches("-?\\d+(\\.\\d+)?");
  }

  public static Bitmap loadContactPhoto(ContentResolver paramContentResolver, String paramString)
  {
    try
    {
      InputStream localInputStream = ContactsContract.Contacts.openContactPhotoInputStream(paramContentResolver, ContentUris.withAppendedId(ContactsContract.Contacts.CONTENT_URI, Long.valueOf(paramString).longValue()));
      if (localInputStream == null)
        return null;
      Bitmap localBitmap = BitmapFactory.decodeStream(localInputStream);
      localInputStream.close();
      return localBitmap;
    }
    catch (Exception localException)
    {
      localException.printStackTrace();
    }
    return null;
  }

  public static int numberOfUserImageToCache()
  {
    return 20;
  }

  private static native String passwordToDBKey(WickrStatus paramWickrStatus, String paramString1, String paramString2);

  public static Bitmap scaleBitmapToFit(Bitmap paramBitmap, int paramInt)
  {
    if ((paramBitmap.getHeight() < paramInt) && (paramBitmap.getWidth() < paramInt))
      return paramBitmap;
    Bitmap localBitmap;
    if (paramBitmap.getHeight() > paramBitmap.getWidth())
      localBitmap = Bitmap.createScaledBitmap(paramBitmap, Math.round(paramInt / paramBitmap.getHeight() * paramBitmap.getWidth()), paramInt, false);
    while (true)
    {
      return localBitmap;
      if (paramBitmap.getWidth() > paramBitmap.getHeight())
        localBitmap = Bitmap.createScaledBitmap(paramBitmap, paramInt, Math.round(paramInt / paramBitmap.getWidth() * paramBitmap.getWidth()), false);
      else
        localBitmap = Bitmap.createScaledBitmap(paramBitmap, paramInt, paramInt, false);
    }
  }

  public static void showDialog(Context paramContext, String paramString)
  {
    AlertDialog.Builder localBuilder = new AlertDialog.Builder(paramContext);
    localBuilder.setMessage(paramString).setCancelable(false).setPositiveButton("OK", new DialogInterface.OnClickListener()
    {
      public void onClick(DialogInterface paramAnonymousDialogInterface, int paramAnonymousInt)
      {
        paramAnonymousDialogInterface.cancel();
      }
    });
    AlertDialog localAlertDialog = localBuilder.create();
    try
    {
      localAlertDialog.show();
      label43: ((TextView)localAlertDialog.findViewById(16908299)).setGravity(17);
      return;
    }
    catch (Exception localException)
    {
      break label43;
    }
  }

  public static void showDialogWithTitle(Context paramContext, String paramString1, String paramString2)
  {
    AlertDialog.Builder localBuilder = new AlertDialog.Builder(paramContext);
    localBuilder.setTitle(paramString1).setMessage(paramString2).setCancelable(false).setPositiveButton("OK", new DialogInterface.OnClickListener()
    {
      public void onClick(DialogInterface paramAnonymousDialogInterface, int paramAnonymousInt)
      {
        paramAnonymousDialogInterface.cancel();
      }
    });
    AlertDialog localAlertDialog = localBuilder.create();
    try
    {
      localAlertDialog.show();
      label47: ((TextView)localAlertDialog.findViewById(16908299)).setGravity(17);
      return;
    }
    catch (Exception localException)
    {
      break label47;
    }
  }

  public static void showNavigationBar(Activity paramActivity)
  {
  }

  public static void showStatusBar(Activity paramActivity)
  {
    if (Build.VERSION.SDK_INT < 16)
    {
      paramActivity.getWindow().setFlags(2048, 2048);
      paramActivity.getWindow().setFlags(65536, 65536);
      return;
    }
    paramActivity.getWindow().getDecorView().setSystemUiVisibility(0);
    paramActivity.getWindow().setFlags(65536, 65536);
  }

  public static native int startFipsMode();

  public static String stringToHex(String paramString)
  {
    StringBuilder localStringBuilder = new StringBuilder(200);
    char[] arrayOfChar = paramString.toCharArray();
    int i = arrayOfChar.length;
    for (int j = 0; ; j++)
    {
      if (j >= i)
        return localStringBuilder.toString();
      int k = arrayOfChar[j];
      if (localStringBuilder.length() > 0)
        localStringBuilder.append(' ');
      Object[] arrayOfObject = new Object[1];
      arrayOfObject[0] = Integer.valueOf(k);
      localStringBuilder.append(String.format("%04x", arrayOfObject));
    }
  }

  public static String timeFromTimestamp(long paramLong)
  {
    Date localDate = new Date(paramLong * 1000L);
    return new SimpleDateFormat("hh:mma").format(localDate);
  }

  public static boolean validateEmail(String paramString)
  {
    return emailPattern.matcher(paramString).matches();
  }

  public static boolean validatePassword(String paramString)
  {
    return paramString.length() >= 8;
  }

  public static boolean validatePhone(String paramString)
  {
    return phonePattern.matcher(paramString).matches();
  }

  public static boolean validateUsername(String paramString)
  {
    return validateUsername(paramString, true);
  }

  public static boolean validateUsername(String paramString, boolean paramBoolean)
  {
    if (paramBoolean)
      return userRegPattern.matcher(paramString).matches();
    return userPattern.matcher(paramString).matches();
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.wickr.WickrUtil
 * JD-Core Version:    0.6.2
 */