package com.mywickr.wickr.contacts;

import android.annotation.SuppressLint;
import android.content.Context;
import android.database.Cursor;
import android.os.Build.VERSION;
import android.provider.ContactsContract.CommonDataKinds.Email;
import android.provider.ContactsContract.CommonDataKinds.Phone;
import android.support.v4.content.CursorLoader;
import com.mywickr.wickr.WickrUtil;
import java.util.ArrayList;
import java.util.HashMap;

@SuppressLint({"InlinedApi"})
public class ContactFetcher
{
  private static final String[] emailFieldsToSelect = { "contact_id", "display_name", "data1" };
  private ArrayList<Contact> cachedArrayList;
  private HashMap<String, Contact> contactHashMap;
  private Context context;

  public ContactFetcher(Context paramContext)
  {
    this.context = paramContext;
  }

  private ArrayList<Contact> fetchAll()
  {
    long l1 = System.currentTimeMillis();
    this.contactHashMap = new HashMap();
    getOnlyPhoneNo();
    long l2 = System.currentTimeMillis() - l1;
    loadEmailAddresses();
    long l3 = System.currentTimeMillis() - l1 - l2;
    ArrayList localArrayList = new ArrayList(this.contactHashMap.values());
    this.contactHashMap = null;
    (System.currentTimeMillis() - l1 - l2 - l3);
    return localArrayList;
  }

  private void getOnlyEmailAddresses()
  {
    String[] arrayOfString = { "display_name", "data1", "contact_id" };
    Cursor localCursor = new CursorLoader(this.context, ContactsContract.CommonDataKinds.Email.CONTENT_URI, arrayOfString, null, null, null).loadInBackground();
    int i = localCursor.getColumnIndex("data1");
    int j = localCursor.getColumnIndex("display_name");
    int k = localCursor.getColumnIndex("contact_id");
    if (localCursor.moveToFirst());
    while (true)
    {
      if (localCursor.isAfterLast())
      {
        localCursor.close();
        return;
      }
      String str1 = localCursor.getString(i);
      String str2 = localCursor.getString(j);
      String str3 = localCursor.getString(k);
      String str4 = str2;
      if (str4 == null)
        str4 = str1;
      if ((str1 != null) && (str4 != null))
      {
        Contact localContact = new Contact(str3, str2, str4);
        this.contactHashMap.put(str3, localContact);
        localContact.addEmail(str1);
      }
      localCursor.moveToNext();
    }
  }

  private void getOnlyPhoneNo()
  {
    Cursor localCursor = new CursorLoader(this.context, ContactsContract.CommonDataKinds.Phone.CONTENT_URI, getPhoneFields(), null, null, null).loadInBackground();
    String str1;
    Contact localContact;
    try
    {
      int i1 = Build.VERSION.SDK_INT;
      i = 0;
      if (i1 >= 16)
      {
        int i2 = localCursor.getColumnIndex("data4");
        i = i2;
      }
      j = localCursor.getColumnIndex("data1");
      k = localCursor.getColumnIndex("display_name");
      m = localCursor.getColumnIndex("contact_id");
      if ((!localCursor.moveToFirst()) || (localCursor.isAfterLast()))
      {
        localCursor.close();
        return;
      }
    }
    catch (Exception localException)
    {
      int i;
      int j;
      int k;
      int m;
      while (true)
      {
        localException.printStackTrace();
        i = 0;
      }
      str1 = localCursor.getString(j);
      String str2 = localCursor.getString(k);
      String str3 = localCursor.getString(m);
      int n = Build.VERSION.SDK_INT;
      String str4 = null;
      if (n >= 16)
        str4 = localCursor.getString(i);
      String str5 = str2;
      if (str5 == null)
        str5 = str1;
      ((Contact)this.contactHashMap.get(str3));
      if ((str1 != null) && (str5 != null) && (!str1.startsWith("#")))
      {
        localContact = new Contact(str3, str2, str5);
        this.contactHashMap.put(str3, localContact);
        if ((Build.VERSION.SDK_INT < 16) || (str4 == null))
          break label278;
        if (str4 != null)
          localContact.addNumber(str4);
      }
    }
    while (true)
    {
      localCursor.moveToNext();
      break;
      label278: if (str1 != null)
      {
        String str6 = WickrUtil.checkForCountryCode(str1);
        if (str6 != null)
          localContact.addNumber(str6);
      }
    }
  }

  private static final String[] getPhoneFields()
  {
    if (Build.VERSION.SDK_INT >= 16)
      return new String[] { "contact_id", "display_name", "data4", "data1" };
    return new String[] { "contact_id", "display_name", "data1" };
  }

  private void loadEmailAddresses()
  {
    Cursor localCursor = new CursorLoader(this.context, ContactsContract.CommonDataKinds.Email.CONTENT_URI, emailFieldsToSelect, null, null, null).loadInBackground();
    int i = localCursor.getColumnIndex("data1");
    int j = localCursor.getColumnIndex("display_name");
    int k = localCursor.getColumnIndex("contact_id");
    if (localCursor.moveToFirst());
    while (true)
    {
      if (localCursor.isAfterLast())
      {
        localCursor.close();
        return;
      }
      String str1 = localCursor.getString(i);
      String str2 = localCursor.getString(j);
      String str3 = localCursor.getString(k);
      String str4 = str2;
      if (str4 == null)
        str4 = str1;
      Contact localContact = (Contact)this.contactHashMap.get(str3);
      if (localContact == null)
      {
        localContact = new Contact(str3, str2, str4);
        this.contactHashMap.put(str3, localContact);
      }
      localContact.addEmail(str1);
      localCursor.moveToNext();
    }
  }

  @SuppressLint({"InlinedApi"})
  private static final String phoneNumberField()
  {
    if (Build.VERSION.SDK_INT >= 16)
      return "data4";
    return "data1";
  }

  public ArrayList<Contact> getContacts()
  {
    if (this.cachedArrayList == null)
      this.cachedArrayList = fetchAll();
    return this.cachedArrayList;
  }

  public ArrayList<Contact> getEmailContact()
  {
    this.contactHashMap = new HashMap();
    getOnlyEmailAddresses();
    return new ArrayList(this.contactHashMap.values());
  }

  public ArrayList<Contact> getPhoneNumberContact()
  {
    this.contactHashMap = new HashMap();
    getOnlyPhoneNo();
    return new ArrayList(this.contactHashMap.values());
  }

  public void reset()
  {
    this.cachedArrayList = null;
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.wickr.contacts.ContactFetcher
 * JD-Core Version:    0.6.2
 */