package com.neovisionaries.i18n;

import java.util.ArrayList;
import java.util.List;
import java.util.Locale;

public enum LocaleCode
{
  private final CountryCode country;
  private final LanguageCode language;
  private final String string;

  static
  {
    LocaleCode[] arrayOfLocaleCode = new LocaleCode[''];
    arrayOfLocaleCode[0] = ar;
    arrayOfLocaleCode[1] = ar_AE;
    arrayOfLocaleCode[2] = ar_BH;
    arrayOfLocaleCode[3] = ar_DZ;
    arrayOfLocaleCode[4] = ar_EG;
    arrayOfLocaleCode[5] = ar_IQ;
    arrayOfLocaleCode[6] = ar_JO;
    arrayOfLocaleCode[7] = ar_KW;
    arrayOfLocaleCode[8] = ar_LB;
    arrayOfLocaleCode[9] = ar_LY;
    arrayOfLocaleCode[10] = ar_MA;
    arrayOfLocaleCode[11] = ar_OM;
    arrayOfLocaleCode[12] = ar_QA;
    arrayOfLocaleCode[13] = ar_SA;
    arrayOfLocaleCode[14] = ar_SD;
    arrayOfLocaleCode[15] = ar_SY;
    arrayOfLocaleCode[16] = ar_TN;
    arrayOfLocaleCode[17] = ar_YE;
    arrayOfLocaleCode[18] = be;
    arrayOfLocaleCode[19] = be_BY;
    arrayOfLocaleCode[20] = bg;
    arrayOfLocaleCode[21] = bg_BG;
    arrayOfLocaleCode[22] = ca;
    arrayOfLocaleCode[23] = ca_ES;
    arrayOfLocaleCode[24] = cs;
    arrayOfLocaleCode[25] = cs_CZ;
    arrayOfLocaleCode[26] = da;
    arrayOfLocaleCode[27] = da_DK;
    arrayOfLocaleCode[28] = de;
    arrayOfLocaleCode[29] = de_AT;
    arrayOfLocaleCode[30] = de_CH;
    arrayOfLocaleCode[31] = de_DE;
    arrayOfLocaleCode[32] = de_LU;
    arrayOfLocaleCode[33] = el;
    arrayOfLocaleCode[34] = el_CY;
    arrayOfLocaleCode[35] = el_GR;
    arrayOfLocaleCode[36] = en;
    arrayOfLocaleCode[37] = en_AU;
    arrayOfLocaleCode[38] = en_CA;
    arrayOfLocaleCode[39] = en_GB;
    arrayOfLocaleCode[40] = en_IE;
    arrayOfLocaleCode[41] = en_IN;
    arrayOfLocaleCode[42] = en_MT;
    arrayOfLocaleCode[43] = en_NZ;
    arrayOfLocaleCode[44] = en_PH;
    arrayOfLocaleCode[45] = en_SG;
    arrayOfLocaleCode[46] = en_US;
    arrayOfLocaleCode[47] = en_ZA;
    arrayOfLocaleCode[48] = es;
    arrayOfLocaleCode[49] = es_AR;
    arrayOfLocaleCode[50] = es_BO;
    arrayOfLocaleCode[51] = es_CL;
    arrayOfLocaleCode[52] = es_CO;
    arrayOfLocaleCode[53] = es_CR;
    arrayOfLocaleCode[54] = es_DO;
    arrayOfLocaleCode[55] = es_EC;
    arrayOfLocaleCode[56] = es_ES;
    arrayOfLocaleCode[57] = es_GT;
    arrayOfLocaleCode[58] = es_HN;
    arrayOfLocaleCode[59] = es_MX;
    arrayOfLocaleCode[60] = es_NI;
    arrayOfLocaleCode[61] = es_PA;
    arrayOfLocaleCode[62] = es_PE;
    arrayOfLocaleCode[63] = es_PR;
    arrayOfLocaleCode[64] = es_PY;
    arrayOfLocaleCode[65] = es_SV;
    arrayOfLocaleCode[66] = es_US;
    arrayOfLocaleCode[67] = es_UY;
    arrayOfLocaleCode[68] = es_VE;
    arrayOfLocaleCode[69] = et;
    arrayOfLocaleCode[70] = et_EE;
    arrayOfLocaleCode[71] = fi;
    arrayOfLocaleCode[72] = fi_FI;
    arrayOfLocaleCode[73] = fr;
    arrayOfLocaleCode[74] = fr_BE;
    arrayOfLocaleCode[75] = fr_CA;
    arrayOfLocaleCode[76] = fr_CH;
    arrayOfLocaleCode[77] = fr_FR;
    arrayOfLocaleCode[78] = fr_LU;
    arrayOfLocaleCode[79] = ga;
    arrayOfLocaleCode[80] = ga_IE;
    arrayOfLocaleCode[81] = he;
    arrayOfLocaleCode[82] = he_IL;
    arrayOfLocaleCode[83] = hi_IN;
    arrayOfLocaleCode[84] = hr;
    arrayOfLocaleCode[85] = hr_HR;
    arrayOfLocaleCode[86] = hu;
    arrayOfLocaleCode[87] = hu_HU;
    arrayOfLocaleCode[88] = id;
    arrayOfLocaleCode[89] = id_ID;
    arrayOfLocaleCode[90] = is;
    arrayOfLocaleCode[91] = is_IS;
    arrayOfLocaleCode[92] = it;
    arrayOfLocaleCode[93] = it_CH;
    arrayOfLocaleCode[94] = it_IT;
    arrayOfLocaleCode[95] = ja;
    arrayOfLocaleCode[96] = ja_JP;
    arrayOfLocaleCode[97] = ko;
    arrayOfLocaleCode[98] = ko_KR;
    arrayOfLocaleCode[99] = lt;
    arrayOfLocaleCode[100] = lt_LT;
    arrayOfLocaleCode[101] = lv;
    arrayOfLocaleCode[102] = lv_LV;
    arrayOfLocaleCode[103] = mk;
    arrayOfLocaleCode[104] = mk_MK;
    arrayOfLocaleCode[105] = ms;
    arrayOfLocaleCode[106] = ms_MY;
    arrayOfLocaleCode[107] = mt;
    arrayOfLocaleCode[108] = mt_MT;
    arrayOfLocaleCode[109] = nl;
    arrayOfLocaleCode[110] = nl_BE;
    arrayOfLocaleCode[111] = nl_NL;
    arrayOfLocaleCode[112] = nn_NO;
    arrayOfLocaleCode[113] = no;
    arrayOfLocaleCode[114] = no_NO;
    arrayOfLocaleCode[115] = pl;
    arrayOfLocaleCode[116] = pl_PL;
    arrayOfLocaleCode[117] = pt;
    arrayOfLocaleCode[118] = pt_BR;
    arrayOfLocaleCode[119] = pt_PT;
    arrayOfLocaleCode[120] = ro;
    arrayOfLocaleCode[121] = ro_RO;
    arrayOfLocaleCode[122] = ru;
    arrayOfLocaleCode[123] = ru_RU;
    arrayOfLocaleCode[124] = sk;
    arrayOfLocaleCode[125] = sk_SK;
    arrayOfLocaleCode[126] = sl;
    arrayOfLocaleCode[127] = sl_SI;
    arrayOfLocaleCode[''] = sq;
    arrayOfLocaleCode[''] = sq_AL;
    arrayOfLocaleCode[''] = sr;
    arrayOfLocaleCode[''] = sr_BA;
    arrayOfLocaleCode[''] = sr_CS;
    arrayOfLocaleCode[''] = sr_ME;
    arrayOfLocaleCode[''] = sr_RS;
    arrayOfLocaleCode[''] = sv;
    arrayOfLocaleCode[''] = sv_SE;
    arrayOfLocaleCode[''] = th;
    arrayOfLocaleCode[''] = th_TH;
    arrayOfLocaleCode[''] = tr;
    arrayOfLocaleCode[''] = tr_TR;
    arrayOfLocaleCode[''] = uk;
    arrayOfLocaleCode[''] = uk_UA;
    arrayOfLocaleCode[''] = vi;
    arrayOfLocaleCode[''] = vi_VN;
    arrayOfLocaleCode[''] = zh;
    arrayOfLocaleCode[''] = zh_CN;
    arrayOfLocaleCode[''] = zh_HK;
    arrayOfLocaleCode[''] = zh_SG;
    arrayOfLocaleCode[''] = zh_TW;
  }

  private LocaleCode(LanguageCode arg3, CountryCode arg4)
  {
    Object localObject1;
    this.language = localObject1;
    Object localObject2;
    this.country = localObject2;
    if (localObject2 == null)
    {
      this.string = localObject1.name();
      return;
    }
    this.string = (localObject1.name() + "-" + localObject2.name());
  }

  public static LocaleCode getByCode(String paramString)
  {
    return getByCode(paramString, false);
  }

  public static LocaleCode getByCode(String paramString1, String paramString2)
  {
    return getByCode(paramString1, paramString2, false);
  }

  public static LocaleCode getByCode(String paramString1, String paramString2, boolean paramBoolean)
  {
    String str1 = LanguageCode.canonicalize(paramString1, paramBoolean);
    if (str1 == null)
      return null;
    String str2 = CountryCode.canonicalize(paramString2, paramBoolean);
    if (str2 == null)
      return getByEnumName(str1);
    return getByEnumName(str1 + "_" + str2);
  }

  public static LocaleCode getByCode(String paramString, boolean paramBoolean)
  {
    if (paramString == null)
      return null;
    switch (paramString.length())
    {
    case 3:
    case 4:
    default:
      return null;
    case 2:
      return getByCode(paramString, null, paramBoolean);
    case 5:
    }
    return getByCode5(paramString, paramBoolean);
  }

  private static LocaleCode getByCode5(String paramString, boolean paramBoolean)
  {
    int i = paramString.charAt(2);
    if (i == 95)
    {
      if (paramBoolean)
        return getByEnumName(paramString);
    }
    else if (i != 45)
      return null;
    return getByCode(paramString.substring(0, 2), paramString.substring(3), paramBoolean);
  }

  public static List<LocaleCode> getByCountry(CountryCode paramCountryCode)
  {
    ArrayList localArrayList = new ArrayList();
    if (paramCountryCode == null);
    while (true)
    {
      return localArrayList;
      for (LocaleCode localLocaleCode : values())
        if (localLocaleCode.getCountry() == paramCountryCode)
          localArrayList.add(localLocaleCode);
    }
  }

  public static List<LocaleCode> getByCountry(String paramString)
  {
    return getByCountry(paramString, false);
  }

  public static List<LocaleCode> getByCountry(String paramString, boolean paramBoolean)
  {
    return getByCountry(CountryCode.getByCode(paramString, paramBoolean));
  }

  private static LocaleCode getByEnumName(String paramString)
  {
    try
    {
      LocaleCode localLocaleCode = (LocaleCode)Enum.valueOf(LocaleCode.class, paramString);
      return localLocaleCode;
    }
    catch (IllegalArgumentException localIllegalArgumentException)
    {
    }
    return null;
  }

  public static List<LocaleCode> getByLanguage(LanguageCode paramLanguageCode)
  {
    ArrayList localArrayList = new ArrayList();
    if (paramLanguageCode == null);
    while (true)
    {
      return localArrayList;
      for (LocaleCode localLocaleCode : values())
        if (localLocaleCode.getLanguage() == paramLanguageCode)
          localArrayList.add(localLocaleCode);
    }
  }

  public static List<LocaleCode> getByLanguage(String paramString)
  {
    return getByLanguage(paramString, false);
  }

  public static List<LocaleCode> getByLanguage(String paramString, boolean paramBoolean)
  {
    return getByLanguage(LanguageCode.getByCode(paramString, paramBoolean));
  }

  public static LocaleCode getByLocale(Locale paramLocale)
  {
    if (paramLocale == null)
      return null;
    return getByCode(paramLocale.getLanguage(), paramLocale.getCountry(), true);
  }

  public CountryCode getCountry()
  {
    return this.country;
  }

  public LanguageCode getLanguage()
  {
    return this.language;
  }

  public Locale toLocale()
  {
    if (this.country != null)
      return new Locale(this.language.name(), this.country.name());
    return new Locale(this.language.name());
  }

  public String toString()
  {
    return this.string;
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.neovisionaries.i18n.LocaleCode
 * JD-Core Version:    0.6.2
 */