package com.neovisionaries.i18n;

import java.util.HashMap;
import java.util.Map;

public enum ScriptCode
{
  private static final Map<Integer, ScriptCode> numericMap;
  private final String name;
  private final int numeric;

  static
  {
    int i = 0;
    Afak = new ScriptCode("Afak", 0, 439, "Afaka");
    Aghb = new ScriptCode("Aghb", 1, 239, "Caucasian Albanian");
    Arab = new ScriptCode("Arab", 2, 160, "Arabic");
    Armi = new ScriptCode("Armi", 3, 124, "Imperial Aramaic");
    Armn = new ScriptCode("Armn", 4, 230, "Armenian");
    Avst = new ScriptCode("Avst", 5, 134, "Avestan");
    Bali = new ScriptCode("Bali", 6, 360, "Balinese");
    Bamu = new ScriptCode("Bamu", 7, 435, "Bamum");
    Bass = new ScriptCode("Bass", 8, 259, "Bassa Vah");
    Batk = new ScriptCode("Batk", 9, 365, "Batak");
    Beng = new ScriptCode("Beng", 10, 325, "Bengali");
    Blis = new ScriptCode("Blis", 11, 550, "Blissymbols");
    Bopo = new ScriptCode("Bopo", 12, 285, "Bopomofo");
    Brah = new ScriptCode("Brah", 13, 300, "Brahmi");
    Brai = new ScriptCode("Brai", 14, 570, "Braille");
    Bugi = new ScriptCode("Bugi", 15, 367, "Buginese");
    Buhd = new ScriptCode("Buhd", 16, 372, "Buhid");
    Cakm = new ScriptCode("Cakm", 17, 349, "Chakma");
    Cans = new ScriptCode("Cans", 18, 440, "Unified Canadian Aboriginal Syllabics");
    Cari = new ScriptCode("Cari", 19, 201, "Carian");
    Cham = new ScriptCode("Cham", 20, 358, "Cham");
    Cher = new ScriptCode("Cher", 21, 445, "Cherokee");
    Cirt = new ScriptCode("Cirt", 22, 291, "Cirth");
    Copt = new ScriptCode("Copt", 23, 204, "Coptic");
    Cprt = new ScriptCode("Cprt", 24, 403, "Cypriot");
    Cyrl = new ScriptCode("Cyrl", 25, 220, "Cyrillic");
    Cyrs = new ScriptCode("Cyrs", 26, 221, "Cyrillic");
    Deva = new ScriptCode("Deva", 27, 315, "Devanagari");
    Dsrt = new ScriptCode("Dsrt", 28, 250, "Deseret");
    Dupl = new ScriptCode("Dupl", 29, 755, "Duployan shorthand, Duployan stenography");
    Egyd = new ScriptCode("Egyd", 30, 56, "Egyptian demotic");
    Egyh = new ScriptCode("Egyh", 31, 48, "Egyptian hieratic");
    Egyp = new ScriptCode("Egyp", 32, 40, "Egyptian hieroglyphs");
    Elba = new ScriptCode("Elba", 33, 226, "Elbasan");
    Ethi = new ScriptCode("Ethi", 34, 430, "Ethiopic");
    Geor = new ScriptCode("Geor", 35, 240, "Georgian");
    Geok = new ScriptCode("Geok", 36, 241, "Khutsuri");
    Glag = new ScriptCode("Glag", 37, 225, "Glagolitic");
    Goth = new ScriptCode("Goth", 38, 206, "Gothic");
    Gran = new ScriptCode("Gran", 39, 343, "Grantha");
    Grek = new ScriptCode("Grek", 40, 200, "Greek");
    Gujr = new ScriptCode("Gujr", 41, 320, "Gujarati");
    Guru = new ScriptCode("Guru", 42, 310, "Gurmukhi");
    Hang = new ScriptCode("Hang", 43, 286, "Hangul");
    Hani = new ScriptCode("Hani", 44, 500, "Han");
    Hano = new ScriptCode("Hano", 45, 371, "Hanunoo");
    Hans = new ScriptCode("Hans", 46, 501, "Han");
    Hant = new ScriptCode("Hant", 47, 502, "Han");
    Hebr = new ScriptCode("Hebr", 48, 125, "Hebrew");
    Hira = new ScriptCode("Hira", 49, 410, "Hiragana");
    Hluw = new ScriptCode("Hluw", 50, 80, "Anatolian Hieroglyphs");
    Hmng = new ScriptCode("Hmng", 51, 450, "Pahawh Hmong");
    Hrkt = new ScriptCode("Hrkt", 52, 412, "Japanese syllabaries");
    Hung = new ScriptCode("Hung", 53, 176, "Old Hungarian");
    Inds = new ScriptCode("Inds", 54, 610, "Indus");
    Ital = new ScriptCode("Ital", 55, 210, "Old Italic");
    Java = new ScriptCode("Java", 56, 361, "Javanese");
    Jpan = new ScriptCode("Jpan", 57, 413, "Japanese");
    Jurc = new ScriptCode("Jurc", 58, 510, "Jurchen");
    Kali = new ScriptCode("Kali", 59, 357, "Kayah Li");
    Kana = new ScriptCode("Kana", 60, 411, "Katakana");
    Khar = new ScriptCode("Khar", 61, 305, "Kharoshthi");
    Khmr = new ScriptCode("Khmr", 62, 355, "Khmer");
    Khoj = new ScriptCode("Khoj", 63, 322, "Khojki");
    Knda = new ScriptCode("Knda", 64, 345, "Kannada");
    Kore = new ScriptCode("Kore", 65, 287, "Korean");
    Kpel = new ScriptCode("Kpel", 66, 436, "Kpelle");
    Kthi = new ScriptCode("Kthi", 67, 317, "Kaithi");
    Lana = new ScriptCode("Lana", 68, 351, "Tai Tham");
    Laoo = new ScriptCode("Laoo", 69, 356, "Lao");
    Latf = new ScriptCode("Latf", 70, 217, "Latin");
    Latg = new ScriptCode("Latg", 71, 216, "Latin");
    Latn = new ScriptCode("Latn", 72, 215, "Latin");
    Lepc = new ScriptCode("Lepc", 73, 335, "Lepcha");
    Limb = new ScriptCode("Limb", 74, 336, "Limbu");
    Lina = new ScriptCode("Lina", 75, 400, "Linear A");
    Linb = new ScriptCode("Linb", 76, 401, "Linear B");
    Lisu = new ScriptCode("Lisu", 77, 399, "Lisu");
    Loma = new ScriptCode("Loma", 78, 437, "Loma");
    Lyci = new ScriptCode("Lyci", 79, 202, "Lycian");
    Lydi = new ScriptCode("Lydi", 80, 116, "Lydian");
    Mahj = new ScriptCode("Mahj", 81, 314, "Mahajani");
    Mand = new ScriptCode("Mand", 82, 140, "Mandaic, Mandaean");
    Mani = new ScriptCode("Mani", 83, 139, "Manichaean");
    Maya = new ScriptCode("Maya", 84, 90, "Mayan hieroglyphs");
    Mend = new ScriptCode("Mend", 85, 438, "Mende");
    Merc = new ScriptCode("Merc", 86, 101, "Meroitic Cursive");
    Mero = new ScriptCode("Mero", 87, 100, "Meroitic Hieroglyphs");
    Mlym = new ScriptCode("Mlym", 88, 347, "Malayalam");
    Moon = new ScriptCode("Moon", 89, 218, "Moon");
    Mong = new ScriptCode("Mong", 90, 145, "Mongolian");
    Mroo = new ScriptCode("Mroo", 91, 199, "Mro, Mru");
    Mtei = new ScriptCode("Mtei", 92, 337, "Meitei Mayek");
    Mymr = new ScriptCode("Mymr", 93, 350, "Myanmar");
    Narb = new ScriptCode("Narb", 94, 106, "Old North Arabian");
    Nbat = new ScriptCode("Nbat", 95, 159, "Nabataean");
    Nkgb = new ScriptCode("Nkgb", 96, 420, "Nakhi Geba");
    Nkoo = new ScriptCode("Nkoo", 97, 165, "N���Ko");
    Nshu = new ScriptCode("Nshu", 98, 499, "Nushu");
    Ogam = new ScriptCode("Ogam", 99, 212, "Ogham");
    Olck = new ScriptCode("Olck", 100, 261, "Ol Chiki");
    Orkh = new ScriptCode("Orkh", 101, 175, "Old Turkic, Orkhon Runic");
    Orya = new ScriptCode("Orya", 102, 327, "Oriya");
    Osma = new ScriptCode("Osma", 103, 260, "Osmanya");
    Palm = new ScriptCode("Palm", 104, 126, "Palmyrene");
    Perm = new ScriptCode("Perm", 105, 227, "Old Permic");
    Phag = new ScriptCode("Phag", 106, 331, "Phags-pa");
    Phli = new ScriptCode("Phli", 107, 131, "Inscriptional Pahlavi");
    Phlp = new ScriptCode("Phlp", 108, 132, "Psalter Pahlavi");
    Phlv = new ScriptCode("Phlv", 109, 133, "Book Pahlavi");
    Phnx = new ScriptCode("Phnx", 110, 115, "Phoenician");
    Plrd = new ScriptCode("Plrd", 111, 282, "Miao");
    Prti = new ScriptCode("Prti", 112, 130, "Inscriptional Parthian");
    Qaaa = new ScriptCode("Qaaa", 113, 900, "Reserved for private use");
    Qabx = new ScriptCode("Qabx", 114, 949, "Reserved for private use");
    Rjng = new ScriptCode("Rjng", 115, 363, "Rejang");
    Roro = new ScriptCode("Roro", 116, 620, "Rongorongo");
    Runr = new ScriptCode("Runr", 117, 211, "Runic");
    Samr = new ScriptCode("Samr", 118, 123, "Samaritan");
    Sara = new ScriptCode("Sara", 119, 292, "Sarati");
    Sarb = new ScriptCode("Sarb", 120, 105, "Old South Arabian");
    Saur = new ScriptCode("Saur", 121, 344, "Saurashtra");
    Sgnw = new ScriptCode("Sgnw", 122, 95, "SignWriting");
    Shaw = new ScriptCode("Shaw", 123, 281, "Shavian");
    Shrd = new ScriptCode("Shrd", 124, 319, "Sharada");
    Sind = new ScriptCode("Sind", 125, 318, "Khudawadi, Sindhi");
    Sinh = new ScriptCode("Sinh", 126, 348, "Sinhala");
    Sora = new ScriptCode("Sora", 127, 398, "Sora Sompeng");
    Sund = new ScriptCode("Sund", 128, 362, "Sundanese");
    Sylo = new ScriptCode("Sylo", 129, 316, "Syloti Nagri");
    Syrc = new ScriptCode("Syrc", 130, 135, "Syriac");
    Syre = new ScriptCode("Syre", 131, 138, "Syriac");
    Syrj = new ScriptCode("Syrj", 132, 137, "Syriac");
    Syrn = new ScriptCode("Syrn", 133, 136, "Syriac");
    Tagb = new ScriptCode("Tagb", 134, 373, "Tagbanwa");
    Takr = new ScriptCode("Takr", 135, 321, "Takri");
    Tale = new ScriptCode("Tale", 136, 353, "Tai Le");
    Talu = new ScriptCode("Talu", 137, 354, "New Tai Lue");
    Taml = new ScriptCode("Taml", 138, 346, "Tamil");
    Tang = new ScriptCode("Tang", 139, 520, "Tangut");
    Tavt = new ScriptCode("Tavt", 140, 359, "Tai Viet");
    Telu = new ScriptCode("Telu", 141, 340, "Telugu");
    Teng = new ScriptCode("Teng", 142, 290, "Tengwar");
    Tfng = new ScriptCode("Tfng", 143, 120, "Tifinagh");
    Tglg = new ScriptCode("Tglg", 144, 370, "Tagalog");
    Thaa = new ScriptCode("Thaa", 145, 170, "Thaana");
    Thai = new ScriptCode("Thai", 146, 352, "Thai");
    Tibt = new ScriptCode("Tibt", 147, 330, "Tibetan");
    Tirh = new ScriptCode("Tirh", 148, 326, "Tirhuta");
    Ugar = new ScriptCode("Ugar", 149, 32, "Ugaritic");
    Vaii = new ScriptCode("Vaii", 150, 470, "Vai");
    Visp = new ScriptCode("Visp", 151, 280, "Visible Speech");
    Wara = new ScriptCode("Wara", 152, 262, "Warang Citi");
    Wole = new ScriptCode("Wole", 153, 480, "Woleai");
    Xpeo = new ScriptCode("Xpeo", 154, 24, "Old Persian");
    Xsux = new ScriptCode("Xsux", 155, 16, "Cuneiform, Sumero-Akkadian");
    Yiii = new ScriptCode("Yiii", 156, 460, "Yi");
    Zinh = new ScriptCode("Zinh", 157, 994, "Code for inherited script");
    Zmth = new ScriptCode("Zmth", 158, 995, "Mathematical notation");
    Zsym = new ScriptCode("Zsym", 159, 996, "Symbols");
    Zxxx = new ScriptCode("Zxxx", 160, 997, "Code for unwritten documents");
    Zyyy = new ScriptCode("Zyyy", 161, 998, "Code for undetermined script");
    Zzzz = new ScriptCode("Zzzz", 162, 999, "Code for uncoded script");
    ScriptCode[] arrayOfScriptCode1 = new ScriptCode['£'];
    arrayOfScriptCode1[0] = Afak;
    arrayOfScriptCode1[1] = Aghb;
    arrayOfScriptCode1[2] = Arab;
    arrayOfScriptCode1[3] = Armi;
    arrayOfScriptCode1[4] = Armn;
    arrayOfScriptCode1[5] = Avst;
    arrayOfScriptCode1[6] = Bali;
    arrayOfScriptCode1[7] = Bamu;
    arrayOfScriptCode1[8] = Bass;
    arrayOfScriptCode1[9] = Batk;
    arrayOfScriptCode1[10] = Beng;
    arrayOfScriptCode1[11] = Blis;
    arrayOfScriptCode1[12] = Bopo;
    arrayOfScriptCode1[13] = Brah;
    arrayOfScriptCode1[14] = Brai;
    arrayOfScriptCode1[15] = Bugi;
    arrayOfScriptCode1[16] = Buhd;
    arrayOfScriptCode1[17] = Cakm;
    arrayOfScriptCode1[18] = Cans;
    arrayOfScriptCode1[19] = Cari;
    arrayOfScriptCode1[20] = Cham;
    arrayOfScriptCode1[21] = Cher;
    arrayOfScriptCode1[22] = Cirt;
    arrayOfScriptCode1[23] = Copt;
    arrayOfScriptCode1[24] = Cprt;
    arrayOfScriptCode1[25] = Cyrl;
    arrayOfScriptCode1[26] = Cyrs;
    arrayOfScriptCode1[27] = Deva;
    arrayOfScriptCode1[28] = Dsrt;
    arrayOfScriptCode1[29] = Dupl;
    arrayOfScriptCode1[30] = Egyd;
    arrayOfScriptCode1[31] = Egyh;
    arrayOfScriptCode1[32] = Egyp;
    arrayOfScriptCode1[33] = Elba;
    arrayOfScriptCode1[34] = Ethi;
    arrayOfScriptCode1[35] = Geor;
    arrayOfScriptCode1[36] = Geok;
    arrayOfScriptCode1[37] = Glag;
    arrayOfScriptCode1[38] = Goth;
    arrayOfScriptCode1[39] = Gran;
    arrayOfScriptCode1[40] = Grek;
    arrayOfScriptCode1[41] = Gujr;
    arrayOfScriptCode1[42] = Guru;
    arrayOfScriptCode1[43] = Hang;
    arrayOfScriptCode1[44] = Hani;
    arrayOfScriptCode1[45] = Hano;
    arrayOfScriptCode1[46] = Hans;
    arrayOfScriptCode1[47] = Hant;
    arrayOfScriptCode1[48] = Hebr;
    arrayOfScriptCode1[49] = Hira;
    arrayOfScriptCode1[50] = Hluw;
    arrayOfScriptCode1[51] = Hmng;
    arrayOfScriptCode1[52] = Hrkt;
    arrayOfScriptCode1[53] = Hung;
    arrayOfScriptCode1[54] = Inds;
    arrayOfScriptCode1[55] = Ital;
    arrayOfScriptCode1[56] = Java;
    arrayOfScriptCode1[57] = Jpan;
    arrayOfScriptCode1[58] = Jurc;
    arrayOfScriptCode1[59] = Kali;
    arrayOfScriptCode1[60] = Kana;
    arrayOfScriptCode1[61] = Khar;
    arrayOfScriptCode1[62] = Khmr;
    arrayOfScriptCode1[63] = Khoj;
    arrayOfScriptCode1[64] = Knda;
    arrayOfScriptCode1[65] = Kore;
    arrayOfScriptCode1[66] = Kpel;
    arrayOfScriptCode1[67] = Kthi;
    arrayOfScriptCode1[68] = Lana;
    arrayOfScriptCode1[69] = Laoo;
    arrayOfScriptCode1[70] = Latf;
    arrayOfScriptCode1[71] = Latg;
    arrayOfScriptCode1[72] = Latn;
    arrayOfScriptCode1[73] = Lepc;
    arrayOfScriptCode1[74] = Limb;
    arrayOfScriptCode1[75] = Lina;
    arrayOfScriptCode1[76] = Linb;
    arrayOfScriptCode1[77] = Lisu;
    arrayOfScriptCode1[78] = Loma;
    arrayOfScriptCode1[79] = Lyci;
    arrayOfScriptCode1[80] = Lydi;
    arrayOfScriptCode1[81] = Mahj;
    arrayOfScriptCode1[82] = Mand;
    arrayOfScriptCode1[83] = Mani;
    arrayOfScriptCode1[84] = Maya;
    arrayOfScriptCode1[85] = Mend;
    arrayOfScriptCode1[86] = Merc;
    arrayOfScriptCode1[87] = Mero;
    arrayOfScriptCode1[88] = Mlym;
    arrayOfScriptCode1[89] = Moon;
    arrayOfScriptCode1[90] = Mong;
    arrayOfScriptCode1[91] = Mroo;
    arrayOfScriptCode1[92] = Mtei;
    arrayOfScriptCode1[93] = Mymr;
    arrayOfScriptCode1[94] = Narb;
    arrayOfScriptCode1[95] = Nbat;
    arrayOfScriptCode1[96] = Nkgb;
    arrayOfScriptCode1[97] = Nkoo;
    arrayOfScriptCode1[98] = Nshu;
    arrayOfScriptCode1[99] = Ogam;
    arrayOfScriptCode1[100] = Olck;
    arrayOfScriptCode1[101] = Orkh;
    arrayOfScriptCode1[102] = Orya;
    arrayOfScriptCode1[103] = Osma;
    arrayOfScriptCode1[104] = Palm;
    arrayOfScriptCode1[105] = Perm;
    arrayOfScriptCode1[106] = Phag;
    arrayOfScriptCode1[107] = Phli;
    arrayOfScriptCode1[108] = Phlp;
    arrayOfScriptCode1[109] = Phlv;
    arrayOfScriptCode1[110] = Phnx;
    arrayOfScriptCode1[111] = Plrd;
    arrayOfScriptCode1[112] = Prti;
    arrayOfScriptCode1[113] = Qaaa;
    arrayOfScriptCode1[114] = Qabx;
    arrayOfScriptCode1[115] = Rjng;
    arrayOfScriptCode1[116] = Roro;
    arrayOfScriptCode1[117] = Runr;
    arrayOfScriptCode1[118] = Samr;
    arrayOfScriptCode1[119] = Sara;
    arrayOfScriptCode1[120] = Sarb;
    arrayOfScriptCode1[121] = Saur;
    arrayOfScriptCode1[122] = Sgnw;
    arrayOfScriptCode1[123] = Shaw;
    arrayOfScriptCode1[124] = Shrd;
    arrayOfScriptCode1[125] = Sind;
    arrayOfScriptCode1[126] = Sinh;
    arrayOfScriptCode1[127] = Sora;
    arrayOfScriptCode1[''] = Sund;
    arrayOfScriptCode1[''] = Sylo;
    arrayOfScriptCode1[''] = Syrc;
    arrayOfScriptCode1[''] = Syre;
    arrayOfScriptCode1[''] = Syrj;
    arrayOfScriptCode1[''] = Syrn;
    arrayOfScriptCode1[''] = Tagb;
    arrayOfScriptCode1[''] = Takr;
    arrayOfScriptCode1[''] = Tale;
    arrayOfScriptCode1[''] = Talu;
    arrayOfScriptCode1[''] = Taml;
    arrayOfScriptCode1[''] = Tang;
    arrayOfScriptCode1[''] = Tavt;
    arrayOfScriptCode1[''] = Telu;
    arrayOfScriptCode1[''] = Teng;
    arrayOfScriptCode1[''] = Tfng;
    arrayOfScriptCode1[''] = Tglg;
    arrayOfScriptCode1[''] = Thaa;
    arrayOfScriptCode1[''] = Thai;
    arrayOfScriptCode1[''] = Tibt;
    arrayOfScriptCode1[''] = Tirh;
    arrayOfScriptCode1[''] = Ugar;
    arrayOfScriptCode1[''] = Vaii;
    arrayOfScriptCode1[''] = Visp;
    arrayOfScriptCode1[''] = Wara;
    arrayOfScriptCode1[''] = Wole;
    arrayOfScriptCode1[''] = Xpeo;
    arrayOfScriptCode1[''] = Xsux;
    arrayOfScriptCode1[''] = Yiii;
    arrayOfScriptCode1[''] = Zinh;
    arrayOfScriptCode1[''] = Zmth;
    arrayOfScriptCode1[''] = Zsym;
    arrayOfScriptCode1[' '] = Zxxx;
    arrayOfScriptCode1['¡'] = Zyyy;
    arrayOfScriptCode1['¢'] = Zzzz;
    ENUM$VALUES = arrayOfScriptCode1;
    numericMap = new HashMap();
    ScriptCode[] arrayOfScriptCode2 = values();
    int j = arrayOfScriptCode2.length;
    while (true)
    {
      if (i >= j)
        return;
      ScriptCode localScriptCode = arrayOfScriptCode2[i];
      numericMap.put(Integer.valueOf(localScriptCode.getNumeric()), localScriptCode);
      i++;
    }
  }

  private ScriptCode(int arg3, String arg4)
  {
    int i;
    this.numeric = i;
    Object localObject;
    this.name = localObject;
  }

  private static String canonicalize(String paramString, boolean paramBoolean)
  {
    if ((paramString == null) || (paramString.length() == 0))
      paramString = null;
    StringBuilder localStringBuilder;
    int i;
    do
    {
      do
        return paramString;
      while (paramBoolean);
      localStringBuilder = null;
      i = 0;
      if (i < paramString.length())
        break;
    }
    while (localStringBuilder == null);
    return localStringBuilder.toString();
    char c = paramString.charAt(i);
    if (i == 0)
      if (!Character.isUpperCase(c))
      {
        localStringBuilder = new StringBuilder();
        localStringBuilder.append(Character.toUpperCase(c));
      }
    while (true)
    {
      i++;
      break;
      if (localStringBuilder == null)
      {
        if (!Character.isLowerCase(c))
        {
          localStringBuilder = new StringBuilder();
          localStringBuilder.append(paramString.substring(0, i));
          localStringBuilder.append(Character.toLowerCase(c));
        }
      }
      else
        localStringBuilder.append(Character.toLowerCase(c));
    }
  }

  public static ScriptCode getByCode(int paramInt)
  {
    return (ScriptCode)numericMap.get(Integer.valueOf(paramInt));
  }

  public static ScriptCode getByCode(String paramString)
  {
    return getByCode(paramString, false);
  }

  public static ScriptCode getByCode(String paramString, boolean paramBoolean)
  {
    if ((paramString == null) || (paramString.length() != 4))
      return null;
    String str = canonicalize(paramString, paramBoolean);
    try
    {
      ScriptCode localScriptCode = (ScriptCode)Enum.valueOf(ScriptCode.class, str);
      return localScriptCode;
    }
    catch (IllegalArgumentException localIllegalArgumentException)
    {
    }
    return null;
  }

  public String getName()
  {
    return this.name;
  }

  public int getNumeric()
  {
    return this.numeric;
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.neovisionaries.i18n.ScriptCode
 * JD-Core Version:    0.6.2
 */