package com.android.mms.exif;

import java.io.FilterOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;

class OrderedDataOutputStream extends FilterOutputStream
{
  private final ByteBuffer mByteBuffer = ByteBuffer.allocate(4);

  public OrderedDataOutputStream(OutputStream paramOutputStream)
  {
    super(paramOutputStream);
  }

  public OrderedDataOutputStream setByteOrder(ByteOrder paramByteOrder)
  {
    this.mByteBuffer.order(paramByteOrder);
    return this;
  }

  public OrderedDataOutputStream writeInt(int paramInt)
    throws IOException
  {
    this.mByteBuffer.rewind();
    this.mByteBuffer.putInt(paramInt);
    this.out.write(this.mByteBuffer.array());
    return this;
  }

  public OrderedDataOutputStream writeRational(Rational paramRational)
    throws IOException
  {
    writeInt((int)paramRational.getNumerator());
    writeInt((int)paramRational.getDenominator());
    return this;
  }

  public OrderedDataOutputStream writeShort(short paramShort)
    throws IOException
  {
    this.mByteBuffer.rewind();
    this.mByteBuffer.putShort(paramShort);
    this.out.write(this.mByteBuffer.array(), 0, 2);
    return this;
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.android.mms.exif.OrderedDataOutputStream
 * JD-Core Version:    0.6.2
 */