package com.commonsware.cwac.camera;

import android.os.Build;
import android.os.Build.VERSION;

public class SimpleDeviceProfile extends DeviceProfile
{
  private int defaultOrientation;
  private boolean doesZoomActuallyWork;
  private int maxPictureHeight;
  private int minPictureHeight;
  private int pictureDelay;
  private boolean portraitFFCFlipped;
  private boolean useDeviceOrientation;
  private boolean useTextureView;

  public SimpleDeviceProfile()
  {
    if ((Build.VERSION.SDK_INT >= 16) && (!isCyanogenMod()));
    for (boolean bool = true; ; bool = false)
    {
      this.useTextureView = bool;
      this.portraitFFCFlipped = false;
      this.minPictureHeight = 0;
      this.maxPictureHeight = 2147483647;
      this.doesZoomActuallyWork = true;
      this.defaultOrientation = -1;
      this.useDeviceOrientation = false;
      this.pictureDelay = 0;
      return;
    }
  }

  private boolean isCyanogenMod()
  {
    return (System.getProperty("os.version").contains("cyanogenmod")) || (Build.HOST.contains("cyanogenmod"));
  }

  private void set(String paramString1, String paramString2)
  {
    if ("useTextureView".equals(paramString1))
      this.useTextureView = Boolean.parseBoolean(paramString2);
    do
    {
      return;
      if ("portraitFFCFlipped".equals(paramString1))
      {
        this.portraitFFCFlipped = Boolean.parseBoolean(paramString2);
        return;
      }
      if ("doesZoomActuallyWork".equals(paramString1))
      {
        this.doesZoomActuallyWork = Boolean.parseBoolean(paramString2);
        return;
      }
      if ("useDeviceOrientation".equals(paramString1))
      {
        this.useDeviceOrientation = Boolean.parseBoolean(paramString2);
        return;
      }
      if ("minPictureHeight".equals(paramString1))
      {
        this.minPictureHeight = Integer.parseInt(paramString2);
        return;
      }
      if ("maxPictureHeight".equals(paramString1))
      {
        this.maxPictureHeight = Integer.parseInt(paramString2);
        return;
      }
    }
    while (!"pictureDelay".equals(paramString1));
    this.pictureDelay = Integer.parseInt(paramString2);
  }

  public boolean doesZoomActuallyWork(boolean paramBoolean)
  {
    return this.doesZoomActuallyWork;
  }

  public int getDefaultOrientation()
  {
    return this.defaultOrientation;
  }

  public int getMaxPictureHeight()
  {
    return this.maxPictureHeight;
  }

  public int getMinPictureHeight()
  {
    return this.minPictureHeight;
  }

  public int getPictureDelay()
  {
    return this.pictureDelay;
  }

  // ERROR //
  SimpleDeviceProfile load(org.xmlpull.v1.XmlPullParser paramXmlPullParser)
  {
    // Byte code:
    //   0: aconst_null
    //   1: astore_2
    //   2: aload_1
    //   3: invokeinterface 106 1 0
    //   8: iconst_1
    //   9: if_icmpne +7 -> 16
    //   12: aload_2
    //   13: pop
    //   14: aload_0
    //   15: areturn
    //   16: aload_1
    //   17: invokeinterface 106 1 0
    //   22: istore 8
    //   24: iload 8
    //   26: tableswitch	default:+26 -> 52, 2:+42->68, 3:+75->101, 4:+54->80
    //   53: astore 9
    //   55: aload_1
    //   56: invokeinterface 109 1 0
    //   61: pop
    //   62: aload 9
    //   64: astore_2
    //   65: goto -63 -> 2
    //   68: new 111	java/lang/StringBuilder
    //   71: dup
    //   72: invokespecial 112	java/lang/StringBuilder:<init>	()V
    //   75: astore 9
    //   77: goto -22 -> 55
    //   80: aload_2
    //   81: ifnull -29 -> 52
    //   84: aload_2
    //   85: aload_1
    //   86: invokeinterface 116 1 0
    //   91: invokevirtual 120	java/lang/StringBuilder:append	(Ljava/lang/String;)Ljava/lang/StringBuilder;
    //   94: pop
    //   95: aload_2
    //   96: astore 9
    //   98: goto -43 -> 55
    //   101: aload_2
    //   102: ifnull -50 -> 52
    //   105: aload_0
    //   106: aload_1
    //   107: invokeinterface 123 1 0
    //   112: aload_2
    //   113: invokevirtual 126	java/lang/StringBuilder:toString	()Ljava/lang/String;
    //   116: invokevirtual 129	java/lang/String:trim	()Ljava/lang/String;
    //   119: invokespecial 131	com/commonsware/cwac/camera/SimpleDeviceProfile:set	(Ljava/lang/String;Ljava/lang/String;)V
    //   122: goto -70 -> 52
    //   125: astore_3
    //   126: aload_2
    //   127: pop
    //   128: iconst_2
    //   129: anewarray 133	java/lang/Object
    //   132: astore 5
    //   134: aload 5
    //   136: iconst_0
    //   137: getstatic 136	android/os/Build:MANUFACTURER	Ljava/lang/String;
    //   140: aastore
    //   141: aload 5
    //   143: iconst_1
    //   144: getstatic 139	android/os/Build:MODEL	Ljava/lang/String;
    //   147: aastore
    //   148: ldc 141
    //   150: ldc 143
    //   152: aload 5
    //   154: invokestatic 147	java/lang/String:format	(Ljava/lang/String;[Ljava/lang/Object;)Ljava/lang/String;
    //   157: aload_3
    //   158: invokestatic 153	android/util/Log:e	(Ljava/lang/String;Ljava/lang/String;Ljava/lang/Throwable;)I
    //   161: pop
    //   162: aload_0
    //   163: areturn
    //   164: astore_3
    //   165: goto -37 -> 128
    //
    // Exception table:
    //   from	to	target	type
    //   2	12	125	java/lang/Exception
    //   16	24	125	java/lang/Exception
    //   68	77	125	java/lang/Exception
    //   84	95	125	java/lang/Exception
    //   105	122	125	java/lang/Exception
    //   55	62	164	java/lang/Exception
  }

  public boolean portraitFFCFlipped()
  {
    return this.portraitFFCFlipped;
  }

  public boolean useDeviceOrientation()
  {
    return this.useDeviceOrientation;
  }

  public boolean useTextureView()
  {
    return this.useTextureView;
  }

  static class MotorolaRazrI extends SimpleDeviceProfile
  {
    public boolean doesZoomActuallyWork(boolean paramBoolean)
    {
      return !paramBoolean;
    }
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.commonsware.cwac.camera.SimpleDeviceProfile
 * JD-Core Version:    0.6.2
 */