package com.commonsware.cwac.camera;

import android.hardware.Camera;
import android.media.MediaRecorder;
import android.view.SurfaceHolder;
import android.view.SurfaceHolder.Callback;
import android.view.SurfaceView;
import android.view.View;
import java.io.IOException;

class SurfacePreviewStrategy
  implements PreviewStrategy, SurfaceHolder.Callback
{
  private final CameraView cameraView;
  private SurfaceView preview = null;
  private SurfaceHolder previewHolder = null;

  SurfacePreviewStrategy(CameraView paramCameraView)
  {
    this.cameraView = paramCameraView;
    this.preview = new SurfaceView(paramCameraView.getContext());
    this.previewHolder = this.preview.getHolder();
    this.previewHolder.setType(3);
    this.previewHolder.addCallback(this);
  }

  public void attach(Camera paramCamera)
    throws IOException
  {
    paramCamera.setPreviewDisplay(this.previewHolder);
  }

  public void attach(MediaRecorder paramMediaRecorder)
  {
    paramMediaRecorder.setPreviewDisplay(this.previewHolder.getSurface());
  }

  public View getWidget()
  {
    return this.preview;
  }

  public void surfaceChanged(SurfaceHolder paramSurfaceHolder, int paramInt1, int paramInt2, int paramInt3)
  {
    this.cameraView.initPreview(paramInt2, paramInt3);
  }

  public void surfaceCreated(SurfaceHolder paramSurfaceHolder)
  {
    this.cameraView.previewCreated();
  }

  public void surfaceDestroyed(SurfaceHolder paramSurfaceHolder)
  {
    this.cameraView.previewDestroyed();
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.commonsware.cwac.camera.SurfacePreviewStrategy
 * JD-Core Version:    0.6.2
 */