package com.commonsware.cwac.camera;

import android.annotation.TargetApi;
import android.graphics.SurfaceTexture;
import android.hardware.Camera;
import android.media.MediaRecorder;
import android.os.Build.VERSION;
import android.view.TextureView;
import android.view.TextureView.SurfaceTextureListener;
import android.view.View;
import java.io.IOException;

@TargetApi(14)
class TexturePreviewStrategy
  implements PreviewStrategy, TextureView.SurfaceTextureListener
{
  private final CameraView cameraView;
  private SurfaceTexture surface = null;
  private TextureView widget = null;

  TexturePreviewStrategy(CameraView paramCameraView)
  {
    this.cameraView = paramCameraView;
    this.widget = new TextureView(paramCameraView.getContext());
    this.widget.setSurfaceTextureListener(this);
  }

  public void attach(Camera paramCamera)
    throws IOException
  {
    paramCamera.setPreviewTexture(this.surface);
  }

  public void attach(MediaRecorder paramMediaRecorder)
  {
    if (Build.VERSION.SDK_INT < 16)
      throw new IllegalStateException("Cannot use TextureView with MediaRecorder");
  }

  public View getWidget()
  {
    return this.widget;
  }

  public void onSurfaceTextureAvailable(SurfaceTexture paramSurfaceTexture, int paramInt1, int paramInt2)
  {
    this.surface = paramSurfaceTexture;
    this.cameraView.previewCreated();
    this.cameraView.initPreview(paramInt1, paramInt2);
  }

  public boolean onSurfaceTextureDestroyed(SurfaceTexture paramSurfaceTexture)
  {
    this.cameraView.previewDestroyed();
    return true;
  }

  public void onSurfaceTextureSizeChanged(SurfaceTexture paramSurfaceTexture, int paramInt1, int paramInt2)
  {
    this.cameraView.previewReset(paramInt1, paramInt2);
  }

  public void onSurfaceTextureUpdated(SurfaceTexture paramSurfaceTexture)
  {
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.commonsware.cwac.camera.TexturePreviewStrategy
 * JD-Core Version:    0.6.2
 */