package com.google.android.gms.ads;

import android.app.Activity;
import android.os.Bundle;
import android.os.RemoteException;
import com.google.android.gms.internal.br;
import com.google.android.gms.internal.bs;
import com.google.android.gms.internal.ct;

public final class AdActivity extends Activity
{
  public static final String CLASS_NAME = "com.google.android.gms.ads.AdActivity";
  public static final String SIMPLE_CLASS_NAME = "AdActivity";
  private bs dV;

  protected void onCreate(Bundle paramBundle)
  {
    super.onCreate(paramBundle);
    this.dV = br.a(this);
    if (this.dV == null)
    {
      ct.v("Could not create ad overlay.");
      finish();
      return;
    }
    try
    {
      this.dV.onCreate(paramBundle);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      ct.b("Could not forward onCreate to ad overlay:", localRemoteException);
      finish();
    }
  }

  protected void onDestroy()
  {
    try
    {
      if (this.dV != null)
        this.dV.onDestroy();
      super.onDestroy();
      return;
    }
    catch (RemoteException localRemoteException)
    {
      while (true)
        ct.b("Could not forward onDestroy to ad overlay:", localRemoteException);
    }
  }

  protected void onPause()
  {
    try
    {
      if (this.dV != null)
        this.dV.onPause();
      super.onPause();
      return;
    }
    catch (RemoteException localRemoteException)
    {
      while (true)
      {
        ct.b("Could not forward onPause to ad overlay:", localRemoteException);
        finish();
      }
    }
  }

  protected void onRestart()
  {
    super.onRestart();
    try
    {
      if (this.dV != null)
        this.dV.onRestart();
      return;
    }
    catch (RemoteException localRemoteException)
    {
      ct.b("Could not forward onRestart to ad overlay:", localRemoteException);
      finish();
    }
  }

  protected void onResume()
  {
    super.onResume();
    try
    {
      if (this.dV != null)
        this.dV.onResume();
      return;
    }
    catch (RemoteException localRemoteException)
    {
      ct.b("Could not forward onResume to ad overlay:", localRemoteException);
      finish();
    }
  }

  protected void onSaveInstanceState(Bundle paramBundle)
  {
    try
    {
      if (this.dV != null)
        this.dV.onSaveInstanceState(paramBundle);
      super.onSaveInstanceState(paramBundle);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      while (true)
      {
        ct.b("Could not forward onSaveInstanceState to ad overlay:", localRemoteException);
        finish();
      }
    }
  }

  protected void onStart()
  {
    super.onStart();
    try
    {
      if (this.dV != null)
        this.dV.onStart();
      return;
    }
    catch (RemoteException localRemoteException)
    {
      ct.b("Could not forward onStart to ad overlay:", localRemoteException);
      finish();
    }
  }

  protected void onStop()
  {
    try
    {
      if (this.dV != null)
        this.dV.onStop();
      super.onStop();
      return;
    }
    catch (RemoteException localRemoteException)
    {
      while (true)
      {
        ct.b("Could not forward onStop to ad overlay:", localRemoteException);
        finish();
      }
    }
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.google.android.gms.ads.AdActivity
 * JD-Core Version:    0.6.2
 */