package com.google.android.gms.ads.doubleclick;

import android.content.Context;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import com.google.android.gms.ads.AdListener;
import com.google.android.gms.ads.AdSize;
import com.google.android.gms.internal.ag;

public final class PublisherAdView extends ViewGroup
{
  private final ag dZ;

  public PublisherAdView(Context paramContext)
  {
    super(paramContext);
    this.dZ = new ag(this);
  }

  public PublisherAdView(Context paramContext, AttributeSet paramAttributeSet)
  {
    super(paramContext, paramAttributeSet);
    this.dZ = new ag(this, paramAttributeSet, true);
  }

  public PublisherAdView(Context paramContext, AttributeSet paramAttributeSet, int paramInt)
  {
    super(paramContext, paramAttributeSet, paramInt);
    this.dZ = new ag(this, paramAttributeSet, true);
  }

  public void destroy()
  {
    this.dZ.destroy();
  }

  public AdListener getAdListener()
  {
    return this.dZ.getAdListener();
  }

  public AdSize getAdSize()
  {
    return this.dZ.getAdSize();
  }

  public AdSize[] getAdSizes()
  {
    return this.dZ.getAdSizes();
  }

  public String getAdUnitId()
  {
    return this.dZ.getAdUnitId();
  }

  public AppEventListener getAppEventListener()
  {
    return this.dZ.getAppEventListener();
  }

  public void loadAd(PublisherAdRequest paramPublisherAdRequest)
  {
    this.dZ.a(paramPublisherAdRequest.v());
  }

  protected void onLayout(boolean paramBoolean, int paramInt1, int paramInt2, int paramInt3, int paramInt4)
  {
    View localView = getChildAt(0);
    if ((localView != null) && (localView.getVisibility() != 8))
    {
      int i = localView.getMeasuredWidth();
      int j = localView.getMeasuredHeight();
      int k = (paramInt3 - paramInt1 - i) / 2;
      int m = (paramInt4 - paramInt2 - j) / 2;
      localView.layout(k, m, i + k, j + m);
    }
  }

  protected void onMeasure(int paramInt1, int paramInt2)
  {
    View localView = getChildAt(0);
    AdSize localAdSize = getAdSize();
    int j;
    int i;
    if ((localView != null) && (localView.getVisibility() != 8))
    {
      measureChild(localView, paramInt1, paramInt2);
      j = localView.getMeasuredWidth();
      i = localView.getMeasuredHeight();
    }
    while (true)
    {
      int k = Math.max(j, getSuggestedMinimumWidth());
      int m = Math.max(i, getSuggestedMinimumHeight());
      setMeasuredDimension(View.resolveSize(k, paramInt1), View.resolveSize(m, paramInt2));
      return;
      if (localAdSize != null)
      {
        Context localContext = getContext();
        j = localAdSize.getWidthInPixels(localContext);
        i = localAdSize.getHeightInPixels(localContext);
      }
      else
      {
        i = 0;
        j = 0;
      }
    }
  }

  public void pause()
  {
    this.dZ.pause();
  }

  public void recordManualImpression()
  {
    this.dZ.recordManualImpression();
  }

  public void resume()
  {
    this.dZ.resume();
  }

  public void setAdListener(AdListener paramAdListener)
  {
    this.dZ.setAdListener(paramAdListener);
  }

  public void setAdSizes(AdSize[] paramArrayOfAdSize)
  {
    if ((paramArrayOfAdSize == null) || (paramArrayOfAdSize.length < 1))
      throw new IllegalArgumentException("The supported ad sizes must contain at least one valid ad size.");
    this.dZ.a(paramArrayOfAdSize);
  }

  public void setAdUnitId(String paramString)
  {
    this.dZ.setAdUnitId(paramString);
  }

  public void setAppEventListener(AppEventListener paramAppEventListener)
  {
    this.dZ.setAppEventListener(paramAppEventListener);
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.google.android.gms.ads.doubleclick.PublisherAdView
 * JD-Core Version:    0.6.2
 */