package com.google.android.gms.cast;

import android.text.TextUtils;
import com.google.android.gms.internal.dh;
import com.google.android.gms.internal.ee;
import com.google.android.gms.internal.fe;
import org.json.JSONException;
import org.json.JSONObject;

public final class MediaInfo
{
  public static final int STREAM_TYPE_BUFFERED = 1;
  public static final int STREAM_TYPE_INVALID = -1;
  public static final int STREAM_TYPE_LIVE = 2;
  public static final int STREAM_TYPE_NONE;
  private final String kH;
  private int kI;
  private String kJ;
  private MediaMetadata kK;
  private long kL;
  private JSONObject kM;

  MediaInfo(String paramString)
    throws IllegalArgumentException
  {
    if (TextUtils.isEmpty(paramString))
      throw new IllegalArgumentException("content ID cannot be null or empty");
    this.kH = paramString;
    this.kI = -1;
  }

  MediaInfo(JSONObject paramJSONObject)
    throws JSONException
  {
    this.kH = paramJSONObject.getString("contentId");
    String str = paramJSONObject.getString("streamType");
    if ("NONE".equals(str))
      this.kI = 0;
    while (true)
    {
      this.kJ = paramJSONObject.getString("contentType");
      if (paramJSONObject.has("metadata"))
      {
        JSONObject localJSONObject = paramJSONObject.getJSONObject("metadata");
        this.kK = new MediaMetadata(localJSONObject.getInt("metadataType"));
        this.kK.b(localJSONObject);
      }
      this.kL = dh.b(paramJSONObject.optDouble("duration", 0.0D));
      this.kM = paramJSONObject.optJSONObject("customData");
      return;
      if ("BUFFERED".equals(str))
        this.kI = 1;
      else if ("LIVE".equals(str))
        this.kI = 2;
      else
        this.kI = -1;
    }
  }

  void a(MediaMetadata paramMediaMetadata)
  {
    this.kK = paramMediaMetadata;
  }

  void a(JSONObject paramJSONObject)
  {
    this.kM = paramJSONObject;
  }

  void aO()
    throws IllegalArgumentException
  {
    if (TextUtils.isEmpty(this.kH))
      throw new IllegalArgumentException("content ID cannot be null or empty");
    if (TextUtils.isEmpty(this.kJ))
      throw new IllegalArgumentException("content type cannot be null or empty");
    if (this.kI == -1)
      throw new IllegalArgumentException("a valid stream type must be specified");
  }

  public JSONObject aP()
  {
    JSONObject localJSONObject = new JSONObject();
    while (true)
    {
      try
      {
        localJSONObject.put("contentId", this.kH);
        switch (this.kI)
        {
        case 2:
          localJSONObject.put("streamType", localObject);
          if (this.kJ != null)
            localJSONObject.put("contentType", this.kJ);
          if (this.kK != null)
            localJSONObject.put("metadata", this.kK.aP());
          localJSONObject.put("duration", dh.h(this.kL));
          if (this.kM == null)
            break label143;
          localJSONObject.put("customData", this.kM);
          return localJSONObject;
          localObject = "LIVE";
          continue;
        default:
        case 1:
        }
      }
      catch (JSONException localJSONException)
      {
        return localJSONObject;
      }
      Object localObject = "NONE";
      continue;
      label143: return localJSONObject;
      localObject = "BUFFERED";
    }
  }

  public boolean equals(Object paramObject)
  {
    boolean bool1 = true;
    boolean bool3;
    if (this == paramObject)
      bool3 = bool1;
    MediaInfo localMediaInfo;
    boolean bool4;
    boolean bool5;
    label52: boolean bool6;
    do
    {
      do
      {
        boolean bool2;
        do
        {
          return bool3;
          bool2 = paramObject instanceof MediaInfo;
          bool3 = false;
        }
        while (!bool2);
        localMediaInfo = (MediaInfo)paramObject;
        if (this.kM != null)
          break;
        bool4 = bool1;
        if (localMediaInfo.kM != null)
          break label177;
        bool5 = bool1;
        bool3 = false;
      }
      while (bool4 != bool5);
      if ((this.kM == null) || (localMediaInfo.kM == null))
        break;
      bool6 = fe.d(this.kM, localMediaInfo.kM);
      bool3 = false;
    }
    while (!bool6);
    if ((dh.a(this.kH, localMediaInfo.kH)) && (this.kI == localMediaInfo.kI) && (dh.a(this.kJ, localMediaInfo.kJ)) && (dh.a(this.kK, localMediaInfo.kK)) && (this.kL == localMediaInfo.kL));
    while (true)
    {
      return bool1;
      bool4 = false;
      break;
      label177: bool5 = false;
      break label52;
      bool1 = false;
    }
  }

  void f(long paramLong)
    throws IllegalArgumentException
  {
    if (paramLong < 0L)
      throw new IllegalArgumentException("Stream duration cannot be negative");
    this.kL = paramLong;
  }

  public String getContentId()
  {
    return this.kH;
  }

  public String getContentType()
  {
    return this.kJ;
  }

  public JSONObject getCustomData()
  {
    return this.kM;
  }

  public MediaMetadata getMetadata()
  {
    return this.kK;
  }

  public long getStreamDuration()
  {
    return this.kL;
  }

  public int getStreamType()
  {
    return this.kI;
  }

  public int hashCode()
  {
    Object[] arrayOfObject = new Object[6];
    arrayOfObject[0] = this.kH;
    arrayOfObject[1] = Integer.valueOf(this.kI);
    arrayOfObject[2] = this.kJ;
    arrayOfObject[3] = this.kK;
    arrayOfObject[4] = Long.valueOf(this.kL);
    arrayOfObject[5] = String.valueOf(this.kM);
    return ee.hashCode(arrayOfObject);
  }

  void setContentType(String paramString)
    throws IllegalArgumentException
  {
    if (TextUtils.isEmpty(paramString))
      throw new IllegalArgumentException("content type cannot be null or empty");
    this.kJ = paramString;
  }

  void setStreamType(int paramInt)
    throws IllegalArgumentException
  {
    if ((paramInt < -1) || (paramInt > 2))
      throw new IllegalArgumentException("invalid stream type");
    this.kI = paramInt;
  }

  public static class Builder
  {
    private final MediaInfo kN;

    public Builder(String paramString)
      throws IllegalArgumentException
    {
      if (TextUtils.isEmpty(paramString))
        throw new IllegalArgumentException("Content ID cannot be empty");
      this.kN = new MediaInfo(paramString);
    }

    public MediaInfo build()
      throws IllegalArgumentException
    {
      this.kN.aO();
      return this.kN;
    }

    public Builder setContentType(String paramString)
      throws IllegalArgumentException
    {
      this.kN.setContentType(paramString);
      return this;
    }

    public Builder setCustomData(JSONObject paramJSONObject)
    {
      this.kN.a(paramJSONObject);
      return this;
    }

    public Builder setMetadata(MediaMetadata paramMediaMetadata)
    {
      this.kN.a(paramMediaMetadata);
      return this;
    }

    public Builder setStreamDuration(long paramLong)
      throws IllegalArgumentException
    {
      this.kN.f(paramLong);
      return this;
    }

    public Builder setStreamType(int paramInt)
      throws IllegalArgumentException
    {
      this.kN.setStreamType(paramInt);
      return this;
    }
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.google.android.gms.cast.MediaInfo
 * JD-Core Version:    0.6.2
 */