package com.google.android.gms.drive.internal;

import android.os.RemoteException;
import com.google.android.gms.common.api.GoogleApiClient;
import com.google.android.gms.common.api.PendingResult;
import com.google.android.gms.common.api.Status;
import com.google.android.gms.common.api.a.c;
import com.google.android.gms.drive.Contents;
import com.google.android.gms.drive.CreateFileActivityBuilder;
import com.google.android.gms.drive.Drive;
import com.google.android.gms.drive.DriveApi;
import com.google.android.gms.drive.DriveApi.ContentsResult;
import com.google.android.gms.drive.DriveApi.DriveIdResult;
import com.google.android.gms.drive.DriveApi.MetadataBufferResult;
import com.google.android.gms.drive.DriveFile;
import com.google.android.gms.drive.DriveFolder;
import com.google.android.gms.drive.DriveId;
import com.google.android.gms.drive.MetadataBuffer;
import com.google.android.gms.drive.OpenFileActivityBuilder;
import com.google.android.gms.drive.query.Query;

public class h
  implements DriveApi
{
  public PendingResult<Status> discardContents(GoogleApiClient paramGoogleApiClient, final Contents paramContents)
  {
    return paramGoogleApiClient.b(new b(paramContents)
    {
      protected void a(j paramAnonymousj)
      {
        try
        {
          paramAnonymousj.cN().a(new CloseContentsRequest(paramContents, false), new z(this));
          return;
        }
        catch (RemoteException localRemoteException)
        {
          a(new Status(8, localRemoteException.getLocalizedMessage(), null));
        }
      }
    });
  }

  public PendingResult<DriveApi.DriveIdResult> fetchDriveId(GoogleApiClient paramGoogleApiClient, final String paramString)
  {
    return paramGoogleApiClient.a(new e(paramString)
    {
      protected void a(j paramAnonymousj)
      {
        try
        {
          paramAnonymousj.cN().a(new GetMetadataRequest(DriveId.ab(paramString)), new h.c(this));
          return;
        }
        catch (RemoteException localRemoteException)
        {
          a(new h.d(new Status(8, localRemoteException.getLocalizedMessage(), null), null));
        }
      }
    });
  }

  public DriveFile getFile(GoogleApiClient paramGoogleApiClient, DriveId paramDriveId)
  {
    if (paramDriveId == null)
      throw new IllegalArgumentException("Id must be provided.");
    if (!paramGoogleApiClient.isConnected())
      throw new IllegalStateException("Client must be connected");
    return new k(paramDriveId);
  }

  public DriveFolder getFolder(GoogleApiClient paramGoogleApiClient, DriveId paramDriveId)
  {
    if (paramDriveId == null)
      throw new IllegalArgumentException("Id must be provided.");
    if (!paramGoogleApiClient.isConnected())
      throw new IllegalStateException("Client must be connected");
    return new l(paramDriveId);
  }

  public DriveFolder getRootFolder(GoogleApiClient paramGoogleApiClient)
  {
    if (!paramGoogleApiClient.isConnected())
      throw new IllegalStateException("Client must be connected");
    return new l(((j)paramGoogleApiClient.a(Drive.jO)).cO());
  }

  public PendingResult<DriveApi.ContentsResult> newContents(GoogleApiClient paramGoogleApiClient)
  {
    // Byte code:
    //   0: aload_1
    //   1: new 82	com/google/android/gms/drive/internal/h$2
    //   4: dup
    //   5: aload_0
    //   6: invokespecial 85	com/google/android/gms/drive/internal/h$2:<init>	(Lcom/google/android/gms/drive/internal/h;)V
    //   9: invokevirtual 33	com/google/android/gms/common/api/GoogleApiClient:a	(Lcom/google/android/gms/common/api/a$a;)Lcom/google/android/gms/common/api/a$a;
    //   12: areturn
  }

  public CreateFileActivityBuilder newCreateFileActivityBuilder()
  {
    return new CreateFileActivityBuilder();
  }

  public OpenFileActivityBuilder newOpenFileActivityBuilder()
  {
    return new OpenFileActivityBuilder();
  }

  public PendingResult<DriveApi.MetadataBufferResult> query(GoogleApiClient paramGoogleApiClient, final Query paramQuery)
  {
    if (paramQuery == null)
      throw new IllegalArgumentException("Query must be provided.");
    return paramGoogleApiClient.a(new j(paramQuery)
    {
      protected void a(j paramAnonymousj)
      {
        try
        {
          paramAnonymousj.cN().a(new QueryRequest(paramQuery), new h.i(this));
          return;
        }
        catch (RemoteException localRemoteException)
        {
          a(new h.f(new Status(8, localRemoteException.getLocalizedMessage(), null), null));
        }
      }
    });
  }

  public PendingResult<Status> requestSync(GoogleApiClient paramGoogleApiClient)
  {
    // Byte code:
    //   0: aload_1
    //   1: new 107	com/google/android/gms/drive/internal/h$5
    //   4: dup
    //   5: aload_0
    //   6: invokespecial 108	com/google/android/gms/drive/internal/h$5:<init>	(Lcom/google/android/gms/drive/internal/h;)V
    //   9: invokevirtual 23	com/google/android/gms/common/api/GoogleApiClient:b	(Lcom/google/android/gms/common/api/a$a;)Lcom/google/android/gms/common/api/a$a;
    //   12: areturn
  }

  static class a
    implements DriveApi.ContentsResult
  {
    private final Status jY;
    private final Contents qK;

    public a(Status paramStatus, Contents paramContents)
    {
      this.jY = paramStatus;
      this.qK = paramContents;
    }

    public Contents getContents()
    {
      return this.qK;
    }

    public Status getStatus()
    {
      return this.jY;
    }
  }

  abstract class b extends i<Status>
  {
    b()
    {
    }

    public Status g(Status paramStatus)
    {
      return paramStatus;
    }
  }

  private static class c extends a
  {
    private final a.c<DriveApi.DriveIdResult> jW;

    public c(a.c<DriveApi.DriveIdResult> paramc)
    {
      this.jW = paramc;
    }

    public void a(OnMetadataResponse paramOnMetadataResponse)
      throws RemoteException
    {
      this.jW.a(new h.d(Status.nA, new g(paramOnMetadataResponse.cU()).getDriveId()));
    }

    public void m(Status paramStatus)
      throws RemoteException
    {
      this.jW.a(new h.d(paramStatus, null));
    }
  }

  static class d
    implements DriveApi.DriveIdResult
  {
    private final Status jY;
    private final DriveId qG;

    public d(Status paramStatus, DriveId paramDriveId)
    {
      this.jY = paramStatus;
      this.qG = paramDriveId;
    }

    public DriveId getDriveId()
    {
      return this.qG;
    }

    public Status getStatus()
    {
      return this.jY;
    }
  }

  abstract class e extends i<DriveApi.DriveIdResult>
  {
    e()
    {
    }

    public DriveApi.DriveIdResult n(Status paramStatus)
    {
      return new h.d(paramStatus, null);
    }
  }

  static class f
    implements DriveApi.MetadataBufferResult
  {
    private final Status jY;
    private final MetadataBuffer rf;

    public f(Status paramStatus, MetadataBuffer paramMetadataBuffer)
    {
      this.jY = paramStatus;
      this.rf = paramMetadataBuffer;
    }

    public MetadataBuffer getMetadataBuffer()
    {
      return this.rf;
    }

    public Status getStatus()
    {
      return this.jY;
    }
  }

  private static class g extends a
  {
    private final a.c<DriveApi.ContentsResult> jW;

    public g(a.c<DriveApi.ContentsResult> paramc)
    {
      this.jW = paramc;
    }

    public void a(OnContentsResponse paramOnContentsResponse)
      throws RemoteException
    {
      this.jW.a(new h.a(Status.nA, paramOnContentsResponse.cQ()));
    }

    public void m(Status paramStatus)
      throws RemoteException
    {
      this.jW.a(new h.a(paramStatus, null));
    }
  }

  abstract class h extends i<DriveApi.ContentsResult>
  {
    h()
    {
    }

    public DriveApi.ContentsResult o(Status paramStatus)
    {
      return new h.a(paramStatus, null);
    }
  }

  static class i extends a
  {
    private final a.c<DriveApi.MetadataBufferResult> jW;

    public i(a.c<DriveApi.MetadataBufferResult> paramc)
    {
      this.jW = paramc;
    }

    public void a(OnListEntriesResponse paramOnListEntriesResponse)
      throws RemoteException
    {
      MetadataBuffer localMetadataBuffer = new MetadataBuffer(paramOnListEntriesResponse.cT(), null);
      this.jW.a(new h.f(Status.nA, localMetadataBuffer));
    }

    public void m(Status paramStatus)
      throws RemoteException
    {
      this.jW.a(new h.f(paramStatus, null));
    }
  }

  abstract class j extends i<DriveApi.MetadataBufferResult>
  {
    j()
    {
    }

    public DriveApi.MetadataBufferResult p(Status paramStatus)
    {
      return new h.f(paramStatus, null);
    }
  }

  abstract class k extends i<Status>
  {
    k()
    {
    }

    public Status g(Status paramStatus)
    {
      return paramStatus;
    }
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.google.android.gms.drive.internal.h
 * JD-Core Version:    0.6.2
 */