package com.google.android.gms.drive.internal;

import android.os.RemoteException;
import com.google.android.gms.common.api.GoogleApiClient;
import com.google.android.gms.common.api.PendingResult;
import com.google.android.gms.common.api.Status;
import com.google.android.gms.common.api.a.c;
import com.google.android.gms.drive.Contents;
import com.google.android.gms.drive.DriveApi.MetadataBufferResult;
import com.google.android.gms.drive.DriveFile;
import com.google.android.gms.drive.DriveFolder;
import com.google.android.gms.drive.DriveFolder.DriveFileResult;
import com.google.android.gms.drive.DriveFolder.DriveFolderResult;
import com.google.android.gms.drive.DriveId;
import com.google.android.gms.drive.MetadataChangeSet;
import com.google.android.gms.drive.query.Filters;
import com.google.android.gms.drive.query.Query;
import com.google.android.gms.drive.query.Query.Builder;
import com.google.android.gms.drive.query.SearchableField;

public class l extends m
  implements DriveFolder
{
  public l(DriveId paramDriveId)
  {
    super(paramDriveId);
  }

  public PendingResult<DriveFolder.DriveFileResult> createFile(GoogleApiClient paramGoogleApiClient, final MetadataChangeSet paramMetadataChangeSet, final Contents paramContents)
  {
    if (paramMetadataChangeSet == null)
      throw new IllegalArgumentException("MetatadataChangeSet must be provided.");
    if (paramContents == null)
      throw new IllegalArgumentException("Contents must be provided.");
    if ("application/vnd.google-apps.folder".equals(paramMetadataChangeSet.getMimeType()))
      throw new IllegalArgumentException("May not create folders (mimetype: application/vnd.google-apps.folder) using this method. Use DriveFolder.createFolder() instead.");
    return paramGoogleApiClient.b(new i()
    {
      protected void a(j paramAnonymousj)
      {
        try
        {
          paramContents.close();
          paramAnonymousj.cN().a(new CreateFileRequest(l.this.getDriveId(), paramMetadataChangeSet.cM(), paramContents), new l.a(this));
          return;
        }
        catch (RemoteException localRemoteException)
        {
          a(new l.d(new Status(8, localRemoteException.getLocalizedMessage(), null), null));
        }
      }

      public DriveFolder.DriveFileResult q(Status paramAnonymousStatus)
      {
        return new l.d(paramAnonymousStatus, null);
      }
    });
  }

  public PendingResult<DriveFolder.DriveFolderResult> createFolder(GoogleApiClient paramGoogleApiClient, final MetadataChangeSet paramMetadataChangeSet)
  {
    // Byte code:
    //   0: aload_2
    //   1: ifnonnull +13 -> 14
    //   4: new 14	java/lang/IllegalArgumentException
    //   7: dup
    //   8: ldc 16
    //   10: invokespecial 19	java/lang/IllegalArgumentException:<init>	(Ljava/lang/String;)V
    //   13: athrow
    //   14: aload_2
    //   15: invokevirtual 29	com/google/android/gms/drive/MetadataChangeSet:getMimeType	()Ljava/lang/String;
    //   18: ifnull +25 -> 43
    //   21: aload_2
    //   22: invokevirtual 29	com/google/android/gms/drive/MetadataChangeSet:getMimeType	()Ljava/lang/String;
    //   25: ldc 23
    //   27: invokevirtual 35	java/lang/String:equals	(Ljava/lang/Object;)Z
    //   30: ifne +13 -> 43
    //   33: new 14	java/lang/IllegalArgumentException
    //   36: dup
    //   37: ldc 52
    //   39: invokespecial 19	java/lang/IllegalArgumentException:<init>	(Ljava/lang/String;)V
    //   42: athrow
    //   43: aload_1
    //   44: new 54	com/google/android/gms/drive/internal/l$2
    //   47: dup
    //   48: aload_0
    //   49: aload_2
    //   50: invokespecial 57	com/google/android/gms/drive/internal/l$2:<init>	(Lcom/google/android/gms/drive/internal/l;Lcom/google/android/gms/drive/MetadataChangeSet;)V
    //   53: invokevirtual 48	com/google/android/gms/common/api/GoogleApiClient:b	(Lcom/google/android/gms/common/api/a$a;)Lcom/google/android/gms/common/api/a$a;
    //   56: areturn
  }

  public PendingResult<DriveApi.MetadataBufferResult> listChildren(GoogleApiClient paramGoogleApiClient)
  {
    return queryChildren(paramGoogleApiClient, null);
  }

  public PendingResult<DriveApi.MetadataBufferResult> queryChildren(GoogleApiClient paramGoogleApiClient, Query paramQuery)
  {
    Query.Builder localBuilder = new Query.Builder().addFilter(Filters.in(SearchableField.PARENTS, getDriveId()));
    if (paramQuery != null)
    {
      if (paramQuery.getFilter() != null)
        localBuilder.addFilter(paramQuery.getFilter());
      localBuilder.setPageToken(paramQuery.getPageToken());
    }
    return new h().query(paramGoogleApiClient, localBuilder.build());
  }

  private static class a extends a
  {
    private final a.c<DriveFolder.DriveFileResult> jW;

    public a(a.c<DriveFolder.DriveFileResult> paramc)
    {
      this.jW = paramc;
    }

    public void a(OnDriveIdResponse paramOnDriveIdResponse)
      throws RemoteException
    {
      this.jW.a(new l.d(Status.nA, new k(paramOnDriveIdResponse.getDriveId())));
    }

    public void m(Status paramStatus)
      throws RemoteException
    {
      this.jW.a(new l.d(paramStatus, null));
    }
  }

  private static class b extends a
  {
    private final a.c<DriveFolder.DriveFolderResult> jW;

    public b(a.c<DriveFolder.DriveFolderResult> paramc)
    {
      this.jW = paramc;
    }

    public void a(OnDriveIdResponse paramOnDriveIdResponse)
      throws RemoteException
    {
      this.jW.a(new l.e(Status.nA, new l(paramOnDriveIdResponse.getDriveId())));
    }

    public void m(Status paramStatus)
      throws RemoteException
    {
      this.jW.a(new l.e(paramStatus, null));
    }
  }

  private abstract class c extends i<DriveFolder.DriveFolderResult>
  {
    private c()
    {
    }

    public DriveFolder.DriveFolderResult r(Status paramStatus)
    {
      return new l.e(paramStatus, null);
    }
  }

  private static class d
    implements DriveFolder.DriveFileResult
  {
    private final Status jY;
    private final DriveFile rn;

    public d(Status paramStatus, DriveFile paramDriveFile)
    {
      this.jY = paramStatus;
      this.rn = paramDriveFile;
    }

    public DriveFile getDriveFile()
    {
      return this.rn;
    }

    public Status getStatus()
    {
      return this.jY;
    }
  }

  private static class e
    implements DriveFolder.DriveFolderResult
  {
    private final Status jY;
    private final DriveFolder ro;

    public e(Status paramStatus, DriveFolder paramDriveFolder)
    {
      this.jY = paramStatus;
      this.ro = paramDriveFolder;
    }

    public DriveFolder getDriveFolder()
    {
      return this.ro;
    }

    public Status getStatus()
    {
      return this.jY;
    }
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.google.android.gms.drive.internal.l
 * JD-Core Version:    0.6.2
 */