package com.google.android.gms.drive.metadata.internal;

import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable.Creator;
import android.util.Log;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import com.google.android.gms.drive.metadata.MetadataField;
import com.google.android.gms.internal.ee;
import com.google.android.gms.internal.eg;
import java.util.ArrayList;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Set;

public final class MetadataBundle
  implements SafeParcelable
{
  public static final Parcelable.Creator<MetadataBundle> CREATOR = new d();
  final int kg;
  final Bundle rF;

  MetadataBundle(int paramInt, Bundle paramBundle)
  {
    this.kg = paramInt;
    this.rF = ((Bundle)eg.f(paramBundle));
    this.rF.setClassLoader(getClass().getClassLoader());
    ArrayList localArrayList = new ArrayList();
    Iterator localIterator1 = this.rF.keySet().iterator();
    while (localIterator1.hasNext())
    {
      String str2 = (String)localIterator1.next();
      if (c.ac(str2) == null)
      {
        localArrayList.add(str2);
        Log.w("MetadataBundle", "Ignored unknown metadata field in bundle: " + str2);
      }
    }
    Iterator localIterator2 = localArrayList.iterator();
    while (localIterator2.hasNext())
    {
      String str1 = (String)localIterator2.next();
      this.rF.remove(str1);
    }
  }

  private MetadataBundle(Bundle paramBundle)
  {
    this(1, paramBundle);
  }

  public static <T> MetadataBundle a(MetadataField<T> paramMetadataField, T paramT)
  {
    MetadataBundle localMetadataBundle = cX();
    localMetadataBundle.b(paramMetadataField, paramT);
    return localMetadataBundle;
  }

  public static MetadataBundle a(MetadataBundle paramMetadataBundle)
  {
    return new MetadataBundle(new Bundle(paramMetadataBundle.rF));
  }

  public static MetadataBundle cX()
  {
    return new MetadataBundle(new Bundle());
  }

  public <T> T a(MetadataField<T> paramMetadataField)
  {
    return paramMetadataField.d(this.rF);
  }

  public <T> void b(MetadataField<T> paramMetadataField, T paramT)
  {
    if (c.ac(paramMetadataField.getName()) == null)
      throw new IllegalArgumentException("Unregistered field: " + paramMetadataField.getName());
    paramMetadataField.a(paramT, this.rF);
  }

  public Set<MetadataField<?>> cY()
  {
    HashSet localHashSet = new HashSet();
    Iterator localIterator = this.rF.keySet().iterator();
    while (localIterator.hasNext())
      localHashSet.add(c.ac((String)localIterator.next()));
    return localHashSet;
  }

  public int describeContents()
  {
    return 0;
  }

  public boolean equals(Object paramObject)
  {
    if (this == paramObject)
      return true;
    if (!(paramObject instanceof MetadataBundle))
      return false;
    MetadataBundle localMetadataBundle = (MetadataBundle)paramObject;
    Set localSet = this.rF.keySet();
    if (!localSet.equals(localMetadataBundle.rF.keySet()))
      return false;
    Iterator localIterator = localSet.iterator();
    while (localIterator.hasNext())
    {
      String str = (String)localIterator.next();
      if (!ee.equal(this.rF.get(str), localMetadataBundle.rF.get(str)))
        return false;
    }
    return true;
  }

  public int hashCode()
  {
    Iterator localIterator = this.rF.keySet().iterator();
    String str;
    for (int i = 1; localIterator.hasNext(); i = i * 31 + this.rF.get(str).hashCode())
      str = (String)localIterator.next();
    return i;
  }

  public String toString()
  {
    return "MetadataBundle [values=" + this.rF + "]";
  }

  public void writeToParcel(Parcel paramParcel, int paramInt)
  {
    d.a(this, paramParcel, paramInt);
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.google.android.gms.drive.metadata.internal.MetadataBundle
 * JD-Core Version:    0.6.2
 */