package com.google.android.gms.games.multiplayer;

import android.os.Parcel;
import android.os.Parcelable.Creator;
import com.google.android.gms.games.Game;
import com.google.android.gms.games.GameEntity;
import com.google.android.gms.internal.ee;
import com.google.android.gms.internal.ee.a;
import com.google.android.gms.internal.eg;
import com.google.android.gms.internal.fm;
import java.util.ArrayList;

public final class InvitationEntity extends fm
  implements Invitation
{
  public static final Parcelable.Creator<InvitationEntity> CREATOR = new a();
  private final int kg;
  private final String uf;
  private final GameEntity wj;
  private final long wk;
  private final int wl;
  private final ParticipantEntity wm;
  private final ArrayList<ParticipantEntity> wn;
  private final int wo;
  private final int wp;

  InvitationEntity(int paramInt1, GameEntity paramGameEntity, String paramString, long paramLong, int paramInt2, ParticipantEntity paramParticipantEntity, ArrayList<ParticipantEntity> paramArrayList, int paramInt3, int paramInt4)
  {
    this.kg = paramInt1;
    this.wj = paramGameEntity;
    this.uf = paramString;
    this.wk = paramLong;
    this.wl = paramInt2;
    this.wm = paramParticipantEntity;
    this.wn = paramArrayList;
    this.wo = paramInt3;
    this.wp = paramInt4;
  }

  InvitationEntity(Invitation paramInvitation)
  {
    this.kg = 2;
    this.wj = new GameEntity(paramInvitation.getGame());
    this.uf = paramInvitation.getInvitationId();
    this.wk = paramInvitation.getCreationTimestamp();
    this.wl = paramInvitation.getInvitationType();
    this.wo = paramInvitation.getVariant();
    this.wp = paramInvitation.getAvailableAutoMatchSlots();
    String str = paramInvitation.getInviter().getParticipantId();
    Object localObject = null;
    ArrayList localArrayList = paramInvitation.getParticipants();
    int i = localArrayList.size();
    this.wn = new ArrayList(i);
    for (int j = 0; j < i; j++)
    {
      Participant localParticipant = (Participant)localArrayList.get(j);
      if (localParticipant.getParticipantId().equals(str))
        localObject = localParticipant;
      this.wn.add((ParticipantEntity)localParticipant.freeze());
    }
    eg.b(localObject, "Must have a valid inviter!");
    this.wm = ((ParticipantEntity)localObject.freeze());
  }

  static int a(Invitation paramInvitation)
  {
    Object[] arrayOfObject = new Object[8];
    arrayOfObject[0] = paramInvitation.getGame();
    arrayOfObject[1] = paramInvitation.getInvitationId();
    arrayOfObject[2] = Long.valueOf(paramInvitation.getCreationTimestamp());
    arrayOfObject[3] = Integer.valueOf(paramInvitation.getInvitationType());
    arrayOfObject[4] = paramInvitation.getInviter();
    arrayOfObject[5] = paramInvitation.getParticipants();
    arrayOfObject[6] = Integer.valueOf(paramInvitation.getVariant());
    arrayOfObject[7] = Integer.valueOf(paramInvitation.getAvailableAutoMatchSlots());
    return ee.hashCode(arrayOfObject);
  }

  static boolean a(Invitation paramInvitation, Object paramObject)
  {
    boolean bool = true;
    if (!(paramObject instanceof Invitation))
      bool = false;
    Invitation localInvitation;
    do
    {
      do
        return bool;
      while (paramInvitation == paramObject);
      localInvitation = (Invitation)paramObject;
    }
    while ((ee.equal(localInvitation.getGame(), paramInvitation.getGame())) && (ee.equal(localInvitation.getInvitationId(), paramInvitation.getInvitationId())) && (ee.equal(Long.valueOf(localInvitation.getCreationTimestamp()), Long.valueOf(paramInvitation.getCreationTimestamp()))) && (ee.equal(Integer.valueOf(localInvitation.getInvitationType()), Integer.valueOf(paramInvitation.getInvitationType()))) && (ee.equal(localInvitation.getInviter(), paramInvitation.getInviter())) && (ee.equal(localInvitation.getParticipants(), paramInvitation.getParticipants())) && (ee.equal(Integer.valueOf(localInvitation.getVariant()), Integer.valueOf(paramInvitation.getVariant()))) && (ee.equal(Integer.valueOf(localInvitation.getAvailableAutoMatchSlots()), Integer.valueOf(paramInvitation.getAvailableAutoMatchSlots()))));
    return false;
  }

  static String b(Invitation paramInvitation)
  {
    return ee.e(paramInvitation).a("Game", paramInvitation.getGame()).a("InvitationId", paramInvitation.getInvitationId()).a("CreationTimestamp", Long.valueOf(paramInvitation.getCreationTimestamp())).a("InvitationType", Integer.valueOf(paramInvitation.getInvitationType())).a("Inviter", paramInvitation.getInviter()).a("Participants", paramInvitation.getParticipants()).a("Variant", Integer.valueOf(paramInvitation.getVariant())).a("AvailableAutoMatchSlots", Integer.valueOf(paramInvitation.getAvailableAutoMatchSlots())).toString();
  }

  public int describeContents()
  {
    return 0;
  }

  public boolean equals(Object paramObject)
  {
    return a(this, paramObject);
  }

  public Invitation freeze()
  {
    return this;
  }

  public int getAvailableAutoMatchSlots()
  {
    return this.wp;
  }

  public long getCreationTimestamp()
  {
    return this.wk;
  }

  public Game getGame()
  {
    return this.wj;
  }

  public String getInvitationId()
  {
    return this.uf;
  }

  public int getInvitationType()
  {
    return this.wl;
  }

  public Participant getInviter()
  {
    return this.wm;
  }

  public ArrayList<Participant> getParticipants()
  {
    return new ArrayList(this.wn);
  }

  public int getVariant()
  {
    return this.wo;
  }

  public int getVersionCode()
  {
    return this.kg;
  }

  public int hashCode()
  {
    return a(this);
  }

  public boolean isDataValid()
  {
    return true;
  }

  public String toString()
  {
    return b(this);
  }

  public void writeToParcel(Parcel paramParcel, int paramInt)
  {
    if (!bN())
      a.a(this, paramParcel, paramInt);
    while (true)
    {
      return;
      this.wj.writeToParcel(paramParcel, paramInt);
      paramParcel.writeString(this.uf);
      paramParcel.writeLong(this.wk);
      paramParcel.writeInt(this.wl);
      this.wm.writeToParcel(paramParcel, paramInt);
      int i = this.wn.size();
      paramParcel.writeInt(i);
      for (int j = 0; j < i; j++)
        ((ParticipantEntity)this.wn.get(j)).writeToParcel(paramParcel, paramInt);
    }
  }

  static final class a extends a
  {
    public InvitationEntity aa(Parcel paramParcel)
    {
      if ((InvitationEntity.b(InvitationEntity.da())) || (InvitationEntity.ad(InvitationEntity.class.getCanonicalName())))
        return super.aa(paramParcel);
      GameEntity localGameEntity = (GameEntity)GameEntity.CREATOR.createFromParcel(paramParcel);
      String str = paramParcel.readString();
      long l = paramParcel.readLong();
      int i = paramParcel.readInt();
      ParticipantEntity localParticipantEntity = (ParticipantEntity)ParticipantEntity.CREATOR.createFromParcel(paramParcel);
      int j = paramParcel.readInt();
      ArrayList localArrayList = new ArrayList(j);
      for (int k = 0; k < j; k++)
        localArrayList.add(ParticipantEntity.CREATOR.createFromParcel(paramParcel));
      return new InvitationEntity(2, localGameEntity, str, l, i, localParticipantEntity, localArrayList, -1, 0);
    }
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.google.android.gms.games.multiplayer.InvitationEntity
 * JD-Core Version:    0.6.2
 */