package com.google.android.gms.games.multiplayer;

import android.database.CharArrayBuffer;
import android.net.Uri;
import android.os.Parcel;
import android.os.Parcelable.Creator;
import com.google.android.gms.games.Player;
import com.google.android.gms.games.PlayerEntity;
import com.google.android.gms.internal.ee;
import com.google.android.gms.internal.ee.a;
import com.google.android.gms.internal.fc;
import com.google.android.gms.internal.fm;

public final class ParticipantEntity extends fm
  implements Participant
{
  public static final Parcelable.Creator<ParticipantEntity> CREATOR = new a();
  private final int kg;
  private final String qa;
  private final Uri sL;
  private final Uri sM;
  private final String up;
  private final int wr;
  private final String ws;
  private final boolean wt;
  private final PlayerEntity wu;
  private final int wv;
  private final ParticipantResult ww;

  ParticipantEntity(int paramInt1, String paramString1, String paramString2, Uri paramUri1, Uri paramUri2, int paramInt2, String paramString3, boolean paramBoolean, PlayerEntity paramPlayerEntity, int paramInt3, ParticipantResult paramParticipantResult)
  {
    this.kg = paramInt1;
    this.up = paramString1;
    this.qa = paramString2;
    this.sL = paramUri1;
    this.sM = paramUri2;
    this.wr = paramInt2;
    this.ws = paramString3;
    this.wt = paramBoolean;
    this.wu = paramPlayerEntity;
    this.wv = paramInt3;
    this.ww = paramParticipantResult;
  }

  public ParticipantEntity(Participant paramParticipant)
  {
    this.kg = 2;
    this.up = paramParticipant.getParticipantId();
    this.qa = paramParticipant.getDisplayName();
    this.sL = paramParticipant.getIconImageUri();
    this.sM = paramParticipant.getHiResImageUri();
    this.wr = paramParticipant.getStatus();
    this.ws = paramParticipant.dy();
    this.wt = paramParticipant.isConnectedToRoom();
    Player localPlayer = paramParticipant.getPlayer();
    if (localPlayer == null);
    for (PlayerEntity localPlayerEntity = null; ; localPlayerEntity = new PlayerEntity(localPlayer))
    {
      this.wu = localPlayerEntity;
      this.wv = paramParticipant.getCapabilities();
      this.ww = paramParticipant.getResult();
      return;
    }
  }

  static int a(Participant paramParticipant)
  {
    Object[] arrayOfObject = new Object[9];
    arrayOfObject[0] = paramParticipant.getPlayer();
    arrayOfObject[1] = Integer.valueOf(paramParticipant.getStatus());
    arrayOfObject[2] = paramParticipant.dy();
    arrayOfObject[3] = Boolean.valueOf(paramParticipant.isConnectedToRoom());
    arrayOfObject[4] = paramParticipant.getDisplayName();
    arrayOfObject[5] = paramParticipant.getIconImageUri();
    arrayOfObject[6] = paramParticipant.getHiResImageUri();
    arrayOfObject[7] = Integer.valueOf(paramParticipant.getCapabilities());
    arrayOfObject[8] = paramParticipant.getResult();
    return ee.hashCode(arrayOfObject);
  }

  static boolean a(Participant paramParticipant, Object paramObject)
  {
    boolean bool = true;
    if (!(paramObject instanceof Participant))
      bool = false;
    Participant localParticipant;
    do
    {
      do
        return bool;
      while (paramParticipant == paramObject);
      localParticipant = (Participant)paramObject;
    }
    while ((ee.equal(localParticipant.getPlayer(), paramParticipant.getPlayer())) && (ee.equal(Integer.valueOf(localParticipant.getStatus()), Integer.valueOf(paramParticipant.getStatus()))) && (ee.equal(localParticipant.dy(), paramParticipant.dy())) && (ee.equal(Boolean.valueOf(localParticipant.isConnectedToRoom()), Boolean.valueOf(paramParticipant.isConnectedToRoom()))) && (ee.equal(localParticipant.getDisplayName(), paramParticipant.getDisplayName())) && (ee.equal(localParticipant.getIconImageUri(), paramParticipant.getIconImageUri())) && (ee.equal(localParticipant.getHiResImageUri(), paramParticipant.getHiResImageUri())) && (ee.equal(Integer.valueOf(localParticipant.getCapabilities()), Integer.valueOf(paramParticipant.getCapabilities()))) && (ee.equal(localParticipant.getResult(), paramParticipant.getResult())));
    return false;
  }

  static String b(Participant paramParticipant)
  {
    return ee.e(paramParticipant).a("Player", paramParticipant.getPlayer()).a("Status", Integer.valueOf(paramParticipant.getStatus())).a("ClientAddress", paramParticipant.dy()).a("ConnectedToRoom", Boolean.valueOf(paramParticipant.isConnectedToRoom())).a("DisplayName", paramParticipant.getDisplayName()).a("IconImage", paramParticipant.getIconImageUri()).a("HiResImage", paramParticipant.getHiResImageUri()).a("Capabilities", Integer.valueOf(paramParticipant.getCapabilities())).a("Result", paramParticipant.getResult()).toString();
  }

  public int describeContents()
  {
    return 0;
  }

  public String dy()
  {
    return this.ws;
  }

  public boolean equals(Object paramObject)
  {
    return a(this, paramObject);
  }

  public Participant freeze()
  {
    return this;
  }

  public int getCapabilities()
  {
    return this.wv;
  }

  public String getDisplayName()
  {
    if (this.wu == null)
      return this.qa;
    return this.wu.getDisplayName();
  }

  public void getDisplayName(CharArrayBuffer paramCharArrayBuffer)
  {
    if (this.wu == null)
    {
      fc.b(this.qa, paramCharArrayBuffer);
      return;
    }
    this.wu.getDisplayName(paramCharArrayBuffer);
  }

  public Uri getHiResImageUri()
  {
    if (this.wu == null)
      return this.sM;
    return this.wu.getHiResImageUri();
  }

  public Uri getIconImageUri()
  {
    if (this.wu == null)
      return this.sL;
    return this.wu.getIconImageUri();
  }

  public String getParticipantId()
  {
    return this.up;
  }

  public Player getPlayer()
  {
    return this.wu;
  }

  public ParticipantResult getResult()
  {
    return this.ww;
  }

  public int getStatus()
  {
    return this.wr;
  }

  public int getVersionCode()
  {
    return this.kg;
  }

  public int hashCode()
  {
    return a(this);
  }

  public boolean isConnectedToRoom()
  {
    return this.wt;
  }

  public boolean isDataValid()
  {
    return true;
  }

  public String toString()
  {
    return b(this);
  }

  public void writeToParcel(Parcel paramParcel, int paramInt)
  {
    if (!bN())
    {
      c.a(this, paramParcel, paramInt);
      return;
    }
    paramParcel.writeString(this.up);
    paramParcel.writeString(this.qa);
    String str1;
    label39: String str2;
    label58: int i;
    label90: int j;
    if (this.sL == null)
    {
      str1 = null;
      paramParcel.writeString(str1);
      Uri localUri = this.sM;
      str2 = null;
      if (localUri != null)
        break label144;
      paramParcel.writeString(str2);
      paramParcel.writeInt(this.wr);
      paramParcel.writeString(this.ws);
      if (!this.wt)
        break label156;
      i = 1;
      paramParcel.writeInt(i);
      PlayerEntity localPlayerEntity = this.wu;
      j = 0;
      if (localPlayerEntity != null)
        break label162;
    }
    while (true)
    {
      paramParcel.writeInt(j);
      if (this.wu == null)
        break;
      this.wu.writeToParcel(paramParcel, paramInt);
      return;
      str1 = this.sL.toString();
      break label39;
      label144: str2 = this.sM.toString();
      break label58;
      label156: i = 0;
      break label90;
      label162: j = 1;
    }
  }

  static final class a extends c
  {
    public ParticipantEntity ab(Parcel paramParcel)
    {
      boolean bool1 = true;
      if ((ParticipantEntity.b(ParticipantEntity.da())) || (ParticipantEntity.ad(ParticipantEntity.class.getCanonicalName())))
        return super.ab(paramParcel);
      String str1 = paramParcel.readString();
      String str2 = paramParcel.readString();
      String str3 = paramParcel.readString();
      Uri localUri1;
      String str4;
      Uri localUri2;
      label67: int i;
      String str5;
      boolean bool2;
      if (str3 == null)
      {
        localUri1 = null;
        str4 = paramParcel.readString();
        if (str4 != null)
          break label151;
        localUri2 = null;
        i = paramParcel.readInt();
        str5 = paramParcel.readString();
        if (paramParcel.readInt() <= 0)
          break label161;
        bool2 = bool1;
        label89: if (paramParcel.readInt() <= 0)
          break label167;
        label96: if (!bool1)
          break label172;
      }
      label151: label161: label167: label172: for (PlayerEntity localPlayerEntity = (PlayerEntity)PlayerEntity.CREATOR.createFromParcel(paramParcel); ; localPlayerEntity = null)
      {
        return new ParticipantEntity(2, str1, str2, localUri1, localUri2, i, str5, bool2, localPlayerEntity, 7, null);
        localUri1 = Uri.parse(str3);
        break;
        localUri2 = Uri.parse(str4);
        break label67;
        bool2 = false;
        break label89;
        bool1 = false;
        break label96;
      }
    }
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.google.android.gms.games.multiplayer.ParticipantEntity
 * JD-Core Version:    0.6.2
 */