package com.google.android.gms.games.multiplayer.realtime;

import android.database.CharArrayBuffer;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable.Creator;
import com.google.android.gms.games.Player;
import com.google.android.gms.games.multiplayer.Participant;
import com.google.android.gms.games.multiplayer.ParticipantEntity;
import com.google.android.gms.internal.ee;
import com.google.android.gms.internal.ee.a;
import com.google.android.gms.internal.fc;
import com.google.android.gms.internal.fm;
import java.util.ArrayList;

public final class RoomEntity extends fm
  implements Room
{
  public static final Parcelable.Creator<RoomEntity> CREATOR = new a();
  private final int kg;
  private final String sJ;
  private final String uk;
  private final Bundle wH;
  private final String wL;
  private final int wM;
  private final int wN;
  private final long wk;
  private final ArrayList<ParticipantEntity> wn;
  private final int wo;

  RoomEntity(int paramInt1, String paramString1, String paramString2, long paramLong, int paramInt2, String paramString3, int paramInt3, Bundle paramBundle, ArrayList<ParticipantEntity> paramArrayList, int paramInt4)
  {
    this.kg = paramInt1;
    this.uk = paramString1;
    this.wL = paramString2;
    this.wk = paramLong;
    this.wM = paramInt2;
    this.sJ = paramString3;
    this.wo = paramInt3;
    this.wH = paramBundle;
    this.wn = paramArrayList;
    this.wN = paramInt4;
  }

  public RoomEntity(Room paramRoom)
  {
    this.kg = 2;
    this.uk = paramRoom.getRoomId();
    this.wL = paramRoom.getCreatorId();
    this.wk = paramRoom.getCreationTimestamp();
    this.wM = paramRoom.getStatus();
    this.sJ = paramRoom.getDescription();
    this.wo = paramRoom.getVariant();
    this.wH = paramRoom.getAutoMatchCriteria();
    ArrayList localArrayList = paramRoom.getParticipants();
    int i = localArrayList.size();
    this.wn = new ArrayList(i);
    for (int j = 0; j < i; j++)
      this.wn.add((ParticipantEntity)((Participant)localArrayList.get(j)).freeze());
    this.wN = paramRoom.getAutoMatchWaitEstimateSeconds();
  }

  static int a(Room paramRoom)
  {
    Object[] arrayOfObject = new Object[9];
    arrayOfObject[0] = paramRoom.getRoomId();
    arrayOfObject[1] = paramRoom.getCreatorId();
    arrayOfObject[2] = Long.valueOf(paramRoom.getCreationTimestamp());
    arrayOfObject[3] = Integer.valueOf(paramRoom.getStatus());
    arrayOfObject[4] = paramRoom.getDescription();
    arrayOfObject[5] = Integer.valueOf(paramRoom.getVariant());
    arrayOfObject[6] = paramRoom.getAutoMatchCriteria();
    arrayOfObject[7] = paramRoom.getParticipants();
    arrayOfObject[8] = Integer.valueOf(paramRoom.getAutoMatchWaitEstimateSeconds());
    return ee.hashCode(arrayOfObject);
  }

  static int a(Room paramRoom, String paramString)
  {
    ArrayList localArrayList = paramRoom.getParticipants();
    int i = localArrayList.size();
    for (int j = 0; j < i; j++)
    {
      Participant localParticipant = (Participant)localArrayList.get(j);
      if (localParticipant.getParticipantId().equals(paramString))
        return localParticipant.getStatus();
    }
    throw new IllegalStateException("Participant " + paramString + " is not in room " + paramRoom.getRoomId());
  }

  static boolean a(Room paramRoom, Object paramObject)
  {
    boolean bool = true;
    if (!(paramObject instanceof Room))
      bool = false;
    Room localRoom;
    do
    {
      do
        return bool;
      while (paramRoom == paramObject);
      localRoom = (Room)paramObject;
    }
    while ((ee.equal(localRoom.getRoomId(), paramRoom.getRoomId())) && (ee.equal(localRoom.getCreatorId(), paramRoom.getCreatorId())) && (ee.equal(Long.valueOf(localRoom.getCreationTimestamp()), Long.valueOf(paramRoom.getCreationTimestamp()))) && (ee.equal(Integer.valueOf(localRoom.getStatus()), Integer.valueOf(paramRoom.getStatus()))) && (ee.equal(localRoom.getDescription(), paramRoom.getDescription())) && (ee.equal(Integer.valueOf(localRoom.getVariant()), Integer.valueOf(paramRoom.getVariant()))) && (ee.equal(localRoom.getAutoMatchCriteria(), paramRoom.getAutoMatchCriteria())) && (ee.equal(localRoom.getParticipants(), paramRoom.getParticipants())) && (ee.equal(Integer.valueOf(localRoom.getAutoMatchWaitEstimateSeconds()), Integer.valueOf(paramRoom.getAutoMatchWaitEstimateSeconds()))));
    return false;
  }

  static String b(Room paramRoom)
  {
    return ee.e(paramRoom).a("RoomId", paramRoom.getRoomId()).a("CreatorId", paramRoom.getCreatorId()).a("CreationTimestamp", Long.valueOf(paramRoom.getCreationTimestamp())).a("RoomStatus", Integer.valueOf(paramRoom.getStatus())).a("Description", paramRoom.getDescription()).a("Variant", Integer.valueOf(paramRoom.getVariant())).a("AutoMatchCriteria", paramRoom.getAutoMatchCriteria()).a("Participants", paramRoom.getParticipants()).a("AutoMatchWaitEstimateSeconds", Integer.valueOf(paramRoom.getAutoMatchWaitEstimateSeconds())).toString();
  }

  static String b(Room paramRoom, String paramString)
  {
    ArrayList localArrayList = paramRoom.getParticipants();
    int i = localArrayList.size();
    for (int j = 0; j < i; j++)
    {
      Participant localParticipant = (Participant)localArrayList.get(j);
      Player localPlayer = localParticipant.getPlayer();
      if ((localPlayer != null) && (localPlayer.getPlayerId().equals(paramString)))
        return localParticipant.getParticipantId();
    }
    return null;
  }

  static Participant c(Room paramRoom, String paramString)
  {
    ArrayList localArrayList = paramRoom.getParticipants();
    int i = localArrayList.size();
    for (int j = 0; j < i; j++)
    {
      Participant localParticipant = (Participant)localArrayList.get(j);
      if (localParticipant.getParticipantId().equals(paramString))
        return localParticipant;
    }
    throw new IllegalStateException("Participant " + paramString + " is not in match " + paramRoom.getRoomId());
  }

  static ArrayList<String> c(Room paramRoom)
  {
    ArrayList localArrayList1 = paramRoom.getParticipants();
    int i = localArrayList1.size();
    ArrayList localArrayList2 = new ArrayList(i);
    for (int j = 0; j < i; j++)
      localArrayList2.add(((Participant)localArrayList1.get(j)).getParticipantId());
    return localArrayList2;
  }

  public int describeContents()
  {
    return 0;
  }

  public boolean equals(Object paramObject)
  {
    return a(this, paramObject);
  }

  public Room freeze()
  {
    return this;
  }

  public Bundle getAutoMatchCriteria()
  {
    return this.wH;
  }

  public int getAutoMatchWaitEstimateSeconds()
  {
    return this.wN;
  }

  public long getCreationTimestamp()
  {
    return this.wk;
  }

  public String getCreatorId()
  {
    return this.wL;
  }

  public String getDescription()
  {
    return this.sJ;
  }

  public void getDescription(CharArrayBuffer paramCharArrayBuffer)
  {
    fc.b(this.sJ, paramCharArrayBuffer);
  }

  public Participant getParticipant(String paramString)
  {
    return c(this, paramString);
  }

  public String getParticipantId(String paramString)
  {
    return b(this, paramString);
  }

  public ArrayList<String> getParticipantIds()
  {
    return c(this);
  }

  public int getParticipantStatus(String paramString)
  {
    return a(this, paramString);
  }

  public ArrayList<Participant> getParticipants()
  {
    return new ArrayList(this.wn);
  }

  public String getRoomId()
  {
    return this.uk;
  }

  public int getStatus()
  {
    return this.wM;
  }

  public int getVariant()
  {
    return this.wo;
  }

  public int getVersionCode()
  {
    return this.kg;
  }

  public int hashCode()
  {
    return a(this);
  }

  public boolean isDataValid()
  {
    return true;
  }

  public String toString()
  {
    return b(this);
  }

  public void writeToParcel(Parcel paramParcel, int paramInt)
  {
    if (!bN())
      b.a(this, paramParcel, paramInt);
    while (true)
    {
      return;
      paramParcel.writeString(this.uk);
      paramParcel.writeString(this.wL);
      paramParcel.writeLong(this.wk);
      paramParcel.writeInt(this.wM);
      paramParcel.writeString(this.sJ);
      paramParcel.writeInt(this.wo);
      paramParcel.writeBundle(this.wH);
      int i = this.wn.size();
      paramParcel.writeInt(i);
      for (int j = 0; j < i; j++)
        ((ParticipantEntity)this.wn.get(j)).writeToParcel(paramParcel, paramInt);
    }
  }

  static final class a extends b
  {
    public RoomEntity ad(Parcel paramParcel)
    {
      if ((RoomEntity.b(RoomEntity.da())) || (RoomEntity.ad(RoomEntity.class.getCanonicalName())))
        return super.ad(paramParcel);
      String str1 = paramParcel.readString();
      String str2 = paramParcel.readString();
      long l = paramParcel.readLong();
      int i = paramParcel.readInt();
      String str3 = paramParcel.readString();
      int j = paramParcel.readInt();
      Bundle localBundle = paramParcel.readBundle();
      int k = paramParcel.readInt();
      ArrayList localArrayList = new ArrayList(k);
      for (int m = 0; m < k; m++)
        localArrayList.add(ParticipantEntity.CREATOR.createFromParcel(paramParcel));
      return new RoomEntity(2, str1, str2, l, i, str3, j, localBundle, localArrayList, -1);
    }
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.google.android.gms.games.multiplayer.realtime.RoomEntity
 * JD-Core Version:    0.6.2
 */