package com.google.android.gms.games.multiplayer.turnbased;

import android.os.Bundle;
import android.os.Parcel;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import com.google.android.gms.games.Game;
import com.google.android.gms.games.GameEntity;
import com.google.android.gms.games.Player;
import com.google.android.gms.games.multiplayer.Participant;
import com.google.android.gms.games.multiplayer.ParticipantEntity;
import com.google.android.gms.internal.ee;
import com.google.android.gms.internal.ee.a;
import java.util.ArrayList;

public final class TurnBasedMatchEntity
  implements SafeParcelable, TurnBasedMatch
{
  public static final TurnBasedMatchEntityCreator CREATOR = new TurnBasedMatchEntityCreator();
  private final int kg;
  private final String ul;
  private final Bundle wH;
  private final String wL;
  private final String wU;
  private final long wV;
  private final String wW;
  private final int wX;
  private final int wY;
  private final byte[] wZ;
  private final GameEntity wj;
  private final long wk;
  private final ArrayList<ParticipantEntity> wn;
  private final int wo;
  private final String xa;
  private final byte[] xb;
  private final int xc;
  private final int xd;
  private final boolean xe;

  TurnBasedMatchEntity(int paramInt1, GameEntity paramGameEntity, String paramString1, String paramString2, long paramLong1, String paramString3, long paramLong2, String paramString4, int paramInt2, int paramInt3, int paramInt4, byte[] paramArrayOfByte1, ArrayList<ParticipantEntity> paramArrayList, String paramString5, byte[] paramArrayOfByte2, int paramInt5, Bundle paramBundle, int paramInt6, boolean paramBoolean)
  {
    this.kg = paramInt1;
    this.wj = paramGameEntity;
    this.ul = paramString1;
    this.wL = paramString2;
    this.wk = paramLong1;
    this.wU = paramString3;
    this.wV = paramLong2;
    this.wW = paramString4;
    this.wX = paramInt2;
    this.xd = paramInt6;
    this.wo = paramInt3;
    this.wY = paramInt4;
    this.wZ = paramArrayOfByte1;
    this.wn = paramArrayList;
    this.xa = paramString5;
    this.xb = paramArrayOfByte2;
    this.xc = paramInt5;
    this.wH = paramBundle;
    this.xe = paramBoolean;
  }

  public TurnBasedMatchEntity(TurnBasedMatch paramTurnBasedMatch)
  {
    this.kg = 2;
    this.wj = new GameEntity(paramTurnBasedMatch.getGame());
    this.ul = paramTurnBasedMatch.getMatchId();
    this.wL = paramTurnBasedMatch.getCreatorId();
    this.wk = paramTurnBasedMatch.getCreationTimestamp();
    this.wU = paramTurnBasedMatch.getLastUpdaterId();
    this.wV = paramTurnBasedMatch.getLastUpdatedTimestamp();
    this.wW = paramTurnBasedMatch.getPendingParticipantId();
    this.wX = paramTurnBasedMatch.getStatus();
    this.xd = paramTurnBasedMatch.getTurnStatus();
    this.wo = paramTurnBasedMatch.getVariant();
    this.wY = paramTurnBasedMatch.getVersion();
    this.xa = paramTurnBasedMatch.getRematchId();
    this.xc = paramTurnBasedMatch.getMatchNumber();
    this.wH = paramTurnBasedMatch.getAutoMatchCriteria();
    this.xe = paramTurnBasedMatch.isLocallyModified();
    byte[] arrayOfByte1 = paramTurnBasedMatch.getData();
    byte[] arrayOfByte2;
    if (arrayOfByte1 == null)
    {
      this.wZ = null;
      arrayOfByte2 = paramTurnBasedMatch.getPreviousMatchData();
      if (arrayOfByte2 != null)
        break label294;
      this.xb = null;
    }
    while (true)
    {
      ArrayList localArrayList = paramTurnBasedMatch.getParticipants();
      int i = localArrayList.size();
      this.wn = new ArrayList(i);
      for (int j = 0; j < i; j++)
        this.wn.add((ParticipantEntity)((Participant)localArrayList.get(j)).freeze());
      this.wZ = new byte[arrayOfByte1.length];
      System.arraycopy(arrayOfByte1, 0, this.wZ, 0, arrayOfByte1.length);
      break;
      label294: this.xb = new byte[arrayOfByte2.length];
      System.arraycopy(arrayOfByte2, 0, this.xb, 0, arrayOfByte2.length);
    }
  }

  static int a(TurnBasedMatch paramTurnBasedMatch)
  {
    Object[] arrayOfObject = new Object[17];
    arrayOfObject[0] = paramTurnBasedMatch.getGame();
    arrayOfObject[1] = paramTurnBasedMatch.getMatchId();
    arrayOfObject[2] = paramTurnBasedMatch.getCreatorId();
    arrayOfObject[3] = Long.valueOf(paramTurnBasedMatch.getCreationTimestamp());
    arrayOfObject[4] = paramTurnBasedMatch.getLastUpdaterId();
    arrayOfObject[5] = Long.valueOf(paramTurnBasedMatch.getLastUpdatedTimestamp());
    arrayOfObject[6] = paramTurnBasedMatch.getPendingParticipantId();
    arrayOfObject[7] = Integer.valueOf(paramTurnBasedMatch.getStatus());
    arrayOfObject[8] = Integer.valueOf(paramTurnBasedMatch.getTurnStatus());
    arrayOfObject[9] = Integer.valueOf(paramTurnBasedMatch.getVariant());
    arrayOfObject[10] = Integer.valueOf(paramTurnBasedMatch.getVersion());
    arrayOfObject[11] = paramTurnBasedMatch.getParticipants();
    arrayOfObject[12] = paramTurnBasedMatch.getRematchId();
    arrayOfObject[13] = Integer.valueOf(paramTurnBasedMatch.getMatchNumber());
    arrayOfObject[14] = paramTurnBasedMatch.getAutoMatchCriteria();
    arrayOfObject[15] = Integer.valueOf(paramTurnBasedMatch.getAvailableAutoMatchSlots());
    arrayOfObject[16] = Boolean.valueOf(paramTurnBasedMatch.isLocallyModified());
    return ee.hashCode(arrayOfObject);
  }

  static int a(TurnBasedMatch paramTurnBasedMatch, String paramString)
  {
    ArrayList localArrayList = paramTurnBasedMatch.getParticipants();
    int i = localArrayList.size();
    for (int j = 0; j < i; j++)
    {
      Participant localParticipant = (Participant)localArrayList.get(j);
      if (localParticipant.getParticipantId().equals(paramString))
        return localParticipant.getStatus();
    }
    throw new IllegalStateException("Participant " + paramString + " is not in match " + paramTurnBasedMatch.getMatchId());
  }

  static boolean a(TurnBasedMatch paramTurnBasedMatch, Object paramObject)
  {
    boolean bool = true;
    if (!(paramObject instanceof TurnBasedMatch))
      bool = false;
    TurnBasedMatch localTurnBasedMatch;
    do
    {
      do
        return bool;
      while (paramTurnBasedMatch == paramObject);
      localTurnBasedMatch = (TurnBasedMatch)paramObject;
    }
    while ((ee.equal(localTurnBasedMatch.getGame(), paramTurnBasedMatch.getGame())) && (ee.equal(localTurnBasedMatch.getMatchId(), paramTurnBasedMatch.getMatchId())) && (ee.equal(localTurnBasedMatch.getCreatorId(), paramTurnBasedMatch.getCreatorId())) && (ee.equal(Long.valueOf(localTurnBasedMatch.getCreationTimestamp()), Long.valueOf(paramTurnBasedMatch.getCreationTimestamp()))) && (ee.equal(localTurnBasedMatch.getLastUpdaterId(), paramTurnBasedMatch.getLastUpdaterId())) && (ee.equal(Long.valueOf(localTurnBasedMatch.getLastUpdatedTimestamp()), Long.valueOf(paramTurnBasedMatch.getLastUpdatedTimestamp()))) && (ee.equal(localTurnBasedMatch.getPendingParticipantId(), paramTurnBasedMatch.getPendingParticipantId())) && (ee.equal(Integer.valueOf(localTurnBasedMatch.getStatus()), Integer.valueOf(paramTurnBasedMatch.getStatus()))) && (ee.equal(Integer.valueOf(localTurnBasedMatch.getTurnStatus()), Integer.valueOf(paramTurnBasedMatch.getTurnStatus()))) && (ee.equal(Integer.valueOf(localTurnBasedMatch.getVariant()), Integer.valueOf(paramTurnBasedMatch.getVariant()))) && (ee.equal(Integer.valueOf(localTurnBasedMatch.getVersion()), Integer.valueOf(paramTurnBasedMatch.getVersion()))) && (ee.equal(localTurnBasedMatch.getParticipants(), paramTurnBasedMatch.getParticipants())) && (ee.equal(localTurnBasedMatch.getRematchId(), paramTurnBasedMatch.getRematchId())) && (ee.equal(Integer.valueOf(localTurnBasedMatch.getMatchNumber()), Integer.valueOf(paramTurnBasedMatch.getMatchNumber()))) && (ee.equal(localTurnBasedMatch.getAutoMatchCriteria(), paramTurnBasedMatch.getAutoMatchCriteria())) && (ee.equal(Integer.valueOf(localTurnBasedMatch.getAvailableAutoMatchSlots()), Integer.valueOf(paramTurnBasedMatch.getAvailableAutoMatchSlots()))) && (ee.equal(Boolean.valueOf(localTurnBasedMatch.isLocallyModified()), Boolean.valueOf(paramTurnBasedMatch.isLocallyModified()))));
    return false;
  }

  static String b(TurnBasedMatch paramTurnBasedMatch)
  {
    return ee.e(paramTurnBasedMatch).a("Game", paramTurnBasedMatch.getGame()).a("MatchId", paramTurnBasedMatch.getMatchId()).a("CreatorId", paramTurnBasedMatch.getCreatorId()).a("CreationTimestamp", Long.valueOf(paramTurnBasedMatch.getCreationTimestamp())).a("LastUpdaterId", paramTurnBasedMatch.getLastUpdaterId()).a("LastUpdatedTimestamp", Long.valueOf(paramTurnBasedMatch.getLastUpdatedTimestamp())).a("PendingParticipantId", paramTurnBasedMatch.getPendingParticipantId()).a("MatchStatus", Integer.valueOf(paramTurnBasedMatch.getStatus())).a("TurnStatus", Integer.valueOf(paramTurnBasedMatch.getTurnStatus())).a("Variant", Integer.valueOf(paramTurnBasedMatch.getVariant())).a("Data", paramTurnBasedMatch.getData()).a("Version", Integer.valueOf(paramTurnBasedMatch.getVersion())).a("Participants", paramTurnBasedMatch.getParticipants()).a("RematchId", paramTurnBasedMatch.getRematchId()).a("PreviousData", paramTurnBasedMatch.getPreviousMatchData()).a("MatchNumber", Integer.valueOf(paramTurnBasedMatch.getMatchNumber())).a("AutoMatchCriteria", paramTurnBasedMatch.getAutoMatchCriteria()).a("AvailableAutoMatchSlots", Integer.valueOf(paramTurnBasedMatch.getAvailableAutoMatchSlots())).a("LocallyModified", Boolean.valueOf(paramTurnBasedMatch.isLocallyModified())).toString();
  }

  static String b(TurnBasedMatch paramTurnBasedMatch, String paramString)
  {
    ArrayList localArrayList = paramTurnBasedMatch.getParticipants();
    int i = localArrayList.size();
    for (int j = 0; j < i; j++)
    {
      Participant localParticipant = (Participant)localArrayList.get(j);
      Player localPlayer = localParticipant.getPlayer();
      if ((localPlayer != null) && (localPlayer.getPlayerId().equals(paramString)))
        return localParticipant.getParticipantId();
    }
    return null;
  }

  static Participant c(TurnBasedMatch paramTurnBasedMatch, String paramString)
  {
    ArrayList localArrayList = paramTurnBasedMatch.getParticipants();
    int i = localArrayList.size();
    for (int j = 0; j < i; j++)
    {
      Participant localParticipant = (Participant)localArrayList.get(j);
      if (localParticipant.getParticipantId().equals(paramString))
        return localParticipant;
    }
    throw new IllegalStateException("Participant " + paramString + " is not in match " + paramTurnBasedMatch.getMatchId());
  }

  static ArrayList<String> c(TurnBasedMatch paramTurnBasedMatch)
  {
    ArrayList localArrayList1 = paramTurnBasedMatch.getParticipants();
    int i = localArrayList1.size();
    ArrayList localArrayList2 = new ArrayList(i);
    for (int j = 0; j < i; j++)
      localArrayList2.add(((Participant)localArrayList1.get(j)).getParticipantId());
    return localArrayList2;
  }

  public boolean canRematch()
  {
    return (this.wX == 2) && (this.xa == null);
  }

  public int describeContents()
  {
    return 0;
  }

  public boolean equals(Object paramObject)
  {
    return a(this, paramObject);
  }

  public TurnBasedMatch freeze()
  {
    return this;
  }

  public Bundle getAutoMatchCriteria()
  {
    return this.wH;
  }

  public int getAvailableAutoMatchSlots()
  {
    if (this.wH == null)
      return 0;
    return this.wH.getInt("max_automatch_players");
  }

  public long getCreationTimestamp()
  {
    return this.wk;
  }

  public String getCreatorId()
  {
    return this.wL;
  }

  public byte[] getData()
  {
    return this.wZ;
  }

  public Game getGame()
  {
    return this.wj;
  }

  public long getLastUpdatedTimestamp()
  {
    return this.wV;
  }

  public String getLastUpdaterId()
  {
    return this.wU;
  }

  public String getMatchId()
  {
    return this.ul;
  }

  public int getMatchNumber()
  {
    return this.xc;
  }

  public Participant getParticipant(String paramString)
  {
    return c(this, paramString);
  }

  public String getParticipantId(String paramString)
  {
    return b(this, paramString);
  }

  public ArrayList<String> getParticipantIds()
  {
    return c(this);
  }

  public int getParticipantStatus(String paramString)
  {
    return a(this, paramString);
  }

  public ArrayList<Participant> getParticipants()
  {
    return new ArrayList(this.wn);
  }

  public String getPendingParticipantId()
  {
    return this.wW;
  }

  public byte[] getPreviousMatchData()
  {
    return this.xb;
  }

  public String getRematchId()
  {
    return this.xa;
  }

  public int getStatus()
  {
    return this.wX;
  }

  public int getTurnStatus()
  {
    return this.xd;
  }

  public int getVariant()
  {
    return this.wo;
  }

  public int getVersion()
  {
    return this.wY;
  }

  public int getVersionCode()
  {
    return this.kg;
  }

  public int hashCode()
  {
    return a(this);
  }

  public boolean isDataValid()
  {
    return true;
  }

  public boolean isLocallyModified()
  {
    return this.xe;
  }

  public String toString()
  {
    return b(this);
  }

  public void writeToParcel(Parcel paramParcel, int paramInt)
  {
    TurnBasedMatchEntityCreator.a(this, paramParcel, paramInt);
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.google.android.gms.games.multiplayer.turnbased.TurnBasedMatchEntity
 * JD-Core Version:    0.6.2
 */