package com.google.android.gms.internal;

import android.app.Activity;
import android.os.RemoteException;
import com.google.ads.mediation.MediationAdapter;
import com.google.ads.mediation.MediationBannerAdapter;
import com.google.ads.mediation.MediationInterstitialAdapter;
import com.google.ads.mediation.MediationServerParameters;
import com.google.ads.mediation.NetworkExtras;
import com.google.ads.mediation.admob.AdMobServerParameters;
import com.google.android.gms.dynamic.b;
import com.google.android.gms.dynamic.c;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import org.json.JSONObject;

public final class be<NETWORK_EXTRAS extends NetworkExtras, SERVER_PARAMETERS extends MediationServerParameters> extends bc.a
{
  private final MediationAdapter<NETWORK_EXTRAS, SERVER_PARAMETERS> gg;
  private final NETWORK_EXTRAS gh;

  public be(MediationAdapter<NETWORK_EXTRAS, SERVER_PARAMETERS> paramMediationAdapter, NETWORK_EXTRAS paramNETWORK_EXTRAS)
  {
    this.gg = paramMediationAdapter;
    this.gh = paramNETWORK_EXTRAS;
  }

  private SERVER_PARAMETERS a(String paramString1, int paramInt, String paramString2)
    throws RemoteException
  {
    HashMap localHashMap2;
    if (paramString1 != null)
      try
      {
        JSONObject localJSONObject = new JSONObject(paramString1);
        localHashMap2 = new HashMap(localJSONObject.length());
        Iterator localIterator = localJSONObject.keys();
        while (localIterator.hasNext())
        {
          String str = (String)localIterator.next();
          localHashMap2.put(str, localJSONObject.getString(str));
        }
      }
      catch (Throwable localThrowable)
      {
        ct.b("Could not get MediationServerParameters.", localThrowable);
        throw new RemoteException();
      }
    Object localObject2;
    HashMap localHashMap1;
    for (Object localObject1 = localHashMap2; ; localObject1 = localHashMap1)
    {
      Class localClass = this.gg.getServerParametersType();
      localObject2 = null;
      if (localClass != null)
      {
        MediationServerParameters localMediationServerParameters = (MediationServerParameters)localClass.newInstance();
        localMediationServerParameters.load((Map)localObject1);
        localObject2 = localMediationServerParameters;
      }
      if (!(localObject2 instanceof AdMobServerParameters))
        break;
      AdMobServerParameters localAdMobServerParameters = (AdMobServerParameters)localObject2;
      localAdMobServerParameters.adJson = paramString2;
      localAdMobServerParameters.tagForChildDirectedTreatment = paramInt;
      return localObject2;
      localHashMap1 = new HashMap(0);
    }
    return localObject2;
  }

  public void a(b paramb, v paramv, String paramString, bd parambd)
    throws RemoteException
  {
    a(paramb, paramv, paramString, null, parambd);
  }

  public void a(b paramb, v paramv, String paramString1, String paramString2, bd parambd)
    throws RemoteException
  {
    if (!(this.gg instanceof MediationInterstitialAdapter))
    {
      ct.v("MediationAdapter is not a MediationInterstitialAdapter: " + this.gg.getClass().getCanonicalName());
      throw new RemoteException();
    }
    ct.r("Requesting interstitial ad from adapter.");
    try
    {
      ((MediationInterstitialAdapter)this.gg).requestInterstitialAd(new bf(parambd), (Activity)c.b(paramb), a(paramString1, paramv.tagForChildDirectedTreatment, paramString2), bg.e(paramv), this.gh);
      return;
    }
    catch (Throwable localThrowable)
    {
      ct.b("Could not request interstitial ad from adapter.", localThrowable);
    }
    throw new RemoteException();
  }

  public void a(b paramb, x paramx, v paramv, String paramString, bd parambd)
    throws RemoteException
  {
    a(paramb, paramx, paramv, paramString, null, parambd);
  }

  public void a(b paramb, x paramx, v paramv, String paramString1, String paramString2, bd parambd)
    throws RemoteException
  {
    if (!(this.gg instanceof MediationBannerAdapter))
    {
      ct.v("MediationAdapter is not a MediationBannerAdapter: " + this.gg.getClass().getCanonicalName());
      throw new RemoteException();
    }
    ct.r("Requesting banner ad from adapter.");
    try
    {
      ((MediationBannerAdapter)this.gg).requestBannerAd(new bf(parambd), (Activity)c.b(paramb), a(paramString1, paramv.tagForChildDirectedTreatment, paramString2), bg.b(paramx), bg.e(paramv), this.gh);
      return;
    }
    catch (Throwable localThrowable)
    {
      ct.b("Could not request banner ad from adapter.", localThrowable);
    }
    throw new RemoteException();
  }

  public void destroy()
    throws RemoteException
  {
    try
    {
      this.gg.destroy();
      return;
    }
    catch (Throwable localThrowable)
    {
      ct.b("Could not destroy adapter.", localThrowable);
    }
    throw new RemoteException();
  }

  public b getView()
    throws RemoteException
  {
    if (!(this.gg instanceof MediationBannerAdapter))
    {
      ct.v("MediationAdapter is not a MediationBannerAdapter: " + this.gg.getClass().getCanonicalName());
      throw new RemoteException();
    }
    try
    {
      b localb = c.h(((MediationBannerAdapter)this.gg).getBannerView());
      return localb;
    }
    catch (Throwable localThrowable)
    {
      ct.b("Could not get banner view from adapter.", localThrowable);
    }
    throw new RemoteException();
  }

  public void showInterstitial()
    throws RemoteException
  {
    if (!(this.gg instanceof MediationInterstitialAdapter))
    {
      ct.v("MediationAdapter is not a MediationInterstitialAdapter: " + this.gg.getClass().getCanonicalName());
      throw new RemoteException();
    }
    ct.r("Showing interstitial from adapter.");
    try
    {
      ((MediationInterstitialAdapter)this.gg).showInterstitial();
      return;
    }
    catch (Throwable localThrowable)
    {
      ct.b("Could not show interstitial from adapter.", localThrowable);
    }
    throw new RemoteException();
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.google.android.gms.internal.be
 * JD-Core Version:    0.6.2
 */