package com.google.android.gms.internal;

import android.accounts.Account;
import android.app.Activity;
import android.app.PendingIntent;
import android.app.PendingIntent.CanceledException;
import android.content.Intent;
import android.content.IntentSender.SendIntentException;
import android.os.Bundle;
import android.os.IBinder;
import android.os.RemoteException;
import android.text.TextUtils;
import android.util.Log;
import com.google.android.gms.common.ConnectionResult;
import com.google.android.gms.common.GooglePlayServicesClient.ConnectionCallbacks;
import com.google.android.gms.common.GooglePlayServicesClient.OnConnectionFailedListener;
import com.google.android.gms.common.api.GoogleApiClient.ConnectionCallbacks;
import com.google.android.gms.common.api.GoogleApiClient.OnConnectionFailedListener;
import com.google.android.gms.wallet.FullWallet;
import com.google.android.gms.wallet.FullWalletRequest;
import com.google.android.gms.wallet.MaskedWallet;
import com.google.android.gms.wallet.MaskedWalletRequest;
import com.google.android.gms.wallet.NotifyTransactionStatusRequest;

public class iu extends dw<is>
{
  private final int Hi;
  private final Activity gs;
  private final String jG;
  private final int mTheme;

  @Deprecated
  public iu(Activity paramActivity, GooglePlayServicesClient.ConnectionCallbacks paramConnectionCallbacks, GooglePlayServicesClient.OnConnectionFailedListener paramOnConnectionFailedListener, int paramInt1, String paramString, int paramInt2)
  {
    this(paramActivity, new dw.c(paramConnectionCallbacks), new dw.g(paramOnConnectionFailedListener), paramInt1, paramString, paramInt2);
  }

  public iu(Activity paramActivity, GoogleApiClient.ConnectionCallbacks paramConnectionCallbacks, GoogleApiClient.OnConnectionFailedListener paramOnConnectionFailedListener, int paramInt1, String paramString, int paramInt2)
  {
    super(paramActivity, paramConnectionCallbacks, paramOnConnectionFailedListener, new String[0]);
    this.gs = paramActivity;
    this.Hi = paramInt1;
    this.jG = paramString;
    this.mTheme = paramInt2;
  }

  private Bundle fT()
  {
    Bundle localBundle = new Bundle();
    localBundle.putInt("com.google.android.gms.wallet.EXTRA_ENVIRONMENT", this.Hi);
    localBundle.putString("androidPackageName", this.gs.getPackageName());
    if (!TextUtils.isEmpty(this.jG))
      localBundle.putParcelable("com.google.android.gms.wallet.EXTRA_BUYER_ACCOUNT", new Account(this.jG, "com.google"));
    localBundle.putInt("com.google.android.gms.wallet.EXTRA_THEME", this.mTheme);
    return localBundle;
  }

  protected void a(ec paramec, dw.e parame)
    throws RemoteException
  {
    paramec.a(parame, 4242000);
  }

  protected is aB(IBinder paramIBinder)
  {
    return is.a.az(paramIBinder);
  }

  protected String am()
  {
    return "com.google.android.gms.wallet.service.BIND";
  }

  protected String an()
  {
    return "com.google.android.gms.wallet.internal.IOwService";
  }

  public void changeMaskedWallet(String paramString1, String paramString2, int paramInt)
  {
    Bundle localBundle = fT();
    a locala = new a(paramInt);
    try
    {
      ((is)bQ()).a(paramString1, paramString2, localBundle, locala);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      Log.e("WalletClientImpl", "RemoteException changing masked wallet", localRemoteException);
      locala.a(8, null, null);
    }
  }

  public void checkForPreAuthorization(int paramInt)
  {
    Bundle localBundle = fT();
    a locala = new a(paramInt);
    try
    {
      ((is)bQ()).a(localBundle, locala);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      Log.e("WalletClientImpl", "RemoteException during checkForPreAuthorization", localRemoteException);
      locala.a(8, false, null);
    }
  }

  public void loadFullWallet(FullWalletRequest paramFullWalletRequest, int paramInt)
  {
    a locala = new a(paramInt);
    Bundle localBundle = fT();
    try
    {
      ((is)bQ()).a(paramFullWalletRequest, localBundle, locala);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      Log.e("WalletClientImpl", "RemoteException getting full wallet", localRemoteException);
      locala.a(8, null, null);
    }
  }

  public void loadMaskedWallet(MaskedWalletRequest paramMaskedWalletRequest, int paramInt)
  {
    Bundle localBundle = fT();
    a locala = new a(paramInt);
    try
    {
      ((is)bQ()).a(paramMaskedWalletRequest, localBundle, locala);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      Log.e("WalletClientImpl", "RemoteException getting masked wallet", localRemoteException);
      locala.a(8, null, null);
    }
  }

  public void notifyTransactionStatus(NotifyTransactionStatusRequest paramNotifyTransactionStatusRequest)
  {
    Bundle localBundle = fT();
    try
    {
      ((is)bQ()).a(paramNotifyTransactionStatusRequest, localBundle);
      return;
    }
    catch (RemoteException localRemoteException)
    {
    }
  }

  final class a extends it.a
  {
    private final int oZ;

    public a(int arg2)
    {
      int i;
      this.oZ = i;
    }

    public void a(int paramInt, FullWallet paramFullWallet, Bundle paramBundle)
    {
      PendingIntent localPendingIntent1 = null;
      if (paramBundle != null)
        localPendingIntent1 = (PendingIntent)paramBundle.getParcelable("com.google.android.gms.wallet.EXTRA_PENDING_INTENT");
      ConnectionResult localConnectionResult = new ConnectionResult(paramInt, localPendingIntent1);
      if (localConnectionResult.hasResolution())
        try
        {
          localConnectionResult.startResolutionForResult(iu.b(iu.this), this.oZ);
          return;
        }
        catch (IntentSender.SendIntentException localSendIntentException)
        {
          Log.w("WalletClientImpl", "Exception starting pending intent", localSendIntentException);
          return;
        }
      int i;
      Intent localIntent;
      PendingIntent localPendingIntent2;
      if (localConnectionResult.isSuccess())
      {
        i = -1;
        localIntent = new Intent();
        localIntent.putExtra("com.google.android.gms.wallet.EXTRA_FULL_WALLET", paramFullWallet);
        localPendingIntent2 = iu.b(iu.this).createPendingResult(this.oZ, localIntent, 1073741824);
        if (localPendingIntent2 == null)
          Log.w("WalletClientImpl", "Null pending result returned for onFullWalletLoaded");
      }
      else
      {
        if (paramInt == 408);
        for (i = 0; ; i = 1)
        {
          localIntent = new Intent();
          localIntent.putExtra("com.google.android.gms.wallet.EXTRA_ERROR_CODE", paramInt);
          break;
        }
      }
      try
      {
        localPendingIntent2.send(i);
        return;
      }
      catch (PendingIntent.CanceledException localCanceledException)
      {
        Log.w("WalletClientImpl", "Exception setting pending result", localCanceledException);
      }
    }

    public void a(int paramInt, MaskedWallet paramMaskedWallet, Bundle paramBundle)
    {
      PendingIntent localPendingIntent1 = null;
      if (paramBundle != null)
        localPendingIntent1 = (PendingIntent)paramBundle.getParcelable("com.google.android.gms.wallet.EXTRA_PENDING_INTENT");
      ConnectionResult localConnectionResult = new ConnectionResult(paramInt, localPendingIntent1);
      if (localConnectionResult.hasResolution())
        try
        {
          localConnectionResult.startResolutionForResult(iu.b(iu.this), this.oZ);
          return;
        }
        catch (IntentSender.SendIntentException localSendIntentException)
        {
          Log.w("WalletClientImpl", "Exception starting pending intent", localSendIntentException);
          return;
        }
      int i;
      Intent localIntent;
      PendingIntent localPendingIntent2;
      if (localConnectionResult.isSuccess())
      {
        i = -1;
        localIntent = new Intent();
        localIntent.putExtra("com.google.android.gms.wallet.EXTRA_MASKED_WALLET", paramMaskedWallet);
        localPendingIntent2 = iu.b(iu.this).createPendingResult(this.oZ, localIntent, 1073741824);
        if (localPendingIntent2 == null)
          Log.w("WalletClientImpl", "Null pending result returned for onMaskedWalletLoaded");
      }
      else
      {
        if (paramInt == 408);
        for (i = 0; ; i = 1)
        {
          localIntent = new Intent();
          localIntent.putExtra("com.google.android.gms.wallet.EXTRA_ERROR_CODE", paramInt);
          break;
        }
      }
      try
      {
        localPendingIntent2.send(i);
        return;
      }
      catch (PendingIntent.CanceledException localCanceledException)
      {
        Log.w("WalletClientImpl", "Exception setting pending result", localCanceledException);
      }
    }

    public void a(int paramInt, boolean paramBoolean, Bundle paramBundle)
    {
      Intent localIntent = new Intent();
      localIntent.putExtra("com.google.android.gm.wallet.EXTRA_IS_USER_PREAUTHORIZED", paramBoolean);
      PendingIntent localPendingIntent = iu.b(iu.this).createPendingResult(this.oZ, localIntent, 1073741824);
      if (localPendingIntent == null)
      {
        Log.w("WalletClientImpl", "Null pending result returned for onPreAuthorizationDetermined");
        return;
      }
      try
      {
        localPendingIntent.send(-1);
        return;
      }
      catch (PendingIntent.CanceledException localCanceledException)
      {
        Log.w("WalletClientImpl", "Exception setting pending result", localCanceledException);
      }
    }
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.google.android.gms.internal.iu
 * JD-Core Version:    0.6.2
 */