package com.google.android.gms.internal;

import android.content.Context;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.content.pm.PackageManager.NameNotFoundException;
import android.content.res.Resources;
import android.os.Bundle;
import android.os.RemoteException;
import android.util.DisplayMetrics;
import android.view.View;
import android.view.ViewGroup.LayoutParams;
import android.view.ViewParent;
import android.widget.ViewSwitcher;
import com.google.android.gms.dynamic.b;
import com.google.android.gms.dynamic.c;

public final class r extends ac.a
  implements al, av, bn, bq, bu.a, q
{
  private final bb ed;
  private final a ee;
  private final s ef;

  public r(Context paramContext, x paramx, String paramString, bb parambb, cu paramcu)
  {
    this.ee = new a(paramContext, paramx, paramString, paramcu);
    this.ed = parambb;
    this.ef = new s(this);
    ct.t("Use AdRequest.Builder.addTestDevice(\"" + cs.l(paramContext) + "\") to get test ads on this device.");
    co.i(paramContext);
  }

  private void I()
  {
    ct.t("Ad closing.");
    if (this.ee.ek != null);
    try
    {
      this.ee.ek.onAdClosed();
      return;
    }
    catch (RemoteException localRemoteException)
    {
      ct.b("Could not call AdListener.onAdClosed().", localRemoteException);
    }
  }

  private void J()
  {
    ct.t("Ad leaving application.");
    if (this.ee.ek != null);
    try
    {
      this.ee.ek.onAdLeftApplication();
      return;
    }
    catch (RemoteException localRemoteException)
    {
      ct.b("Could not call AdListener.onAdLeftApplication().", localRemoteException);
    }
  }

  private void K()
  {
    ct.t("Ad opening.");
    if (this.ee.ek != null);
    try
    {
      this.ee.ek.onAdOpened();
      return;
    }
    catch (RemoteException localRemoteException)
    {
      ct.b("Could not call AdListener.onAdOpened().", localRemoteException);
    }
  }

  private void L()
  {
    ct.t("Ad finished loading.");
    if (this.ee.ek != null);
    try
    {
      this.ee.ek.onAdLoaded();
      return;
    }
    catch (RemoteException localRemoteException)
    {
      ct.b("Could not call AdListener.onAdLoaded().", localRemoteException);
    }
  }

  private boolean M()
  {
    boolean bool = true;
    if (!co.a(this.ee.eh.getPackageManager(), this.ee.eh.getPackageName(), "android.permission.INTERNET"))
    {
      if (!this.ee.em.eG)
        cs.a(this.ee.eg, this.ee.em, "Missing internet permission in AndroidManifest.xml.", "Missing internet permission in AndroidManifest.xml. You must have the following declaration: <uses-permission android:name=\"android.permission.INTERNET\" />");
      bool = false;
    }
    if (!co.h(this.ee.eh))
    {
      if (!this.ee.em.eG)
        cs.a(this.ee.eg, this.ee.em, "Missing AdActivity with android:configChanges in AndroidManifest.xml.", "Missing AdActivity with android:configChanges in AndroidManifest.xml. You must have the following declaration within the <application> element: <activity android:name=\"com.google.android.gms.ads.AdActivity\" android:configChanges=\"keyboard|keyboardHidden|orientation|screenLayout|uiMode|screenSize|smallestScreenSize\" />");
      bool = false;
    }
    if ((!bool) && (!this.ee.em.eG))
      this.ee.eg.setVisibility(0);
    return bool;
  }

  private void N()
  {
    if (this.ee.en == null)
      ct.v("Ad state was null when trying to ping click URLs.");
    do
    {
      return;
      ct.r("Pinging click URLs.");
      if (this.ee.en.fK != null)
        co.a(this.ee.eh, this.ee.ej.iJ, this.ee.en.fK);
    }
    while ((this.ee.en.is == null) || (this.ee.en.is.fK == null));
    az.a(this.ee.eh, this.ee.ej.iJ, this.ee.en, this.ee.adUnitId, false, this.ee.en.is.fK);
  }

  private void O()
  {
    if (this.ee.en != null)
    {
      this.ee.en.gJ.destroy();
      this.ee.en = null;
    }
  }

  private void a(int paramInt)
  {
    ct.v("Failed to load ad: " + paramInt);
    if (this.ee.ek != null);
    try
    {
      this.ee.ek.onAdFailedToLoad(paramInt);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      ct.b("Could not call AdListener.onAdFailedToLoad().", localRemoteException);
    }
  }

  private void b(View paramView)
  {
    ViewGroup.LayoutParams localLayoutParams = new ViewGroup.LayoutParams(-2, -2);
    this.ee.eg.addView(paramView, localLayoutParams);
  }

  private void b(boolean paramBoolean)
  {
    if (this.ee.en == null)
      ct.v("Ad state was null when trying to ping impression URLs.");
    do
    {
      return;
      ct.r("Pinging Impression URLs.");
      if (this.ee.en.fL != null)
        co.a(this.ee.eh, this.ee.ej.iJ, this.ee.en.fL);
      if ((this.ee.en.is != null) && (this.ee.en.is.fL != null))
        az.a(this.ee.eh, this.ee.ej.iJ, this.ee.en, this.ee.adUnitId, paramBoolean, this.ee.en.is.fL);
    }
    while ((this.ee.en.gb == null) || (this.ee.en.gb.fG == null));
    az.a(this.ee.eh, this.ee.ej.iJ, this.ee.en, this.ee.adUnitId, paramBoolean, this.ee.en.gb.fG);
  }

  // ERROR //
  private boolean b(cj paramcj)
  {
    // Byte code:
    //   0: aload_1
    //   1: getfield 279	com/google/android/gms/internal/cj:hy	Z
    //   4: ifeq +193 -> 197
    //   7: aload_1
    //   8: getfield 283	com/google/android/gms/internal/cj:gc	Lcom/google/android/gms/internal/bc;
    //   11: invokeinterface 289 1 0
    //   16: invokestatic 294	com/google/android/gms/dynamic/c:b	(Lcom/google/android/gms/dynamic/b;)Ljava/lang/Object;
    //   19: checkcast 296	android/view/View
    //   22: astore 5
    //   24: aload_0
    //   25: getfield 34	com/google/android/gms/internal/r:ee	Lcom/google/android/gms/internal/r$a;
    //   28: getfield 155	com/google/android/gms/internal/r$a:eg	Landroid/widget/ViewSwitcher;
    //   31: invokevirtual 300	android/widget/ViewSwitcher:getNextView	()Landroid/view/View;
    //   34: astore 6
    //   36: aload 6
    //   38: ifnull +15 -> 53
    //   41: aload_0
    //   42: getfield 34	com/google/android/gms/internal/r:ee	Lcom/google/android/gms/internal/r$a;
    //   45: getfield 155	com/google/android/gms/internal/r$a:eg	Landroid/widget/ViewSwitcher;
    //   48: aload 6
    //   50: invokevirtual 303	android/widget/ViewSwitcher:removeView	(Landroid/view/View;)V
    //   53: aload_0
    //   54: aload 5
    //   56: invokespecial 305	com/google/android/gms/internal/r:b	(Landroid/view/View;)V
    //   59: aload_0
    //   60: getfield 34	com/google/android/gms/internal/r:ee	Lcom/google/android/gms/internal/r$a;
    //   63: getfield 155	com/google/android/gms/internal/r$a:eg	Landroid/widget/ViewSwitcher;
    //   66: invokevirtual 309	android/widget/ViewSwitcher:getChildCount	()I
    //   69: iconst_1
    //   70: if_icmple +13 -> 83
    //   73: aload_0
    //   74: getfield 34	com/google/android/gms/internal/r:ee	Lcom/google/android/gms/internal/r$a;
    //   77: getfield 155	com/google/android/gms/internal/r$a:eg	Landroid/widget/ViewSwitcher;
    //   80: invokevirtual 312	android/widget/ViewSwitcher:showNext	()V
    //   83: aload_0
    //   84: getfield 34	com/google/android/gms/internal/r:ee	Lcom/google/android/gms/internal/r$a;
    //   87: getfield 181	com/google/android/gms/internal/r$a:en	Lcom/google/android/gms/internal/cj;
    //   90: ifnull +70 -> 160
    //   93: aload_0
    //   94: getfield 34	com/google/android/gms/internal/r:ee	Lcom/google/android/gms/internal/r$a;
    //   97: getfield 155	com/google/android/gms/internal/r$a:eg	Landroid/widget/ViewSwitcher;
    //   100: invokevirtual 300	android/widget/ViewSwitcher:getNextView	()Landroid/view/View;
    //   103: astore_2
    //   104: aload_2
    //   105: instanceof 232
    //   108: ifeq +162 -> 270
    //   111: aload_2
    //   112: checkcast 232	com/google/android/gms/internal/cw
    //   115: aload_0
    //   116: getfield 34	com/google/android/gms/internal/r:ee	Lcom/google/android/gms/internal/r$a;
    //   119: getfield 126	com/google/android/gms/internal/r$a:eh	Landroid/content/Context;
    //   122: aload_0
    //   123: getfield 34	com/google/android/gms/internal/r:ee	Lcom/google/android/gms/internal/r$a;
    //   126: getfield 145	com/google/android/gms/internal/r$a:em	Lcom/google/android/gms/internal/x;
    //   129: invokevirtual 315	com/google/android/gms/internal/cw:a	(Landroid/content/Context;Lcom/google/android/gms/internal/x;)V
    //   132: aload_0
    //   133: getfield 34	com/google/android/gms/internal/r:ee	Lcom/google/android/gms/internal/r$a;
    //   136: getfield 181	com/google/android/gms/internal/r$a:en	Lcom/google/android/gms/internal/cj;
    //   139: getfield 283	com/google/android/gms/internal/cj:gc	Lcom/google/android/gms/internal/bc;
    //   142: ifnull +18 -> 160
    //   145: aload_0
    //   146: getfield 34	com/google/android/gms/internal/r:ee	Lcom/google/android/gms/internal/r$a;
    //   149: getfield 181	com/google/android/gms/internal/r$a:en	Lcom/google/android/gms/internal/cj;
    //   152: getfield 283	com/google/android/gms/internal/cj:gc	Lcom/google/android/gms/internal/bc;
    //   155: invokeinterface 316 1 0
    //   160: aload_0
    //   161: getfield 34	com/google/android/gms/internal/r:ee	Lcom/google/android/gms/internal/r$a;
    //   164: getfield 155	com/google/android/gms/internal/r$a:eg	Landroid/widget/ViewSwitcher;
    //   167: iconst_0
    //   168: invokevirtual 176	android/widget/ViewSwitcher:setVisibility	(I)V
    //   171: iconst_1
    //   172: ireturn
    //   173: astore 4
    //   175: ldc_w 318
    //   178: aload 4
    //   180: invokestatic 96	com/google/android/gms/internal/ct:b	(Ljava/lang/String;Ljava/lang/Throwable;)V
    //   183: iconst_0
    //   184: ireturn
    //   185: astore 7
    //   187: ldc_w 320
    //   190: aload 7
    //   192: invokestatic 96	com/google/android/gms/internal/ct:b	(Ljava/lang/String;Ljava/lang/Throwable;)V
    //   195: iconst_0
    //   196: ireturn
    //   197: aload_1
    //   198: getfield 323	com/google/android/gms/internal/cj:it	Lcom/google/android/gms/internal/x;
    //   201: ifnull -142 -> 59
    //   204: aload_1
    //   205: getfield 230	com/google/android/gms/internal/cj:gJ	Lcom/google/android/gms/internal/cw;
    //   208: aload_1
    //   209: getfield 323	com/google/android/gms/internal/cj:it	Lcom/google/android/gms/internal/x;
    //   212: invokevirtual 326	com/google/android/gms/internal/cw:a	(Lcom/google/android/gms/internal/x;)V
    //   215: aload_0
    //   216: getfield 34	com/google/android/gms/internal/r:ee	Lcom/google/android/gms/internal/r$a;
    //   219: getfield 155	com/google/android/gms/internal/r$a:eg	Landroid/widget/ViewSwitcher;
    //   222: invokevirtual 329	android/widget/ViewSwitcher:removeAllViews	()V
    //   225: aload_0
    //   226: getfield 34	com/google/android/gms/internal/r:ee	Lcom/google/android/gms/internal/r$a;
    //   229: getfield 155	com/google/android/gms/internal/r$a:eg	Landroid/widget/ViewSwitcher;
    //   232: aload_1
    //   233: getfield 323	com/google/android/gms/internal/cj:it	Lcom/google/android/gms/internal/x;
    //   236: getfield 332	com/google/android/gms/internal/x:widthPixels	I
    //   239: invokevirtual 335	android/widget/ViewSwitcher:setMinimumWidth	(I)V
    //   242: aload_0
    //   243: getfield 34	com/google/android/gms/internal/r:ee	Lcom/google/android/gms/internal/r$a;
    //   246: getfield 155	com/google/android/gms/internal/r$a:eg	Landroid/widget/ViewSwitcher;
    //   249: aload_1
    //   250: getfield 323	com/google/android/gms/internal/cj:it	Lcom/google/android/gms/internal/x;
    //   253: getfield 338	com/google/android/gms/internal/x:heightPixels	I
    //   256: invokevirtual 341	android/widget/ViewSwitcher:setMinimumHeight	(I)V
    //   259: aload_0
    //   260: aload_1
    //   261: getfield 230	com/google/android/gms/internal/cj:gJ	Lcom/google/android/gms/internal/cw;
    //   264: invokespecial 305	com/google/android/gms/internal/r:b	(Landroid/view/View;)V
    //   267: goto -208 -> 59
    //   270: aload_2
    //   271: ifnull -139 -> 132
    //   274: aload_0
    //   275: getfield 34	com/google/android/gms/internal/r:ee	Lcom/google/android/gms/internal/r$a;
    //   278: getfield 155	com/google/android/gms/internal/r$a:eg	Landroid/widget/ViewSwitcher;
    //   281: aload_2
    //   282: invokevirtual 303	android/widget/ViewSwitcher:removeView	(Landroid/view/View;)V
    //   285: goto -153 -> 132
    //   288: astore_3
    //   289: ldc_w 343
    //   292: invokestatic 186	com/google/android/gms/internal/ct:v	(Ljava/lang/String;)V
    //   295: goto -135 -> 160
    //
    // Exception table:
    //   from	to	target	type
    //   7	24	173	android/os/RemoteException
    //   53	59	185	java/lang/Throwable
    //   145	160	288	android/os/RemoteException
  }

  private bz.a c(v paramv)
  {
    ApplicationInfo localApplicationInfo = this.ee.eh.getApplicationInfo();
    try
    {
      PackageInfo localPackageInfo2 = this.ee.eh.getPackageManager().getPackageInfo(localApplicationInfo.packageName, 0);
      localPackageInfo1 = localPackageInfo2;
      if ((!this.ee.em.eG) && (this.ee.eg.getParent() != null))
      {
        int[] arrayOfInt = new int[2];
        this.ee.eg.getLocationOnScreen(arrayOfInt);
        int i = arrayOfInt[0];
        int j = arrayOfInt[1];
        DisplayMetrics localDisplayMetrics = this.ee.eh.getResources().getDisplayMetrics();
        int k = this.ee.eg.getWidth();
        int m = this.ee.eg.getHeight();
        if ((this.ee.eg.isShown()) && (i + k > 0) && (j + m > 0) && (i <= localDisplayMetrics.widthPixels) && (j <= localDisplayMetrics.heightPixels))
        {
          n = 1;
          localBundle = new Bundle(5);
          localBundle.putInt("x", i);
          localBundle.putInt("y", j);
          localBundle.putInt("width", k);
          localBundle.putInt("height", m);
          localBundle.putInt("visible", n);
          return new bz.a(localBundle, paramv, this.ee.em, this.ee.adUnitId, localApplicationInfo, localPackageInfo1, ck.ar(), ck.iu, this.ee.ej);
        }
      }
    }
    catch (PackageManager.NameNotFoundException localNameNotFoundException)
    {
      while (true)
      {
        PackageInfo localPackageInfo1 = null;
        continue;
        int n = 0;
        continue;
        Bundle localBundle = null;
      }
    }
  }

  public void A()
  {
    if (this.ee.em.eG)
      O();
    I();
  }

  public void B()
  {
    if (this.ee.em.eG)
      b(false);
    K();
  }

  public void C()
  {
    w();
  }

  public void D()
  {
    A();
  }

  public void E()
  {
    z();
  }

  public void F()
  {
    B();
  }

  public void G()
  {
    if (this.ee.en != null)
      ct.v("Mediation adapter " + this.ee.en.gd + " refreshed, but mediation adapters should never refresh.");
    b(true);
    L();
  }

  public void H()
  {
    eg.N("recordManualImpression must be called on the main UI thread.");
    if (this.ee.en == null)
      ct.v("Ad state was null when trying to ping manual tracking URLs.");
    do
    {
      return;
      ct.r("Pinging manual tracking URLs.");
    }
    while (this.ee.en.hA == null);
    co.a(this.ee.eh, this.ee.ej.iJ, this.ee.en.hA);
  }

  public void a(ab paramab)
  {
    eg.N("setAdListener must be called on the main UI thread.");
    this.ee.ek = paramab;
  }

  public void a(ae paramae)
  {
    eg.N("setAppEventListener must be called on the main UI thread.");
    this.ee.eo = paramae;
  }

  public void a(cj paramcj)
  {
    this.ee.el = null;
    if (paramcj.errorCode == -1)
      return;
    boolean bool;
    if (paramcj.hr.extras != null)
    {
      bool = paramcj.hr.extras.getBoolean("_noRefresh", false);
      if (!this.ee.em.eG)
        break label152;
      co.a(paramcj.gJ);
    }
    while (true)
    {
      if ((paramcj.errorCode == 3) && (paramcj.is != null) && (paramcj.is.fM != null))
      {
        ct.r("Pinging no fill URLs.");
        az.a(this.ee.eh, this.ee.ej.iJ, paramcj, this.ee.adUnitId, false, paramcj.is.fM);
      }
      if (paramcj.errorCode == -2)
        break label252;
      a(paramcj.errorCode);
      return;
      bool = false;
      break;
      label152: if (!bool)
        if (paramcj.fO > 0L)
          this.ef.a(paramcj.hr, paramcj.fO);
        else if ((paramcj.is != null) && (paramcj.is.fO > 0L))
          this.ef.a(paramcj.hr, paramcj.is.fO);
        else if ((!paramcj.hy) && (paramcj.errorCode == 2))
          this.ef.d(paramcj.hr);
    }
    label252: if ((!this.ee.em.eG) && (!b(paramcj)))
    {
      a(0);
      return;
    }
    if ((this.ee.en != null) && (this.ee.en.ge != null))
      this.ee.en.ge.a(null);
    if (paramcj.ge != null)
      paramcj.ge.a(this);
    this.ee.en = paramcj;
    if (paramcj.it != null)
      this.ee.em = paramcj.it;
    if (!this.ee.em.eG)
      b(false);
    L();
  }

  public void a(x paramx)
  {
    eg.N("setAdSize must be called on the main UI thread.");
    this.ee.em = paramx;
    if (this.ee.en != null)
      this.ee.en.gJ.a(paramx);
    if (this.ee.eg.getChildCount() > 1)
      this.ee.eg.removeView(this.ee.eg.getNextView());
    this.ee.eg.setMinimumWidth(paramx.widthPixels);
    this.ee.eg.setMinimumHeight(paramx.heightPixels);
    this.ee.eg.requestLayout();
  }

  public boolean a(v paramv)
  {
    eg.N("loadAd must be called on the main UI thread.");
    if (this.ee.el != null)
      ct.v("An ad request is already in progress. Aborting.");
    do
    {
      return false;
      if ((this.ee.em.eG) && (this.ee.en != null))
      {
        ct.v("An interstitial is already loading. Aborting.");
        return false;
      }
    }
    while (!M());
    ct.t("Starting ad request.");
    this.ef.cancel();
    bz.a locala = c(paramv);
    Object localObject;
    if (this.ee.em.eG)
    {
      cw localcw2 = cw.a(this.ee.eh, this.ee.em, false, false, this.ee.ei, this.ee.ej);
      localcw2.aC().a(this, null, this, this, true);
      localObject = localcw2;
      this.ee.el = bu.a(this.ee.eh, locala, this.ee.ei, (cw)localObject, this.ed, this);
      return true;
    }
    View localView = this.ee.eg.getNextView();
    cw localcw1;
    if ((localView instanceof cw))
    {
      localcw1 = (cw)localView;
      localcw1.a(this.ee.eh, this.ee.em);
    }
    while (true)
    {
      localcw1.aC().a(this, this, this, this, false);
      localObject = localcw1;
      break;
      if (localView != null)
        this.ee.eg.removeView(localView);
      localcw1 = cw.a(this.ee.eh, this.ee.em, false, false, this.ee.ei, this.ee.ej);
      if (this.ee.em.eH == null)
        b(localcw1);
    }
  }

  public void b(v paramv)
  {
    ViewParent localViewParent = this.ee.eg.getParent();
    if (((localViewParent instanceof View)) && (((View)localViewParent).isShown()) && (co.at()))
    {
      a(paramv);
      return;
    }
    ct.t("Ad is not visible. Not refreshing ad.");
    this.ef.d(paramv);
  }

  public void destroy()
  {
    eg.N("destroy must be called on the main UI thread.");
    this.ee.ek = null;
    this.ee.eo = null;
    this.ef.cancel();
    stopLoading();
    if (this.ee.eg != null)
      this.ee.eg.removeAllViews();
    if ((this.ee.en != null) && (this.ee.en.gJ != null))
      this.ee.en.gJ.destroy();
  }

  public boolean isReady()
  {
    eg.N("isLoaded must be called on the main UI thread.");
    return (this.ee.el == null) && (this.ee.en != null);
  }

  public void onAppEvent(String paramString1, String paramString2)
  {
    if (this.ee.eo != null);
    try
    {
      this.ee.eo.onAppEvent(paramString1, paramString2);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      ct.b("Could not call the AppEventListener.", localRemoteException);
    }
  }

  public void pause()
  {
    eg.N("pause must be called on the main UI thread.");
    if (this.ee.en != null)
      co.a(this.ee.en.gJ);
  }

  public void resume()
  {
    eg.N("resume must be called on the main UI thread.");
    if (this.ee.en != null)
      co.b(this.ee.en.gJ);
  }

  public void showInterstitial()
  {
    eg.N("showInterstitial must be called on the main UI thread.");
    if (!this.ee.em.eG)
    {
      ct.v("Cannot call showInterstitial on a banner ad.");
      return;
    }
    if (this.ee.en == null)
    {
      ct.v("The interstitial has not loaded.");
      return;
    }
    if (this.ee.en.gJ.aF())
    {
      ct.v("The interstitial is already showing.");
      return;
    }
    this.ee.en.gJ.l(true);
    if (this.ee.en.hy)
      try
      {
        this.ee.en.gc.showInterstitial();
        return;
      }
      catch (RemoteException localRemoteException)
      {
        ct.b("Could not show interstitial.", localRemoteException);
        O();
        return;
      }
    bm localbm = new bm(this, this, this, this.ee.en.gJ, this.ee.en.orientation, this.ee.ej);
    bk.a(this.ee.eh, localbm);
  }

  public void stopLoading()
  {
    eg.N("stopLoading must be called on the main UI thread.");
    if (this.ee.en != null)
    {
      this.ee.en.gJ.stopLoading();
      this.ee.en = null;
    }
    if (this.ee.el != null)
      this.ee.el.cancel();
  }

  public void w()
  {
    N();
  }

  public b x()
  {
    eg.N("getAdFrame must be called on the main UI thread.");
    return c.h(this.ee.eg);
  }

  public x y()
  {
    eg.N("getAdSize must be called on the main UI thread.");
    return this.ee.em;
  }

  public void z()
  {
    J();
  }

  private static final class a
  {
    public final String adUnitId;
    public final ViewSwitcher eg;
    public final Context eh;
    public final h ei;
    public final cu ej;
    public ab ek;
    public cm el;
    public x em;
    public cj en;
    public ae eo;

    public a(Context paramContext, x paramx, String paramString, cu paramcu)
    {
      if (paramx.eG)
        this.eg = null;
      while (true)
      {
        this.em = paramx;
        this.adUnitId = paramString;
        this.eh = paramContext;
        this.ei = new h(g.a(paramcu.iJ, paramContext));
        this.ej = paramcu;
        return;
        this.eg = new ViewSwitcher(paramContext);
        this.eg.setMinimumWidth(paramx.widthPixels);
        this.eg.setMinimumHeight(paramx.heightPixels);
        this.eg.setVisibility(4);
      }
    }
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.google.android.gms.internal.r
 * JD-Core Version:    0.6.2
 */