package com.google.android.gms.location;

import android.os.Parcel;
import android.os.SystemClock;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import com.google.android.gms.internal.ee;

public final class LocationRequest
  implements SafeParcelable
{
  public static final LocationRequestCreator CREATOR = new LocationRequestCreator();
  public static final int PRIORITY_BALANCED_POWER_ACCURACY = 102;
  public static final int PRIORITY_HIGH_ACCURACY = 100;
  public static final int PRIORITY_LOW_POWER = 104;
  public static final int PRIORITY_NO_POWER = 105;
  private final int kg;
  int mPriority;
  long xB;
  long xC;
  boolean xD;
  int xE;
  float xF;
  long xu;

  public LocationRequest()
  {
    this.kg = 1;
    this.mPriority = 102;
    this.xB = 3600000L;
    this.xC = 600000L;
    this.xD = false;
    this.xu = 9223372036854775807L;
    this.xE = 2147483647;
    this.xF = 0.0F;
  }

  LocationRequest(int paramInt1, int paramInt2, long paramLong1, long paramLong2, boolean paramBoolean, long paramLong3, int paramInt3, float paramFloat)
  {
    this.kg = paramInt1;
    this.mPriority = paramInt2;
    this.xB = paramLong1;
    this.xC = paramLong2;
    this.xD = paramBoolean;
    this.xu = paramLong3;
    this.xE = paramInt3;
    this.xF = paramFloat;
  }

  private static void a(float paramFloat)
  {
    if (paramFloat < 0.0F)
      throw new IllegalArgumentException("invalid displacement: " + paramFloat);
  }

  private static void aO(int paramInt)
  {
    switch (paramInt)
    {
    case 101:
    case 103:
    default:
      throw new IllegalArgumentException("invalid quality: " + paramInt);
    case 100:
    case 102:
    case 104:
    case 105:
    }
  }

  public static String aP(int paramInt)
  {
    switch (paramInt)
    {
    case 101:
    case 103:
    default:
      return "???";
    case 100:
      return "PRIORITY_HIGH_ACCURACY";
    case 102:
      return "PRIORITY_BALANCED_POWER_ACCURACY";
    case 104:
      return "PRIORITY_LOW_POWER";
    case 105:
    }
    return "PRIORITY_NO_POWER";
  }

  public static LocationRequest create()
  {
    return new LocationRequest();
  }

  private static void m(long paramLong)
  {
    if (paramLong < 0L)
      throw new IllegalArgumentException("invalid interval: " + paramLong);
  }

  public int describeContents()
  {
    return 0;
  }

  public boolean equals(Object paramObject)
  {
    if (this == paramObject);
    LocationRequest localLocationRequest;
    do
    {
      return true;
      if (!(paramObject instanceof LocationRequest))
        return false;
      localLocationRequest = (LocationRequest)paramObject;
    }
    while ((this.mPriority == localLocationRequest.mPriority) && (this.xB == localLocationRequest.xB) && (this.xC == localLocationRequest.xC) && (this.xD == localLocationRequest.xD) && (this.xu == localLocationRequest.xu) && (this.xE == localLocationRequest.xE) && (this.xF == localLocationRequest.xF));
    return false;
  }

  public long getExpirationTime()
  {
    return this.xu;
  }

  public long getFastestInterval()
  {
    return this.xC;
  }

  public long getInterval()
  {
    return this.xB;
  }

  public int getNumUpdates()
  {
    return this.xE;
  }

  public int getPriority()
  {
    return this.mPriority;
  }

  public float getSmallestDisplacement()
  {
    return this.xF;
  }

  int getVersionCode()
  {
    return this.kg;
  }

  public int hashCode()
  {
    Object[] arrayOfObject = new Object[7];
    arrayOfObject[0] = Integer.valueOf(this.mPriority);
    arrayOfObject[1] = Long.valueOf(this.xB);
    arrayOfObject[2] = Long.valueOf(this.xC);
    arrayOfObject[3] = Boolean.valueOf(this.xD);
    arrayOfObject[4] = Long.valueOf(this.xu);
    arrayOfObject[5] = Integer.valueOf(this.xE);
    arrayOfObject[6] = Float.valueOf(this.xF);
    return ee.hashCode(arrayOfObject);
  }

  public LocationRequest setExpirationDuration(long paramLong)
  {
    long l = SystemClock.elapsedRealtime();
    if (paramLong > 9223372036854775807L - l);
    for (this.xu = 9223372036854775807L; ; this.xu = (l + paramLong))
    {
      if (this.xu < 0L)
        this.xu = 0L;
      return this;
    }
  }

  public LocationRequest setExpirationTime(long paramLong)
  {
    this.xu = paramLong;
    if (this.xu < 0L)
      this.xu = 0L;
    return this;
  }

  public LocationRequest setFastestInterval(long paramLong)
  {
    m(paramLong);
    this.xD = true;
    this.xC = paramLong;
    return this;
  }

  public LocationRequest setInterval(long paramLong)
  {
    m(paramLong);
    this.xB = paramLong;
    if (!this.xD)
      this.xC = (()(this.xB / 6.0D));
    return this;
  }

  public LocationRequest setNumUpdates(int paramInt)
  {
    if (paramInt <= 0)
      throw new IllegalArgumentException("invalid numUpdates: " + paramInt);
    this.xE = paramInt;
    return this;
  }

  public LocationRequest setPriority(int paramInt)
  {
    aO(paramInt);
    this.mPriority = paramInt;
    return this;
  }

  public LocationRequest setSmallestDisplacement(float paramFloat)
  {
    a(paramFloat);
    this.xF = paramFloat;
    return this;
  }

  public String toString()
  {
    StringBuilder localStringBuilder = new StringBuilder();
    localStringBuilder.append("Request[").append(aP(this.mPriority));
    if (this.mPriority != 105)
    {
      localStringBuilder.append(" requested=");
      localStringBuilder.append(this.xB + "ms");
    }
    localStringBuilder.append(" fastest=");
    localStringBuilder.append(this.xC + "ms");
    if (this.xu != 9223372036854775807L)
    {
      long l = this.xu - SystemClock.elapsedRealtime();
      localStringBuilder.append(" expireIn=");
      localStringBuilder.append(l + "ms");
    }
    if (this.xE != 2147483647)
      localStringBuilder.append(" num=").append(this.xE);
    localStringBuilder.append(']');
    return localStringBuilder.toString();
  }

  public void writeToParcel(Parcel paramParcel, int paramInt)
  {
    LocationRequestCreator.a(this, paramParcel, paramInt);
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.google.android.gms.location.LocationRequest
 * JD-Core Version:    0.6.2
 */