package com.google.android.gms.plus;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.util.AttributeSet;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.FrameLayout;
import com.google.android.gms.internal.eg;
import com.google.android.gms.internal.ej;
import com.google.android.gms.internal.ht;

public final class PlusOneButton extends FrameLayout
{
  public static final int ANNOTATION_BUBBLE = 1;
  public static final int ANNOTATION_INLINE = 2;
  public static final int ANNOTATION_NONE = 0;
  public static final int DEFAULT_ACTIVITY_REQUEST_CODE = -1;
  public static final int SIZE_MEDIUM = 1;
  public static final int SIZE_SMALL = 0;
  public static final int SIZE_STANDARD = 3;
  public static final int SIZE_TALL = 2;
  private View DB;
  private int DC;
  private int DD;
  private OnPlusOneClickListener DE;
  private String iH;
  private int mSize;

  public PlusOneButton(Context paramContext)
  {
    this(paramContext, null);
  }

  public PlusOneButton(Context paramContext, AttributeSet paramAttributeSet)
  {
    super(paramContext, paramAttributeSet);
    this.mSize = getSize(paramContext, paramAttributeSet);
    this.DC = getAnnotation(paramContext, paramAttributeSet);
    this.DD = -1;
    p(getContext());
    if (isInEditMode());
  }

  protected static int getAnnotation(Context paramContext, AttributeSet paramAttributeSet)
  {
    String str = ej.a("http://schemas.android.com/apk/lib/com.google.android.gms.plus", "annotation", paramContext, paramAttributeSet, true, false, "PlusOneButton");
    int i;
    if ("INLINE".equalsIgnoreCase(str))
      i = 2;
    boolean bool;
    do
    {
      return i;
      bool = "NONE".equalsIgnoreCase(str);
      i = 0;
    }
    while (bool);
    return 1;
  }

  protected static int getSize(Context paramContext, AttributeSet paramAttributeSet)
  {
    String str = ej.a("http://schemas.android.com/apk/lib/com.google.android.gms.plus", "size", paramContext, paramAttributeSet, true, false, "PlusOneButton");
    if ("SMALL".equalsIgnoreCase(str))
      return 0;
    if ("MEDIUM".equalsIgnoreCase(str))
      return 1;
    if ("TALL".equalsIgnoreCase(str))
      return 2;
    return 3;
  }

  private void p(Context paramContext)
  {
    if (this.DB != null)
      removeView(this.DB);
    this.DB = ht.a(paramContext, this.mSize, this.DC, this.iH, this.DD);
    setOnPlusOneClickListener(this.DE);
    addView(this.DB);
  }

  public void initialize(String paramString, int paramInt)
  {
    eg.a(getContext() instanceof Activity, "To use this method, the PlusOneButton must be placed in an Activity. Use initialize(PlusClient, String, OnPlusOneClickListener).");
    this.iH = paramString;
    this.DD = paramInt;
    p(getContext());
  }

  public void initialize(String paramString, OnPlusOneClickListener paramOnPlusOneClickListener)
  {
    this.iH = paramString;
    this.DD = 0;
    p(getContext());
    setOnPlusOneClickListener(paramOnPlusOneClickListener);
  }

  protected void onLayout(boolean paramBoolean, int paramInt1, int paramInt2, int paramInt3, int paramInt4)
  {
    this.DB.layout(0, 0, paramInt3 - paramInt1, paramInt4 - paramInt2);
  }

  protected void onMeasure(int paramInt1, int paramInt2)
  {
    View localView = this.DB;
    measureChild(localView, paramInt1, paramInt2);
    setMeasuredDimension(localView.getMeasuredWidth(), localView.getMeasuredHeight());
  }

  public void setAnnotation(int paramInt)
  {
    this.DC = paramInt;
    p(getContext());
  }

  public void setOnPlusOneClickListener(OnPlusOneClickListener paramOnPlusOneClickListener)
  {
    this.DE = paramOnPlusOneClickListener;
    this.DB.setOnClickListener(new DefaultOnPlusOneClickListener(paramOnPlusOneClickListener));
  }

  public void setSize(int paramInt)
  {
    this.mSize = paramInt;
    p(getContext());
  }

  protected class DefaultOnPlusOneClickListener
    implements View.OnClickListener, PlusOneButton.OnPlusOneClickListener
  {
    private final PlusOneButton.OnPlusOneClickListener DF;

    public DefaultOnPlusOneClickListener(PlusOneButton.OnPlusOneClickListener arg2)
    {
      Object localObject;
      this.DF = localObject;
    }

    public void onClick(View paramView)
    {
      Intent localIntent = (Intent)PlusOneButton.a(PlusOneButton.this).getTag();
      if (this.DF != null)
      {
        this.DF.onPlusOneClick(localIntent);
        return;
      }
      onPlusOneClick(localIntent);
    }

    public void onPlusOneClick(Intent paramIntent)
    {
      Context localContext = PlusOneButton.this.getContext();
      if (((localContext instanceof Activity)) && (paramIntent != null))
        ((Activity)localContext).startActivityForResult(paramIntent, PlusOneButton.b(PlusOneButton.this));
    }
  }

  public static abstract interface OnPlusOneClickListener
  {
    public abstract void onPlusOneClick(Intent paramIntent);
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.google.android.gms.plus.PlusOneButton
 * JD-Core Version:    0.6.2
 */