package com.loopj.android.http;

import android.util.Log;
import java.io.IOException;
import java.net.MalformedURLException;
import java.net.URI;
import org.apache.http.HttpResponse;
import org.apache.http.client.methods.HttpUriRequest;
import org.apache.http.impl.client.AbstractHttpClient;
import org.apache.http.protocol.HttpContext;

public class AsyncHttpRequest
  implements Runnable
{
  public static boolean shouldContinue = true;
  private boolean cancelIsNotified = false;
  private final AbstractHttpClient client;
  private final HttpContext context;
  private int executionCount;
  private boolean isCancelled = false;
  private boolean isFinished = false;
  private final HttpUriRequest request;
  private final ResponseHandlerInterface responseHandler;

  public AsyncHttpRequest(AbstractHttpClient paramAbstractHttpClient, HttpContext paramHttpContext, HttpUriRequest paramHttpUriRequest, ResponseHandlerInterface paramResponseHandlerInterface)
  {
    this.client = paramAbstractHttpClient;
    this.context = paramHttpContext;
    this.request = paramHttpUriRequest;
    this.responseHandler = paramResponseHandlerInterface;
  }

  private void makeRequest()
    throws IOException
  {
    if (isCancelled());
    HttpResponse localHttpResponse;
    do
    {
      return;
      if (this.request.getURI().getScheme() == null)
        throw new MalformedURLException("No valid URI scheme was provided");
      localHttpResponse = this.client.execute(this.request, this.context);
    }
    while ((isCancelled()) || (this.responseHandler == null));
    this.responseHandler.sendResponseMessage(localHttpResponse);
  }

  // ERROR //
  private void makeRequestWithRetries()
    throws IOException
  {
    // Byte code:
    //   0: iconst_1
    //   1: istore_1
    //   2: aload_0
    //   3: getfield 37	com/loopj/android/http/AsyncHttpRequest:client	Lorg/apache/http/impl/client/AbstractHttpClient;
    //   6: invokevirtual 91	org/apache/http/impl/client/AbstractHttpClient:getHttpRequestRetryHandler	()Lorg/apache/http/client/HttpRequestRetryHandler;
    //   9: astore_2
    //   10: aconst_null
    //   11: astore_3
    //   12: iload_1
    //   13: ifne +9 -> 22
    //   16: aload_3
    //   17: astore 7
    //   19: aload 7
    //   21: athrow
    //   22: getstatic 25	com/loopj/android/http/AsyncHttpRequest:shouldContinue	Z
    //   25: istore 8
    //   27: iload 8
    //   29: ifne +9 -> 38
    //   32: aload_3
    //   33: astore 7
    //   35: goto -16 -> 19
    //   38: aload_0
    //   39: invokespecial 93	com/loopj/android/http/AsyncHttpRequest:makeRequest	()V
    //   42: return
    //   43: astore 17
    //   45: new 46	java/io/IOException
    //   48: dup
    //   49: new 95	java/lang/StringBuilder
    //   52: dup
    //   53: ldc 97
    //   55: invokespecial 98	java/lang/StringBuilder:<init>	(Ljava/lang/String;)V
    //   58: aload 17
    //   60: invokevirtual 101	java/net/UnknownHostException:getMessage	()Ljava/lang/String;
    //   63: invokevirtual 105	java/lang/StringBuilder:append	(Ljava/lang/String;)Ljava/lang/StringBuilder;
    //   66: invokevirtual 108	java/lang/StringBuilder:toString	()Ljava/lang/String;
    //   69: invokespecial 109	java/io/IOException:<init>	(Ljava/lang/String;)V
    //   72: astore 11
    //   74: iconst_1
    //   75: istore_1
    //   76: ldc 111
    //   78: ldc 113
    //   80: invokestatic 119	android/util/Log:e	(Ljava/lang/String;Ljava/lang/String;)I
    //   83: pop
    //   84: iload_1
    //   85: ifeq +23 -> 108
    //   88: aload_0
    //   89: getfield 43	com/loopj/android/http/AsyncHttpRequest:responseHandler	Lcom/loopj/android/http/ResponseHandlerInterface;
    //   92: ifnull +16 -> 108
    //   95: aload_0
    //   96: getfield 43	com/loopj/android/http/AsyncHttpRequest:responseHandler	Lcom/loopj/android/http/ResponseHandlerInterface;
    //   99: aload_0
    //   100: getfield 121	com/loopj/android/http/AsyncHttpRequest:executionCount	I
    //   103: invokeinterface 125 2 0
    //   108: aload 11
    //   110: astore_3
    //   111: goto -99 -> 12
    //   114: astore 14
    //   116: new 46	java/io/IOException
    //   119: dup
    //   120: new 95	java/lang/StringBuilder
    //   123: dup
    //   124: ldc 127
    //   126: invokespecial 98	java/lang/StringBuilder:<init>	(Ljava/lang/String;)V
    //   129: aload 14
    //   131: invokevirtual 128	java/lang/NullPointerException:getMessage	()Ljava/lang/String;
    //   134: invokevirtual 105	java/lang/StringBuilder:append	(Ljava/lang/String;)Ljava/lang/StringBuilder;
    //   137: invokevirtual 108	java/lang/StringBuilder:toString	()Ljava/lang/String;
    //   140: invokespecial 109	java/io/IOException:<init>	(Ljava/lang/String;)V
    //   143: astore 11
    //   145: iconst_1
    //   146: aload_0
    //   147: getfield 121	com/loopj/android/http/AsyncHttpRequest:executionCount	I
    //   150: iadd
    //   151: istore 15
    //   153: aload_0
    //   154: iload 15
    //   156: putfield 121	com/loopj/android/http/AsyncHttpRequest:executionCount	I
    //   159: aload_2
    //   160: aload 11
    //   162: iload 15
    //   164: aload_0
    //   165: getfield 39	com/loopj/android/http/AsyncHttpRequest:context	Lorg/apache/http/protocol/HttpContext;
    //   168: invokeinterface 134 4 0
    //   173: istore 16
    //   175: iload 16
    //   177: istore_1
    //   178: goto -94 -> 84
    //   181: astore 9
    //   183: aload_0
    //   184: invokevirtual 49	com/loopj/android/http/AsyncHttpRequest:isCancelled	()Z
    //   187: istore 10
    //   189: iload 10
    //   191: ifne -149 -> 42
    //   194: aload 9
    //   196: astore 11
    //   198: iconst_1
    //   199: aload_0
    //   200: getfield 121	com/loopj/android/http/AsyncHttpRequest:executionCount	I
    //   203: iadd
    //   204: istore 12
    //   206: aload_0
    //   207: iload 12
    //   209: putfield 121	com/loopj/android/http/AsyncHttpRequest:executionCount	I
    //   212: aload_2
    //   213: aload 11
    //   215: iload 12
    //   217: aload_0
    //   218: getfield 39	com/loopj/android/http/AsyncHttpRequest:context	Lorg/apache/http/protocol/HttpContext;
    //   221: invokeinterface 134 4 0
    //   226: istore 13
    //   228: iload 13
    //   230: istore_1
    //   231: goto -147 -> 84
    //   234: astore 4
    //   236: aload_3
    //   237: pop
    //   238: ldc 136
    //   240: ldc 138
    //   242: aload 4
    //   244: invokestatic 141	android/util/Log:e	(Ljava/lang/String;Ljava/lang/String;Ljava/lang/Throwable;)I
    //   247: pop
    //   248: new 46	java/io/IOException
    //   251: dup
    //   252: new 95	java/lang/StringBuilder
    //   255: dup
    //   256: ldc 143
    //   258: invokespecial 98	java/lang/StringBuilder:<init>	(Ljava/lang/String;)V
    //   261: aload 4
    //   263: invokevirtual 144	java/lang/Exception:getMessage	()Ljava/lang/String;
    //   266: invokevirtual 105	java/lang/StringBuilder:append	(Ljava/lang/String;)Ljava/lang/StringBuilder;
    //   269: invokevirtual 108	java/lang/StringBuilder:toString	()Ljava/lang/String;
    //   272: invokespecial 109	java/io/IOException:<init>	(Ljava/lang/String;)V
    //   275: astore 7
    //   277: goto -258 -> 19
    //   280: astore 4
    //   282: goto -44 -> 238
    //
    // Exception table:
    //   from	to	target	type
    //   38	42	43	java/net/UnknownHostException
    //   38	42	114	java/lang/NullPointerException
    //   38	42	181	java/io/IOException
    //   22	27	234	java/lang/Exception
    //   38	42	234	java/lang/Exception
    //   45	74	234	java/lang/Exception
    //   116	145	234	java/lang/Exception
    //   183	189	234	java/lang/Exception
    //   76	84	280	java/lang/Exception
    //   88	108	280	java/lang/Exception
    //   145	175	280	java/lang/Exception
    //   198	228	280	java/lang/Exception
  }

  private void sendCancelNotification()
  {
    try
    {
      if ((!this.isFinished) && (this.isCancelled) && (!this.cancelIsNotified))
      {
        this.cancelIsNotified = true;
        if (this.responseHandler != null)
          this.responseHandler.sendCancelMessage();
      }
      return;
    }
    finally
    {
      localObject = finally;
      throw localObject;
    }
  }

  public boolean cancel(boolean paramBoolean)
  {
    this.isCancelled = true;
    if ((paramBoolean) && (this.request != null) && (!this.request.isAborted()))
      this.request.abort();
    return isCancelled();
  }

  public boolean isCancelled()
  {
    if (this.isCancelled)
      sendCancelNotification();
    return this.isCancelled;
  }

  public boolean isDone()
  {
    return (isCancelled()) || (this.isFinished);
  }

  public void run()
  {
    shouldContinue = true;
    if (isCancelled());
    while (true)
    {
      return;
      if (this.responseHandler != null)
        this.responseHandler.sendStartMessage();
      if (isCancelled())
        continue;
      try
      {
        makeRequestWithRetries();
        if (isCancelled())
          continue;
        if (this.responseHandler != null)
          this.responseHandler.sendFinishMessage();
        this.isFinished = true;
        return;
      }
      catch (IOException localIOException)
      {
        while (true)
          if ((!isCancelled()) && (this.responseHandler != null))
            this.responseHandler.sendFailureMessage(0, null, null, localIOException);
          else
            Log.e("AsyncHttpRequest", "makeRequestWithRetries returned error, but handler is null", localIOException);
      }
    }
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.loopj.android.http.AsyncHttpRequest
 * JD-Core Version:    0.6.2
 */