package com.loopj.android.http;

import android.util.Log;
import org.apache.http.Header;

public abstract class BaseJsonHttpResponseHandler<JSON_TYPE> extends TextHttpResponseHandler
{
  private static final String LOG_TAG = "BaseJsonHttpResponseHandler";

  public BaseJsonHttpResponseHandler()
  {
    this("UTF-8");
  }

  public BaseJsonHttpResponseHandler(String paramString)
  {
    super(paramString);
  }

  public final void onFailure(final int paramInt, final Header[] paramArrayOfHeader, final String paramString, final Throwable paramThrowable)
  {
    if (paramString != null)
    {
      new Thread(new Runnable()
      {
        public void run()
        {
          try
          {
            final Object localObject = BaseJsonHttpResponseHandler.this.parseResponse(paramString, true);
            BaseJsonHttpResponseHandler.this.postRunnable(new Runnable()
            {
              public void run()
              {
                BaseJsonHttpResponseHandler.this.onFailure(this.val$statusCode, this.val$headers, this.val$throwable, this.val$responseString, localObject);
              }
            });
            return;
          }
          catch (Throwable localThrowable)
          {
            Log.d("BaseJsonHttpResponseHandler", "parseResponse thrown an problem", localThrowable);
            BaseJsonHttpResponseHandler.this.postRunnable(new Runnable()
            {
              public void run()
              {
                BaseJsonHttpResponseHandler.this.onFailure(this.val$statusCode, this.val$headers, this.val$throwable, this.val$responseString, null);
              }
            });
          }
        }
      }).start();
      return;
    }
    onFailure(paramInt, paramArrayOfHeader, paramThrowable, null, null);
  }

  public abstract void onFailure(int paramInt, Header[] paramArrayOfHeader, Throwable paramThrowable, String paramString, JSON_TYPE paramJSON_TYPE);

  public final void onSuccess(final int paramInt, final Header[] paramArrayOfHeader, final String paramString)
  {
    if (paramInt != 204)
    {
      new Thread(new Runnable()
      {
        public void run()
        {
          try
          {
            final Object localObject = BaseJsonHttpResponseHandler.this.parseResponse(paramString, false);
            BaseJsonHttpResponseHandler.this.postRunnable(new Runnable()
            {
              public void run()
              {
                BaseJsonHttpResponseHandler.this.onSuccess(this.val$statusCode, this.val$headers, this.val$responseString, localObject);
              }
            });
            return;
          }
          catch (Throwable localThrowable)
          {
            Log.d("BaseJsonHttpResponseHandler", "parseResponse thrown an problem", localThrowable);
            BaseJsonHttpResponseHandler.this.postRunnable(new Runnable()
            {
              public void run()
              {
                BaseJsonHttpResponseHandler.this.onFailure(this.val$statusCode, this.val$headers, localThrowable, this.val$responseString, null);
              }
            });
          }
        }
      }).start();
      return;
    }
    onSuccess(paramInt, paramArrayOfHeader, null, null);
  }

  public abstract void onSuccess(int paramInt, Header[] paramArrayOfHeader, String paramString, JSON_TYPE paramJSON_TYPE);

  protected abstract JSON_TYPE parseResponse(String paramString, boolean paramBoolean)
    throws Throwable;
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.loopj.android.http.BaseJsonHttpResponseHandler
 * JD-Core Version:    0.6.2
 */