package com.loopj.android.http;

import android.content.Context;
import android.util.Log;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import org.apache.http.Header;
import org.apache.http.HttpEntity;

public abstract class FileAsyncHttpResponseHandler extends AsyncHttpResponseHandler
{
  private static final String LOG_TAG = "FileAsyncHttpResponseHandler";
  private File mFile;

  static
  {
    if (!FileAsyncHttpResponseHandler.class.desiredAssertionStatus());
    for (boolean bool = true; ; bool = false)
    {
      $assertionsDisabled = bool;
      return;
    }
  }

  public FileAsyncHttpResponseHandler(Context paramContext)
  {
    this.mFile = getTemporaryFile(paramContext);
  }

  public FileAsyncHttpResponseHandler(File paramFile)
  {
    assert (paramFile != null);
    this.mFile = paramFile;
  }

  public boolean deleteTargetFile()
  {
    return (getTargetFile() != null) && (getTargetFile().delete());
  }

  protected byte[] getResponseData(HttpEntity paramHttpEntity)
    throws IOException
  {
    InputStream localInputStream;
    long l;
    FileOutputStream localFileOutputStream;
    if (paramHttpEntity != null)
    {
      localInputStream = paramHttpEntity.getContent();
      l = paramHttpEntity.getContentLength();
      localFileOutputStream = new FileOutputStream(getTargetFile());
      if (localInputStream == null);
    }
    try
    {
      byte[] arrayOfByte = new byte[4096];
      int i = 0;
      while (true)
      {
        int j = localInputStream.read(arrayOfByte);
        if (j != -1)
        {
          boolean bool = Thread.currentThread().isInterrupted();
          if (!bool);
        }
        else
        {
          return null;
        }
        i += j;
        localFileOutputStream.write(arrayOfByte, 0, j);
        sendProgressMessage(i, (int)l);
      }
    }
    finally
    {
      localInputStream.close();
      localFileOutputStream.flush();
      localFileOutputStream.close();
    }
  }

  protected File getTargetFile()
  {
    assert (this.mFile != null);
    return this.mFile;
  }

  protected File getTemporaryFile(Context paramContext)
  {
    assert (paramContext != null);
    try
    {
      File localFile = File.createTempFile("temp_", "_handled", paramContext.getCacheDir());
      return localFile;
    }
    catch (Throwable localThrowable)
    {
      Log.e("FileAsyncHttpResponseHandler", "Cannot create temporary file", localThrowable);
    }
    return null;
  }

  public abstract void onFailure(int paramInt, Header[] paramArrayOfHeader, Throwable paramThrowable, File paramFile);

  public final void onFailure(int paramInt, Header[] paramArrayOfHeader, byte[] paramArrayOfByte, Throwable paramThrowable)
  {
    onFailure(paramInt, paramArrayOfHeader, paramThrowable, getTargetFile());
  }

  public abstract void onSuccess(int paramInt, Header[] paramArrayOfHeader, File paramFile);

  public final void onSuccess(int paramInt, Header[] paramArrayOfHeader, byte[] paramArrayOfByte)
  {
    onSuccess(paramInt, paramArrayOfHeader, getTargetFile());
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.loopj.android.http.FileAsyncHttpResponseHandler
 * JD-Core Version:    0.6.2
 */