package com.loopj.android.http;

import android.util.Log;
import org.apache.http.Header;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
import org.json.JSONTokener;

public class JsonHttpResponseHandler extends TextHttpResponseHandler
{
  private static final String LOG_TAG = "JsonHttpResponseHandler";

  public JsonHttpResponseHandler()
  {
    super("UTF-8");
  }

  public JsonHttpResponseHandler(String paramString)
  {
    super(paramString);
  }

  public void onFailure(int paramInt, Header[] paramArrayOfHeader, String paramString, Throwable paramThrowable)
  {
  }

  public void onFailure(int paramInt, Header[] paramArrayOfHeader, Throwable paramThrowable, JSONArray paramJSONArray)
  {
  }

  public void onFailure(int paramInt, Header[] paramArrayOfHeader, Throwable paramThrowable, JSONObject paramJSONObject)
  {
  }

  public final void onFailure(final int paramInt, final Header[] paramArrayOfHeader, final byte[] paramArrayOfByte, final Throwable paramThrowable)
  {
    if (paramArrayOfByte != null)
    {
      new Thread(new Runnable()
      {
        public void run()
        {
          try
          {
            final Object localObject = JsonHttpResponseHandler.this.parseResponse(paramArrayOfByte);
            JsonHttpResponseHandler.this.postRunnable(new Runnable()
            {
              public void run()
              {
                if ((localObject instanceof JSONObject))
                {
                  JsonHttpResponseHandler.this.onFailure(this.val$statusCode, this.val$headers, this.val$throwable, (JSONObject)localObject);
                  return;
                }
                if ((localObject instanceof JSONArray))
                {
                  JsonHttpResponseHandler.this.onFailure(this.val$statusCode, this.val$headers, this.val$throwable, (JSONArray)localObject);
                  return;
                }
                if ((localObject instanceof String))
                {
                  JsonHttpResponseHandler.this.onFailure(this.val$statusCode, this.val$headers, (String)localObject, this.val$throwable);
                  return;
                }
                JsonHttpResponseHandler.this.onFailure(this.val$statusCode, this.val$headers, new JSONException("Unexpected response type " + localObject.getClass().getName()), null);
              }
            });
            return;
          }
          catch (JSONException localJSONException)
          {
            JsonHttpResponseHandler.this.postRunnable(new Runnable()
            {
              public void run()
              {
                JsonHttpResponseHandler.this.onFailure(this.val$statusCode, this.val$headers, localJSONException, null);
              }
            });
          }
        }
      }).start();
      return;
    }
    Log.v("JsonHttpResponseHandler", "response body is null, calling onFailure(Throwable, JSONObject)");
    onFailure(paramInt, paramArrayOfHeader, paramThrowable, null);
  }

  public void onSuccess(int paramInt, Header[] paramArrayOfHeader, String paramString)
  {
  }

  public void onSuccess(int paramInt, Header[] paramArrayOfHeader, JSONArray paramJSONArray)
  {
  }

  public void onSuccess(int paramInt, Header[] paramArrayOfHeader, JSONObject paramJSONObject)
  {
  }

  public final void onSuccess(final int paramInt, final Header[] paramArrayOfHeader, final byte[] paramArrayOfByte)
  {
    if (paramInt != 204)
    {
      new Thread(new Runnable()
      {
        public void run()
        {
          try
          {
            final Object localObject = JsonHttpResponseHandler.this.parseResponse(paramArrayOfByte);
            JsonHttpResponseHandler.this.postRunnable(new Runnable()
            {
              public void run()
              {
                if ((localObject instanceof JSONObject))
                {
                  JsonHttpResponseHandler.this.onSuccess(this.val$statusCode, this.val$headers, (JSONObject)localObject);
                  return;
                }
                if ((localObject instanceof JSONArray))
                {
                  JsonHttpResponseHandler.this.onSuccess(this.val$statusCode, this.val$headers, (JSONArray)localObject);
                  return;
                }
                JsonHttpResponseHandler.this.onFailure(this.val$statusCode, this.val$headers, new JSONException("Unexpected response type " + localObject.getClass().getName()), null);
              }
            });
            return;
          }
          catch (JSONException localJSONException)
          {
            JsonHttpResponseHandler.this.postRunnable(new Runnable()
            {
              public void run()
              {
                JsonHttpResponseHandler.this.onFailure(this.val$statusCode, this.val$headers, localJSONException, null);
              }
            });
          }
        }
      }).start();
      return;
    }
    onSuccess(paramInt, paramArrayOfHeader, new JSONObject());
  }

  protected Object parseResponse(byte[] paramArrayOfByte)
    throws JSONException
  {
    Object localObject;
    if (paramArrayOfByte == null)
      localObject = null;
    String str;
    do
    {
      return localObject;
      str = getResponseString(paramArrayOfByte, getCharset());
      localObject = null;
      if (str != null)
      {
        str = str.trim();
        if (!str.startsWith("{"))
        {
          boolean bool = str.startsWith("[");
          localObject = null;
          if (!bool);
        }
        else
        {
          localObject = new JSONTokener(str).nextValue();
        }
      }
    }
    while (localObject != null);
    return str;
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.loopj.android.http.JsonHttpResponseHandler
 * JD-Core Version:    0.6.2
 */