package com.manuelpeinado.refreshactionitem;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.DisplayMetrics;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.View.OnLongClickListener;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.ProgressBar;
import android.widget.Toast;
import com.actionbarsherlock.view.MenuItem;
import com.readystatesoftware.viewbadger.BadgeView;

public class RefreshActionItem extends FrameLayout
  implements View.OnClickListener, View.OnLongClickListener
{
  private BadgeView mBadge;
  private int mBadgeBackgroundColor = -1;
  private int mBadgePosition;
  private int mBadgeTextStyle;
  private int mMax = 100;
  private MenuItem mMenuItem;
  private int mProgress = 0;
  private ProgressIndicator mProgressIndicator;
  private ProgressBar mProgressIndicatorIndeterminate;
  private ProgressIndicatorType mProgressIndicatorType;
  private ImageView mRefreshButton;
  private RefreshActionListener mRefreshButtonListener;
  private boolean mShowingBadge;
  private boolean mShowingProgress;

  public RefreshActionItem(Context paramContext)
  {
    this(paramContext, null);
  }

  public RefreshActionItem(Context paramContext, AttributeSet paramAttributeSet)
  {
    this(paramContext, paramAttributeSet, R.attr.refreshActionItemStyle);
  }

  public RefreshActionItem(Context paramContext, AttributeSet paramAttributeSet, int paramInt)
  {
    super(paramContext, paramAttributeSet);
    LayoutInflater.from(paramContext).inflate(R.layout.rai__action_item, this);
    this.mRefreshButton = ((ImageView)findViewById(R.id.refresh_button));
    this.mRefreshButton.setOnClickListener(this);
    this.mRefreshButton.setOnLongClickListener(this);
    this.mProgressIndicatorIndeterminate = ((ProgressBar)findViewById(R.id.indeterminate_progress_indicator));
    this.mProgressIndicator = ((ProgressIndicator)findViewById(R.id.determinate_progress_indicator));
    updateChildrenVisibility();
    TypedArray localTypedArray = paramContext.obtainStyledAttributes(paramAttributeSet, R.styleable.RefreshActionItem, paramInt, R.style.Widget_RefreshActionItem_Dark);
    int i = localTypedArray.getIndexCount();
    int j = 0;
    if (j >= i)
    {
      localTypedArray.recycle();
      return;
    }
    int k = localTypedArray.getIndex(j);
    switch (k)
    {
    case 0:
    default:
    case 4:
    case 1:
    case 3:
    case 2:
    case 5:
    case 6:
    case 7:
    }
    while (true)
    {
      j++;
      break;
      this.mProgressIndicatorType = ProgressIndicatorType.values()[localTypedArray.getInt(k, 0)];
      if (this.mProgressIndicatorType == ProgressIndicatorType.PIE)
      {
        this.mProgressIndicator.setPieStyle(true);
        continue;
        Drawable localDrawable = localTypedArray.getDrawable(k);
        this.mRefreshButton.setImageDrawable(localDrawable);
        continue;
        int n = localTypedArray.getColor(k, 0);
        this.mProgressIndicator.setForegroundColor(n);
        continue;
        int m = localTypedArray.getColor(k, 0);
        this.mProgressIndicator.setBackgroundColor(m);
        continue;
        this.mBadgeBackgroundColor = localTypedArray.getColor(k, -1);
        continue;
        this.mBadgeTextStyle = localTypedArray.getResourceId(k, 0);
        continue;
        this.mBadgePosition = localTypedArray.getInt(k, 0);
      }
    }
  }

  private void updateChildrenVisibility()
  {
    if (!this.mShowingProgress)
    {
      this.mRefreshButton.setVisibility(0);
      this.mProgressIndicatorIndeterminate.setVisibility(8);
      this.mProgressIndicator.setVisibility(8);
      return;
    }
    if (this.mProgressIndicatorType == ProgressIndicatorType.INDETERMINATE)
    {
      this.mRefreshButton.setVisibility(8);
      this.mProgressIndicatorIndeterminate.setVisibility(0);
      this.mProgressIndicator.setVisibility(8);
      updateProgressIndicatorValue();
      return;
    }
    this.mRefreshButton.setVisibility(8);
    this.mProgressIndicatorIndeterminate.setVisibility(8);
    this.mProgressIndicator.setVisibility(0);
    updateProgressIndicatorValue();
  }

  private void updateProgressIndicatorValue()
  {
    this.mProgressIndicator.setValue(this.mProgress / this.mMax);
  }

  public int getMax()
  {
    try
    {
      int i = this.mMax;
      return i;
    }
    finally
    {
      localObject = finally;
      throw localObject;
    }
  }

  public ProgressIndicatorType getProgressIndicatorType()
  {
    return this.mProgressIndicatorType;
  }

  public void hideBadge()
  {
    if ((this.mBadge == null) || (!this.mShowingBadge))
      return;
    this.mShowingBadge = false;
    this.mBadge.hide(true);
  }

  public final void incrementProgressBy(int paramInt)
  {
    try
    {
      setProgress(paramInt + this.mProgress);
      return;
    }
    finally
    {
      localObject = finally;
      throw localObject;
    }
  }

  public boolean isBadgeVisible()
  {
    return (this.mBadge != null) && (this.mShowingBadge);
  }

  public void onClick(View paramView)
  {
    if (this.mRefreshButtonListener != null)
      this.mRefreshButtonListener.onRefreshButtonClick(this);
  }

  public boolean onLongClick(View paramView)
  {
    if ((this.mMenuItem == null) || (TextUtils.isEmpty(this.mMenuItem.getTitle())))
      return true;
    int[] arrayOfInt = new int[2];
    Rect localRect = new Rect();
    getLocationOnScreen(arrayOfInt);
    getWindowVisibleDisplayFrame(localRect);
    Context localContext = getContext();
    int i = getWidth();
    int j = getHeight();
    int k = arrayOfInt[1] + j / 2;
    int m = localContext.getResources().getDisplayMetrics().widthPixels;
    Toast localToast = Toast.makeText(localContext, this.mMenuItem.getTitle(), 0);
    if (k < localRect.height())
      localToast.setGravity(53, m - arrayOfInt[0] - i / 2, j);
    while (true)
    {
      localToast.show();
      return true;
      localToast.setGravity(81, 0, j);
    }
  }

  public void setMax(int paramInt)
  {
    if (paramInt < 0)
      paramInt = 0;
    try
    {
      if (paramInt != this.mMax)
      {
        this.mMax = paramInt;
        if (this.mProgress > this.mMax)
          this.mProgress = this.mMax;
        updateProgressIndicatorValue();
      }
      return;
    }
    finally
    {
    }
  }

  public void setMenuItem(MenuItem paramMenuItem)
  {
    this.mMenuItem = paramMenuItem;
    if (paramMenuItem.getIcon() != null)
      this.mRefreshButton.setImageDrawable(this.mMenuItem.getIcon());
  }

  public void setProgress(int paramInt)
  {
    if (paramInt < 0)
      paramInt = 0;
    try
    {
      if (paramInt > this.mMax)
        paramInt = this.mMax;
      if (paramInt != this.mProgress)
      {
        this.mProgress = paramInt;
        updateProgressIndicatorValue();
      }
      return;
    }
    finally
    {
    }
  }

  public void setProgressIndicatorType(ProgressIndicatorType paramProgressIndicatorType)
  {
    if (paramProgressIndicatorType == this.mProgressIndicatorType)
      return;
    this.mProgressIndicatorType = paramProgressIndicatorType;
    if (paramProgressIndicatorType == ProgressIndicatorType.PIE)
      this.mProgressIndicator.setPieStyle(true);
    while (true)
    {
      updateChildrenVisibility();
      return;
      if (paramProgressIndicatorType == ProgressIndicatorType.WHEEL)
        this.mProgressIndicator.setPieStyle(false);
    }
  }

  public void setRefreshActionListener(RefreshActionListener paramRefreshActionListener)
  {
    this.mRefreshButtonListener = paramRefreshActionListener;
  }

  public void showBadge()
  {
    showBadge("!");
  }

  public void showBadge(String paramString)
  {
    hideBadge();
    if (this.mBadge == null)
    {
      this.mBadge = new BadgeView(getContext(), this.mRefreshButton);
      this.mBadge.setBadgePosition(this.mBadgePosition);
      if (this.mBadgeTextStyle != 0)
        this.mBadge.setTextAppearance(getContext(), this.mBadgeTextStyle);
      if (this.mBadgeBackgroundColor != -1)
        this.mBadge.setBadgeBackgroundColor(this.mBadgeBackgroundColor);
    }
    this.mShowingBadge = true;
    this.mBadge.setText(paramString);
    this.mBadge.show(true);
  }

  public void showProgress(boolean paramBoolean)
  {
    if (paramBoolean == this.mShowingProgress)
      return;
    if (isBadgeVisible())
    {
      if (!paramBoolean)
        break label43;
      this.mBadge.hide(false);
    }
    while (true)
    {
      setProgress(0);
      this.mShowingProgress = paramBoolean;
      updateChildrenVisibility();
      return;
      label43: this.mBadge.show(false);
    }
  }

  public static abstract interface RefreshActionListener
  {
    public abstract void onRefreshButtonClick(RefreshActionItem paramRefreshActionItem);
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.manuelpeinado.refreshactionitem.RefreshActionItem
 * JD-Core Version:    0.6.2
 */