package com.mywickr.gcm;

import android.app.Notification;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.media.Ringtone;
import android.media.RingtoneManager;
import android.net.Uri;
import android.os.Bundle;
import android.os.Vibrator;
import android.support.v4.app.NotificationCompat.Builder;
import com.google.android.gms.gcm.GoogleCloudMessaging;
import com.mywickr.gui.login.UserLoginActivity;
import com.mywickr.wickr.WickrSession;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class WickrGCMReceiver extends BroadcastReceiver
{
  public static final int NOTIFICATION_ID = 1;
  static final String TAG = "GCMDemo";
  NotificationCompat.Builder builder;
  Context ctx;
  private NotificationManager mNotificationManager;
  SharedPreferences prefs;
  String sound;

  private void playVibration(Context paramContext)
  {
    ((Vibrator)paramContext.getSystemService("vibrator")).vibrate(500L);
  }

  private void postNewMessageNotification(String paramString, Context paramContext)
  {
    String str = "";
    Matcher localMatcher = Pattern.compile("num=(\\d+)").matcher(paramString);
    while (true)
    {
      if (!localMatcher.find())
      {
        if (str.equalsIgnoreCase("11"))
          str = "> 10";
        if (!str.equalsIgnoreCase("0"))
        {
          Intent localIntent = new Intent(paramContext, UserLoginActivity.class);
          localIntent.setAction("android.intent.action.MAIN");
          localIntent.addCategory("android.intent.category.LAUNCHER");
          PendingIntent localPendingIntent = PendingIntent.getActivity(paramContext, 0, localIntent, 0);
          this.mNotificationManager = ((NotificationManager)paramContext.getSystemService("notification"));
          Notification localNotification = new NotificationCompat.Builder(paramContext).setSmallIcon(2130837735).setContentTitle("Wickr").setContentText("You have " + str + " new message(s)").setContentIntent(localPendingIntent).build();
          localNotification.flags = (0x10 | localNotification.flags);
          this.mNotificationManager.notify(1, localNotification);
        }
      }
      try
      {
        if (this.sound.equalsIgnoreCase("default"))
          RingtoneManager.getRingtone(paramContext, RingtoneManager.getDefaultUri(2)).play();
        while (this.sound.equals("silent"))
        {
          return;
          str = localMatcher.group(1);
          break;
        }
        RingtoneManager.getRingtone(paramContext, Uri.parse(this.sound)).play();
        return;
      }
      catch (Exception localException)
      {
      }
    }
  }

  private void postNewMessageNotificationInside(String paramString, Context paramContext)
  {
    String str = "";
    Matcher localMatcher = Pattern.compile("num=(\\d+)").matcher(paramString);
    while (true)
    {
      if (!localMatcher.find())
      {
        if (str.equalsIgnoreCase("11"))
          str = "> 10";
        if (str.equalsIgnoreCase("0"));
      }
      try
      {
        if (this.sound.equalsIgnoreCase("default"))
          RingtoneManager.getRingtone(paramContext, RingtoneManager.getDefaultUri(2)).play();
        while (this.sound.equals("silent"))
        {
          return;
          str = localMatcher.group(1);
          break;
        }
        RingtoneManager.getRingtone(paramContext, Uri.parse(this.sound)).play();
        return;
      }
      catch (Exception localException)
      {
      }
    }
  }

  public void onReceive(Context paramContext, Intent paramIntent)
  {
    GoogleCloudMessaging localGoogleCloudMessaging = GoogleCloudMessaging.getInstance(paramContext);
    this.ctx = paramContext;
    WickrSession localWickrSession;
    if (localGoogleCloudMessaging.getMessageType(paramIntent) != null)
    {
      this.prefs = paramContext.getSharedPreferences("prefs", 0);
      this.sound = this.prefs.getString("sound", "default");
      localWickrSession = WickrSession.getActiveSession();
      if (localWickrSession == null)
        break label138;
      if (!localWickrSession.appIsBackground())
        break label97;
      if (this.prefs.getBoolean("outside", true))
        postNewMessageNotification(paramIntent.getExtras().toString(), paramContext);
    }
    while (true)
    {
      setResultCode(-1);
      return;
      label97: postNewMessageNotificationInside(paramIntent.getExtras().toString(), paramContext);
      if (this.prefs.getBoolean("vibration", false))
        playVibration(paramContext);
      localWickrSession.checkForNewMessages();
      continue;
      label138: if (this.prefs.getBoolean("outside", true))
        postNewMessageNotification(paramIntent.getExtras().toString(), paramContext);
    }
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.gcm.WickrGCMReceiver
 * JD-Core Version:    0.6.2
 */