package com.mywickr.gui;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Paint.Style;
import android.graphics.Path;
import android.util.AttributeSet;
import android.widget.RelativeLayout;
import com.mywickr.wickr.WickrUtil;

public class BubbleRelativeLayout extends RelativeLayout
{
  Context ctx;
  int height = 0;
  int strokeWidth = WickrUtil.dpToPixels(1.0F);
  int width = WickrUtil.dpToPixels(4.0F);
  int widthOfArrow = WickrUtil.dpToPixels(4.0F);
  int zeroValueForX = WickrUtil.dpToPixels(5.0F);
  int zeroValueForY = WickrUtil.dpToPixels(1.0F);

  public BubbleRelativeLayout(Context paramContext, AttributeSet paramAttributeSet)
  {
    super(paramContext, paramAttributeSet);
    setWillNotDraw(false);
    this.ctx = paramContext;
  }

  protected void onDraw(Canvas paramCanvas)
  {
    super.onDraw(paramCanvas);
    Paint localPaint1 = new Paint();
    localPaint1.setColor(-1275068417);
    localPaint1.setAntiAlias(true);
    localPaint1.setStyle(Paint.Style.FILL);
    Paint localPaint2 = new Paint();
    localPaint2.setColor(-1278884411);
    localPaint2.setAntiAlias(true);
    localPaint2.setStrokeWidth(this.strokeWidth);
    localPaint2.setStyle(Paint.Style.STROKE);
    int i = WickrUtil.dpToPixels(4.0F);
    int j = WickrUtil.dpToPixels(8.0F);
    int k = WickrUtil.dpToPixels(10.0F);
    int m = WickrUtil.dpToPixels(12.0F);
    Path localPath = new Path();
    localPath.moveTo(i + this.zeroValueForX, this.zeroValueForY);
    localPath.lineTo(this.width - i, this.zeroValueForY);
    localPath.quadTo(this.width, this.zeroValueForY, this.width, i);
    localPath.lineTo(this.width, this.height - i);
    localPath.quadTo(this.width, this.height, this.width - i, this.height);
    localPath.lineTo(i + this.zeroValueForX, this.height);
    localPath.quadTo(this.zeroValueForX, this.height, this.zeroValueForX, this.height - i);
    localPath.lineTo(this.zeroValueForX, m);
    localPath.lineTo(this.zeroValueForX - this.widthOfArrow, k);
    localPath.lineTo(this.zeroValueForX, j);
    localPath.lineTo(this.zeroValueForX, i + this.zeroValueForY);
    localPath.quadTo(this.zeroValueForX, this.zeroValueForY, i + this.zeroValueForX, this.zeroValueForY);
    localPath.close();
    paramCanvas.drawPath(localPath, localPaint1);
    paramCanvas.drawPath(localPath, localPaint2);
  }

  protected void onLayout(boolean paramBoolean, int paramInt1, int paramInt2, int paramInt3, int paramInt4)
  {
    super.onLayout(paramBoolean, paramInt1, paramInt2, paramInt3, paramInt4);
  }

  protected void onSizeChanged(int paramInt1, int paramInt2, int paramInt3, int paramInt4)
  {
    this.height = 0;
    this.width = (0 + this.widthOfArrow);
    this.width = (paramInt1 + this.width - this.widthOfArrow - this.strokeWidth);
    this.height = (paramInt2 + this.height - this.strokeWidth);
    super.onSizeChanged(paramInt1, paramInt2, paramInt3, paramInt4);
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.gui.BubbleRelativeLayout
 * JD-Core Version:    0.6.2
 */