package com.mywickr.gui;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Paint.Style;
import android.graphics.Path;
import android.util.AttributeSet;
import android.widget.RelativeLayout;
import com.mywickr.wickr.WickrUtil;

public class BubbleRelativeLayoutOutbox extends RelativeLayout
{
  Context context;
  int height = 0;
  int strokeWidth = WickrUtil.dpToPixels(1.0F);
  int width = 0;
  int widthOfArrow = WickrUtil.dpToPixels(4.0F);
  int zeroValue = WickrUtil.dpToPixels(1.0F);

  public BubbleRelativeLayoutOutbox(Context paramContext, AttributeSet paramAttributeSet)
  {
    super(paramContext, paramAttributeSet);
    setWillNotDraw(false);
    this.context = paramContext;
  }

  protected void onDraw(Canvas paramCanvas)
  {
    super.onDraw(paramCanvas);
    Paint localPaint1 = new Paint();
    localPaint1.setColor(866822826);
    localPaint1.setAntiAlias(true);
    localPaint1.setStyle(Paint.Style.FILL);
    Paint localPaint2 = new Paint();
    localPaint2.setColor(1942341061);
    localPaint2.setAntiAlias(true);
    localPaint2.setStrokeWidth(this.strokeWidth);
    localPaint2.setStyle(Paint.Style.STROKE);
    int i = WickrUtil.dpToPixels(4.0F);
    int j = WickrUtil.dpToPixels(8.0F);
    int k = WickrUtil.dpToPixels(10.0F);
    int m = WickrUtil.dpToPixels(12.0F);
    Path localPath = new Path();
    localPath.moveTo(i, this.zeroValue);
    localPath.lineTo(this.width - i, this.zeroValue);
    localPath.quadTo(this.width, this.zeroValue, this.width, i);
    localPath.lineTo(this.width, j);
    localPath.lineTo(this.width + this.widthOfArrow, k);
    localPath.lineTo(this.width, m);
    localPath.lineTo(this.width, this.height - i);
    localPath.quadTo(this.width, this.height, this.width - i, this.height);
    localPath.lineTo(i, this.height);
    localPath.quadTo(this.zeroValue, this.height, this.zeroValue, this.height - i);
    localPath.lineTo(this.zeroValue, i);
    localPath.quadTo(this.zeroValue, this.zeroValue, i, this.zeroValue);
    localPath.close();
    paramCanvas.drawPath(localPath, localPaint1);
    paramCanvas.drawPath(localPath, localPaint2);
  }

  protected void onLayout(boolean paramBoolean, int paramInt1, int paramInt2, int paramInt3, int paramInt4)
  {
    super.onLayout(paramBoolean, paramInt1, paramInt2, paramInt3, paramInt4);
  }

  protected void onSizeChanged(int paramInt1, int paramInt2, int paramInt3, int paramInt4)
  {
    this.height = 0;
    this.width = (0 + this.widthOfArrow);
    this.width = (paramInt1 - this.widthOfArrow - this.strokeWidth);
    this.height = (paramInt2 - this.strokeWidth);
    super.onSizeChanged(paramInt1, paramInt2, paramInt3, paramInt4);
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.gui.BubbleRelativeLayoutOutbox
 * JD-Core Version:    0.6.2
 */