package com.mywickr.gui;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.Bitmap.Config;
import android.graphics.BitmapFactory;
import android.graphics.BitmapShader;
import android.graphics.Canvas;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.Paint.Align;
import android.graphics.Paint.Style;
import android.graphics.Rect;
import android.graphics.Shader.TileMode;
import android.graphics.Typeface;
import android.util.AttributeSet;
import android.view.View;
import java.util.Locale;

public class CircleTextView extends View
{
  Rect bounds = new Rect();
  Context ctx;
  int height = 0;
  Bitmap imageBitmap = null;
  Paint paint = new Paint();
  BitmapShader shader = null;
  boolean shouldDrawText = true;
  private boolean shouldFill = true;
  String text = "";
  float textSize = 0.0F;
  int width = 0;

  public CircleTextView(Context paramContext, AttributeSet paramAttributeSet)
  {
    super(paramContext, paramAttributeSet);
    setWillNotDraw(false);
    int i = paramAttributeSet.getAttributeResourceValue("http://schemas.android.com/apk/res/android", "src", 0);
    if (i != 0)
    {
      setImage(BitmapFactory.decodeStream(getResources().openRawResource(i)));
      this.shouldFill = false;
    }
    this.ctx = paramContext;
  }

  private void adjustTextSize()
  {
    float f;
    if (this.text.length() == 1)
      f = 0.75F;
    while (true)
    {
      if (f > 0.0F)
        this.textSize = (f * this.height);
      return;
      if (this.text.length() > 0)
        f = 0.5F;
      else
        f = 0.0F;
    }
  }

  protected void onDraw(Canvas paramCanvas)
  {
    this.paint.setAntiAlias(true);
    this.paint.setShader(this.shader);
    this.paint.setStyle(Paint.Style.FILL);
    paramCanvas.drawCircle(this.width / 2, this.width / 2, this.width / 2, this.paint);
    if (shouldDrawText())
    {
      this.paint.setShader(null);
      this.paint.setTextAlign(Paint.Align.CENTER);
      this.paint.setTypeface(Typeface.defaultFromStyle(1));
      this.paint.setStyle(Paint.Style.FILL);
      this.paint.setColor(-1);
      this.paint.setTextSize(this.textSize);
      this.paint.getTextBounds(this.text, 0, this.text.length(), this.bounds);
      paramCanvas.drawText(this.text, this.width / 2, this.height / 2 + (this.bounds.bottom - this.bounds.top) / 2, this.paint);
    }
    this.paint.setShader(null);
    super.onDraw(paramCanvas);
  }

  protected void onLayout(boolean paramBoolean, int paramInt1, int paramInt2, int paramInt3, int paramInt4)
  {
    super.onLayout(paramBoolean, paramInt1, paramInt2, paramInt3, paramInt4);
  }

  public void onMeasure(int paramInt1, int paramInt2)
  {
    super.onMeasure(paramInt1, paramInt2);
    int i = getMeasuredHeight();
    int j = Math.min(getMeasuredWidth(), i);
    setMeasuredDimension(j, j);
  }

  protected void onSizeChanged(int paramInt1, int paramInt2, int paramInt3, int paramInt4)
  {
    int i = Math.min(paramInt1, paramInt2);
    this.width = i;
    this.height = i;
    adjustTextSize();
    setImage(this.imageBitmap);
    super.onSizeChanged(i, i, paramInt3, paramInt4);
  }

  public void setImage(Bitmap paramBitmap)
  {
    this.imageBitmap = paramBitmap;
    if ((this.width == 0) || (this.height == 0))
      return;
    Bitmap localBitmap = Bitmap.createBitmap(this.width, this.height, Bitmap.Config.ARGB_8888);
    localBitmap.eraseColor(-65536);
    Matrix localMatrix;
    int i;
    int j;
    int k;
    int m;
    float f4;
    float f5;
    float f6;
    if (this.imageBitmap != null)
    {
      Canvas localCanvas = new Canvas(localBitmap);
      localMatrix = new Matrix();
      i = this.imageBitmap.getWidth();
      j = this.imageBitmap.getHeight();
      k = this.width;
      m = this.height;
      if (this.shouldFill)
      {
        f4 = 0.0F;
        if (i * m > k * j)
        {
          f5 = m / j;
          f6 = 0.5F * (k - f5 * i);
          localMatrix.setScale(f5, f5);
          localMatrix.postTranslate((int)(f6 + 0.5F), (int)(f4 + 0.5F));
          localCanvas.drawBitmap(this.imageBitmap, localMatrix, null);
        }
      }
    }
    for (this.shouldDrawText = false; ; this.shouldDrawText = true)
    {
      this.shader = new BitmapShader(localBitmap, Shader.TileMode.CLAMP, Shader.TileMode.CLAMP);
      return;
      f5 = k / i;
      f4 = 0.5F * (m - f5 * j);
      f6 = 0.0F;
      break;
      if ((i <= k) && (j <= m));
      for (float f1 = 1.0F; ; f1 = Math.min(k / i, m / j))
      {
        float f2 = (int)(0.5F + 0.5F * (k - f1 * i));
        float f3 = (int)(0.5F + 0.5F * (m - f1 * j));
        localMatrix.setScale(f1, f1);
        localMatrix.postTranslate(f2, f3);
        break;
      }
    }
  }

  public void setShouldFill(boolean paramBoolean)
  {
    this.shouldFill = paramBoolean;
  }

  public void setTextInitials(String paramString)
  {
    String str;
    if ((paramString != null) && (paramString.length() > 0))
    {
      String[] arrayOfString = paramString.split(" ");
      str = arrayOfString[0].substring(0, 1);
      if (arrayOfString.length > 1)
        str = str + arrayOfString[(-1 + arrayOfString.length)].substring(0, 1);
    }
    for (this.text = str.toUpperCase(Locale.ENGLISH); ; this.text = "")
    {
      adjustTextSize();
      return;
    }
  }

  public void setTextNonInitial(String paramString)
  {
    this.text = paramString.toUpperCase(Locale.ENGLISH);
    adjustTextSize();
    invalidate();
  }

  protected boolean shouldDrawText()
  {
    return this.shouldDrawText;
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.gui.CircleTextView
 * JD-Core Version:    0.6.2
 */