package com.mywickr.gui;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.util.AttributeSet;

public class EditCircleTextView extends CircleTextView
{
  private boolean isEditing = false;

  public EditCircleTextView(Context paramContext, AttributeSet paramAttributeSet)
  {
    super(paramContext, paramAttributeSet);
  }

  public boolean isEditing()
  {
    return this.isEditing;
  }

  protected void onDraw(Canvas paramCanvas)
  {
    super.onDraw(paramCanvas);
    if ((isEditing()) && (this.imageBitmap == null))
    {
      this.paint.setColor(-1);
      this.paint.setStrokeWidth(4.0F);
      paramCanvas.drawLine(this.width / 2.0F, this.height / 4.0F, this.width / 2.0F, this.height - this.height / 4.0F, this.paint);
      paramCanvas.drawLine(this.width / 4.0F, this.height / 2.0F, this.width - this.width / 4.0F, this.height / 2.0F, this.paint);
    }
  }

  public void setEditing(boolean paramBoolean)
  {
    this.isEditing = paramBoolean;
    invalidate();
  }

  protected boolean shouldDrawText()
  {
    if (this.isEditing)
      return false;
    return this.shouldDrawText;
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.gui.EditCircleTextView
 * JD-Core Version:    0.6.2
 */