package com.mywickr.gui;

import android.content.Context;
import android.text.Spannable;
import android.text.SpannableString;
import android.text.style.ForegroundColorSpan;
import android.util.AttributeSet;
import android.widget.TextView;
import com.mywickr.wickr.WickrSession;
import com.mywickr.wickr.WickrUtil;

public class ReverseChrono extends TextView
  implements Runnable
{
  boolean isRunning = false;
  long overallDuration = 0L;
  String prefixString = null;
  long startTime = 0L;
  long warningDuration = 0L;

  public ReverseChrono(Context paramContext, AttributeSet paramAttributeSet)
  {
    super(paramContext, paramAttributeSet);
    reset();
  }

  public boolean isRunning()
  {
    return this.isRunning;
  }

  protected void onDetachedFromWindow()
  {
    super.onDetachedFromWindow();
    stop();
  }

  public void reset()
  {
    try
    {
      this.startTime = WickrSession.getActiveSession().getLocalAppTime();
      return;
    }
    catch (NullPointerException localNullPointerException)
    {
      stop();
    }
  }

  public void run()
  {
    try
    {
      this.isRunning = true;
      long l = (WickrSession.getActiveSession().getLocalAppTime() - this.startTime) / 1000L;
      if (l < this.overallDuration)
      {
        updateText(WickrUtil.destructTimeToString(this.overallDuration - l));
        this.overallDuration -= 1L;
        postDelayed(this, 1000L);
        return;
      }
      updateText("Expired");
      return;
    }
    catch (NullPointerException localNullPointerException)
    {
      stop();
    }
  }

  public void setOverallDuration(long paramLong)
  {
    if (this.isRunning)
      stop();
    this.overallDuration = paramLong;
  }

  public void setPrefixString(String paramString)
  {
    this.prefixString = paramString;
  }

  public void setWarningDuration(long paramLong)
  {
    this.warningDuration = paramLong;
  }

  public void stop()
  {
    removeCallbacks(this);
    this.isRunning = false;
  }

  public void updateText(String paramString)
  {
    if (this.prefixString != null)
    {
      SpannableString localSpannableString = new SpannableString(this.prefixString + " " + paramString);
      localSpannableString.setSpan(new ForegroundColorSpan(-16777216), 0, this.prefixString.length(), 33);
      setText(localSpannableString);
      return;
    }
    setText(paramString);
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.gui.ReverseChrono
 * JD-Core Version:    0.6.2
 */