package com.mywickr.gui;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.BitmapFactory.Options;
import android.graphics.Matrix;
import android.media.MediaPlayer;
import android.media.MediaPlayer.OnPreparedListener;
import android.view.SurfaceHolder;
import android.view.SurfaceHolder.Callback;
import android.view.SurfaceView;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.LinearLayout.LayoutParams;
import android.widget.RelativeLayout.LayoutParams;
import com.mywickr.wickr.WickrAttachment;
import com.mywickr.wickr.WickrAttachmentType;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;

public class WickrAttachmentDisplayView extends FrameLayout
{
  public WickrAttachment attachment = null;
  public Context ctx;
  public ImageView imageDisplayView = null;
  private SurfaceHolder mHolder;
  private SurfaceHolder.Callback mHolderCallbacks;
  private MediaPlayer mediaPlayer = null;
  public String tempFilePath = null;
  public SurfaceView videoDisplayView = null;

  public WickrAttachmentDisplayView(Context paramContext, WickrAttachment paramWickrAttachment)
  {
    this(paramContext, paramWickrAttachment, null);
  }

  public WickrAttachmentDisplayView(Context paramContext, WickrAttachment paramWickrAttachment, String paramString)
  {
    super(paramContext);
    this.ctx = paramContext;
    this.attachment = paramWickrAttachment;
    Matrix localMatrix;
    if (paramWickrAttachment.getType() == WickrAttachmentType.WICKR_ATTACH_IMAGE)
    {
      this.imageDisplayView = new ImageView(paramContext);
      this.imageDisplayView.setBackgroundColor(-16777216);
      this.imageDisplayView.setLayoutParams(new LinearLayout.LayoutParams(-1, -1));
      Bitmap localBitmap = BitmapFactory.decodeByteArray(paramWickrAttachment.getData(), 0, paramWickrAttachment.getData().length);
      if (1 != 1)
        localMatrix = new Matrix();
      switch (1)
      {
      case 1:
      default:
        localBitmap = Bitmap.createBitmap(localBitmap, 0, 0, localBitmap.getWidth(), localBitmap.getHeight(), localMatrix, false);
        this.imageDisplayView.setImageBitmap(localBitmap);
        addView(this.imageDisplayView);
      case 2:
      case 3:
      case 4:
      case 5:
      case 6:
      case 7:
      case 8:
      }
    }
    while (true)
    {
      setLayoutParams(new RelativeLayout.LayoutParams(-1, -1));
      return;
      localMatrix.postScale(-1.0F, 1.0F);
      break;
      localMatrix.postRotate(180.0F);
      break;
      localMatrix.postRotate(180.0F);
      localMatrix.postScale(-1.0F, 1.0F);
      break;
      localMatrix.postRotate(90.0F);
      localMatrix.postScale(-1.0F, 1.0F);
      break;
      localMatrix.postRotate(90.0F);
      break;
      localMatrix.postRotate(270.0F);
      localMatrix.postScale(-1.0F, 1.0F);
      break;
      localMatrix.postRotate(270.0F);
      break;
      if (paramWickrAttachment.getType() != WickrAttachmentType.WICKR_ATTACH_VIDEO)
        continue;
      this.tempFilePath = paramString;
      writeTempToFile();
      this.videoDisplayView = new SurfaceView(this.ctx);
      this.videoDisplayView.setLayoutParams(new LinearLayout.LayoutParams(-1, -1));
      addView(this.videoDisplayView);
      try
      {
        FileInputStream localFileInputStream2 = this.ctx.openFileInput(paramString);
        localFileInputStream1 = localFileInputStream2;
        this.mediaPlayer = new MediaPlayer();
      }
      catch (FileNotFoundException localFileNotFoundException)
      {
        try
        {
          this.mediaPlayer.setDataSource(localFileInputStream1.getFD());
          localFileInputStream1.close();
          this.mediaPlayer.setOnPreparedListener(new MediaPlayer.OnPreparedListener()
          {
            public void onPrepared(MediaPlayer paramAnonymousMediaPlayer)
            {
              WickrAttachmentDisplayView.this.mediaPlayer.start();
            }
          });
          this.mHolder = this.videoDisplayView.getHolder();
          this.mHolder.setKeepScreenOn(true);
          this.mHolderCallbacks = new SurfaceHolder.Callback()
          {
            public void surfaceChanged(SurfaceHolder paramAnonymousSurfaceHolder, int paramAnonymousInt1, int paramAnonymousInt2, int paramAnonymousInt3)
            {
            }

            public void surfaceCreated(SurfaceHolder paramAnonymousSurfaceHolder)
            {
              WickrAttachmentDisplayView.this.mHolder = paramAnonymousSurfaceHolder;
              WickrAttachmentDisplayView.this.mediaPlayer.setDisplay(WickrAttachmentDisplayView.this.mHolder);
              try
              {
                WickrAttachmentDisplayView.this.mediaPlayer.prepare();
                return;
              }
              catch (IllegalStateException localIllegalStateException)
              {
                localIllegalStateException.printStackTrace();
                return;
              }
              catch (IOException localIOException)
              {
                localIOException.printStackTrace();
              }
            }

            public void surfaceDestroyed(SurfaceHolder paramAnonymousSurfaceHolder)
            {
            }
          };
          this.mHolder.addCallback(this.mHolderCallbacks);
          continue;
          localFileNotFoundException = localFileNotFoundException;
          localFileNotFoundException.printStackTrace();
          FileInputStream localFileInputStream1 = null;
        }
        catch (IllegalArgumentException localIllegalArgumentException)
        {
          while (true)
            localIllegalArgumentException.printStackTrace();
        }
        catch (IllegalStateException localIllegalStateException)
        {
          while (true)
            localIllegalStateException.printStackTrace();
        }
        catch (IOException localIOException)
        {
          while (true)
            localIOException.printStackTrace();
        }
      }
    }
  }

  private void deleteTempFile()
  {
    this.ctx.deleteFile(this.tempFilePath);
  }

  private void writeTempToFile()
  {
    try
    {
      FileOutputStream localFileOutputStream = this.ctx.openFileOutput(this.tempFilePath, 0);
      localFileOutputStream.write(this.attachment.getData());
      localFileOutputStream.close();
      return;
    }
    catch (FileNotFoundException localFileNotFoundException)
    {
      localFileNotFoundException.printStackTrace();
      return;
    }
    catch (IOException localIOException)
    {
      localIOException.printStackTrace();
    }
  }

  public void cleanup()
  {
    if (this.attachment.getType() == WickrAttachmentType.WICKR_ATTACH_VIDEO)
    {
      this.mediaPlayer.stop();
      this.mHolder.removeCallback(this.mHolderCallbacks);
      deleteTempFile();
    }
  }

  public BitmapFactory.Options getSize(byte[] paramArrayOfByte)
  {
    BitmapFactory.Options localOptions = new BitmapFactory.Options();
    localOptions.inJustDecodeBounds = true;
    BitmapFactory.decodeByteArray(paramArrayOfByte, 0, paramArrayOfByte.length, localOptions);
    return localOptions;
  }

  protected void onLayout(boolean paramBoolean, int paramInt1, int paramInt2, int paramInt3, int paramInt4)
  {
    super.onLayout(paramBoolean, paramInt1, paramInt2, paramInt3, paramInt4);
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.gui.WickrAttachmentDisplayView
 * JD-Core Version:    0.6.2
 */