package com.mywickr.gui;

import android.app.ProgressDialog;
import android.content.Intent;
import android.os.Build.VERSION;
import android.os.Bundle;
import android.view.KeyEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.view.WindowManager.LayoutParams;
import com.actionbarsherlock.app.SherlockListActivity;
import com.actionbarsherlock.view.MenuItem;
import com.mywickr.gui.login.LoginResumeActivity;
import com.mywickr.gui.login.UserLoginActivity;
import com.mywickr.wickr.WickrSession;
import com.mywickr.wickr.WickrUtil;

public class WickrSherlockListActivity extends SherlockListActivity
{
  public static final int DEVICE_HONEYCOMB = 11;
  public static final int DEVICE_VERSION = Build.VERSION.SDK_INT;
  private View blackoutView = null;
  public boolean hasError = false;
  private ProgressDialog loadingDialog;
  private ViewGroup mainViewGroup = null;
  public boolean navigatingInApp = false;
  private boolean needsResumeDialog = false;

  public void onBackPressed()
  {
    this.navigatingInApp = true;
    super.onBackPressed();
  }

  protected void onCreate(Bundle paramBundle)
  {
    super.onCreate(paramBundle);
    if (Build.VERSION.SDK_INT >= 14)
      getWindow().setFlags(8192, 8192);
    if (WickrSession.getActiveSession() == null)
    {
      Intent localIntent = new Intent(this, UserLoginActivity.class);
      localIntent.addFlags(335544320);
      startActivity(localIntent);
      this.hasError = true;
      finish();
      return;
    }
    this.loadingDialog = new ProgressDialog(this);
    this.loadingDialog.setCancelable(false);
  }

  public boolean onKeyDown(int paramInt, KeyEvent paramKeyEvent)
  {
    if (paramInt == 4)
      onBackPressed();
    return super.onKeyDown(paramInt, paramKeyEvent);
  }

  public boolean onKeyUp(int paramInt, KeyEvent paramKeyEvent)
  {
    if ((DEVICE_VERSION < 11) && (paramKeyEvent.getAction() == 1) && (paramInt == 82))
    {
      openOptionsMenu();
      return true;
    }
    return super.onKeyUp(paramInt, paramKeyEvent);
  }

  public boolean onOptionsItemSelected(MenuItem paramMenuItem)
  {
    switch (paramMenuItem.getItemId())
    {
    default:
    case 16908332:
    }
    while (true)
    {
      return true;
      onBackPressed();
    }
  }

  protected void onResume()
  {
    if (this.hasError)
      return;
    if (this.needsResumeDialog)
    {
      Intent localIntent = new Intent(this, LoginResumeActivity.class);
      localIntent.addFlags(536870912);
      startActivity(localIntent);
      this.needsResumeDialog = false;
    }
    for (this.navigatingInApp = true; ; this.navigatingInApp = false)
    {
      super.onResume();
      return;
      if (this.blackoutView != null)
      {
        this.mainViewGroup.removeView(this.blackoutView);
        this.blackoutView = null;
        this.mainViewGroup = null;
      }
    }
  }

  public void onServerCallFinished()
  {
    this.loadingDialog.hide();
  }

  public void onServerCallStarted(String paramString)
  {
    this.loadingDialog.setMessage(paramString);
    this.loadingDialog.show();
  }

  public void onServerError(String paramString)
  {
    this.loadingDialog.hide();
    WickrUtil.showDialog(this, paramString);
  }

  protected void onStop()
  {
    if (this.hasError)
      return;
    if (!this.navigatingInApp)
    {
      this.needsResumeDialog = true;
      this.mainViewGroup = ((ViewGroup)getWindow().getDecorView());
      this.blackoutView = new View(this);
      this.blackoutView.setLayoutParams(new WindowManager.LayoutParams(-1, -1));
      this.blackoutView.setBackgroundColor(-16777216);
      this.mainViewGroup.addView(this.blackoutView);
      if (WickrSession.getActiveSession() != null)
        WickrSession.getActiveSession().appDidGoToBackground();
    }
    super.onStop();
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.gui.WickrSherlockListActivity
 * JD-Core Version:    0.6.2
 */