package com.mywickr.gui.fragments;

import android.app.AlertDialog;
import android.app.AlertDialog.Builder;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.content.Intent;
import android.os.Bundle;
import android.support.v4.app.FragmentActivity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemLongClickListener;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.CompoundButton;
import android.widget.CompoundButton.OnCheckedChangeListener;
import android.widget.ImageView;
import android.widget.ListView;
import android.widget.TextView;
import com.mywickr.gui.WickrSherlockFragmentActivity;
import com.mywickr.gui.listadapters.WickrDeviceComparator;
import com.mywickr.gui.login.UserLoginActivity;
import com.mywickr.interfaces.WickrAccountsInterface;
import com.mywickr.wickr.WickrDevice;
import com.mywickr.wickr.WickrDeviceMan;
import com.mywickr.wickr.WickrSession;
import com.mywickr.wickr.WickrUtil;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.Comparator;
import java.util.LinkedList;
import java.util.List;
import org.jraf.android.backport.switchwidget.Switch;

public class WickrAccountsFragment extends WickrSherlockListFragment
  implements WickrAccountsInterface
{
  private WickrDeviceMan accountsManager = null;
  private WickrSherlockFragmentActivity activity = null;
  private IconicAdapter deviceAdapter;
  private List<String> deviceList;
  private List<WickrDevice> devices;
  private boolean isCanceled = false;
  private int selectedDeviceIndex;
  private String selectedDeviceToSuspend;
  private Switch syncSwitch;
  private TextView textViewWickrID;
  private int thisDeviceIndex;

  private void showRemoveDevicePopup(final int paramInt, String paramString)
  {
    AlertDialog.Builder localBuilder = new AlertDialog.Builder(getActivity());
    localBuilder.setTitle("Are you sure");
    localBuilder.setMessage(WickrUtil.REMOVE_DEVICE).setCancelable(true).setPositiveButton("Remove", new DialogInterface.OnClickListener()
    {
      public void onClick(DialogInterface paramAnonymousDialogInterface, int paramAnonymousInt)
      {
        WickrAccountsFragment.this.selectedDeviceIndex = paramInt;
        WickrAccountsFragment.this.selectedDeviceToSuspend = (((WickrDevice)WickrAccountsFragment.this.devices.get(paramInt)).getType() + " (" + ((WickrDevice)WickrAccountsFragment.this.devices.get(paramInt)).getDescription() + ")");
        WickrAccountsFragment.this.activity.onServerCallStarted("Removing device...");
        WickrAccountsFragment.this.accountsManager.suspendDevice((WickrDevice)WickrAccountsFragment.this.devices.get(paramInt));
        if (paramInt < WickrAccountsFragment.this.thisDeviceIndex)
        {
          WickrAccountsFragment localWickrAccountsFragment = WickrAccountsFragment.this;
          localWickrAccountsFragment.thisDeviceIndex = (-1 + localWickrAccountsFragment.thisDeviceIndex);
        }
        paramAnonymousDialogInterface.cancel();
      }
    }).setNegativeButton("Cancel", new DialogInterface.OnClickListener()
    {
      public void onClick(DialogInterface paramAnonymousDialogInterface, int paramAnonymousInt)
      {
        paramAnonymousDialogInterface.cancel();
      }
    });
    localBuilder.create().show();
  }

  private void showSyncChangePopup(final boolean paramBoolean)
  {
    AlertDialog.Builder localBuilder = new AlertDialog.Builder(getActivity());
    localBuilder.setTitle("Are you sure?");
    if (!paramBoolean);
    for (String str = WickrUtil.MSG_SYNC_OFF; ; str = "Do you want to enable multiple devices?")
    {
      localBuilder.setMessage(str).setCancelable(true).setPositiveButton("Yes", new DialogInterface.OnClickListener()
      {
        public void onClick(DialogInterface paramAnonymousDialogInterface, int paramAnonymousInt)
        {
          WickrAccountsFragment.this.activity.onServerCallStarted("Changing Sync Option...");
          WickrAccountsFragment.this.accountsManager.setSyncState(paramBoolean);
          paramAnonymousDialogInterface.cancel();
        }
      }).setNegativeButton("No", new DialogInterface.OnClickListener()
      {
        public void onClick(DialogInterface paramAnonymousDialogInterface, int paramAnonymousInt)
        {
          boolean bool = true;
          paramAnonymousDialogInterface.cancel();
          WickrAccountsFragment.this.isCanceled = bool;
          Switch localSwitch = WickrAccountsFragment.this.syncSwitch;
          if (paramBoolean)
            bool = false;
          localSwitch.setChecked(bool);
        }
      });
      localBuilder.create().show();
      return;
    }
  }

  public void getDeviceList()
  {
    this.devices = new LinkedList(Arrays.asList(WickrSession.getActiveSession().getDeviceManager().getActiveDevices()));
    Collections.sort(this.devices, new WickrDeviceComparator());
    this.deviceList = new ArrayList();
    for (int i = 0; ; i++)
    {
      if (i >= this.devices.size())
      {
        this.deviceAdapter = new IconicAdapter(this.deviceList);
        getListView().setAdapter(this.deviceAdapter);
        getListView().setLongClickable(true);
        getListView().setOnItemLongClickListener(new AdapterView.OnItemLongClickListener()
        {
          public boolean onItemLongClick(AdapterView<?> paramAnonymousAdapterView, View paramAnonymousView, int paramAnonymousInt, long paramAnonymousLong)
          {
            if (paramAnonymousInt == WickrAccountsFragment.this.thisDeviceIndex)
            {
              WickrUtil.showDialog(WickrAccountsFragment.this.getActivity(), "You cannot delete current device!");
              return false;
            }
            WickrAccountsFragment.this.showRemoveDevicePopup(paramAnonymousInt, WickrAccountsFragment.this.getListView().getItemAtPosition(paramAnonymousInt).toString());
            return false;
          }
        });
        return;
      }
      if (WickrSession.getActiveSession().getAppID().equals(((WickrDevice)this.devices.get(i)).getAppID()))
        this.thisDeviceIndex = i;
      this.deviceList.add(((WickrDevice)this.devices.get(i)).getType() + " (" + ((WickrDevice)this.devices.get(i)).getDescription() + ")");
    }
  }

  public void onActivityCreated(Bundle paramBundle)
  {
    super.onActivityCreated(paramBundle);
    if (this.activityHasError)
      return;
    this.activity = ((WickrSherlockFragmentActivity)getActivity());
    WickrSession.getActiveSession().setAccountManagerGUI(this);
    this.accountsManager = WickrSession.getActiveSession().getDeviceManager();
    this.accountsManager.reset();
    this.syncSwitch = ((Switch)this.activity.findViewById(2131296396));
    this.textViewWickrID = ((TextView)this.activity.findViewById(2131296395));
    this.accountsManager.getAccountInfoFromServer();
    this.activity.onServerCallStarted("Loading Account Info...");
    ((Button)this.activity.findViewById(2131296397)).setOnClickListener(new View.OnClickListener()
    {
      public void onClick(View paramAnonymousView)
      {
        AlertDialog.Builder localBuilder = new AlertDialog.Builder(WickrAccountsFragment.this.getActivity());
        localBuilder.setTitle("Are you sure?");
        localBuilder.setMessage(WickrUtil.RESET_APP);
        localBuilder.setPositiveButton("Reset Now", new DialogInterface.OnClickListener()
        {
          public void onClick(DialogInterface paramAnonymous2DialogInterface, int paramAnonymous2Int)
          {
            paramAnonymous2DialogInterface.dismiss();
            WickrUtil.deletePrivateFiles(WickrAccountsFragment.this.getActivity());
            WickrUtil.destroyLocalApp(WickrAccountsFragment.this.getActivity());
            WickrAccountsFragment.this.getActivity().finish();
            Intent localIntent = new Intent(WickrAccountsFragment.this.getActivity(), UserLoginActivity.class);
            localIntent.setFlags(268468224);
            WickrAccountsFragment.this.startActivity(localIntent);
          }
        });
        localBuilder.setNegativeButton("Cancel", new DialogInterface.OnClickListener()
        {
          public void onClick(DialogInterface paramAnonymous2DialogInterface, int paramAnonymous2Int)
          {
            paramAnonymous2DialogInterface.cancel();
          }
        });
        localBuilder.show();
      }
    });
  }

  public View onCreateView(LayoutInflater paramLayoutInflater, ViewGroup paramViewGroup, Bundle paramBundle)
  {
    return paramLayoutInflater.inflate(2130903081, paramViewGroup, false);
  }

  public void onDestroy()
  {
    if (this.activityHasError)
    {
      super.onDestroy();
      return;
    }
    this.accountsManager.reset();
    super.onDestroy();
  }

  public void onListItemClick(ListView paramListView, View paramView, int paramInt, long paramLong)
  {
    super.onListItemClick(paramListView, paramView, paramInt, paramLong);
  }

  public void wickrOnServerError(String paramString)
  {
    this.activity.onServerError(paramString);
  }

  public void wickrServerCallReturned()
  {
  }

  public void wickrServerCallStarted()
  {
  }

  public void wickrServerReturn(byte[] paramArrayOfByte, char paramChar)
  {
    this.activity.onServerCallFinished();
    if (paramChar == WickrUtil.ACCOUNT_INFO)
    {
      this.textViewWickrID.setText("Wickr ID: " + WickrSession.getActiveSession().getUserName());
      this.syncSwitch.setChecked(this.accountsManager.syncEnabeled());
      this.syncSwitch.setOnCheckedChangeListener(new CompoundButton.OnCheckedChangeListener()
      {
        public void onCheckedChanged(CompoundButton paramAnonymousCompoundButton, boolean paramAnonymousBoolean)
        {
          if (WickrAccountsFragment.this.isCanceled)
          {
            WickrAccountsFragment.this.isCanceled = false;
            return;
          }
          WickrAccountsFragment.this.showSyncChangePopup(paramAnonymousBoolean);
        }
      });
      getDeviceList();
    }
    while (paramChar != WickrUtil.SUSPEND_DEVICE)
      return;
    this.deviceAdapter.remove(this.selectedDeviceToSuspend);
    this.devices.remove(this.selectedDeviceIndex);
    this.selectedDeviceToSuspend = null;
    this.deviceAdapter.notifyDataSetChanged();
  }

  class IconicAdapter extends ArrayAdapter<String>
  {
    IconicAdapter()
    {
      super(2130903091, 2131296440, localList);
    }

    public View getView(int paramInt, View paramView, ViewGroup paramViewGroup)
    {
      View localView = super.getView(paramInt, paramView, paramViewGroup);
      ImageView localImageView = (ImageView)localView.findViewById(2131296439);
      if (((WickrDevice)WickrAccountsFragment.this.devices.get(paramInt)).getType().equalsIgnoreCase("Android"))
        localImageView.setImageResource(2130837618);
      TextView localTextView;
      while (true)
      {
        localTextView = (TextView)localView.findViewById(2131296441);
        if (paramInt == WickrAccountsFragment.this.thisDeviceIndex)
          break;
        localTextView.setText("Last Login: " + WickrUtil.formatTimestamp(((WickrDevice)WickrAccountsFragment.this.devices.get(paramInt)).getLastLoginTime()));
        return localView;
        if (((WickrDevice)WickrAccountsFragment.this.devices.get(paramInt)).getType().equalsIgnoreCase("iphone"))
          localImageView.setImageResource(2130837746);
        else if (((WickrDevice)WickrAccountsFragment.this.devices.get(paramInt)).getType().equalsIgnoreCase("ipad"))
          localImageView.setImageResource(2130837745);
        else if (((WickrDevice)WickrAccountsFragment.this.devices.get(paramInt)).getType().equalsIgnoreCase("ipod touch"))
          localImageView.setImageResource(2130837746);
      }
      localTextView.setText("This Install");
      return localView;
    }
  }

  class WickrDeviceLoginComparator
    implements Comparator<WickrDevice>
  {
    WickrDeviceLoginComparator()
    {
    }

    public int compare(WickrDevice paramWickrDevice1, WickrDevice paramWickrDevice2)
    {
      if (paramWickrDevice1.getLastLoginTime() < paramWickrDevice2.getLastLoginTime())
        return 1;
      if (paramWickrDevice1.getLastLoginTime() == paramWickrDevice2.getLastLoginTime())
        return 0;
      return -1;
    }
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.gui.fragments.WickrAccountsFragment
 * JD-Core Version:    0.6.2
 */