package com.mywickr.gui.fragments;

import android.os.Bundle;
import android.os.Looper;
import android.support.v4.app.FragmentActivity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.ProgressBar;
import android.widget.TextView;
import com.loopj.android.http.BinaryHttpResponseHandler;
import com.loopj.android.http.RequestHandle;
import com.mywickr.gui.WickrSettingsActivity;
import com.mywickr.gui.WickrSettingsFragmentType;
import com.mywickr.gui.WickrWizardActivity;
import com.mywickr.gui.listadapters.WickrUserAdapter;
import com.mywickr.wickr.WickrAPICode;
import com.mywickr.wickr.WickrAsyncHttp;
import com.mywickr.wickr.WickrContactMan;
import com.mywickr.wickr.WickrContactSearchResult;
import com.mywickr.wickr.WickrSession;
import com.mywickr.wickr.WickrStatus;
import com.mywickr.wickr.WickrUser;
import com.mywickr.wickr.WickrUtil;
import com.mywickr.wickr.contacts.Contact;
import com.mywickr.wickr.contacts.ContactFetcher;
import java.util.ArrayList;
import java.util.Collection;
import java.util.HashMap;
import java.util.Iterator;
import org.apache.http.Header;

public class WickrFindFriendsFragment extends WickrSherlockListFragment
{
  private static int BATCH_SIZE = 175;
  private WickrUserAdapter adapter = null;
  private ArrayList<ArrayList<Contact>> contacts;
  private TextView disclosureTextView = null;
  private ContactFetcher fetcher = null;
  private boolean isWizard = false;
  private TextView networkErrorTextView;
  private Button nextButton;
  private HashMap<String, RequestHandle> openRequests = null;
  private boolean scanInProgress = false;
  private ProgressBar searchProgressBar = null;
  private Button startButton = null;
  private int totalRequests = 0;

  private void cancelAllRequests()
  {
    Iterator localIterator;
    if (this.openRequests != null)
      localIterator = this.openRequests.values().iterator();
    while (true)
    {
      if (!localIterator.hasNext())
        return;
      ((RequestHandle)localIterator.next()).cancel(true);
    }
  }

  private void makeServerCall(String paramString1, final String paramString2)
  {
    if (this.openRequests == null)
    {
      this.openRequests = new HashMap();
      getActivity().runOnUiThread(new Runnable()
      {
        public void run()
        {
          WickrFindFriendsFragment.this.updateProgress(0.25F);
        }
      });
    }
    WickrAsyncHttp localWickrAsyncHttp = WickrSession.getActiveSession().getHttpClient();
    BinaryHttpResponseHandler local5 = new BinaryHttpResponseHandler(WickrUtil.allowedContentTypes)
    {
      public void onFailure(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte, Throwable paramAnonymousThrowable)
      {
      }

      public void onRetry(int paramAnonymousInt)
      {
        WickrFindFriendsFragment.this.networkErrorTextView.setVisibility(0);
      }

      public void onSuccess(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte)
      {
        WickrFindFriendsFragment.this.networkErrorTextView.setVisibility(8);
        WickrContactSearchResult localWickrContactSearchResult = WickrSession.getActiveSession().getContactManager().getUsersFromQueryResult(paramAnonymousArrayOfByte, paramString2);
        float f1 = 0.75F * (1.0F / WickrFindFriendsFragment.this.totalRequests);
        if (localWickrContactSearchResult.getCode().isError())
          WickrUtil.showDialogWithTitle(WickrFindFriendsFragment.this.getActivity(), "Error", localWickrContactSearchResult.getCode().toString("searching for friends"));
        while (true)
        {
          WickrSession.getActiveSession().getContactManager().finalizeContactQuery(paramString2);
          WickrFindFriendsFragment.this.openRequests.remove(paramString2);
          if (WickrFindFriendsFragment.this.openRequests.size() == 0)
          {
            WickrFindFriendsFragment.this.startButton.setText("Scan Completed");
            WickrFindFriendsFragment.this.startButton.setTextColor(-16777216);
            WickrFindFriendsFragment.this.startButton.setEnabled(false);
            if (WickrFindFriendsFragment.this.isWizard)
              WickrFindFriendsFragment.this.nextButton.setVisibility(0);
            WickrFindFriendsFragment.this.searchProgressBar.setVisibility(8);
            WickrFindFriendsFragment.this.disclosureTextView.setVisibility(8);
          }
          return;
          if (localWickrContactSearchResult.getUsers().length == 0)
          {
            float f2 = f1 / localWickrContactSearchResult.getUsers().length;
            WickrFindFriendsFragment.this.updateProgress(f2 + WickrFindFriendsFragment.this.searchProgressBar.getProgress() / 100.0F);
          }
          else
          {
            for (WickrUser localWickrUser : localWickrContactSearchResult.getUsers())
            {
              localWickrUser.save();
              WickrFindFriendsFragment.this.updateProgress(f1 + WickrFindFriendsFragment.this.searchProgressBar.getProgress() / 100.0F);
              WickrFindFriendsFragment.this.adapter.add(localWickrUser);
            }
          }
        }
      }
    };
    String[] arrayOfString = new String[4];
    arrayOfString[0] = "json_secure";
    arrayOfString[1] = paramString1;
    arrayOfString[2] = "json_id";
    arrayOfString[3] = WickrSession.getActiveSession().getAppID();
    localWickrAsyncHttp.addStringParameters(arrayOfString);
    RequestHandle localRequestHandle = localWickrAsyncHttp.post("https://secex.info/service/105/src/getXUsers.php", local5);
    this.openRequests.put(paramString2, localRequestHandle);
    this.totalRequests = (1 + this.totalRequests);
  }

  private void resetGUI()
  {
    this.startButton.setText("Find Now");
    this.searchProgressBar.setProgress(0);
    this.searchProgressBar.setVisibility(8);
    this.disclosureTextView.setVisibility(0);
    this.adapter.clear();
    this.totalRequests = 0;
    this.scanInProgress = false;
    this.networkErrorTextView.setVisibility(8);
    this.nextButton.setVisibility(0);
  }

  public void onActivityCreated(Bundle paramBundle)
  {
    super.onActivityCreated(paramBundle);
    if (this.activityHasError)
      return;
    this.adapter = new WickrUserAdapter(new ArrayList(), getActivity());
    setListAdapter(this.adapter);
    if (getArguments() != null)
      this.isWizard = getArguments().getBoolean("isWizard", false);
    this.networkErrorTextView = ((TextView)getActivity().findViewById(2131296385));
    this.nextButton = ((Button)getActivity().findViewById(2131296384));
    if (this.isWizard)
    {
      final WickrWizardActivity localWickrWizardActivity = (WickrWizardActivity)getActivity();
      localWickrWizardActivity.setActionBarTitle("Find Friends");
      this.nextButton.setVisibility(0);
      this.nextButton.setOnClickListener(new View.OnClickListener()
      {
        public void onClick(View paramAnonymousView)
        {
          localWickrWizardActivity.advanceWizard();
        }
      });
    }
    while (true)
    {
      this.startButton = ((Button)getActivity().findViewById(2131296352));
      this.startButton.setOnClickListener(new View.OnClickListener()
      {
        public void onClick(View paramAnonymousView)
        {
          if (!WickrFindFriendsFragment.this.scanInProgress)
          {
            WickrFindFriendsFragment.this.scanInProgress = true;
            WickrFindFriendsFragment.this.startButton.setText("Cancel Scan");
            WickrFindFriendsFragment.this.nextButton.setVisibility(8);
            WickrFindFriendsFragment.this.searchProgressBar.setIndeterminate(true);
            WickrFindFriendsFragment.this.searchProgressBar.setVisibility(0);
            WickrFindFriendsFragment.this.disclosureTextView.setVisibility(8);
            new Thread(new Runnable()
            {
              public void run()
              {
                Looper.prepare();
                WickrFindFriendsFragment.this.fetcher = new ContactFetcher(WickrFindFriendsFragment.this.getActivity());
                ArrayList localArrayList1 = WickrFindFriendsFragment.this.fetcher.getContacts();
                if (localArrayList1.isEmpty())
                {
                  WickrFindFriendsFragment.this.getActivity().runOnUiThread(new Runnable()
                  {
                    public void run()
                    {
                      WickrFindFriendsFragment.this.startButton.setText("No Contacts");
                      WickrFindFriendsFragment.this.startButton.setEnabled(false);
                      WickrFindFriendsFragment.this.startButton.setTextColor(-16777216);
                      WickrFindFriendsFragment.this.nextButton.setVisibility(0);
                      WickrFindFriendsFragment.this.disclosureTextView.setVisibility(0);
                      WickrFindFriendsFragment.this.searchProgressBar.setVisibility(8);
                    }
                  });
                  return;
                }
                WickrFindFriendsFragment.this.contacts = WickrContactMan.splitContactArray(localArrayList1, WickrFindFriendsFragment.BATCH_SIZE);
                int i = 0;
                Iterator localIterator = WickrFindFriendsFragment.this.contacts.iterator();
                label106: final String str1;
                final String str2;
                if (localIterator.hasNext())
                {
                  ArrayList localArrayList2 = (ArrayList)localIterator.next();
                  str1 = "QUERY" + i;
                  str2 = WickrSession.getActiveSession().getContactManager().getQueryStringForContactBookScan((Contact[])localArrayList2.toArray(new Contact[localArrayList2.size()]), str1);
                  if (!WickrSession.getActiveSession().getContactManager().isErrorState())
                    break label212;
                  WickrFindFriendsFragment.this.getActivity().runOnUiThread(new Runnable()
                  {
                    public void run()
                    {
                      WickrUtil.showDialogWithTitle(WickrFindFriendsFragment.this.getActivity(), "Error", "Contact Manager Error: " + WickrSession.getActiveSession().getContactManager().getStatus().getValue());
                    }
                  });
                }
                while (true)
                {
                  i++;
                  break label106;
                  break;
                  label212: WickrFindFriendsFragment.this.getActivity().runOnUiThread(new Runnable()
                  {
                    public void run()
                    {
                      WickrFindFriendsFragment.this.makeServerCall(str2, str1);
                    }
                  });
                }
              }
            }).start();
            return;
          }
          WickrFindFriendsFragment.this.cancelAllRequests();
          WickrFindFriendsFragment.this.resetGUI();
        }
      });
      this.searchProgressBar = ((ProgressBar)getActivity().findViewById(2131296386));
      this.searchProgressBar.setVisibility(8);
      this.disclosureTextView = ((TextView)getActivity().findViewById(2131296387));
      resetGUI();
      return;
      this.nextButton.setText("Invite Friends");
      this.nextButton.setOnClickListener(new View.OnClickListener()
      {
        public void onClick(View paramAnonymousView)
        {
          ((WickrSettingsActivity)WickrFindFriendsFragment.this.getActivity()).switchFragments(WickrSettingsFragmentType.WICKR_INVITE_FRIEND);
        }
      });
    }
  }

  public View onCreateView(LayoutInflater paramLayoutInflater, ViewGroup paramViewGroup, Bundle paramBundle)
  {
    return paramLayoutInflater.inflate(2130903076, paramViewGroup, false);
  }

  public void onDestroy()
  {
    if (this.activityHasError)
    {
      super.onDestroy();
      return;
    }
    cancelAllRequests();
    super.onDestroy();
  }

  public void onResume()
  {
    super.onResume();
    if ((!this.activityHasError) && (!this.isWizard))
      ((WickrSettingsActivity)getActivity()).setActionBarTitle("Find Friends");
  }

  public void updateProgress(final float paramFloat)
  {
    getActivity().runOnUiThread(new Runnable()
    {
      public void run()
      {
        if (WickrFindFriendsFragment.this.searchProgressBar.isIndeterminate())
          WickrFindFriendsFragment.this.searchProgressBar.setIndeterminate(false);
        WickrFindFriendsFragment.this.searchProgressBar.setProgress(Math.round(100.0F * paramFloat));
      }
    });
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.gui.fragments.WickrFindFriendsFragment
 * JD-Core Version:    0.6.2
 */