package com.mywickr.gui.fragments;

import android.app.AlertDialog.Builder;
import android.content.Context;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.content.res.Resources;
import android.os.Bundle;
import android.support.v4.app.FragmentActivity;
import android.telephony.TelephonyManager;
import android.text.Editable;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.EditText;
import com.actionbarsherlock.view.Menu;
import com.manuelpeinado.refreshactionitem.ProgressIndicatorType;
import com.manuelpeinado.refreshactionitem.RefreshActionItem;
import com.manuelpeinado.refreshactionitem.RefreshActionItem.RefreshActionListener;
import com.mywickr.gui.WickrSherlockFragmentActivity;
import com.mywickr.gui.WickrWizardActivity;
import com.mywickr.interfaces.WickrAccountsInterface;
import com.mywickr.wickr.WickrDeviceMan;
import com.mywickr.wickr.WickrIDConnection;
import com.mywickr.wickr.WickrIDConnectionType;
import com.mywickr.wickr.WickrSession;
import com.mywickr.wickr.WickrStatus;
import com.mywickr.wickr.WickrUtil;

public class WickrIDConnectFragment extends WickrSherlockFragment
  implements WickrAccountsInterface, RefreshActionItem.RefreshActionListener
{
  private WickrDeviceMan accountsManager;
  private WickrSherlockFragmentActivity activity = null;
  private Button buttonAddMail;
  private Button buttonAddPhone;
  private String countryCode;
  private WickrSession currentSession;
  private String email;
  private boolean isWizard;
  private Menu menu;
  private Button nextButton;
  private String phone;
  private RefreshActionItem refreshActionItem = null;

  private void addMail(String paramString)
  {
    String str = this.currentSession.getDeviceManager().getNewIDConnectionString(paramString, WickrIDConnectionType.WICKR_IDC_EMAIL);
    if (this.currentSession.getDeviceManager().getStatus().isError())
    {
      WickrUtil.showDialog(getActivity(), "Failed to your id connection. Please contact Wickr Support at support@mywickr.com: " + this.currentSession.getDeviceManager().getStatus().getValue());
      return;
    }
    this.activity.onServerCallStarted("Adding Mail Connection...");
    this.currentSession.getDeviceManager().callExternalIDConnectServer(str, true);
  }

  private void addPhone(String paramString)
  {
    String str = this.currentSession.getDeviceManager().getNewIDConnectionString(paramString, WickrIDConnectionType.WICKR_IDC_PHONE);
    if (this.currentSession.getDeviceManager().getStatus().isError())
    {
      WickrUtil.showDialog(getActivity(), "Failed to your id connection. Please contact Wickr Support at support@mywickr.com: " + this.currentSession.getDeviceManager().getStatus().getValue());
      return;
    }
    this.activity.onServerCallStarted("Adding Phone Connection...");
    this.currentSession.getDeviceManager().callExternalIDConnectServer(str, false);
  }

  private void removeConnection(WickrIDConnection paramWickrIDConnection)
  {
    String str = this.currentSession.getDeviceManager().getRemoveIDConnectionString(paramWickrIDConnection);
    if (this.currentSession.getDeviceManager().getStatus().isError())
    {
      WickrUtil.showDialog(getActivity(), "Failed to your id connection. Please contact Wickr Support at support@mywickr.com: " + this.currentSession.getDeviceManager().getStatus().getValue());
      return;
    }
    this.activity.onServerCallStarted("Removing ID Connection...");
    WickrDeviceMan localWickrDeviceMan = this.currentSession.getDeviceManager();
    if (paramWickrIDConnection.getType() == WickrIDConnectionType.WICKR_IDC_EMAIL);
    for (boolean bool = true; ; bool = false)
    {
      localWickrDeviceMan.removeExternalIDConnectServer(str, bool);
      return;
    }
  }

  private void showPromptDialog(final boolean paramBoolean)
  {
    AlertDialog.Builder localBuilder = new AlertDialog.Builder(getSherlockActivity());
    StringBuilder localStringBuilder = new StringBuilder("Connect ");
    String str1;
    String str2;
    label53: final EditText localEditText;
    String str3;
    label87: String str5;
    if (paramBoolean)
    {
      str1 = "Email";
      localBuilder.setTitle(str1);
      if (!paramBoolean)
        break label220;
      str2 = WickrUtil.MSG_CONNECT_MAIL;
      localBuilder.setMessage(str2);
      localEditText = new EditText(getSherlockActivity());
      localEditText.setSingleLine(true);
      if (!paramBoolean)
        break label228;
      str3 = "Your Email Address";
      localEditText.setHint(str3);
      localBuilder.setView(localEditText);
      if (!paramBoolean)
      {
        String str4 = ((TelephonyManager)getActivity().getApplicationContext().getSystemService("phone")).getLine1Number();
        if (str4 == null)
          break label246;
        str5 = WickrUtil.checkForCountryCode(str4);
        if (str5 != null)
          break label236;
        localEditText.setText(this.countryCode);
      }
    }
    while (true)
    {
      localEditText.setSelection(localEditText.getText().length());
      localEditText.setInputType(3);
      localBuilder.setPositiveButton("Submit", new DialogInterface.OnClickListener()
      {
        public void onClick(DialogInterface paramAnonymousDialogInterface, int paramAnonymousInt)
        {
          if (paramBoolean)
          {
            WickrIDConnectFragment.this.email = localEditText.getText().toString();
            if (WickrUtil.validateEmail(WickrIDConnectFragment.this.email))
              WickrIDConnectFragment.this.addMail(WickrIDConnectFragment.this.email);
          }
          while (true)
          {
            paramAnonymousDialogInterface.dismiss();
            return;
            WickrUtil.showDialog(WickrIDConnectFragment.this.activity, "Invalid e-mail address!");
            continue;
            WickrIDConnectFragment.this.phone = localEditText.getText().toString();
            WickrIDConnectFragment.this.phone = WickrIDConnectFragment.this.phone.replaceAll("[^\\d+]", "");
            if (WickrUtil.validatePhone(WickrIDConnectFragment.this.phone))
            {
              localEditText.setText(WickrIDConnectFragment.this.phone);
              WickrIDConnectFragment.this.addPhone(WickrIDConnectFragment.this.phone);
            }
            else
            {
              WickrUtil.showDialog(WickrIDConnectFragment.this.activity, "Invalid phone number!");
            }
          }
        }
      });
      localBuilder.setNegativeButton("Cancel", new DialogInterface.OnClickListener()
      {
        public void onClick(DialogInterface paramAnonymousDialogInterface, int paramAnonymousInt)
        {
          paramAnonymousDialogInterface.cancel();
        }
      });
      localBuilder.show();
      return;
      str1 = "Phone";
      break;
      label220: str2 = WickrUtil.MSG_CONNECT_PHONE;
      break label53;
      label228: str3 = "Your Phone Number";
      break label87;
      label236: localEditText.setText(str5);
      continue;
      label246: localEditText.setText(this.countryCode);
    }
  }

  private void showRemovePrompt(final WickrIDConnection paramWickrIDConnection)
  {
    AlertDialog.Builder localBuilder = new AlertDialog.Builder(getSherlockActivity());
    localBuilder.setTitle("Remove Connection");
    localBuilder.setMessage("Are you sure you want to remove the connection " + paramWickrIDConnection.getValue() + " from your account?");
    localBuilder.setPositiveButton("Remove", new DialogInterface.OnClickListener()
    {
      public void onClick(DialogInterface paramAnonymousDialogInterface, int paramAnonymousInt)
      {
        WickrIDConnectFragment.this.removeConnection(paramWickrIDConnection);
      }
    });
    localBuilder.setNegativeButton("Cancel", new DialogInterface.OnClickListener()
    {
      public void onClick(DialogInterface paramAnonymousDialogInterface, int paramAnonymousInt)
      {
        paramAnonymousDialogInterface.cancel();
      }
    });
    localBuilder.show();
  }

  public void onActivityCreated(Bundle paramBundle)
  {
    super.onActivityCreated(paramBundle);
    if (this.activityHasError)
      return;
    this.activity = ((WickrSherlockFragmentActivity)getActivity());
    this.currentSession = WickrSession.getActiveSession();
    if (getArguments() != null)
      this.isWizard = getArguments().getBoolean("isWizard", false);
    if (this.isWizard)
    {
      ((WickrWizardActivity)getActivity()).setActionBarTitle("Wickr ID Connect");
      this.nextButton = ((Button)getActivity().findViewById(2131296384));
      this.nextButton.setVisibility(0);
      this.nextButton.setOnClickListener(new View.OnClickListener()
      {
        public void onClick(View paramAnonymousView)
        {
          ((WickrWizardActivity)WickrIDConnectFragment.this.getActivity()).advanceWizard();
        }
      });
    }
    this.accountsManager = WickrSession.getActiveSession().getDeviceManager();
    this.buttonAddMail = ((Button)this.activity.findViewById(2131296388));
    this.buttonAddMail.setOnClickListener(new View.OnClickListener()
    {
      public void onClick(View paramAnonymousView)
      {
        if (WickrIDConnectFragment.this.accountsManager.getEmailConnection() != null)
        {
          WickrIDConnectFragment.this.showRemovePrompt(WickrIDConnectFragment.this.accountsManager.getEmailConnection());
          return;
        }
        WickrIDConnectFragment.this.showPromptDialog(true);
      }
    });
    this.buttonAddPhone = ((Button)this.activity.findViewById(2131296389));
    this.buttonAddPhone.setOnClickListener(new View.OnClickListener()
    {
      public void onClick(View paramAnonymousView)
      {
        if (WickrIDConnectFragment.this.accountsManager.getPhoneConnection() != null)
        {
          WickrIDConnectFragment.this.showRemovePrompt(WickrIDConnectFragment.this.accountsManager.getPhoneConnection());
          return;
        }
        WickrIDConnectFragment.this.showPromptDialog(false);
      }
    });
  }

  public View onCreateView(LayoutInflater paramLayoutInflater, ViewGroup paramViewGroup, Bundle paramBundle)
  {
    View localView = paramLayoutInflater.inflate(2130903077, paramViewGroup, false);
    setHasOptionsMenu(true);
    return localView;
  }

  public void onRefreshButtonClick(RefreshActionItem paramRefreshActionItem)
  {
    this.refreshActionItem.setProgressIndicatorType(ProgressIndicatorType.INDETERMINATE);
    this.accountsManager.reset();
    this.accountsManager.getAccountInfoFromServer();
    this.activity.onServerCallStarted("Refreshing ID Connections...");
    this.refreshActionItem.showProgress(true);
  }

  public void onResume()
  {
    if (this.activityHasError)
      return;
    this.accountsManager.setAccountGUIManager(this);
    this.accountsManager.reset();
    if (this.countryCode == null)
      this.countryCode = WickrUtil.getCountryCode();
    if (this.accountsManager.getAccountInfoFromServer())
      this.activity.onServerCallStarted("Refreshing ID Connections...");
    super.onResume();
  }

  public void setMenu(Menu paramMenu)
  {
    this.menu = paramMenu;
  }

  public void setRefreshActionItem(RefreshActionItem paramRefreshActionItem)
  {
    this.refreshActionItem = paramRefreshActionItem;
  }

  public void wickrOnServerError(String paramString)
  {
    this.activity.onServerCallFinished();
    WickrUtil.showDialog(this.activity, paramString);
    if (this.refreshActionItem != null)
      this.refreshActionItem.showProgress(false);
  }

  public void wickrServerCallReturned()
  {
  }

  public void wickrServerCallStarted()
  {
  }

  public void wickrServerReturn(byte[] paramArrayOfByte, char paramChar)
  {
    this.activity.onServerCallFinished();
    if (paramChar == WickrUtil.ACCOUNT_INFO)
      if (this.accountsManager.getEmailConnection() != null)
      {
        String str2 = "";
        if (!this.accountsManager.getEmailConnection().isConfirmed())
          str2 = "\n(unconfirmed)";
        this.buttonAddMail.setTextColor(-16777216);
        this.buttonAddMail.setText(this.accountsManager.getEmailConnection().getValue() + str2);
        if (this.accountsManager.getPhoneConnection() == null)
          break label216;
        String str1 = "";
        if (!this.accountsManager.getPhoneConnection().isConfirmed())
          str1 = "\n(unconfirmed)";
        this.buttonAddPhone.setTextColor(-16777216);
        this.buttonAddPhone.setText(this.accountsManager.getPhoneConnection().getValue() + str1);
      }
    while (true)
    {
      if (this.refreshActionItem != null)
        this.refreshActionItem.showProgress(false);
      return;
      this.buttonAddMail.setTextColor(getResources().getColor(2131034148));
      this.buttonAddMail.setText("Tap to add");
      break;
      label216: this.buttonAddPhone.setTextColor(getResources().getColor(2131034148));
      this.buttonAddPhone.setText("Tap to add");
      continue;
      if (paramChar == WickrUtil.ADD_MAIL_CONN)
      {
        WickrUtil.showDialogWithTitle(this.activity, "Remember", WickrUtil.MSG_EMAIL_CONNECT_CONFIRM);
        this.accountsManager.reset();
        this.accountsManager.getAccountInfoFromServer();
      }
      else if (paramChar == WickrUtil.ADD_PHONE_CONN)
      {
        WickrUtil.showDialogWithTitle(this.activity, "Remember", WickrUtil.MSG_PHONE_CONNECT_CONFIRM);
        this.accountsManager.reset();
        this.accountsManager.getAccountInfoFromServer();
      }
      else if (paramChar == WickrUtil.REMOVE_MAIL_CONN)
      {
        this.buttonAddMail.setText("Tap to add");
        this.buttonAddMail.setTextColor(getResources().getColor(2131034148));
      }
      else if (paramChar == WickrUtil.REMOVE_PHONE_CONN)
      {
        this.buttonAddPhone.setText("Tap to add");
        this.buttonAddPhone.setTextColor(getResources().getColor(2131034148));
      }
    }
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.gui.fragments.WickrIDConnectFragment
 * JD-Core Version:    0.6.2
 */