package com.mywickr.gui.fragments;

import android.content.Intent;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.media.Ringtone;
import android.media.RingtoneManager;
import android.net.Uri;
import android.os.Bundle;
import android.support.v4.app.FragmentActivity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.CompoundButton;
import android.widget.CompoundButton.OnCheckedChangeListener;
import org.jraf.android.backport.switchwidget.Switch;

public class WickrNotificationFragment extends WickrSherlockFragment
{
  private String chosenRingtone;
  private Switch insideNotifications;
  private Switch outsideNotifications;
  private Switch playVibration;
  private SharedPreferences prefs;
  private Button sound;

  public void onActivityCreated(Bundle paramBundle)
  {
    super.onActivityCreated(paramBundle);
    if (this.activityHasError)
      return;
    this.prefs = getActivity().getSharedPreferences("prefs", 0);
    this.sound = ((Button)getView().findViewById(2131296401));
    this.sound.setText(this.prefs.getString("sound_title", "Default"));
    this.sound.setOnClickListener(new View.OnClickListener()
    {
      public void onClick(View paramAnonymousView)
      {
        String str = WickrNotificationFragment.this.prefs.getString("sound", "default");
        Uri localUri = null;
        if (str != null)
        {
          boolean bool = str.equals("default");
          localUri = null;
          if (!bool)
            localUri = Uri.parse(str);
        }
        Intent localIntent = new Intent("android.intent.action.RINGTONE_PICKER");
        localIntent.putExtra("android.intent.extra.ringtone.TYPE", 2);
        localIntent.putExtra("android.intent.extra.ringtone.TITLE", "Select Tone");
        if ((!str.equals("default")) && (!str.equals("silent")))
          localIntent.putExtra("android.intent.extra.ringtone.EXISTING_URI", localUri);
        while (true)
        {
          WickrNotificationFragment.this.startActivityForResult(localIntent, 5);
          return;
          if (str.equals("silent"))
            localIntent.putExtra("android.intent.extra.ringtone.EXISTING_URI", null);
        }
      }
    });
    this.outsideNotifications = ((Switch)getView().findViewById(2131296399));
    this.playVibration = ((Switch)getView().findViewById(2131296403));
    this.outsideNotifications.setChecked(this.prefs.getBoolean("outside", true));
    this.playVibration.setChecked(this.prefs.getBoolean("vibration", false));
    this.outsideNotifications.setOnCheckedChangeListener(new CompoundButton.OnCheckedChangeListener()
    {
      public void onCheckedChanged(CompoundButton paramAnonymousCompoundButton, boolean paramAnonymousBoolean)
      {
        WickrNotificationFragment.this.prefs.edit().putBoolean("outside", paramAnonymousBoolean).commit();
      }
    });
    this.playVibration.setOnCheckedChangeListener(new CompoundButton.OnCheckedChangeListener()
    {
      public void onCheckedChanged(CompoundButton paramAnonymousCompoundButton, boolean paramAnonymousBoolean)
      {
        WickrNotificationFragment.this.prefs.edit().putBoolean("vibration", paramAnonymousBoolean).commit();
      }
    });
  }

  public void onActivityResult(int paramInt1, int paramInt2, Intent paramIntent)
  {
    if ((paramInt2 == -1) && (paramInt1 == 5))
    {
      Uri localUri = (Uri)paramIntent.getParcelableExtra("android.intent.extra.ringtone.PICKED_URI");
      if (localUri != null)
      {
        ((CharSequence)paramIntent.getParcelableExtra("android.intent.extra.ringtone.TITLE"));
        this.chosenRingtone = localUri.toString();
        this.prefs.edit().putString("sound", this.chosenRingtone).commit();
        String str = RingtoneManager.getRingtone(getActivity(), localUri).getTitle(getActivity());
        this.sound.setText(str);
        this.prefs.edit().putString("sound_title", str).commit();
      }
    }
    else
    {
      return;
    }
    this.prefs.edit().putString("sound", "silent").commit();
    this.chosenRingtone = null;
    this.prefs.edit().putString("sound_title", "Silent").commit();
    this.sound.setText("Silent");
  }

  public View onCreateView(LayoutInflater paramLayoutInflater, ViewGroup paramViewGroup, Bundle paramBundle)
  {
    return paramLayoutInflater.inflate(2130903082, paramViewGroup, false);
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.gui.fragments.WickrNotificationFragment
 * JD-Core Version:    0.6.2
 */