package com.mywickr.gui.fragments;

import android.app.AlertDialog;
import android.app.AlertDialog.Builder;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.os.Bundle;
import android.text.Editable;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemLongClickListener;
import android.widget.ArrayAdapter;
import android.widget.EditText;
import android.widget.ListView;
import android.widget.TextView;
import com.actionbarsherlock.view.Menu;
import com.actionbarsherlock.view.MenuInflater;
import com.actionbarsherlock.view.MenuItem;
import com.manuelpeinado.refreshactionitem.ProgressIndicatorType;
import com.manuelpeinado.refreshactionitem.RefreshActionItem;
import com.manuelpeinado.refreshactionitem.RefreshActionItem.RefreshActionListener;
import com.mywickr.gui.WickrSherlockFragmentActivity;
import com.mywickr.gui.listadapters.WickrPrivacyManAdapter;
import com.mywickr.interfaces.WickrPrivacyManInterface;
import com.mywickr.wickr.WickrAPICode;
import com.mywickr.wickr.WickrPrivacyMan;
import com.mywickr.wickr.WickrPrivacyType;
import com.mywickr.wickr.WickrSession;
import com.mywickr.wickr.WickrStatus;
import com.mywickr.wickr.WickrUser;
import com.mywickr.wickr.WickrUtil;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.Locale;

public class WickrPrivacyManFragment extends WickrSherlockListFragment
  implements WickrPrivacyManInterface, RefreshActionItem.RefreshActionListener
{
  private WickrSherlockFragmentActivity activity = null;
  private ArrayAdapter<WickrUser> arrayAdapter;
  private Menu menu = null;
  private WickrPrivacyMan privacyManager;
  private RefreshActionItem refreshActionItem;
  private WickrUser selectedUser;
  private String userToAdd;

  private void changeModesInGui()
  {
    if (WickrSession.getActiveSession().getPrivacyList().getType() == WickrPrivacyType.WICKR_PRIVACY_BLACK)
    {
      this.privacyManager.setWickrPrivacyType(WickrPrivacyType.WICKR_PRIVACY_WHITE);
      this.menu.findItem(2131296492).setTitle("Switch to Black-List");
      manageEmptyText();
      return;
    }
    this.privacyManager.setWickrPrivacyType(WickrPrivacyType.WICKR_PRIVACY_BLACK);
    this.menu.findItem(2131296492).setTitle("Switch to White-List");
    manageEmptyText();
  }

  private ArrayList<WickrUser> getUserListAsArray()
  {
    return WickrSession.getActiveSession().getPrivacyList().getCurrentMembersList();
  }

  private void manageEmptyText()
  {
    if (WickrSession.getActiveSession().getPrivacyList().getType() == WickrPrivacyType.WICKR_PRIVACY_BLACK)
      ((TextView)getListView().getEmptyView()).setText("You are in the Black-list mode. \r\n Everyone can message you now! \r\n Tap '+' to block a user");
    while (WickrSession.getActiveSession().getPrivacyList().getType() != WickrPrivacyType.WICKR_PRIVACY_WHITE)
      return;
    ((TextView)getListView().getEmptyView()).setText("You are in the White-list mode. \r\n No one can message you now!\r\n Tap '+' to allow a user");
  }

  private void refresh(boolean paramBoolean)
  {
    if (paramBoolean)
      WickrSession.getActiveSession().getPrivacyList().forceUpdate();
    WickrPrivacyManAdapter localWickrPrivacyManAdapter = (WickrPrivacyManAdapter)getListAdapter();
    localWickrPrivacyManAdapter.notifyDataSetChanged();
    setListAdapter(localWickrPrivacyManAdapter);
    setModeGui();
  }

  private void setListDataAdapter()
  {
    this.arrayAdapter = new WickrPrivacyManAdapter(getUserListAsArray(), getActivity());
    manageEmptyText();
    this.arrayAdapter.notifyDataSetChanged();
    setListAdapter(this.arrayAdapter);
  }

  private void setModeGui()
  {
    if (WickrSession.getActiveSession().getPrivacyList().getType() == WickrPrivacyType.WICKR_PRIVACY_BLACK)
    {
      this.menu.findItem(2131296492).setTitle("Switch to White-List");
      ((TextView)getListView().getEmptyView()).setText("You are in the Black-list mode.\r\nEveryone can message you now!\r\nTap '+' to block a user");
      return;
    }
    this.menu.findItem(2131296492).setTitle("Switch to Black-List");
    ((TextView)getListView().getEmptyView()).setText("You are in the White-list mode.\r\nNo one can message you now!\r\nTap '+' to allow a user");
  }

  private void showPromptDialog()
  {
    AlertDialog.Builder localBuilder = new AlertDialog.Builder(getSherlockActivity());
    final EditText localEditText = new EditText(getSherlockActivity());
    localBuilder.setView(localEditText);
    localBuilder.setTitle("Add User");
    localBuilder.setMessage(WickrUtil.ADD_USER_TO_BLOCK_LIST);
    localBuilder.setPositiveButton("Submit", new DialogInterface.OnClickListener()
    {
      public void onClick(DialogInterface paramAnonymousDialogInterface, int paramAnonymousInt)
      {
        WickrPrivacyManFragment.this.userToAdd = localEditText.getText().toString().toLowerCase(Locale.US);
        if (WickrSession.getActiveSession().getUserName().equals(WickrPrivacyManFragment.this.userToAdd))
        {
          paramAnonymousDialogInterface.dismiss();
          WickrUtil.showDialog(WickrPrivacyManFragment.this.activity, "You cannot add yourself to the privacy list!");
          return;
        }
        Iterator localIterator = WickrPrivacyManFragment.this.privacyManager.getCurrentMembersList().iterator();
        if (!localIterator.hasNext())
        {
          if (WickrSession.getActiveSession().getPrivacyList().getType() != WickrPrivacyType.WICKR_PRIVACY_BLACK)
            break label193;
          WickrPrivacyManFragment.this.privacyManager.blockUser(WickrPrivacyManFragment.this.userToAdd);
        }
        while (true)
        {
          paramAnonymousDialogInterface.dismiss();
          return;
          if (!((WickrUser)localIterator.next()).getUserAlias().equalsIgnoreCase(WickrPrivacyManFragment.this.userToAdd))
            break;
          paramAnonymousDialogInterface.dismiss();
          WickrUtil.showDialog(WickrPrivacyManFragment.this.activity, WickrPrivacyManFragment.this.userToAdd + " is already on your privacy list");
          return;
          label193: WickrPrivacyManFragment.this.privacyManager.unblockUser(WickrPrivacyManFragment.this.userToAdd);
        }
      }
    });
    localBuilder.setNegativeButton("Cancel", new DialogInterface.OnClickListener()
    {
      public void onClick(DialogInterface paramAnonymousDialogInterface, int paramAnonymousInt)
      {
        paramAnonymousDialogInterface.cancel();
      }
    });
    localBuilder.show();
  }

  private void showRemoveUserPopup()
  {
    AlertDialog.Builder localBuilder = new AlertDialog.Builder(getActivity());
    localBuilder.setTitle("Remove User From The List");
    localBuilder.setMessage("Do you want to remove " + this.selectedUser.getUserAlias() + "?").setCancelable(true).setPositiveButton("Yes", new DialogInterface.OnClickListener()
    {
      public void onClick(DialogInterface paramAnonymousDialogInterface, int paramAnonymousInt)
      {
        WickrPrivacyManFragment.this.activity.onServerCallStarted("Removing User...");
        if (WickrSession.getActiveSession().getPrivacyList().getType() == WickrPrivacyType.WICKR_PRIVACY_BLACK)
          if (WickrSession.getActiveSession().getPrivacyList().unblockUser(WickrPrivacyManFragment.this.selectedUser).isError())
          {
            paramAnonymousDialogInterface.dismiss();
            WickrUtil.showDialog(WickrPrivacyManFragment.this.getActivity(), "There was an unknown error while trying to block " + WickrPrivacyManFragment.this.selectedUser.getUserAlias());
          }
        while (true)
        {
          paramAnonymousDialogInterface.cancel();
          return;
          if (WickrSession.getActiveSession().getPrivacyList().blockUser(WickrPrivacyManFragment.this.selectedUser).isError())
          {
            paramAnonymousDialogInterface.dismiss();
            WickrUtil.showDialog(WickrPrivacyManFragment.this.getActivity(), "There was an unknown error while trying to block " + WickrPrivacyManFragment.this.selectedUser.getUserAlias());
          }
        }
      }
    }).setNegativeButton("Cancel", new DialogInterface.OnClickListener()
    {
      public void onClick(DialogInterface paramAnonymousDialogInterface, int paramAnonymousInt)
      {
        paramAnonymousDialogInterface.cancel();
      }
    });
    localBuilder.create().show();
  }

  public void onActivityCreated(Bundle paramBundle)
  {
    super.onActivityCreated(paramBundle);
    if (this.activityHasError)
      return;
    this.activity = ((WickrSherlockFragmentActivity)getActivity());
    this.privacyManager = WickrSession.getActiveSession().getPrivacyList();
    setListDataAdapter();
    getListView().setLongClickable(true);
    getListView().setOnItemLongClickListener(new AdapterView.OnItemLongClickListener()
    {
      public boolean onItemLongClick(AdapterView<?> paramAnonymousAdapterView, View paramAnonymousView, int paramAnonymousInt, long paramAnonymousLong)
      {
        WickrPrivacyManFragment.this.selectedUser = ((WickrUser)WickrPrivacyManFragment.this.getListView().getItemAtPosition(paramAnonymousInt));
        WickrPrivacyManFragment.this.userToAdd = WickrPrivacyManFragment.this.selectedUser.getUserAlias();
        WickrPrivacyManFragment.this.showRemoveUserPopup();
        return false;
      }
    });
    setHasOptionsMenu(true);
  }

  public void onCreateOptionsMenu(Menu paramMenu, MenuInflater paramMenuInflater)
  {
    if (this.activityHasError)
      return;
    this.menu = paramMenu;
    super.onCreateOptionsMenu(paramMenu, paramMenuInflater);
    paramMenuInflater.inflate(2131558412, paramMenu);
    setupRefreshItem(paramMenu);
    WickrSession.getActiveSession().setPrivacyManagerGUI(this);
    setModeGui();
  }

  public View onCreateView(LayoutInflater paramLayoutInflater, ViewGroup paramViewGroup, Bundle paramBundle)
  {
    return paramLayoutInflater.inflate(2130903083, paramViewGroup, false);
  }

  public void onDestroy()
  {
    if (this.activityHasError)
    {
      super.onDestroy();
      return;
    }
    super.onDestroy();
  }

  public boolean onOptionsItemSelected(MenuItem paramMenuItem)
  {
    switch (paramMenuItem.getItemId())
    {
    default:
      return super.onOptionsItemSelected(paramMenuItem);
    case 2131296493:
      showPromptDialog();
      return true;
    case 2131296492:
    }
    if (WickrSession.getActiveSession().getPrivacyList().getType() == WickrPrivacyType.WICKR_PRIVACY_WHITE)
    {
      this.activity.onServerCallStarted("Changing Mode...");
      WickrSession.getActiveSession().getPrivacyList().changeMode(WickrPrivacyType.WICKR_PRIVACY_BLACK);
      setListDataAdapter();
      return true;
    }
    this.activity.onServerCallStarted("Changing Mode...");
    WickrSession.getActiveSession().getPrivacyList().changeMode(WickrPrivacyType.WICKR_PRIVACY_WHITE);
    setListDataAdapter();
    return true;
  }

  public void onRefreshButtonClick(RefreshActionItem paramRefreshActionItem)
  {
    this.refreshActionItem.setProgressIndicatorType(ProgressIndicatorType.INDETERMINATE);
    this.refreshActionItem.showProgress(true);
    refresh(true);
  }

  public void onResume()
  {
    setListDataAdapter();
    super.onResume();
  }

  public void setupRefreshItem(Menu paramMenu)
  {
    MenuItem localMenuItem = paramMenu.findItem(2131296466);
    this.refreshActionItem = ((RefreshActionItem)localMenuItem.getActionView());
    this.refreshActionItem.setMenuItem(localMenuItem);
    this.refreshActionItem.setMax(100);
    this.refreshActionItem.setRefreshActionListener(this);
  }

  public void wickrPrivacyManStatus(WickrStatus paramWickrStatus, WickrAPICode paramWickrAPICode, char paramChar)
  {
    if (paramChar == WickrUtil.CHANGE_MODE_CALL)
      if (paramWickrStatus.isError())
      {
        WickrUtil.showDialog(getActivity(), "An unknown error has occured while switching privacy modes: " + paramWickrStatus.getValue());
        this.activity.onServerCallFinished();
      }
    do
    {
      this.refreshActionItem.showProgress(false);
      return;
      if (!paramWickrAPICode.isError())
      {
        changeModesInGui();
        refresh(true);
        break;
      }
      WickrUtil.showDialog(getActivity(), paramWickrAPICode.toString("changing privacy list modes"));
      break;
      if (paramChar == WickrUtil.UPDATE_PRIVACY_LIST_CALL)
      {
        if (paramWickrStatus.isError())
          WickrUtil.showDialog(getActivity(), "An unknown error has occured while updating your privacy list: " + paramWickrStatus.getValue());
        while (true)
        {
          this.activity.onServerCallFinished();
          break;
          if (!paramWickrAPICode.isError())
            refresh(false);
          else
            WickrUtil.showDialog(getActivity(), paramWickrAPICode.toString("updating your privacy list"));
        }
      }
    }
    while ((paramChar != WickrUtil.BLOCK_USER_CALL) && (paramChar != WickrUtil.UNBLOCK_USER_CALL));
    if (paramWickrStatus.isError())
      WickrUtil.showDialog(getActivity(), "An unknown error has occured while modifying your privacy list: " + paramWickrStatus.getValue());
    while (true)
    {
      this.activity.onServerCallFinished();
      break;
      if (!paramWickrAPICode.isError())
      {
        if (paramChar == WickrUtil.BLOCK_USER_CALL)
        {
          WickrUser localWickrUser2 = this.selectedUser;
          if (localWickrUser2 == null)
            localWickrUser2 = WickrUser.getUserWithAlias(this.userToAdd);
          localWickrUser2.setIsHidden(true);
        }
        while (true)
        {
          refresh(false);
          break;
          if (paramChar == WickrUtil.UNBLOCK_USER_CALL)
          {
            WickrUser localWickrUser1 = this.selectedUser;
            if (localWickrUser1 == null)
              localWickrUser1 = WickrUser.getUserWithAlias(this.userToAdd);
            localWickrUser1.setIsHidden(false);
          }
        }
      }
      if (paramWickrAPICode.getValue() != 9)
        WickrUtil.showDialog(getActivity(), paramWickrAPICode.toString(this.userToAdd));
      else
        WickrUtil.showDialog(getActivity(), paramWickrAPICode.toString("modifying your privacy list"));
    }
  }

  public void wickrServerCallNetError()
  {
    this.activity.onServerError("Check Connection");
  }

  public void wickrServerCallReturned()
  {
  }

  public void wickrServerCallStarted()
  {
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.gui.fragments.WickrPrivacyManFragment
 * JD-Core Version:    0.6.2
 */