package com.mywickr.gui.fragments;

import android.graphics.drawable.AnimationDrawable;
import android.os.Build.VERSION;
import android.os.Bundle;
import android.support.v4.app.FragmentActivity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.SeekBar;
import android.widget.TextView;
import com.mywickr.gui.WickrWizardActivity;
import com.mywickr.interfaces.WickrDeviceBackupInterface;
import com.mywickr.wickr.WickrAppClock;
import com.mywickr.wickr.WickrAppClockInterface;
import com.mywickr.wickr.WickrContactMan;
import com.mywickr.wickr.WickrSession;

public class WickrWelcomeFragment extends WickrSherlockFragment
  implements WickrDeviceBackupInterface, WickrAppClockInterface
{
  private SeekBar backupRestoreSeekBar;
  private WickrAppClock nonSyncClock = null;
  private TextView restoringAccountTextView;
  private TextView welcomeTextView;

  public void moveToNextWizard()
  {
    ((WickrWizardActivity)getActivity()).advanceWizard();
  }

  public void onActivityCreated(Bundle paramBundle)
  {
    super.onActivityCreated(paramBundle);
    if (this.activityHasError)
      return;
    this.backupRestoreSeekBar = ((SeekBar)getActivity().findViewById(2131296412));
    this.backupRestoreSeekBar.setEnabled(false);
    if (Build.VERSION.SDK_INT >= 16)
      ((AnimationDrawable)this.backupRestoreSeekBar.getThumb()).start();
    this.welcomeTextView = ((TextView)getActivity().findViewById(2131296410));
    this.restoringAccountTextView = ((TextView)getActivity().findViewById(2131296411));
    this.welcomeTextView.setText("Welcome, " + WickrSession.getActiveSession().getUserName());
    if (WickrSession.getActiveSession().getWasSynced())
    {
      WickrSession.getActiveSession().getContactManager().setBackupGUIManager(this);
      WickrSession.getActiveSession().getContactManager().getContactsFromBackup();
      return;
    }
    this.nonSyncClock = new WickrAppClock(0L, 1L, 10L);
    this.nonSyncClock.addListener(this);
    this.nonSyncClock.start();
  }

  public View onCreateView(LayoutInflater paramLayoutInflater, ViewGroup paramViewGroup, Bundle paramBundle)
  {
    return paramLayoutInflater.inflate(2130903086, paramViewGroup, false);
  }

  public void processedBackupFromBatch(int paramInt1, int paramInt2)
  {
    this.backupRestoreSeekBar.setProgress((int)(100.0F * (paramInt1 / paramInt2)));
    if (paramInt1 == paramInt2)
      moveToNextWizard();
  }

  public void wickrAppClockDidTick()
  {
    if (this.nonSyncClock.getCurrentTime() <= 100L)
    {
      this.backupRestoreSeekBar.setProgress((int)this.nonSyncClock.getCurrentTime());
      return;
    }
    this.nonSyncClock.stop();
    this.nonSyncClock.removeListener(this);
    moveToNextWizard();
  }

  public void wickrOnServerError(String paramString)
  {
    moveToNextWizard();
  }

  public void wickrServerCallReturned()
  {
    this.restoringAccountTextView.setText("Restoring your account");
  }

  public void wickrServerCallStarted()
  {
  }

  public void wickrServerHasNetworkIssues()
  {
    this.restoringAccountTextView.setText("Check Connection!");
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.gui.fragments.WickrWelcomeFragment
 * JD-Core Version:    0.6.2
 */