package com.mywickr.gui.listadapters;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.Color;
import android.graphics.PorterDuff.Mode;
import android.graphics.drawable.Drawable;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.View.OnTouchListener;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.ProgressBar;
import android.widget.RelativeLayout;
import android.widget.TextView;
import com.mywickr.gui.CircleTextView;
import com.mywickr.gui.ReverseChrono;
import com.mywickr.gui.WickrCircleProgressBar;
import com.mywickr.interfaces.WickrAttachmentDisplayInterface;
import com.mywickr.interfaces.WickrAudioPlayerInterface;
import com.mywickr.interfaces.WickrContactPopupInterface;
import com.mywickr.interfaces.WickrErrorPopupInterface;
import com.mywickr.wickr.WickrAttachmentType;
import com.mywickr.wickr.WickrConvo;
import com.mywickr.wickr.WickrError;
import com.mywickr.wickr.WickrInbox;
import com.mywickr.wickr.WickrInboxState;
import com.mywickr.wickr.WickrMessage;
import com.mywickr.wickr.WickrMsgClass;
import com.mywickr.wickr.WickrOutbox;
import com.mywickr.wickr.WickrSession;
import com.mywickr.wickr.WickrUploadQueue;
import com.mywickr.wickr.WickrUser;
import com.mywickr.wickr.WickrUtil;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;

public class WickrConvoMsgAdapter extends BaseAdapter
{
  private WickrAudioPlayerInterface audioPlayerInterface = null;
  private WickrContactPopupInterface contactPopupInterface = null;
  private Context ctx;
  private WickrAttachmentDisplayInterface displayInterface = null;
  private WickrErrorPopupInterface errorPopupInterface = null;
  LayoutInflater inflater;
  private ArrayList<WickrMessage> messages;

  public WickrConvoMsgAdapter(ArrayList<WickrMessage> paramArrayList, Context paramContext, WickrAttachmentDisplayInterface paramWickrAttachmentDisplayInterface, WickrContactPopupInterface paramWickrContactPopupInterface, WickrErrorPopupInterface paramWickrErrorPopupInterface, WickrAudioPlayerInterface paramWickrAudioPlayerInterface)
  {
    this.messages = paramArrayList;
    this.ctx = paramContext;
    this.displayInterface = paramWickrAttachmentDisplayInterface;
    this.contactPopupInterface = paramWickrContactPopupInterface;
    this.errorPopupInterface = paramWickrErrorPopupInterface;
    this.audioPlayerInterface = paramWickrAudioPlayerInterface;
    this.inflater = ((LayoutInflater)paramContext.getSystemService("layout_inflater"));
  }

  private void addAttachments(WickrMessage paramWickrMessage, TextView paramTextView, int paramInt, LinearLayout paramLinearLayout)
  {
    int i = 1;
    if (!paramWickrMessage.hasAttachments());
    for (i = 0; i == 0; i = 0)
    {
      label13: paramLinearLayout.removeAllViews();
      paramLinearLayout.setVisibility(8);
      return;
      if ((!paramWickrMessage.isInbox()) || (((WickrInbox)paramWickrMessage).getInboxState() == WickrInboxState.WICKR_INBOX_OPENED))
        break label13;
    }
    paramLinearLayout.removeAllViews();
    paramLinearLayout.setVisibility(0);
    setupAttachmentButtons(paramWickrMessage, paramInt, paramLinearLayout);
  }

  private void ifDateHasChanged(int paramInt, WickrMessage paramWickrMessage, LinearLayout paramLinearLayout, TextView paramTextView)
  {
    if (paramInt > 0)
    {
      String str2 = WickrMessage.isDateChanged(paramWickrMessage, (WickrMessage)this.messages.get(paramInt - 1));
      if (!str2.equals(""))
      {
        paramLinearLayout.setVisibility(0);
        paramTextView.setText(str2);
        paramTextView.setText(str2);
      }
      return;
    }
    String str1 = WickrMessage.getDate(paramWickrMessage);
    paramLinearLayout.setVisibility(0);
    paramTextView.setText(str1);
  }

  private void ifSenderHasChanged(int paramInt, WickrInbox paramWickrInbox, TextView paramTextView)
  {
    if (paramWickrInbox.getConvo().getAllUsers().length == 1);
    WickrUser localWickrUser;
    do
    {
      return;
      localWickrUser = paramWickrInbox.getSender();
      if (paramInt <= 0)
        break label96;
      if (!((WickrMessage)this.messages.get(paramInt - 1)).isInbox())
        break;
    }
    while (localWickrUser.equals(((WickrInbox)this.messages.get(paramInt - 1)).getSender()));
    paramTextView.setVisibility(0);
    paramTextView.setText(localWickrUser.getPrimaryName());
    return;
    paramTextView.setVisibility(0);
    paramTextView.setText(localWickrUser.getPrimaryName());
    return;
    label96: paramTextView.setVisibility(0);
    paramTextView.setText(localWickrUser.getPrimaryName());
  }

  private WickrInbox lastInboxMessage(int paramInt)
  {
    for (int i = -1 + getCount(); ; i--)
    {
      if (i <= paramInt)
        return (WickrInbox)getItem(paramInt);
      WickrMessage localWickrMessage = getItem(i);
      if (localWickrMessage.isInbox())
        return (WickrInbox)localWickrMessage;
    }
  }

  private WickrOutbox lastOutboxMessage(int paramInt)
  {
    for (int i = -1 + getCount(); ; i--)
    {
      if (i <= paramInt)
        return (WickrOutbox)getItem(paramInt);
      WickrMessage localWickrMessage = getItem(i);
      if (!localWickrMessage.isInbox())
        return (WickrOutbox)localWickrMessage;
    }
  }

  private void setUpErrorIcon(final int paramInt, WickrMessage paramWickrMessage, OutboxViewHolder paramOutboxViewHolder)
  {
    final StringBuilder localStringBuilder;
    Iterator localIterator;
    if (!paramWickrMessage.getErrors().isEmpty())
    {
      paramOutboxViewHolder.errorCircle.setVisibility(0);
      paramOutboxViewHolder.errorTextView.setVisibility(0);
      localStringBuilder = new StringBuilder();
      localIterator = paramWickrMessage.getErrors().iterator();
    }
    while (true)
    {
      if (!localIterator.hasNext())
      {
        paramOutboxViewHolder.errorCircle.setOnClickListener(new View.OnClickListener()
        {
          public void onClick(View paramAnonymousView)
          {
            if (WickrConvoMsgAdapter.this.errorPopupInterface != null)
              WickrConvoMsgAdapter.this.errorPopupInterface.errorPopup(localStringBuilder.toString(), paramInt);
          }
        });
        return;
      }
      localStringBuilder.append(((WickrError)localIterator.next()).getErrString() + "\n");
    }
  }

  private void setUpInboxExpiredOrDeleted(InboxViewHolder paramInboxViewHolder)
  {
    paramInboxViewHolder.rootLayout.setVisibility(8);
    paramInboxViewHolder.decryptImageView.setVisibility(8);
    paramInboxViewHolder.msgContentTextView.setVisibility(8);
    paramInboxViewHolder.timeRemainingChrono.setVisibility(8);
  }

  private void setUpInboxOpened(int paramInt, final WickrMessage paramWickrMessage, InboxViewHolder paramInboxViewHolder, WickrInbox paramWickrInbox)
  {
    paramInboxViewHolder.loadingSpinner.setVisibility(8);
    if (paramWickrInbox.getMsgClass() == WickrMsgClass.WICKR_TXT_MESSAGE)
    {
      paramInboxViewHolder.decryptImageView.setVisibility(8);
      String str = paramWickrInbox.getCachedText();
      if (str.replace("﻿", "").trim().length() != 0)
      {
        paramInboxViewHolder.msgContentTextView.setText(str);
        paramInboxViewHolder.msgContentTextView.setVisibility(0);
      }
      if (!shouldDisplayTime(paramInt, paramWickrMessage))
        break label222;
      paramInboxViewHolder.timeRemainingChrono.setPrefixString(WickrUtil.timeFromTimestamp(paramWickrMessage.getMsgTimestamp()));
    }
    while (true)
    {
      paramInboxViewHolder.timeRemainingChrono.setOverallDuration(paramWickrInbox.getTimeRemaining());
      paramInboxViewHolder.timeRemainingChrono.setVisibility(0);
      paramInboxViewHolder.timeRemainingChrono.run();
      return;
      paramInboxViewHolder.audioPlayerImageView.setVisibility(0);
      paramInboxViewHolder.audioPlayerImageView.setImageDrawable(this.ctx.getResources().getDrawable(2130837733));
      paramInboxViewHolder.audioPlayerImageView.getDrawable().setColorFilter(Color.parseColor("#ff0000"), PorterDuff.Mode.MULTIPLY);
      paramInboxViewHolder.msgContentTextView.setVisibility(8);
      paramInboxViewHolder.audioCircleProgressBar.setVisibility(0);
      paramInboxViewHolder.audioCircleProgressBar.setProgress(0);
      final WickrCircleProgressBar localWickrCircleProgressBar = paramInboxViewHolder.audioCircleProgressBar;
      paramInboxViewHolder.audioPlayerImageView.setOnClickListener(new View.OnClickListener()
      {
        public void onClick(View paramAnonymousView)
        {
          if (WickrConvoMsgAdapter.this.audioPlayerInterface != null)
            WickrConvoMsgAdapter.this.audioPlayerInterface.wickrAudioPlayer(paramWickrMessage.getAudioBody(), (ImageView)paramAnonymousView, localWickrCircleProgressBar);
        }
      });
      break;
      label222: paramInboxViewHolder.timeRemainingChrono.setPrefixString(null);
    }
  }

  private void setUpInboxUnopened(InboxViewHolder paramInboxViewHolder, WickrInbox paramWickrInbox)
  {
    paramInboxViewHolder.decryptImageView.setVisibility(0);
    paramInboxViewHolder.timeRemainingChrono.setVisibility(8);
  }

  private void setUpOutboxAudioMessage(final WickrMessage paramWickrMessage, OutboxViewHolder paramOutboxViewHolder, final WickrCircleProgressBar paramWickrCircleProgressBar)
  {
    paramOutboxViewHolder.decryptImageView.setImageDrawable(this.ctx.getResources().getDrawable(2130837733));
    paramOutboxViewHolder.decryptImageView.getDrawable().setColorFilter(Color.parseColor("#ff0000"), PorterDuff.Mode.MULTIPLY);
    paramOutboxViewHolder.msgContentTextView.setVisibility(8);
    paramOutboxViewHolder.decryptImageView.setVisibility(0);
    paramOutboxViewHolder.audioCircleProgressBar.setVisibility(0);
    paramOutboxViewHolder.audioCircleProgressBar.setProgress(0);
    paramOutboxViewHolder.decryptImageView.setOnClickListener(new View.OnClickListener()
    {
      public void onClick(View paramAnonymousView)
      {
        if (WickrConvoMsgAdapter.this.audioPlayerInterface != null)
          WickrConvoMsgAdapter.this.audioPlayerInterface.wickrAudioPlayer(paramWickrMessage.getAudioBody(), (ImageView)paramAnonymousView, paramWickrCircleProgressBar);
      }
    });
  }

  private void setUpOutboxTextMessage(OutboxViewHolder paramOutboxViewHolder, WickrOutbox paramWickrOutbox)
  {
    paramOutboxViewHolder.decryptImageView.setVisibility(8);
    String str = paramWickrOutbox.getCachedText();
    if (str.trim().length() != 0)
    {
      paramOutboxViewHolder.msgContentTextView.setText(str);
      paramOutboxViewHolder.msgContentTextView.setVisibility(0);
    }
  }

  private View settupInboxViews(int paramInt, View paramView, WickrMessage paramWickrMessage, InboxViewHolder paramInboxViewHolder)
  {
    final WickrInbox localWickrInbox = (WickrInbox)paramWickrMessage;
    paramInboxViewHolder.dateChangedLayout.setVisibility(8);
    paramInboxViewHolder.senderChangedTextView.setVisibility(8);
    paramInboxViewHolder.msgContentTextView.setVisibility(8);
    paramInboxViewHolder.attachmentLayout.setVisibility(8);
    paramInboxViewHolder.audioCircleProgressBar.setVisibility(8);
    paramInboxViewHolder.decryptImageView.setVisibility(8);
    paramInboxViewHolder.senderChangedTextView.setVisibility(8);
    paramInboxViewHolder.loadingSpinner.setVisibility(8);
    paramInboxViewHolder.audioPlayerImageView.setVisibility(8);
    paramInboxViewHolder.audioPlayerImageView.setOnClickListener(null);
    paramInboxViewHolder.initialTextView.setOnClickListener(new View.OnClickListener()
    {
      public void onClick(View paramAnonymousView)
      {
        if (WickrConvoMsgAdapter.this.contactPopupInterface != null)
          WickrConvoMsgAdapter.this.contactPopupInterface.contactPopup(localWickrInbox.getSender());
      }
    });
    paramInboxViewHolder.initialTextView.invalidate();
    paramInboxViewHolder.initialTextView.setTextInitials(localWickrInbox.getSender().getPrimaryName());
    paramInboxViewHolder.initialTextView.setImage(localWickrInbox.getSender().getUserImage());
    WickrInboxState localWickrInboxState = localWickrInbox.getInboxState();
    if (localWickrInboxState == WickrInboxState.WICKR_INBOX_UNOPENED)
      setUpInboxUnopened(paramInboxViewHolder, localWickrInbox);
    while (true)
    {
      ifDateHasChanged(paramInt, paramWickrMessage, paramInboxViewHolder.dateChangedLayout, paramInboxViewHolder.dateChangedTextView);
      ifSenderHasChanged(paramInt, localWickrInbox, paramInboxViewHolder.senderChangedTextView);
      addAttachments(paramWickrMessage, paramInboxViewHolder.msgContentTextView, paramInt, paramInboxViewHolder.attachmentLayout);
      return paramView;
      if (localWickrInboxState == WickrInboxState.WICKR_INBOX_OPENED)
        setUpInboxOpened(paramInt, paramWickrMessage, paramInboxViewHolder, localWickrInbox);
      else if ((localWickrInboxState == WickrInboxState.WICKR_INBOX_EXPIRED) || (localWickrInboxState == WickrInboxState.WICKR_INBOX_DELETED))
        setUpInboxExpiredOrDeleted(paramInboxViewHolder);
    }
  }

  private View settupOutboxViews(int paramInt, View paramView, WickrMessage paramWickrMessage, OutboxViewHolder paramOutboxViewHolder)
  {
    paramOutboxViewHolder.dateChangedLayout.setVisibility(8);
    paramOutboxViewHolder.attachmentLayout.setVisibility(8);
    paramOutboxViewHolder.timeRemainingTextView.setVisibility(8);
    paramOutboxViewHolder.audioCircleProgressBar.setVisibility(8);
    paramOutboxViewHolder.msgContentTextView.setVisibility(8);
    paramOutboxViewHolder.errorTextView.setVisibility(8);
    paramOutboxViewHolder.errorTextView.setTextColor(-65536);
    paramOutboxViewHolder.uploadCircleProgressBar.setOperation(null, null);
    paramOutboxViewHolder.uploadCircleProgressBar.setProgress(0);
    paramOutboxViewHolder.uploadCircleProgressBar.setVisibility(8);
    paramOutboxViewHolder.errorCircle.setVisibility(8);
    paramOutboxViewHolder.errorCircle.setOnClickListener(null);
    setUpErrorIcon(paramInt, paramWickrMessage, paramOutboxViewHolder);
    if (shouldDisplayTime(paramInt, paramWickrMessage))
    {
      paramOutboxViewHolder.timeRemainingTextView.setText(WickrUtil.timeFromTimestamp(paramWickrMessage.getMsgTimestamp()));
      paramOutboxViewHolder.timeRemainingTextView.setVisibility(0);
    }
    WickrOutbox localWickrOutbox = (WickrOutbox)paramWickrMessage;
    WickrMsgClass localWickrMsgClass = localWickrOutbox.getMsgClass();
    if (localWickrMsgClass == WickrMsgClass.WICKR_TXT_MESSAGE)
    {
      setUpOutboxTextMessage(paramOutboxViewHolder, localWickrOutbox);
      ifDateHasChanged(paramInt, paramWickrMessage, paramOutboxViewHolder.dateChangedLayout, paramOutboxViewHolder.dateChangedTextView);
      addAttachments(paramWickrMessage, paramOutboxViewHolder.msgContentTextView, paramInt, paramOutboxViewHolder.attachmentLayout);
      if (!WickrSession.getActiveSession().getUploadQueue().msgIsUploading(localWickrOutbox))
        break label285;
      paramOutboxViewHolder.uploadCircleProgressBar.setOperation(WickrSession.getActiveSession().getUploadQueue().getUploadOp(localWickrOutbox), WickrSession.getActiveSession().getUploadQueue());
    }
    label285: 
    while (!paramWickrMessage.getErrors().isEmpty())
    {
      return paramView;
      if (localWickrMsgClass != WickrMsgClass.WICKR_AUDIO_MESSAGE)
        break;
      setUpOutboxAudioMessage(paramWickrMessage, paramOutboxViewHolder, paramOutboxViewHolder.audioCircleProgressBar);
      break;
    }
    paramOutboxViewHolder.errorTextView.setVisibility(8);
    paramOutboxViewHolder.uploadCircleProgressBar.setOperation(null, null);
    return paramView;
  }

  private boolean shouldDisplayTime(int paramInt, WickrMessage paramWickrMessage)
  {
    if (paramWickrMessage.isInbox())
    {
      WickrInbox localWickrInbox = lastInboxMessage(paramInt);
      if (localWickrInbox == null)
        break label52;
      if (localWickrInbox != (WickrInbox)paramWickrMessage);
    }
    WickrOutbox localWickrOutbox;
    do
    {
      return true;
      return false;
      localWickrOutbox = lastOutboxMessage(paramInt);
      if (localWickrOutbox == null)
        break;
    }
    while (localWickrOutbox == (WickrOutbox)paramWickrMessage);
    return false;
    label52: return false;
  }

  public void add(WickrMessage paramWickrMessage)
  {
    this.messages.add(paramWickrMessage);
    notifyDataSetChanged();
  }

  public int getCount()
  {
    return this.messages.size();
  }

  public WickrMessage getItem(int paramInt)
  {
    return (WickrMessage)this.messages.get(paramInt);
  }

  public long getItemId(int paramInt)
  {
    return -1L;
  }

  public int getItemViewType(int paramInt)
  {
    if (((WickrMessage)this.messages.get(paramInt)).isInbox())
      return MESSAGE_TYPE.INBOX.ordinal();
    return MESSAGE_TYPE.OUTBOX.ordinal();
  }

  public View getView(int paramInt, View paramView, ViewGroup paramViewGroup)
  {
    if (getItemViewType(paramInt) == 1)
      return inboxGetView(paramInt, paramView, paramViewGroup);
    return outboxGetView(paramInt, paramView, paramViewGroup);
  }

  public int getViewTypeCount()
  {
    return MESSAGE_TYPE.values().length;
  }

  public View inboxGetView(int paramInt, View paramView, ViewGroup paramViewGroup)
  {
    InboxViewHolder localInboxViewHolder;
    if (paramView == null)
    {
      paramView = this.inflater.inflate(2130903088, paramViewGroup, false);
      localInboxViewHolder = new InboxViewHolder();
      localInboxViewHolder.rootLayout = ((LinearLayout)paramView.findViewById(2131296420));
      localInboxViewHolder.detailLayout = ((RelativeLayout)paramView.findViewById(2131296425));
      localInboxViewHolder.dateChangedLayout = ((LinearLayout)paramView.findViewById(2131296421));
      localInboxViewHolder.dateChangedTextView = ((TextView)paramView.findViewById(2131296422));
      localInboxViewHolder.senderChangedTextView = ((TextView)paramView.findViewById(2131296423));
      localInboxViewHolder.initialTextView = ((CircleTextView)paramView.findViewById(2131296424));
      localInboxViewHolder.msgContentTextView = ((TextView)paramView.findViewById(2131296426));
      localInboxViewHolder.loadingSpinner = ((ProgressBar)paramView.findViewById(2131296427));
      localInboxViewHolder.decryptImageView = ((ImageView)paramView.findViewById(2131296429));
      localInboxViewHolder.audioPlayerImageView = ((ImageView)paramView.findViewById(2131296430));
      localInboxViewHolder.attachmentLayout = ((LinearLayout)paramView.findViewById(2131296325));
      localInboxViewHolder.audioCircleProgressBar = ((WickrCircleProgressBar)paramView.findViewById(2131296428));
      localInboxViewHolder.timeRemainingChrono = ((ReverseChrono)paramView.findViewById(2131296431));
      paramView.setTag(localInboxViewHolder);
    }
    while (true)
    {
      return settupInboxViews(paramInt, paramView, (WickrMessage)this.messages.get(paramInt), localInboxViewHolder);
      localInboxViewHolder = (InboxViewHolder)paramView.getTag();
    }
  }

  public void isDateChanged()
  {
  }

  public void notifyDataSetChanged()
  {
    Collections.sort(this.messages, new WickrMessageComparator());
    super.notifyDataSetChanged();
  }

  public View outboxGetView(int paramInt, View paramView, ViewGroup paramViewGroup)
  {
    OutboxViewHolder localOutboxViewHolder;
    if (paramView == null)
    {
      paramView = this.inflater.inflate(2130903089, paramViewGroup, false);
      localOutboxViewHolder = new OutboxViewHolder();
      localOutboxViewHolder.dateChangedLayout = ((LinearLayout)paramView.findViewById(2131296421));
      localOutboxViewHolder.dateChangedTextView = ((TextView)paramView.findViewById(2131296422));
      localOutboxViewHolder.msgContentTextView = ((TextView)paramView.findViewById(2131296426));
      localOutboxViewHolder.decryptImageView = ((ImageView)paramView.findViewById(2131296429));
      localOutboxViewHolder.contentLayout = ((RelativeLayout)paramView.findViewById(2131296348));
      localOutboxViewHolder.attachmentLayout = ((LinearLayout)paramView.findViewById(2131296325));
      localOutboxViewHolder.timeRemainingTextView = ((TextView)paramView.findViewById(2131296436));
      localOutboxViewHolder.audioCircleProgressBar = ((WickrCircleProgressBar)paramView.findViewById(2131296428));
      localOutboxViewHolder.uploadCircleProgressBar = ((WickrCircleProgressBar)paramView.findViewById(2131296434));
      localOutboxViewHolder.errorTextView = ((TextView)paramView.findViewById(2131296435));
      localOutboxViewHolder.errorCircle = ((WickrCircleProgressBar)paramView.findViewById(2131296433));
      paramView.setTag(localOutboxViewHolder);
    }
    while (true)
    {
      return settupOutboxViews(paramInt, paramView, (WickrMessage)this.messages.get(paramInt), localOutboxViewHolder);
      localOutboxViewHolder = (OutboxViewHolder)paramView.getTag();
    }
  }

  protected void setupAttachmentButtons(WickrMessage paramWickrMessage, final int paramInt, LinearLayout paramLinearLayout)
  {
    String str = paramWickrMessage.getMessageTypeString();
    ImageView[] arrayOfImageView = new ImageView[paramWickrMessage.numAttachments()];
    int i = 1;
    while (true)
    {
      if (i >= str.length())
        return;
      int j = i + 1;
      try
      {
        Integer localInteger2 = Integer.valueOf(Integer.parseInt(str.substring(i, j)));
        localInteger1 = localInteger2;
        if (localInteger1.intValue() != 0)
        {
          localImageView = new ImageView(this.ctx);
          k = i - 1;
          if (localInteger1.intValue() == WickrAttachmentType.WICKR_ATTACH_IMAGE.getValue())
          {
            localImageView.setImageDrawable(this.ctx.getResources().getDrawable(2130837721));
            localImageView.setColorFilter(-65536);
            localImageView.setOnTouchListener(new View.OnTouchListener()
            {
              public boolean onTouch(View paramAnonymousView, MotionEvent paramAnonymousMotionEvent)
              {
                switch (paramAnonymousMotionEvent.getAction())
                {
                default:
                case 0:
                }
                while (true)
                {
                  return true;
                  if (WickrConvoMsgAdapter.this.displayInterface != null)
                    WickrConvoMsgAdapter.this.displayInterface.wickrAttachmentTouchDown(paramInt, k);
                }
              }
            });
            localImageView.setBackgroundColor(this.ctx.getResources().getColor(2131034162));
            arrayOfImageView[(i - 1)] = localImageView;
            paramLinearLayout.addView(localImageView);
          }
        }
        else
        {
          i++;
        }
      }
      catch (Exception localException)
      {
        while (true)
        {
          ImageView localImageView;
          final int k;
          Integer localInteger1 = Integer.valueOf(0);
          continue;
          if (localInteger1.intValue() == WickrAttachmentType.WICKR_ATTACH_VIDEO.getValue())
          {
            localImageView.setImageDrawable(this.ctx.getResources().getDrawable(2130837732));
            localImageView.setColorFilter(-65536);
            localImageView.setOnTouchListener(new View.OnTouchListener()
            {
              public boolean onTouch(View paramAnonymousView, MotionEvent paramAnonymousMotionEvent)
              {
                switch (paramAnonymousMotionEvent.getAction())
                {
                default:
                case 0:
                }
                while (true)
                {
                  return false;
                  if (WickrConvoMsgAdapter.this.displayInterface != null)
                    WickrConvoMsgAdapter.this.displayInterface.wickrAttachmentTouchDown(paramInt, k);
                }
              }
            });
          }
          else
          {
            localImageView.setImageDrawable(this.ctx.getResources().getDrawable(2130837882));
            localImageView.setOnClickListener(new View.OnClickListener()
            {
              public void onClick(View paramAnonymousView)
              {
                WickrUtil.showDialog(WickrConvoMsgAdapter.this.ctx, "This attachment is not currently viewable in your version of Wickr. Documents are currently not supported on Wickr Android");
              }
            });
          }
        }
      }
    }
  }

  static class InboxViewHolder
  {
    LinearLayout attachmentLayout;
    WickrCircleProgressBar audioCircleProgressBar;
    ImageView audioPlayerImageView;
    LinearLayout dateChangedLayout;
    TextView dateChangedTextView;
    ImageView decryptImageView;
    RelativeLayout detailLayout;
    CircleTextView initialTextView;
    ProgressBar loadingSpinner;
    TextView msgContentTextView;
    LinearLayout rootLayout;
    TextView senderChangedTextView;
    ReverseChrono timeRemainingChrono;
  }

  public static enum MESSAGE_TYPE
  {
    static
    {
      INBOX = new MESSAGE_TYPE("INBOX", 1);
      MESSAGE_TYPE[] arrayOfMESSAGE_TYPE = new MESSAGE_TYPE[2];
      arrayOfMESSAGE_TYPE[0] = OUTBOX;
      arrayOfMESSAGE_TYPE[1] = INBOX;
    }
  }

  static class OutboxViewHolder
  {
    LinearLayout attachmentLayout;
    WickrCircleProgressBar audioCircleProgressBar;
    RelativeLayout contentLayout;
    LinearLayout dateChangedLayout;
    TextView dateChangedTextView;
    ImageView decryptImageView;
    WickrCircleProgressBar errorCircle;
    TextView errorTextView;
    TextView msgContentTextView;
    TextView timeRemainingTextView;
    WickrCircleProgressBar uploadCircleProgressBar;
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.gui.listadapters.WickrConvoMsgAdapter
 * JD-Core Version:    0.6.2
 */