package com.mywickr.gui.listadapters;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.Filter;
import android.widget.Filter.FilterResults;
import android.widget.Filterable;
import android.widget.TextView;
import com.mywickr.gui.CircleTextView;
import com.mywickr.wickr.WickrUser;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.Iterator;

public class WickrUserAdapter extends ArrayAdapter<WickrUser>
  implements Filterable
{
  private WickrUserFilter filter;
  private ArrayList<WickrUser> users;

  public WickrUserAdapter(ArrayList<WickrUser> paramArrayList, Context paramContext)
  {
    super(paramContext, 2130903097, paramArrayList);
    this.users = paramArrayList;
    notifyDataSetChanged();
  }

  public Filter getFilter()
  {
    if (this.filter == null)
      this.filter = new WickrUserFilter(this.users);
    return this.filter;
  }

  public View getView(int paramInt, View paramView, ViewGroup paramViewGroup)
  {
    View localView = paramView;
    WickrUser localWickrUser = (WickrUser)this.users.get(paramInt);
    if (localView == null)
      localView = ((LayoutInflater)getContext().getSystemService("layout_inflater")).inflate(2130903097, null);
    TextView localTextView1 = (TextView)localView.findViewById(2131296451);
    TextView localTextView2 = (TextView)localView.findViewById(2131296452);
    CircleTextView localCircleTextView = (CircleTextView)localView.findViewById(2131296450);
    localCircleTextView.setImage(localWickrUser.getUserImage());
    localCircleTextView.setTextInitials(localWickrUser.getPrimaryName());
    localCircleTextView.invalidate();
    localTextView1.setText(localWickrUser.getPrimaryName());
    if (localWickrUser.getUserName() != null)
    {
      localTextView2.setVisibility(0);
      localTextView2.setText(localWickrUser.getSecondaryName());
    }
    while (true)
    {
      localView.findViewById(2131296447).setVisibility(8);
      return localView;
      localTextView2.setVisibility(8);
      localTextView2.setText("");
    }
  }

  public void notifyDataSetChanged()
  {
    Collections.sort(this.users, new WickrUserComparator());
    super.notifyDataSetChanged();
  }

  public class WickrUserFilter extends Filter
  {
    private ArrayList<WickrUser> sourceUsers = new ArrayList();

    public WickrUserFilter()
    {
      try
      {
        Collection localCollection;
        this.sourceUsers.addAll(localCollection);
        return;
      }
      finally
      {
      }
    }

    protected Filter.FilterResults performFiltering(CharSequence paramCharSequence)
    {
      Filter.FilterResults localFilterResults = new Filter.FilterResults();
      ArrayList localArrayList = new ArrayList();
      if ((paramCharSequence != null) && (paramCharSequence.length() > 0) && (this.sourceUsers != null))
      {
        String str = paramCharSequence.toString().toLowerCase();
        Iterator localIterator = this.sourceUsers.iterator();
        while (true)
        {
          if (!localIterator.hasNext())
          {
            localFilterResults.values = localArrayList;
            localFilterResults.count = localArrayList.size();
            return localFilterResults;
          }
          WickrUser localWickrUser = (WickrUser)localIterator.next();
          if ((localWickrUser.getPrimaryName().toLowerCase().contains(str)) || (localWickrUser.getSecondaryName().toLowerCase().contains(str)))
            localArrayList.add(localWickrUser);
        }
      }
      try
      {
        localFilterResults.values = this.sourceUsers;
        localFilterResults.count = this.sourceUsers.size();
        return localFilterResults;
      }
      finally
      {
      }
    }

    protected void publishResults(CharSequence paramCharSequence, Filter.FilterResults paramFilterResults)
    {
      ArrayList localArrayList = (ArrayList)paramFilterResults.values;
      WickrUserAdapter.this.notifyDataSetChanged();
      WickrUserAdapter.this.clear();
      int i = 0;
      int j = localArrayList.size();
      while (true)
      {
        if (i >= j)
        {
          WickrUserAdapter.this.notifyDataSetInvalidated();
          return;
        }
        WickrUserAdapter.this.add((WickrUser)localArrayList.get(i));
        i++;
      }
    }
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.gui.listadapters.WickrUserAdapter
 * JD-Core Version:    0.6.2
 */