package com.mywickr.gui.login;

import android.app.AlertDialog;
import android.app.AlertDialog.Builder;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.content.Intent;
import android.os.Bundle;
import android.text.Editable;
import android.text.TextUtils;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.inputmethod.InputMethodManager;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemSelectedListener;
import android.widget.EditText;
import android.widget.LinearLayout;
import android.widget.Spinner;
import com.actionbarsherlock.app.ActionBar;
import com.actionbarsherlock.app.SherlockActivity;
import com.mywickr.wickr.WickrAPICode;
import com.mywickr.wickr.WickrUtil;

public class LoginSetupActivity extends SherlockActivity
{
  private static final int REGISTRATION_RESULT = 500;
  public static final int RESULT_NO_ERROR;
  private boolean isSync;
  private Spinner mDevTag;
  private String mPassword1;
  private String mPassword2;
  private EditText mPasswordView;
  private EditText mPasswordView2;
  private String mTag = "Home";
  private String mUserID;
  private EditText mUserIDView;

  private void attemptLogin(boolean paramBoolean)
  {
    this.mUserIDView.setError(null);
    this.mPasswordView.setError(null);
    this.mUserID = this.mUserIDView.getText().toString().toLowerCase();
    this.mPassword1 = this.mPasswordView.getText().toString();
    this.mPassword2 = this.mPasswordView2.getText().toString();
    EditText localEditText;
    int i;
    if (TextUtils.isEmpty(this.mPassword1))
    {
      this.mPasswordView.setError(getString(2131165263));
      localEditText = this.mPasswordView;
      i = 1;
      if (!this.isSync)
      {
        if (!TextUtils.isEmpty(this.mPassword2))
          break label219;
        this.mPasswordView2.setError(getString(2131165263));
        localEditText = this.mPasswordView2;
        i = 1;
      }
      label136: if (!TextUtils.isEmpty(this.mUserID))
        break label257;
      this.mUserIDView.setError(getString(2131165263));
      localEditText = this.mUserIDView;
      i = 1;
    }
    while (true)
    {
      if (i == 0)
        break label291;
      localEditText.requestFocus();
      return;
      boolean bool = WickrUtil.validatePassword(this.mPassword1);
      i = 0;
      localEditText = null;
      if (bool)
        break;
      this.mPasswordView.setError(getString(2131165260));
      localEditText = this.mPasswordView;
      i = 1;
      break;
      label219: if (TextUtils.equals(this.mPassword1, this.mPassword2))
        break label136;
      this.mPasswordView2.setError(getString(2131165261));
      localEditText = this.mPasswordView2;
      i = 1;
      break label136;
      label257: if (!WickrUtil.validateUsername(this.mUserID))
      {
        this.mUserIDView.setError(getString(2131165259));
        localEditText = this.mUserIDView;
        i = 1;
      }
    }
    label291: Intent localIntent = new Intent(getApplicationContext(), LoginRegLoadingActivity.class);
    localIntent.putExtra("isSync", this.isSync);
    localIntent.putExtra("userid", this.mUserID);
    localIntent.putExtra("password", this.mPassword1);
    localIntent.putExtra("type", this.mTag);
    localIntent.putExtra("devid", WickrUtil.getDeviceIdentifier(this));
    localIntent.putExtra("ignoreSuspend", paramBoolean);
    startActivityForResult(localIntent, 500);
  }

  private void setupActionBar()
  {
    getSupportActionBar().setDisplayHomeAsUpEnabled(true);
  }

  protected void onActivityResult(int paramInt1, int paramInt2, Intent paramIntent)
  {
    if (paramInt1 == 500)
    {
      if (paramInt2 == 0)
      {
        setResult(-1, paramIntent);
        finish();
      }
    }
    else
      return;
    AlertDialog.Builder localBuilder = new AlertDialog.Builder(this);
    if (paramInt2 == -533)
    {
      localBuilder.setMessage("There was a network error while registering your account. Please check your internet connection and try again");
      localBuilder.setPositiveButton("OK", new DialogInterface.OnClickListener()
      {
        public void onClick(DialogInterface paramAnonymousDialogInterface, int paramAnonymousInt)
        {
          paramAnonymousDialogInterface.dismiss();
        }
      });
    }
    while (true)
    {
      localBuilder.create().show();
      return;
      WickrAPICode localWickrAPICode = new WickrAPICode(paramInt2);
      if (localWickrAPICode.getValue() != 15)
      {
        localBuilder.setMessage(localWickrAPICode.toString("registering your account"));
        localBuilder.setCancelable(false).setPositiveButton("OK", new DialogInterface.OnClickListener()
        {
          public void onClick(DialogInterface paramAnonymousDialogInterface, int paramAnonymousInt)
          {
            paramAnonymousDialogInterface.dismiss();
          }
        });
      }
      else
      {
        localBuilder.setMessage(localWickrAPICode.toString(this.mTag));
        localBuilder.setCancelable(false).setPositiveButton("Continue", new DialogInterface.OnClickListener()
        {
          public void onClick(DialogInterface paramAnonymousDialogInterface, int paramAnonymousInt)
          {
            paramAnonymousDialogInterface.dismiss();
            LoginSetupActivity.this.attemptLogin(true);
          }
        }).setNegativeButton("Cancel", new DialogInterface.OnClickListener()
        {
          public void onClick(DialogInterface paramAnonymousDialogInterface, int paramAnonymousInt)
          {
            paramAnonymousDialogInterface.dismiss();
          }
        });
      }
    }
  }

  public void onBackPressed()
  {
    setResult(0);
    super.onBackPressed();
  }

  protected void onCreate(Bundle paramBundle)
  {
    super.onCreate(paramBundle);
    setContentView(2130903105);
    setupActionBar();
    this.isSync = getIntent().getBooleanExtra("isSync", false);
    this.mUserIDView = ((EditText)findViewById(2131296470));
    this.mUserIDView.setInputType(524288);
    this.mPasswordView = ((EditText)findViewById(2131296471));
    this.mPasswordView2 = ((EditText)findViewById(2131296472));
    this.mDevTag = ((Spinner)findViewById(2131296473));
    this.mDevTag.setOnItemSelectedListener(new DeviceTypeListener());
    if (this.isSync)
    {
      ((LinearLayout)findViewById(2131296469)).removeView(this.mPasswordView2);
      this.mUserIDView.setHint("Existing Wickr ID");
      this.mPasswordView.setHint("Existing Password");
    }
    findViewById(2131296474).setOnClickListener(new View.OnClickListener()
    {
      public void onClick(View paramAnonymousView)
      {
        InputMethodManager localInputMethodManager = (InputMethodManager)LoginSetupActivity.this.getSystemService("input_method");
        localInputMethodManager.hideSoftInputFromWindow(LoginSetupActivity.this.mUserIDView.getWindowToken(), 0);
        localInputMethodManager.hideSoftInputFromWindow(LoginSetupActivity.this.mPasswordView.getWindowToken(), 0);
        if (LoginSetupActivity.this.mPasswordView2 != null)
          localInputMethodManager.hideSoftInputFromWindow(LoginSetupActivity.this.mPasswordView2.getWindowToken(), 0);
        LoginSetupActivity.this.attemptLogin(false);
      }
    });
  }

  public class DeviceTypeListener
    implements AdapterView.OnItemSelectedListener
  {
    public DeviceTypeListener()
    {
    }

    public void onItemSelected(AdapterView<?> paramAdapterView, View paramView, int paramInt, long paramLong)
    {
      LoginSetupActivity.this.mTag = paramAdapterView.getItemAtPosition(paramInt).toString();
    }

    public void onNothingSelected(AdapterView<?> paramAdapterView)
    {
    }
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.gui.login.LoginSetupActivity
 * JD-Core Version:    0.6.2
 */