package com.mywickr.gui.login;

import android.app.AlertDialog;
import android.app.AlertDialog.Builder;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.view.KeyEvent;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.inputmethod.InputMethodManager;
import android.widget.Button;
import android.widget.CompoundButton;
import android.widget.CompoundButton.OnCheckedChangeListener;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.TextView.OnEditorActionListener;
import com.mywickr.gui.WickrNoTitleActivity;
import com.mywickr.wickr.WickrAPICode;
import com.mywickr.wickr.WickrDBAdapter;
import com.mywickr.wickr.WickrSession;
import com.mywickr.wickr.WickrUtil;
import org.jraf.android.backport.switchwidget.Switch;

public class UserLoginActivity extends WickrNoTitleActivity
{
  private static final int LOGIN_RESULT = 600;
  private static final int REGISTRATION_RESULT = 500;
  public static UserLoginActivity activeLoginActivity = null;
  private Switch autoLoginSwitch = null;
  private Button existingAccButton = null;
  private TextView forgotPassButton = null;
  private boolean inRegistration = false;
  private Button newAccButton = null;
  private EditText passwordField = null;
  private SharedPreferences prefs;

  private void doLogin(String paramString)
  {
    if (WickrSession.getActiveSession() != null)
      WickrSession.getActiveSession().closeSession(true);
    Intent localIntent = new Intent(getApplicationContext(), LoginResumeActivity.class);
    localIntent.putExtra("pass", paramString);
    localIntent.putExtra("isLogin", true);
    localIntent.putExtra("wantsCache", this.autoLoginSwitch.isChecked());
    startActivityForResult(localIntent, 600);
    this.autoLoginSwitch.setChecked(false);
    this.passwordField.setText("");
  }

  private void setLoginContextView()
  {
    if (!WickrDBAdapter.doesDBExist(this))
    {
      setContentView(2130903101);
      this.newAccButton = ((Button)findViewById(2131296463));
      this.existingAccButton = ((Button)findViewById(2131296464));
      this.newAccButton.setOnClickListener(new View.OnClickListener()
      {
        public void onClick(View paramAnonymousView)
        {
          Intent localIntent = new Intent(UserLoginActivity.this.getApplicationContext(), LoginSetupActivity.class);
          localIntent.putExtra("isSync", false);
          UserLoginActivity.this.startActivityForResult(localIntent, 500);
          UserLoginActivity.this.inRegistration = true;
        }
      });
      this.existingAccButton.setOnClickListener(new View.OnClickListener()
      {
        public void onClick(View paramAnonymousView)
        {
          Intent localIntent = new Intent(UserLoginActivity.this.getApplicationContext(), LoginSetupActivity.class);
          localIntent.putExtra("isSync", true);
          UserLoginActivity.this.startActivityForResult(localIntent, 500);
          UserLoginActivity.this.inRegistration = true;
        }
      });
    }
    String str;
    do
    {
      return;
      setContentView(2130903109);
      this.passwordField = ((EditText)findViewById(2131296480));
      this.forgotPassButton = ((TextView)findViewById(2131296483));
      this.forgotPassButton.setVisibility(8);
      this.passwordField.setOnEditorActionListener(new TextView.OnEditorActionListener()
      {
        public boolean onEditorAction(TextView paramAnonymousTextView, int paramAnonymousInt, KeyEvent paramAnonymousKeyEvent)
        {
          if ((paramAnonymousInt == 6) || ((!paramAnonymousKeyEvent.isShiftPressed()) && (paramAnonymousKeyEvent.getKeyCode() == 66) && (paramAnonymousKeyEvent.getAction() == 0)))
          {
            UserLoginActivity.this.doLogin(paramAnonymousTextView.getText().toString());
            return true;
          }
          return false;
        }
      });
      this.autoLoginSwitch = ((Switch)findViewById(2131296481));
      this.autoLoginSwitch.setOnCheckedChangeListener(new CompoundButton.OnCheckedChangeListener()
      {
        public void onCheckedChanged(CompoundButton paramAnonymousCompoundButton, boolean paramAnonymousBoolean)
        {
          if (paramAnonymousBoolean)
            WickrUtil.showDialog(UserLoginActivity.this, WickrUtil.MSG_AUTO_LOGIN);
        }
      });
      str = WickrSession.retreiveCachedPassword(this);
    }
    while (str == null);
    this.autoLoginSwitch.setChecked(true);
    doLogin(str);
  }

  private void showRemovePrompt()
  {
    AlertDialog.Builder localBuilder = new AlertDialog.Builder(this);
    localBuilder.setTitle("Forgot Password?");
    localBuilder.setMessage(WickrUtil.FORGOT_PASSWORD);
    localBuilder.setPositiveButton("Erase Data", new DialogInterface.OnClickListener()
    {
      public void onClick(DialogInterface paramAnonymousDialogInterface, int paramAnonymousInt)
      {
        paramAnonymousDialogInterface.dismiss();
        WickrUtil.deletePrivateFiles(UserLoginActivity.this);
        WickrUtil.destroyLocalApp(UserLoginActivity.this);
        ((InputMethodManager)UserLoginActivity.this.getSystemService("input_method")).hideSoftInputFromInputMethod(UserLoginActivity.this.passwordField.getWindowToken(), 0);
        UserLoginActivity.this.finish();
        Intent localIntent = new Intent(UserLoginActivity.this, UserLoginActivity.class);
        UserLoginActivity.this.startActivity(localIntent);
      }
    });
    localBuilder.setNegativeButton("Cancel", new DialogInterface.OnClickListener()
    {
      public void onClick(DialogInterface paramAnonymousDialogInterface, int paramAnonymousInt)
      {
        paramAnonymousDialogInterface.cancel();
      }
    });
    localBuilder.show();
  }

  public void deleteDb(View paramView)
  {
    showRemovePrompt();
  }

  protected void onActivityResult(int paramInt1, int paramInt2, Intent paramIntent)
  {
    if (paramInt1 == 500)
      if (paramInt2 == -1)
      {
        str2 = paramIntent.getStringExtra("password");
        if (str2 != null)
          break label69;
        localBuilder2 = new AlertDialog.Builder(this);
        localBuilder2.setMessage("Your device setup is complete. You may now log in.").setCancelable(false).setPositiveButton("OK", new DialogInterface.OnClickListener()
        {
          public void onClick(DialogInterface paramAnonymousDialogInterface, int paramAnonymousInt)
          {
          }
        });
        localBuilder2.create().show();
      }
    label69: 
    while ((paramInt1 != 600) || (paramInt2 == -1) || (paramInt2 == 0))
    {
      String str2;
      AlertDialog.Builder localBuilder2;
      return;
      setLoginContextView();
      doLogin(str2);
      return;
    }
    AlertDialog.Builder localBuilder1 = new AlertDialog.Builder(this);
    if (paramInt2 == -7)
    {
      localBuilder1.setMessage("You have entered an invalid password");
      this.forgotPassButton.setVisibility(0);
      localBuilder1.setCancelable(false);
      localBuilder1.setPositiveButton("OK", new DialogInterface.OnClickListener()
      {
        public void onClick(DialogInterface paramAnonymousDialogInterface, int paramAnonymousInt)
        {
        }
      });
    }
    while (true)
    {
      localBuilder1.create().show();
      return;
      if (paramInt2 == -8)
      {
        this.prefs = getSharedPreferences("prefs", 0);
        Long localLong = Long.valueOf(this.prefs.getLong("timeLoginExpired", 0L));
        long l1 = System.currentTimeMillis() / 1000L;
        long l2 = LoginResumeActivity.LOGIN_TIMEOUT_IN_SECONDS + (int)(localLong.longValue() / 1000L) - l1;
        if (l2 == 1L);
        for (String str1 = "second"; ; str1 = "seconds")
        {
          localBuilder1.setMessage("You have reached the maximum limit of login attempts. Wait for " + String.valueOf(l2) + " " + str1 + " and then try again.");
          localBuilder1.setCancelable(false);
          localBuilder1.setPositiveButton("OK", new DialogInterface.OnClickListener()
          {
            public void onClick(DialogInterface paramAnonymousDialogInterface, int paramAnonymousInt)
            {
            }
          });
          break;
        }
      }
      localBuilder1.setMessage(new WickrAPICode(paramInt2).toString("logging in to your account"));
      localBuilder1.setCancelable(false);
      localBuilder1.setPositiveButton("OK", new DialogInterface.OnClickListener()
      {
        public void onClick(DialogInterface paramAnonymousDialogInterface, int paramAnonymousInt)
        {
        }
      });
    }
  }

  protected void onCreate(Bundle paramBundle)
  {
    super.onCreate(paramBundle);
    setLoginContextView();
    activeLoginActivity = this;
  }

  public boolean onKeyDown(int paramInt, KeyEvent paramKeyEvent)
  {
    if (paramInt == 4)
    {
      moveTaskToBack(true);
      return true;
    }
    return super.onKeyDown(paramInt, paramKeyEvent);
  }

  protected void onResume()
  {
    super.onResume();
    if (this.inRegistration)
    {
      setLoginContextView();
      this.inRegistration = false;
    }
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.gui.login.UserLoginActivity
 * JD-Core Version:    0.6.2
 */