package com.mywickr.helpers;

import android.content.Context;
import android.media.AudioRecord;
import android.media.AudioTrack;
import android.media.AudioTrack.OnPlaybackPositionUpdateListener;
import android.os.AsyncTask;
import android.widget.ImageButton;
import com.mywickr.wickr.WickrUser;
import com.mywickr.wickr.WickrUtil;
import java.io.ByteArrayOutputStream;
import java.io.File;

public class AudioHelper
{
  private static final int RECORDER_AUDIO_ENCODING = 2;
  private static final int RECORDER_BPP = 16;
  private static final int RECORDER_CHANNELS = 16;
  private static final int RECORDER_SAMPLERATE = 8000;
  final int MAX_RECORDING_TIME = 30000;
  public AudioTrack at;
  public byte[] audio = null;
  audioProgressTickListener audioProgressTickListener;
  private int bufferSize = 0;
  Context ctx;
  int frameIncrement;
  int frameTotal;
  AudioTrack incomingAudioTrack;
  boolean incomingIsPlaying = false;
  byte[] incomingMp3bytearray;
  int incomingPlayTime = 0;
  int incomingsize;
  boolean isPlaying = false;
  private boolean isRecording = false;
  File outFile;
  int pauseDrawable = 2130837770;
  int playDrawable = 2130837771;
  finishedPlayingListener playingListener;
  private byte[] rawAudio = null;
  private AudioRecord recorder = null;
  private Thread recordingThread = null;
  WickrUser senderAudio = null;
  double sliderval;

  public AudioHelper(Context paramContext)
  {
    this.ctx = paramContext;
  }

  private byte[] makeFileHeader(long paramLong1, long paramLong2, long paramLong3, int paramInt, long paramLong4)
  {
    byte[] arrayOfByte = new byte[44];
    arrayOfByte[0] = 82;
    arrayOfByte[1] = 73;
    arrayOfByte[2] = 70;
    arrayOfByte[3] = 70;
    arrayOfByte[4] = ((byte)(int)(0xFF & paramLong2));
    arrayOfByte[5] = ((byte)(int)(0xFF & paramLong2 >> 8));
    arrayOfByte[6] = ((byte)(int)(0xFF & paramLong2 >> 16));
    arrayOfByte[7] = ((byte)(int)(0xFF & paramLong2 >> 24));
    arrayOfByte[8] = 87;
    arrayOfByte[9] = 65;
    arrayOfByte[10] = 86;
    arrayOfByte[11] = 69;
    arrayOfByte[12] = 102;
    arrayOfByte[13] = 109;
    arrayOfByte[14] = 116;
    arrayOfByte[15] = 32;
    arrayOfByte[16] = 16;
    arrayOfByte[17] = 0;
    arrayOfByte[18] = 0;
    arrayOfByte[19] = 0;
    arrayOfByte[20] = 1;
    arrayOfByte[21] = 0;
    arrayOfByte[22] = ((byte)paramInt);
    arrayOfByte[23] = 0;
    arrayOfByte[24] = ((byte)(int)(0xFF & paramLong3));
    arrayOfByte[25] = ((byte)(int)(0xFF & paramLong3 >> 8));
    arrayOfByte[26] = ((byte)(int)(0xFF & paramLong3 >> 16));
    arrayOfByte[27] = ((byte)(int)(0xFF & paramLong3 >> 24));
    arrayOfByte[28] = ((byte)(int)(0xFF & paramLong4));
    arrayOfByte[29] = ((byte)(int)(0xFF & paramLong4 >> 8));
    arrayOfByte[30] = ((byte)(int)(0xFF & paramLong4 >> 16));
    arrayOfByte[31] = ((byte)(int)(0xFF & paramLong4 >> 24));
    arrayOfByte[32] = 4;
    arrayOfByte[33] = 0;
    arrayOfByte[34] = 16;
    arrayOfByte[35] = 0;
    arrayOfByte[36] = 100;
    arrayOfByte[37] = 97;
    arrayOfByte[38] = 116;
    arrayOfByte[39] = 97;
    arrayOfByte[40] = ((byte)(int)(0xFF & paramLong1));
    arrayOfByte[41] = ((byte)(int)(0xFF & paramLong1 >> 8));
    arrayOfByte[42] = ((byte)(int)(0xFF & paramLong1 >> 16));
    arrayOfByte[43] = ((byte)(int)(0xFF & paramLong1 >> 24));
    return arrayOfByte;
  }

  private void recordAudioFile()
  {
    ByteArrayOutputStream localByteArrayOutputStream = new ByteArrayOutputStream();
    while (true)
    {
      if (!this.isRecording)
      {
        this.rawAudio = localByteArrayOutputStream.toByteArray();
        long l = this.rawAudio.length;
        byte[] arrayOfByte2 = makeFileHeader(l, l + 36L, 8000L, 1, 16000);
        this.audio = new byte[this.rawAudio.length + arrayOfByte2.length];
        System.arraycopy(arrayOfByte2, 0, this.audio, 0, arrayOfByte2.length);
        System.arraycopy(this.rawAudio, 0, this.audio, arrayOfByte2.length, this.rawAudio.length);
        return;
      }
      byte[] arrayOfByte1 = new byte[this.bufferSize];
      int i = this.recorder.read(arrayOfByte1, 0, this.bufferSize);
      if (-3 != i)
        localByteArrayOutputStream.write(arrayOfByte1, 0, i);
    }
  }

  public int getMaxRecordingTime()
  {
    return 30000;
  }

  public void onClickPlayRecording(final ImageButton paramImageButton)
  {
    if (this.isPlaying)
    {
      this.at.stop();
      paramImageButton.setImageResource(2130837719);
      this.isPlaying = false;
      return;
    }
    this.at = new AudioTrack(3, 8000, 4, 2, AudioTrack.getMinBufferSize(8000, 4, 2), 1);
    this.at.setNotificationMarkerPosition(this.audio.length / 2);
    this.at.setPlaybackPositionUpdateListener(new AudioTrack.OnPlaybackPositionUpdateListener()
    {
      public void onMarkerReached(AudioTrack paramAnonymousAudioTrack)
      {
        if (AudioHelper.this.isPlaying)
        {
          AudioHelper.this.at.flush();
          AudioHelper.this.at.release();
          paramImageButton.setImageResource(2130837719);
          AudioHelper.this.isPlaying = false;
          AudioHelper.this.at = null;
        }
      }

      public void onPeriodicNotification(AudioTrack paramAnonymousAudioTrack)
      {
      }
    });
    paramImageButton.setImageResource(2130837718);
    playAudio localplayAudio = new playAudio(null);
    byte[][] arrayOfByte = new byte[1][];
    arrayOfByte[0] = this.audio;
    localplayAudio.execute(arrayOfByte);
  }

  public void playAudio(byte[] paramArrayOfByte)
  {
    if (this.isPlaying)
    {
      this.at.stop();
      this.isPlaying = false;
      return;
    }
    this.at = new AudioTrack(3, 8000, 4, 2, AudioTrack.getMinBufferSize(8000, 4, 2), 1);
    try
    {
      this.frameTotal = (paramArrayOfByte.length / 2);
      this.at.setNotificationMarkerPosition(paramArrayOfByte.length / 2);
      this.frameIncrement = (this.frameTotal / 100);
      this.at.setPositionNotificationPeriod(this.frameIncrement);
      this.at.setPlaybackPositionUpdateListener(new AudioTrack.OnPlaybackPositionUpdateListener()
      {
        int total = AudioHelper.this.frameIncrement;

        public void onMarkerReached(AudioTrack paramAnonymousAudioTrack)
        {
          if (AudioHelper.this.isPlaying)
            AudioHelper.this.isPlaying = false;
        }

        public void onPeriodicNotification(AudioTrack paramAnonymousAudioTrack)
        {
          if (AudioHelper.this.audioProgressTickListener != null)
          {
            int i = Math.round((int)(100.0D * (this.total / AudioHelper.this.frameTotal)));
            if (i == 99)
              i = 0;
            AudioHelper.this.audioProgressTickListener.onPositionChange(i);
            this.total += AudioHelper.this.frameIncrement;
          }
        }
      });
      new playAudio(null).execute(new byte[][] { paramArrayOfByte });
      return;
    }
    catch (Exception localException)
    {
      WickrUtil.showDialog(this.ctx, "There was an error playing this audio file. This is likely due to the recent Wickr update. Please email us if you have any further problems");
    }
  }

  public void playRecording()
    throws Exception
  {
    if (this.isPlaying)
    {
      this.at.stop();
      this.isPlaying = false;
      return;
    }
    this.at = new AudioTrack(3, 8000, 4, 2, AudioTrack.getMinBufferSize(8000, 4, 2), 1);
    this.at.setNotificationMarkerPosition(this.audio.length / 2);
    this.at.setPlaybackPositionUpdateListener(new AudioTrack.OnPlaybackPositionUpdateListener()
    {
      public void onMarkerReached(AudioTrack paramAnonymousAudioTrack)
      {
        if (AudioHelper.this.isPlaying)
          AudioHelper.this.isPlaying = false;
      }

      public void onPeriodicNotification(AudioTrack paramAnonymousAudioTrack)
      {
      }
    });
    playAudio localplayAudio = new playAudio(null);
    byte[][] arrayOfByte = new byte[1][];
    arrayOfByte[0] = this.audio;
    localplayAudio.execute(arrayOfByte);
  }

  public void setAudioProgressTickListener(audioProgressTickListener paramaudioProgressTickListener)
  {
    this.audioProgressTickListener = paramaudioProgressTickListener;
  }

  public void setBufferSize()
  {
    this.bufferSize = AudioRecord.getMinBufferSize(8000, 16, 2);
  }

  public void setOnFinishedPlayingListener(finishedPlayingListener paramfinishedPlayingListener)
  {
    this.playingListener = paramfinishedPlayingListener;
  }

  public void startRecordingOfAudio()
  {
    this.recorder = new AudioRecord(1, 8000, 16, 2, this.bufferSize);
    this.recorder.startRecording();
    this.isRecording = true;
    this.recordingThread = new Thread(new Runnable()
    {
      public void run()
      {
        AudioHelper.this.recordAudioFile();
      }
    }
    , "AudioRecorder Thread");
    this.recordingThread.start();
  }

  public void stopRecordingOfAudio()
  {
    if (this.recorder != null)
    {
      this.isRecording = false;
      this.recorder.stop();
      this.recorder.release();
      this.recorder = null;
      this.recordingThread = null;
    }
  }

  public static abstract interface audioProgressTickListener
  {
    public abstract void onPositionChange(int paramInt);
  }

  public static abstract interface finishedPlayingListener
  {
    public abstract void onCallback();
  }

  private class playAudio extends AsyncTask<byte[], Void, Void>
  {
    private playAudio()
    {
    }

    protected Void doInBackground(byte[][] paramArrayOfByte)
    {
      AudioHelper.this.isPlaying = true;
      AudioHelper.this.at.play();
      byte[] arrayOfByte = paramArrayOfByte[0];
      AudioHelper.this.at.write(arrayOfByte, 0, arrayOfByte.length);
      return null;
    }

    protected void onPostExecute(Void paramVoid)
    {
      super.onPostExecute(paramVoid);
      if (AudioHelper.this.playingListener != null)
        AudioHelper.this.playingListener.onCallback();
    }
  }

  private class playAudio2 extends AsyncTask<byte[], Void, Void>
  {
    private playAudio2()
    {
    }

    protected Void doInBackground(byte[][] paramArrayOfByte)
    {
      AudioHelper.this.isPlaying = true;
      AudioHelper.this.at.play();
      byte[] arrayOfByte = paramArrayOfByte[0];
      AudioHelper.this.at.write(arrayOfByte, 0, arrayOfByte.length);
      return null;
    }
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.helpers.AudioHelper
 * JD-Core Version:    0.6.2
 */