package com.mywickr.helpers;

import android.app.Activity;
import android.app.AlertDialog.Builder;
import android.content.ActivityNotFoundException;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.content.Intent;
import android.widget.Toast;
import com.mywickr.wickr.WickrSearchItem;
import com.mywickr.wickr.WickrSession;
import com.mywickr.wickr.WickrUtil;
import com.mywickr.wickr.contacts.Contact;
import java.util.ArrayList;
import java.util.Iterator;

public class WCInviteMethods
{
  private static Activity objectActivity;
  private static WickrSession session;

  private ArrayList<String> converEmailtoArray(ArrayList<Contact> paramArrayList)
  {
    ArrayList localArrayList = new ArrayList();
    Iterator localIterator = paramArrayList.iterator();
    while (true)
    {
      if (!localIterator.hasNext())
        return localArrayList;
      localArrayList.addAll(((Contact)localIterator.next()).emails);
    }
  }

  private ArrayList<String> convertPhonetoArray(ArrayList<Contact> paramArrayList)
  {
    ArrayList localArrayList = new ArrayList();
    Iterator localIterator = paramArrayList.iterator();
    while (true)
    {
      if (!localIterator.hasNext())
        return localArrayList;
      localArrayList.addAll(((Contact)localIterator.next()).numbers);
    }
  }

  private void createAndroidActionSheet(final WickrSearchItem paramWickrSearchItem)
  {
    String[] arrayOfString = { "Email", "Phone" };
    AlertDialog.Builder localBuilder = new AlertDialog.Builder(objectActivity);
    localBuilder.setTitle("Invite Method").setItems(arrayOfString, new DialogInterface.OnClickListener()
    {
      public void onClick(DialogInterface paramAnonymousDialogInterface, int paramAnonymousInt)
      {
        if (paramAnonymousInt == 0)
        {
          WCInviteMethods.this.sendByEmail(paramWickrSearchItem);
          return;
        }
        WCInviteMethods.this.sendByPhoneNo(paramWickrSearchItem);
      }
    });
    localBuilder.show();
  }

  private void sendByEmail(WickrSearchItem paramWickrSearchItem)
  {
    Intent localIntent = new Intent("android.intent.action.SEND");
    localIntent.setType("message/rfc822");
    String[] arrayOfString = new String[paramWickrSearchItem.getRepresentedContact().emails.size()];
    localIntent.putExtra("android.intent.extra.EMAIL", (String[])paramWickrSearchItem.getRepresentedContact().emails.toArray(arrayOfString));
    localIntent.putExtra("android.intent.extra.SUBJECT", WickrUtil.MSG_JOIN_WICKR);
    localIntent.putExtra("android.intent.extra.TEXT", WickrUtil.MSG_INVITE_TEXT_BODY + session.getUserName());
    localIntent.addFlags(268435456);
    try
    {
      objectActivity.startActivity(Intent.createChooser(localIntent, "Send mail..."));
      return;
    }
    catch (ActivityNotFoundException localActivityNotFoundException)
    {
      Toast.makeText(objectActivity, "There are no email clients installed.", 0).show();
    }
  }

  private void sendByPhoneNo(WickrSearchItem paramWickrSearchItem)
  {
    String str1 = "";
    Iterator localIterator = paramWickrSearchItem.getRepresentedContact().numbers.iterator();
    while (true)
    {
      Intent localIntent;
      if (!localIterator.hasNext())
      {
        String str3 = str1.substring(0, -1 + str1.length());
        localIntent = new Intent("android.intent.action.VIEW");
        localIntent.putExtra("sms_body", WickrUtil.MSG_INVITE_TEXT_BODY + session.getUserName());
        localIntent.putExtra("address", str3);
        localIntent.setType("vnd.android-dir/mms-sms");
        localIntent.addFlags(268435456);
      }
      try
      {
        objectActivity.startActivity(localIntent);
        return;
        String str2 = (String)localIterator.next();
        str1 = str1 + str2 + ";";
      }
      catch (ActivityNotFoundException localActivityNotFoundException)
      {
      }
    }
  }

  private void sendInviteByAllEmail(ArrayList<String> paramArrayList)
  {
    String[] arrayOfString = (String[])paramArrayList.toArray(new String[paramArrayList.size()]);
    Intent localIntent = new Intent("android.intent.action.SEND");
    localIntent.setType("message/rfc822");
    localIntent.putExtra("android.intent.extra.EMAIL", arrayOfString);
    localIntent.putExtra("android.intent.extra.SUBJECT", WickrUtil.MSG_JOIN_WICKR);
    localIntent.putExtra("android.intent.extra.TEXT", WickrUtil.MSG_INVITE_TEXT_BODY + session.getUserName());
    localIntent.addFlags(268435456);
    try
    {
      objectActivity.startActivity(Intent.createChooser(localIntent, "Send mail..."));
      return;
    }
    catch (ActivityNotFoundException localActivityNotFoundException)
    {
      Toast.makeText(objectActivity, "There are no email clients installed.", 0).show();
    }
  }

  private void sendInviteByAllPhone(ArrayList<String> paramArrayList)
  {
    String str1 = "";
    Iterator localIterator = paramArrayList.iterator();
    while (true)
    {
      Intent localIntent;
      if (!localIterator.hasNext())
      {
        String str3 = str1.substring(0, -1 + str1.length());
        localIntent = new Intent("android.intent.action.VIEW");
        localIntent.putExtra("sms_body", WickrUtil.MSG_INVITE_TEXT_BODY + session.getUserName());
        localIntent.putExtra("address", str3);
        localIntent.setType("vnd.android-dir/mms-sms");
        localIntent.addFlags(268435456);
      }
      try
      {
        objectActivity.startActivity(localIntent);
        return;
        String str2 = (String)localIterator.next();
        str1 = str1 + str2 + ";";
      }
      catch (ActivityNotFoundException localActivityNotFoundException)
      {
      }
    }
  }

  public void sendInviteByEmail(Activity paramActivity, ArrayList<Contact> paramArrayList)
  {
    session = WickrSession.getActiveSession();
    objectActivity = paramActivity;
    sendInviteByAllEmail(converEmailtoArray(paramArrayList));
  }

  public void sendInviteByPhoneno(Activity paramActivity, ArrayList<Contact> paramArrayList)
  {
    session = WickrSession.getActiveSession();
    objectActivity = paramActivity;
    sendInviteByAllPhone(convertPhonetoArray(paramArrayList));
  }

  public void showDialog(String paramString, final WickrSearchItem paramWickrSearchItem, Activity paramActivity)
  {
    session = WickrSession.getActiveSession();
    objectActivity = paramActivity;
    try
    {
      AlertDialog.Builder localBuilder = new AlertDialog.Builder(paramActivity);
      localBuilder.setMessage(paramString);
      localBuilder.setCancelable(true);
      localBuilder.setPositiveButton("Yes", new DialogInterface.OnClickListener()
      {
        public void onClick(DialogInterface paramAnonymousDialogInterface, int paramAnonymousInt)
        {
          if ((paramWickrSearchItem.getRepresentedContact().emails.size() > 0) && (paramWickrSearchItem.getRepresentedContact().numbers.size() > 0))
            WCInviteMethods.this.createAndroidActionSheet(paramWickrSearchItem);
          while (true)
          {
            paramAnonymousDialogInterface.dismiss();
            return;
            if (paramWickrSearchItem.getRepresentedContact().emails.size() > 0)
              WCInviteMethods.this.sendByEmail(paramWickrSearchItem);
            else if (paramWickrSearchItem.getRepresentedContact().numbers.size() > 0)
              WCInviteMethods.this.sendByPhoneNo(paramWickrSearchItem);
          }
        }
      });
      localBuilder.setNegativeButton("No", new DialogInterface.OnClickListener()
      {
        public void onClick(DialogInterface paramAnonymousDialogInterface, int paramAnonymousInt)
        {
          paramAnonymousDialogInterface.dismiss();
        }
      });
      localBuilder.show();
      return;
    }
    catch (Exception localException)
    {
    }
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.helpers.WCInviteMethods
 * JD-Core Version:    0.6.2
 */