package com.mywickr.helpers;

import android.content.Intent;
import android.hardware.Camera.Parameters;
import android.hardware.Camera.Size;
import android.os.Build;
import android.widget.Toast;
import com.commonsware.cwac.camera.CameraHost.RecordingHint;
import com.commonsware.cwac.camera.PictureTransaction;
import com.commonsware.cwac.camera.SimpleCameraHost;
import com.mywickr.gui.WickrSecureCam;
import java.io.File;
import java.util.Iterator;
import java.util.List;

public class WickrCameraHost extends SimpleCameraHost
{
  WickrSecureCam wickrSecureCam;

  public WickrCameraHost(WickrSecureCam paramWickrSecureCam)
  {
    super(paramWickrSecureCam);
    this.wickrSecureCam = paramWickrSecureCam;
  }

  public File getPhotoDirectory()
  {
    return null;
  }

  public String getPhotoFilename()
  {
    return "secex_temp.jpeg";
  }

  public Camera.Size getPictureSize(PictureTransaction paramPictureTransaction, Camera.Parameters paramParameters)
  {
    if (Build.DEVICE.startsWith("d2"))
    {
      List localList2 = paramParameters.getSupportedPictureSizes();
      int k = 0;
      int m = 0;
      Iterator localIterator2 = localList2.iterator();
      while (true)
      {
        if (!localIterator2.hasNext())
        {
          Toast.makeText(this.wickrSecureCam, "Processing...", 1).show();
          return (Camera.Size)localList2.get(m);
        }
        Camera.Size localSize2 = (Camera.Size)localIterator2.next();
        if (((localSize2.height == 3264) || (localSize2.height == 1836)) && ((localSize2.width == 3264) || (localSize2.width == 1836)))
          m = k;
        k++;
      }
    }
    List localList1 = paramParameters.getSupportedPictureSizes();
    int i = 0;
    int j = 0;
    Iterator localIterator1 = localList1.iterator();
    while (true)
    {
      if (!localIterator1.hasNext())
        return (Camera.Size)localList1.get(j);
      Camera.Size localSize1 = (Camera.Size)localIterator1.next();
      if (((localSize1.height == 1280) || (localSize1.height == 720)) && ((localSize1.width == 1280) || (localSize1.width == 720)))
        j = i;
      i++;
    }
  }

  public CameraHost.RecordingHint getRecordingHint()
  {
    return CameraHost.RecordingHint.STILL_ONLY;
  }

  public void saveImage(PictureTransaction paramPictureTransaction, byte[] paramArrayOfByte)
  {
    this.wickrSecureCam.navigatingInApp(Boolean.valueOf(true));
    Intent localIntent = new Intent();
    com.mywickr.wickr.WickrAttachmentManager.oneImage = paramArrayOfByte;
    localIntent.putExtra("data", "none");
    this.wickrSecureCam.setResult(-1, localIntent);
    this.wickrSecureCam.finish();
  }

  public boolean scanSavedImage()
  {
    return false;
  }

  public boolean useFrontFacingCamera()
  {
    return this.wickrSecureCam.getUsingFFC();
  }

  public boolean useFullBleedPreview()
  {
    return true;
  }

  public boolean useSingleShotMode()
  {
    return true;
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.helpers.WickrCameraHost
 * JD-Core Version:    0.6.2
 */