package com.mywickr.services;

import android.app.NotificationManager;
import android.app.Service;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Binder;
import android.os.IBinder;
import android.support.v4.app.NotificationCompat.Builder;

public class WickrUploadManagerService extends Service
{
  private static String TAG = "WickrUploadManagerService";
  public static int UPLOAD_NOTIFICATION_ID;
  private static IBinder mBinder = null;
  private boolean inBackground = false;
  private NotificationCompat.Builder mBuilder;
  private NotificationManager mNotifyManager;
  private BroadcastReceiver msgUploadFinishedReceiver = new BroadcastReceiver()
  {
    public void onReceive(Context paramAnonymousContext, Intent paramAnonymousIntent)
    {
      WickrUploadManagerService.this.uploadFinished();
    }
  };
  private BroadcastReceiver msgUploadStartedReceiver = new BroadcastReceiver()
  {
    public void onReceive(Context paramAnonymousContext, Intent paramAnonymousIntent)
    {
      WickrUploadManagerService.this.uploadStarted();
    }
  };
  private boolean uploadInProgress = false;
  private boolean uploadNotificationRunning = false;

  static
  {
    UPLOAD_NOTIFICATION_ID = 2;
  }

  public IBinder onBind(Intent paramIntent)
  {
    return null;
  }

  public void onCreate()
  {
    super.onCreate();
    mBinder = new UploadBinder();
    registerReceiver(this.msgUploadFinishedReceiver, new IntentFilter("com.mywickr.wickr.uploadfinished"));
    registerReceiver(this.msgUploadStartedReceiver, new IntentFilter("com.mywickr.wickr.uploadstarted"));
  }

  public void onDestroy()
  {
    mBinder = null;
    this.uploadInProgress = false;
    super.onDestroy();
  }

  public int onStartCommand(Intent paramIntent, int paramInt1, int paramInt2)
  {
    return 2;
  }

  public void uploadFinished()
  {
    if (this.uploadNotificationRunning)
    {
      this.mNotifyManager = ((NotificationManager)getSystemService("notification"));
      this.mNotifyManager.cancel(UPLOAD_NOTIFICATION_ID);
      this.uploadNotificationRunning = false;
    }
    stopSelf();
  }

  public void uploadStarted()
  {
    this.uploadNotificationRunning = true;
  }

  public class UploadBinder extends Binder
  {
    public UploadBinder()
    {
    }

    public WickrUploadManagerService getService()
    {
      return WickrUploadManagerService.this;
    }
  }

  public class UploadManagerAction
  {
    public static final String UPLOAD_FINISHED = "com.mywickr.wickr.uploadfinished";
    public static final String UPLOAD_STARTED = "com.mywickr.wickr.uploadstarted";

    public UploadManagerAction()
    {
    }
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.services.WickrUploadManagerService
 * JD-Core Version:    0.6.2
 */