package com.mywickr.wickr;

import java.io.FilterOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.nio.charset.Charset;
import org.apache.http.entity.mime.HttpMultipartMode;
import org.apache.http.entity.mime.MultipartEntity;

public class CustomMultiPartEntity extends MultipartEntity
{
  private final ProgressListener listener;

  public CustomMultiPartEntity(ProgressListener paramProgressListener)
  {
    this.listener = paramProgressListener;
  }

  public CustomMultiPartEntity(HttpMultipartMode paramHttpMultipartMode, ProgressListener paramProgressListener)
  {
    super(paramHttpMultipartMode);
    this.listener = paramProgressListener;
  }

  public CustomMultiPartEntity(HttpMultipartMode paramHttpMultipartMode, String paramString, Charset paramCharset, ProgressListener paramProgressListener)
  {
    super(paramHttpMultipartMode, paramString, paramCharset);
    this.listener = paramProgressListener;
  }

  public void writeTo(OutputStream paramOutputStream)
    throws IOException
  {
    super.writeTo(new CountingOutputStream(paramOutputStream, this.listener));
  }

  public static class CountingOutputStream extends FilterOutputStream
  {
    private final CustomMultiPartEntity.ProgressListener listener;
    private long transferred;

    public CountingOutputStream(OutputStream paramOutputStream, CustomMultiPartEntity.ProgressListener paramProgressListener)
    {
      super();
      this.listener = paramProgressListener;
      this.transferred = 0L;
    }

    public void write(int paramInt)
      throws IOException
    {
      this.out.write(paramInt);
      this.transferred = (1L + this.transferred);
      if (this.listener != null)
        this.listener.transferred(this.transferred);
    }

    public void write(byte[] paramArrayOfByte, int paramInt1, int paramInt2)
      throws IOException
    {
      this.out.write(paramArrayOfByte, paramInt1, paramInt2);
      this.transferred += paramInt2;
      if (this.listener != null)
        this.listener.transferred(this.transferred);
    }
  }

  public static abstract interface ProgressListener
  {
    public abstract void transferred(long paramLong);
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.wickr.CustomMultiPartEntity
 * JD-Core Version:    0.6.2
 */