package com.mywickr.wickr;

import android.content.ContentValues;
import android.database.Cursor;
import net.sqlcipher.database.SQLiteDatabase;

public class WickrAccount extends WickrDBObject
{
  private byte[] appIDSecure;
  private boolean autoShredderEnabeled = true;
  private int autoShredderSpeed = 3;
  private boolean connectPopup = false;
  ContentValues cv = null;
  private byte[] defSelfDestructSecure;
  private String gcmID;
  private long highE;
  private boolean isNewUser = true;
  private long lastApid;
  private boolean needsBackup = false;
  private byte[] privateKeySecure;
  Cursor result = null;
  private byte[] serverSeedSecure;
  private byte[] sessionLockSecure;
  private byte[] userNameSecure;
  private boolean vibrateEnabled = true;
  private boolean wasSynced = false;

  public WickrAccount(int paramInt)
  {
    this.id = paramInt;
    this.result = WickrDBAdapter.readablDatabase.query("Wickr_Account", null, "_id = " + paramInt, null, null, null, null);
    if (!this.result.moveToNext())
    {
      this.result.close();
      return;
    }
    this.userNameSecure = this.result.getBlob(this.result.getColumnIndex("userName"));
    this.appIDSecure = this.result.getBlob(this.result.getColumnIndex("appID"));
    this.serverSeedSecure = this.result.getBlob(this.result.getColumnIndex("wsSeed"));
    this.privateKeySecure = this.result.getBlob(this.result.getColumnIndex("privateKey"));
    this.defSelfDestructSecure = this.result.getBlob(this.result.getColumnIndex("defaultTTL"));
    this.sessionLockSecure = this.result.getBlob(this.result.getColumnIndex("sessionTimeout"));
    this.highE = this.result.getLong(this.result.getColumnIndex("highE"));
    this.lastApid = this.result.getLong(this.result.getColumnIndex("lastAPID"));
    boolean bool1;
    label327: boolean bool2;
    label382: boolean bool3;
    label414: boolean bool4;
    label447: boolean bool5;
    if (this.result.getInt(this.result.getColumnIndex("afEnable")) == 1)
    {
      bool1 = true;
      this.autoShredderEnabeled = bool1;
      this.autoShredderSpeed = this.result.getInt(this.result.getColumnIndex("afSpeed"));
      if (this.result.getInt(this.result.getColumnIndex("needsBackup")) != 1)
        break label551;
      bool2 = true;
      this.needsBackup = bool2;
      if (this.result.getInt(this.result.getColumnIndex("isNewUser")) != 1)
        break label556;
      bool3 = true;
      this.isNewUser = bool3;
      if (this.result.getInt(this.result.getColumnIndex("connectPopup")) != 1)
        break label562;
      bool4 = true;
      this.connectPopup = bool4;
      if (this.result.getInt(this.result.getColumnIndex("wasSynced")) != 1)
        break label568;
      bool5 = true;
      label480: this.wasSynced = bool5;
      if (this.result.getInt(this.result.getColumnIndex("vibrateEnabled")) != 1)
        break label574;
    }
    label551: label556: label562: label568: label574: for (boolean bool6 = true; ; bool6 = false)
    {
      this.vibrateEnabled = bool6;
      this.gcmID = this.result.getString(this.result.getColumnIndex("gcmID"));
      break;
      bool1 = false;
      break label327;
      bool2 = false;
      break label382;
      bool3 = false;
      break label414;
      bool4 = false;
      break label447;
      bool5 = false;
      break label480;
    }
  }

  public WickrAccount(byte[] paramArrayOfByte1, byte[] paramArrayOfByte2, byte[] paramArrayOfByte3, byte[] paramArrayOfByte4, byte[] paramArrayOfByte5, byte[] paramArrayOfByte6, long paramLong, int paramInt)
  {
    this.userNameSecure = paramArrayOfByte1;
    this.appIDSecure = paramArrayOfByte2;
    this.serverSeedSecure = paramArrayOfByte3;
    this.privateKeySecure = paramArrayOfByte4;
    this.defSelfDestructSecure = paramArrayOfByte5;
    this.sessionLockSecure = paramArrayOfByte6;
    this.lastApid = paramLong;
    this.isNewUser = true;
    this.id = paramInt;
  }

  public byte[] defSelfDestructSecure()
  {
    return this.defSelfDestructSecure;
  }

  public void delete()
  {
  }

  public byte[] getAppIDSecure()
  {
    return this.appIDSecure;
  }

  public boolean getAutoShredderEnabled()
  {
    return this.autoShredderEnabeled;
  }

  public int getAutoShredderSpeed()
  {
    return this.autoShredderSpeed;
  }

  public boolean getConnectPopup()
  {
    return this.connectPopup;
  }

  public String getGCMPushID()
  {
    return this.gcmID;
  }

  public long getHighECID()
  {
    return this.highE;
  }

  public boolean getIsNewUser()
  {
    return this.isNewUser;
  }

  public long getLastApid()
  {
    return this.lastApid;
  }

  public boolean getNeedsBackup()
  {
    return this.needsBackup;
  }

  public byte[] getUserNameSecure()
  {
    return this.userNameSecure;
  }

  public boolean getVibrateEnabled()
  {
    return this.vibrateEnabled;
  }

  public boolean getWasSynced()
  {
    return this.wasSynced;
  }

  public byte[] privateKeySecure()
  {
    return this.privateKeySecure;
  }

  public boolean save()
  {
    if (!super.save())
      return false;
    this.cv = new ContentValues();
    this.cv.put("userName", this.userNameSecure);
    this.cv.put("appID", this.appIDSecure);
    this.cv.put("afEnable", Boolean.valueOf(this.autoShredderEnabeled));
    this.cv.put("afSpeed", Integer.valueOf(this.autoShredderSpeed));
    this.cv.put("needsBackup", Boolean.valueOf(this.needsBackup));
    this.cv.put("isNewUser", Boolean.valueOf(this.isNewUser));
    this.cv.put("connectPopup", Boolean.valueOf(this.connectPopup));
    this.cv.put("wasSynced", Boolean.valueOf(this.wasSynced));
    this.cv.put("wsSeed", this.serverSeedSecure);
    this.cv.put("defaultTTL", this.defSelfDestructSecure);
    this.cv.put("sessionTimeout", this.sessionLockSecure);
    this.cv.put("vibrateEnabled", Boolean.valueOf(this.vibrateEnabled));
    this.cv.put("privateKey", this.privateKeySecure);
    this.cv.put("highE", Long.valueOf(this.highE));
    this.cv.put("lastAPID", Long.valueOf(this.lastApid));
    this.cv.put("privacyMan", Integer.valueOf(1));
    this.cv.put("gcmID", this.gcmID);
    if (this.id != -1)
    {
      WickrDBAdapter.writableDatabase.update("Wickr_Account", this.cv, "_id=" + this.id, null);
      return false;
    }
    this.id = ((int)WickrDBAdapter.writableDatabase.insertWithOnConflict("Wickr_Account", null, this.cv, 5));
    return true;
  }

  public byte[] serverSeedSecure()
  {
    return this.serverSeedSecure;
  }

  public byte[] sessionLockSecure()
  {
    return this.sessionLockSecure;
  }

  public void setAutoShredderEnabled(boolean paramBoolean)
  {
    this.autoShredderEnabeled = paramBoolean;
    changeMade();
  }

  public void setAutoShredderSpeed(int paramInt)
  {
    this.autoShredderSpeed = paramInt;
    changeMade();
  }

  public void setConnectPopup(boolean paramBoolean)
  {
    this.connectPopup = paramBoolean;
    changeMade();
  }

  public void setDefSelfDestructSecure(byte[] paramArrayOfByte)
  {
    this.defSelfDestructSecure = paramArrayOfByte;
  }

  public void setGCMPushID(String paramString)
  {
    this.gcmID = paramString;
    changeMade();
  }

  public void setHighECID(long paramLong)
  {
    this.highE = paramLong;
    changeMade();
  }

  public void setIsNewUser(boolean paramBoolean)
  {
    this.isNewUser = paramBoolean;
    changeMade();
  }

  public void setLastAPID(long paramLong)
  {
    this.lastApid = paramLong;
    changeMade();
  }

  public void setNeedsBackup(boolean paramBoolean)
  {
    this.needsBackup = paramBoolean;
    changeMade();
  }

  public void setSessionLockSecure(byte[] paramArrayOfByte)
  {
    this.sessionLockSecure = paramArrayOfByte;
  }

  public void setVibrateEnabled(boolean paramBoolean)
  {
    this.vibrateEnabled = paramBoolean;
    changeMade();
  }

  public void setWasSynced(boolean paramBoolean)
  {
    this.wasSynced = paramBoolean;
    changeMade();
  }

  public String toString()
  {
    return "Username Blob: " + this.userNameSecure.toString() + "App ID Blob: " + this.appIDSecure.toString() + "ServerSeedBlob: " + this.serverSeedSecure.toString() + "priKeyBlob: " + this.privateKeySecure.toString() + "sdBlob: " + this.defSelfDestructSecure.toString() + "stimeBlob: " + this.sessionLockSecure.toString();
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.wickr.WickrAccount
 * JD-Core Version:    0.6.2
 */