package com.mywickr.wickr;

import android.content.ContentValues;
import net.sqlcipher.database.SQLiteDatabase;

public class WickrApp extends WickrDBObject
{
  static WickrQuearyBuilder qBuilder;
  private String appIDHash;
  private byte[] appIDSecure;
  ContentValues cv = null;
  private byte[] devIDSecure = null;
  private byte[] pubKeySecure;
  private byte[] pubeSecure = null;
  private byte[] pubetSecure = null;
  private byte[] pubidSecure = null;
  android.database.Cursor result = null;
  private WickrUser user;

  public WickrApp(int paramInt, WickrUser paramWickrUser)
  {
    qBuilder = new WickrQuearyBuilder();
    if (paramInt != -1)
    {
      qBuilder.PARAMETER = new String[] { "appIDHash", "appIDSec", "pubKey", "user" };
      WickrQuearyBuilder localWickrQuearyBuilder = qBuilder;
      String[] arrayOfString = new String[3];
      arrayOfString[0] = "_id";
      arrayOfString[1] = " = ";
      arrayOfString[2] = paramInt;
      localWickrQuearyBuilder.WHERE_CLAUSE = arrayOfString;
      this.result = WickrDBAdapter.readablDatabase.rawQuery(qBuilder.getSelectWickrApp(), null);
    }
    while (true)
    {
      if (!this.result.moveToNext())
      {
        this.result.close();
        return;
      }
      this.appIDHash = this.result.getString(0);
      this.appIDSecure = this.result.getBlob(1);
      this.pubKeySecure = this.result.getBlob(2);
      this.user = paramWickrUser;
      this.id = paramInt;
    }
  }

  public WickrApp(String paramString, byte[] paramArrayOfByte1, byte[] paramArrayOfByte2, byte[] paramArrayOfByte3, byte[] paramArrayOfByte4, byte[] paramArrayOfByte5, byte[] paramArrayOfByte6, int paramInt, WickrUser paramWickrUser)
  {
    this(getAppWithIDHash(paramString), paramWickrUser);
    this.appIDHash = paramString;
    this.appIDSecure = paramArrayOfByte1;
    this.devIDSecure = paramArrayOfByte3;
    if (paramArrayOfByte2 != null)
      this.pubKeySecure = paramArrayOfByte2;
    this.pubeSecure = paramArrayOfByte4;
    this.pubidSecure = paramArrayOfByte5;
    this.pubetSecure = paramArrayOfByte6;
    this.user = paramWickrUser;
  }

  private static int getAppWithIDHash(String paramString)
  {
    qBuilder = new WickrQuearyBuilder();
    qBuilder.PARAMETER = new String[] { "_id" };
    WickrQuearyBuilder localWickrQuearyBuilder = qBuilder;
    String[] arrayOfString = new String[3];
    arrayOfString[0] = "appIDHash";
    arrayOfString[1] = " = ";
    arrayOfString[2] = ("\"" + paramString + "\"");
    localWickrQuearyBuilder.WHERE_CLAUSE = arrayOfString;
    net.sqlcipher.Cursor localCursor = WickrDBAdapter.readablDatabase.rawQuery(qBuilder.getSelectWickrApp(), null);
    int i = -1;
    if (localCursor.getCount() > 0);
    while (true)
    {
      if (!localCursor.moveToNext())
      {
        localCursor.close();
        return i;
      }
      i = localCursor.getInt(0);
    }
  }

  public void clearKeyInfo()
  {
    this.pubeSecure = null;
    this.pubidSecure = null;
    this.pubetSecure = null;
    save();
  }

  public void delete()
  {
    WickrDBAdapter.writableDatabase.delete("Wickr_App", "_id=" + this.id, null);
    super.delete();
  }

  public String getAppIDHash()
  {
    return this.appIDHash;
  }

  public byte[] getAppIDSecure()
  {
    return this.appIDSecure;
  }

  public byte[] getDevIDSecure()
  {
    return this.devIDSecure;
  }

  public byte[] getPubESecure()
  {
    return this.pubeSecure;
  }

  public byte[] getPubETSecure()
  {
    return this.pubetSecure;
  }

  public byte[] getPubIDSecure()
  {
    return this.pubidSecure;
  }

  public byte[] getPublicKeySecure()
  {
    return this.pubKeySecure;
  }

  public WickrUser getUser()
  {
    return this.user;
  }

  public boolean save()
  {
    if (!super.save())
      return false;
    this.cv = new ContentValues();
    this.cv.put("appIDHash", this.appIDHash);
    this.cv.put("appIDSec", this.appIDSecure);
    this.cv.put("pubKey", this.pubKeySecure);
    this.cv.put("user", getUser().getUserIDHash());
    if (this.id != -1)
    {
      WickrDBAdapter.writableDatabase.update("Wickr_App", this.cv, "_id=" + this.id, null);
      return false;
    }
    this.id = ((int)WickrDBAdapter.writableDatabase.insertWithOnConflict("Wickr_App", null, this.cv, 5));
    return true;
  }

  public void updateInfo(WickrApp paramWickrApp)
  {
    if (this.devIDSecure == null)
    {
      this.devIDSecure = paramWickrApp.devIDSecure;
      changeMade();
    }
    if (paramWickrApp.pubKeySecure != null)
    {
      this.pubKeySecure = paramWickrApp.pubKeySecure;
      changeMade();
    }
    this.pubeSecure = paramWickrApp.pubeSecure;
    this.pubidSecure = paramWickrApp.pubidSecure;
    this.pubetSecure = paramWickrApp.pubetSecure;
    save();
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.wickr.WickrApp
 * JD-Core Version:    0.6.2
 */