package com.mywickr.wickr;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.Timer;
import java.util.TimerTask;

public class WickrAppClock
{
  private long currentTime;
  private long increment;
  private boolean isRunning = false;
  private ArrayList<WickrAppClockInterface> listeners = null;
  private long period;
  private Timer timer;

  public WickrAppClock(long paramLong1, long paramLong2, long paramLong3)
  {
    this.currentTime = paramLong1;
    this.increment = paramLong2;
    this.period = paramLong3;
    this.listeners = new ArrayList();
  }

  public void addListener(WickrAppClockInterface paramWickrAppClockInterface)
  {
    this.listeners.add(paramWickrAppClockInterface);
  }

  public long getCurrentTime()
  {
    return this.currentTime;
  }

  public void removeListener(WickrAppClockInterface paramWickrAppClockInterface)
  {
    this.listeners.remove(paramWickrAppClockInterface);
  }

  public void setCurrentTime(long paramLong)
  {
    if (this.isRunning)
      stop();
    this.currentTime = paramLong;
    start();
  }

  public void start()
  {
    if (!this.isRunning)
    {
      this.timer = new Timer();
      this.timer.scheduleAtFixedRate(new WickrClockTask(), 0L, this.period);
      this.isRunning = true;
    }
  }

  public void stop()
  {
    if (this.isRunning)
    {
      this.timer.cancel();
      this.timer.purge();
      this.isRunning = false;
      this.timer = null;
    }
  }

  class WickrClockTask extends TimerTask
  {
    WickrClockTask()
    {
    }

    public void run()
    {
      WickrAppClock localWickrAppClock = WickrAppClock.this;
      localWickrAppClock.currentTime += WickrAppClock.this.increment;
      Iterator localIterator = WickrAppClock.this.listeners.iterator();
      while (true)
      {
        if (!localIterator.hasNext())
          return;
        ((WickrAppClockInterface)localIterator.next()).wickrAppClockDidTick();
      }
    }
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.wickr.WickrAppClock
 * JD-Core Version:    0.6.2
 */