package com.mywickr.wickr;

import android.content.Context;
import android.content.res.AssetManager;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

public class WickrAttachment
{
  private static String magicFilePath = null;
  private byte[] data;
  private int id;
  private WickrAttachmentType type;

  public WickrAttachment(byte[] paramArrayOfByte)
  {
    if (magicFilePath == null);
    try
    {
      InputStream localInputStream = WickrSession.getActiveSession().getContext().getAssets().open("magic.mgc");
      magicFilePath = WickrSession.getActiveSession().getContext().getFilesDir().getPath() + "/magic.mgc";
      FileOutputStream localFileOutputStream = new FileOutputStream(magicFilePath);
      byte[] arrayOfByte = new byte[1024];
      while (true)
      {
        int i = localInputStream.read(arrayOfByte);
        if (i == -1)
        {
          localInputStream.close();
          localFileOutputStream.flush();
          localFileOutputStream.close();
          localWickrAttachmentType = determineAttachType(paramArrayOfByte);
          if (!localWickrAttachmentType.equals(WickrAttachmentType.WICKR_ATTACH_INVALID))
            break;
          this.data = null;
          this.type = localWickrAttachmentType;
          return;
        }
        localFileOutputStream.write(arrayOfByte, 0, i);
      }
    }
    catch (IOException localIOException)
    {
      WickrAttachmentType localWickrAttachmentType;
      while (true)
        localIOException.printStackTrace();
      this.data = paramArrayOfByte;
      this.type = localWickrAttachmentType;
    }
  }

  public WickrAttachment(byte[] paramArrayOfByte, int paramInt)
  {
    this(paramArrayOfByte);
    this.id = paramInt;
  }

  private WickrAttachmentType determineAttachType(byte[] paramArrayOfByte)
  {
    String str = getMimeType(paramArrayOfByte, magicFilePath);
    if (str.contains("image"))
      return WickrAttachmentType.WICKR_ATTACH_IMAGE;
    if (str.contains("video"))
      return WickrAttachmentType.WICKR_ATTACH_VIDEO;
    return WickrAttachmentType.WICKR_ATTACH_INVALID;
  }

  private native String getMimeType(byte[] paramArrayOfByte, String paramString);

  public byte[] getData()
  {
    return this.data;
  }

  public int getID()
  {
    return this.id;
  }

  public WickrAttachmentType getType()
  {
    return this.type;
  }

  public void setID(int paramInt)
  {
    this.id = paramInt;
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.wickr.WickrAttachment
 * JD-Core Version:    0.6.2
 */