package com.mywickr.wickr;

import java.util.ArrayList;

public class WickrCache<E>
{
  private WickrCacheInterface<E> cacheInterface;
  private int capacity = 0;
  private ArrayList<E> internalArrayList;

  public WickrCache(WickrCacheInterface<E> paramWickrCacheInterface, int paramInt)
  {
    this.capacity = paramInt;
    this.cacheInterface = paramWickrCacheInterface;
    this.internalArrayList = new ArrayList(paramInt);
  }

  private void trimCache()
  {
    while (true)
    {
      if (this.internalArrayList.size() < this.capacity)
        return;
      if (this.cacheInterface != null)
      {
        this.cacheInterface.cacheEvictedObject(this, this.internalArrayList.get(0));
        this.internalArrayList.remove(0);
      }
    }
  }

  public void cacheElement(E paramE)
  {
    this.internalArrayList.add(paramE);
    trimCache();
  }

  public void setCapacity(int paramInt)
  {
    this.capacity = paramInt;
    this.internalArrayList.ensureCapacity(paramInt);
    trimCache();
  }

  public void uncacheElement(E paramE)
  {
    this.internalArrayList.remove(paramE);
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.wickr.WickrCache
 * JD-Core Version:    0.6.2
 */