package com.mywickr.wickr;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.Locale;

public class WickrComposeCtx extends WickrManager
{
  private ArrayList<WickrAttachment> attachments = null;
  private byte[] audioBody;
  private WickrComposeType compType = null;
  private WickrConvo convo = null;
  private String identifierString = null;
  private WickrOutbox outbox = null;
  private WickrComposeReceipt outputReceipt = null;
  private ArrayList<WickrUser> recipients = new ArrayList();
  private String textBody;
  private long ttl;

  public WickrComposeCtx(WickrComposeType paramWickrComposeType, WickrConvo paramWickrConvo, long paramLong)
  {
    this.compType = paramWickrComposeType;
    this.attachments = new ArrayList();
    this.ttl = paramLong;
    this.identifierString = activeSessionBeginEncode(paramWickrComposeType.getValue(), getStatus());
    this.convo = paramWickrConvo;
    WickrUser[] arrayOfWickrUser = this.convo.getAllUsers();
    int i = arrayOfWickrUser.length;
    for (int j = 0; ; j++)
    {
      if (j >= i)
        return;
      addRecipient(arrayOfWickrUser[j]);
    }
  }

  private native String activeSessionBeginEncode(int paramInt, WickrStatus paramWickrStatus);

  private native WickrStatus activeSessionEncodeAddAttachment(byte[] paramArrayOfByte, int paramInt1, int paramInt2);

  private native WickrStatus activeSessionEncodeAddRecipient(WickrUser paramWickrUser);

  private native WickrStatus activeSessionEncodeDelRecipient(String paramString);

  private native WickrOutbox activeSessionEncodeGetOutbox(WickrStatus paramWickrStatus, long paramLong);

  private native WickrComposeReceipt activeSessionEncodeGetReceipt(WickrStatus paramWickrStatus, long paramLong);

  private native WickrStatus activeSessionEncodeRemoveAttachment(int paramInt);

  private native WickrStatus activeSessionEncodeSetAudio(byte[] paramArrayOfByte);

  private native WickrStatus activeSessionEncodeSetTTL(int paramInt);

  private native WickrStatus activeSessionEncodeSetText(String paramString);

  private native WickrStatus activeSessionEndEncode();

  private void clearCachedUserKeys()
  {
    for (int i = 0; ; i++)
    {
      if (i >= this.recipients.size())
        return;
      ((WickrUser)this.recipients.get(i)).clearAppKeyInfo();
    }
  }

  private static native String postMessageResult(byte[] paramArrayOfByte, WickrAPICode paramWickrAPICode, WickrStatus paramWickrStatus);

  private WickrStatus rmRecipient(String paramString)
  {
    String str = paramString.toLowerCase(Locale.ENGLISH);
    WickrStatus localWickrStatus = activeSessionEncodeDelRecipient(str);
    if (localWickrStatus.isError())
      return localWickrStatus;
    for (int i = 0; ; i++)
    {
      int j = this.recipients.size();
      int k = 0;
      if (i >= j);
      while (true)
      {
        if (k == 0)
          localWickrStatus = new WickrStatus(0);
        return localWickrStatus;
        if (!((WickrUser)this.recipients.get(i)).getUserAlias().equals(str))
          break;
        this.recipients.remove(i);
        k = 1;
      }
    }
  }

  public WickrStatus addAttachment(WickrAttachment paramWickrAttachment)
  {
    setStatus(activeSessionEncodeAddAttachment(paramWickrAttachment.getData(), paramWickrAttachment.getType().getValue(), paramWickrAttachment.getID()));
    if (!isErrorState())
      this.attachments.add(paramWickrAttachment);
    return getStatus();
  }

  public WickrStatus addRecipient(WickrUser paramWickrUser)
  {
    WickrStatus localWickrStatus = activeSessionEncodeAddRecipient(paramWickrUser);
    if (localWickrStatus.isError())
      return localWickrStatus;
    this.recipients.add(paramWickrUser);
    return localWickrStatus;
  }

  public void close()
  {
    setStatus(activeSessionEndEncode());
  }

  public WickrAttachment getAttachmentWithID(int paramInt)
  {
    Iterator localIterator = this.attachments.iterator();
    WickrAttachment localWickrAttachment;
    do
    {
      if (!localIterator.hasNext())
        return null;
      localWickrAttachment = (WickrAttachment)localIterator.next();
    }
    while (localWickrAttachment.getID() != paramInt);
    return localWickrAttachment;
  }

  public WickrComposeReceipt getCachedComposeReceipt()
  {
    return this.outputReceipt;
  }

  public WickrComposeReceipt getComposeReceipt(long paramLong)
  {
    if (this.outputReceipt != null)
      return this.outputReceipt;
    WickrComposeReceipt localWickrComposeReceipt = activeSessionEncodeGetReceipt(getStatus(), paramLong);
    if (isErrorState())
      return null;
    clearCachedUserKeys();
    this.outputReceipt = localWickrComposeReceipt;
    return this.outputReceipt;
  }

  public WickrConvo getConvo()
  {
    return this.convo;
  }

  public WickrOutbox getOutboxMessage()
  {
    if (this.outbox == null)
    {
      this.outbox = activeSessionEncodeGetOutbox(getStatus(), WickrSession.getActiveSession().getLocalAppTime());
      if (!isErrorState())
      {
        this.outbox.writeToFile();
        this.convo.addMessage(this.outbox);
      }
    }
    return this.outbox;
  }

  public WickrUser[] getRecipients()
  {
    return (WickrUser[])this.recipients.toArray(new WickrUser[this.recipients.size()]);
  }

  public long getTotalAttachmentSize()
  {
    long l = 0L;
    Iterator localIterator = this.attachments.iterator();
    while (true)
    {
      if (!localIterator.hasNext())
        return l;
      l += ((WickrAttachment)localIterator.next()).getData().length;
    }
  }

  public boolean hasCachedReceipt()
  {
    return this.outputReceipt != null;
  }

  public void invalidateComposeReceipt()
  {
    this.outputReceipt = null;
    clearCachedUserKeys();
    Iterator localIterator = this.recipients.iterator();
    while (true)
    {
      if (!localIterator.hasNext())
      {
        this.recipients.clear();
        return;
      }
      activeSessionEncodeDelRecipient(((WickrUser)localIterator.next()).getUserAlias());
    }
  }

  public WickrAPICode processPostMessageResult(byte[] paramArrayOfByte)
  {
    WickrAPICode localWickrAPICode;
    if (this.outputReceipt == null)
      localWickrAPICode = new WickrAPICode(-2);
    String str;
    do
    {
      return localWickrAPICode;
      localWickrAPICode = new WickrAPICode(0);
      str = postMessageResult(paramArrayOfByte, localWickrAPICode, getStatus());
    }
    while ((isErrorState()) || (localWickrAPICode.isError()));
    getOutboxMessage().setSrvMsgID(str);
    getOutboxMessage().save();
    return localWickrAPICode;
  }

  public WickrStatus removeAttachment(int paramInt)
  {
    setStatus(activeSessionEncodeRemoveAttachment(paramInt));
    boolean bool = isErrorState();
    WickrAttachment localWickrAttachment = null;
    if (!bool)
      localWickrAttachment = getAttachmentWithID(paramInt);
    if (localWickrAttachment != null)
      this.attachments.remove(localWickrAttachment);
    return getStatus();
  }

  public WickrStatus setAudio(byte[] paramArrayOfByte)
  {
    if (this.compType == WickrComposeType.WICKR_AUDIO_COMPOSE)
    {
      setStatus(activeSessionEncodeSetAudio(paramArrayOfByte));
      if (isErrorState());
      for (this.audioBody = null; ; this.audioBody = paramArrayOfByte)
        return getStatus();
    }
    return new WickrStatus(-11);
  }

  public WickrStatus setTTL(int paramInt)
  {
    setStatus(activeSessionEncodeSetTTL(paramInt));
    if (!isErrorState())
      this.ttl = paramInt;
    return getStatus();
  }

  public WickrStatus setText(String paramString)
  {
    if (this.compType == WickrComposeType.WICKR_TXT_COMPOSE)
    {
      setStatus(activeSessionEncodeSetText(paramString));
      if (isErrorState());
      for (this.textBody = null; ; this.textBody = paramString)
        return getStatus();
    }
    return new WickrStatus(-11);
  }

  public WickrStatus updateRecipient(WickrUser paramWickrUser)
  {
    WickrStatus localWickrStatus1 = rmRecipient(paramWickrUser.getUserAlias());
    if (localWickrStatus1.isError())
      return localWickrStatus1;
    WickrStatus localWickrStatus2 = activeSessionEncodeAddRecipient(paramWickrUser);
    paramWickrUser.clearAppKeyInfo();
    return localWickrStatus2;
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.wickr.WickrComposeCtx
 * JD-Core Version:    0.6.2
 */