package com.mywickr.wickr;

import android.os.Handler;
import android.os.Looper;
import com.loopj.android.http.BinaryHttpResponseHandler;
import com.mywickr.interfaces.WickrDeviceBackupInterface;
import com.mywickr.wickr.contacts.Contact;
import java.security.InvalidParameterException;
import java.util.ArrayList;
import java.util.Iterator;
import org.apache.http.Header;

public class WickrContactMan extends WickrManager
{
  public static boolean isBackUpNeeded = true;
  private WickrDeviceBackupInterface backupGuiInterface;

  private native void activeSessionCloseContactQuery(String paramString);

  private static native byte[] activeSessionCreateContactBackup(WickrUser[] paramArrayOfWickrUser, WickrStatus paramWickrStatus);

  private static native WickrStatus activeSessionDecodeBackup(byte[] paramArrayOfByte, WickrAPICode paramWickrAPICode);

  private static native String activeSessionGetBackupString(WickrStatus paramWickrStatus);

  private static native String activeSessionGetContactQueryString(Contact paramContact, String paramString, WickrStatus paramWickrStatus);

  private static native String activeSessionGetContactScanString(Contact[] paramArrayOfContact, String paramString, WickrStatus paramWickrStatus);

  private native WickrUser[] activeSessionProcessContactQueryResult(byte[] paramArrayOfByte, String paramString, WickrStatus paramWickrStatus, WickrAPICode paramWickrAPICode);

  private WickrUser[] getBackupUsers()
  {
    ArrayList localArrayList = new ArrayList();
    Iterator localIterator = WickrUser.getUserCacheList().iterator();
    while (true)
    {
      if (!localIterator.hasNext())
        return (WickrUser[])localArrayList.toArray(new WickrUser[localArrayList.size()]);
      WickrUser localWickrUser = (WickrUser)localIterator.next();
      if ((!localWickrUser.isHidden()) && (WickrUtil.aliasTypeFromString(localWickrUser.getUserAlias()) == WickrAliasType.WICKR_USERNAME_ALIAS))
        localArrayList.add(localWickrUser);
    }
  }

  private void libWickrProcessBackupUserArray(WickrUser[] paramArrayOfWickrUser, final int paramInt1, final int paramInt2)
  {
    int i;
    if (paramArrayOfWickrUser != null)
      i = paramArrayOfWickrUser.length;
    for (int j = 0; ; j++)
    {
      if (j >= i)
      {
        new Handler(Looper.getMainLooper()).post(new Runnable()
        {
          public void run()
          {
            if (WickrContactMan.this.backupGuiInterface != null)
              WickrContactMan.this.backupGuiInterface.processedBackupFromBatch(paramInt1, paramInt2);
          }
        });
        return;
      }
      paramArrayOfWickrUser[j].save();
    }
  }

  public static ArrayList<ArrayList<Contact>> splitContactArray(ArrayList<Contact> paramArrayList, int paramInt)
  {
    ArrayList localArrayList1 = new ArrayList();
    ArrayList localArrayList2 = new ArrayList();
    int i = 0;
    Iterator localIterator = paramArrayList.iterator();
    while (true)
    {
      if (!localIterator.hasNext())
      {
        if (localArrayList2.size() > 0)
          localArrayList1.add(localArrayList2);
        return localArrayList1;
      }
      Contact localContact = (Contact)localIterator.next();
      localArrayList2.add(localContact);
      i += localContact.emails.size() + localContact.numbers.size();
      if (i >= paramInt)
      {
        localArrayList1.add(localArrayList2);
        localArrayList2 = new ArrayList();
        i = 0;
      }
    }
  }

  public WickrAPICode addUsersFromBackup(byte[] paramArrayOfByte)
  {
    WickrAPICode localWickrAPICode = new WickrAPICode(0);
    setStatus(activeSessionDecodeBackup(paramArrayOfByte, localWickrAPICode));
    return localWickrAPICode;
  }

  public void finalizeContactQuery(Contact paramContact)
  {
    activeSessionCloseContactQuery(paramContact.id);
  }

  public void finalizeContactQuery(String paramString)
  {
    activeSessionCloseContactQuery(paramString);
  }

  public String getBackupString()
  {
    return activeSessionGetBackupString(getStatus());
  }

  public void getContactsFromBackup()
  {
    WickrAsyncHttp localWickrAsyncHttp = WickrSession.getActiveSession().getHttpClient();
    BinaryHttpResponseHandler local1 = new BinaryHttpResponseHandler(WickrUtil.allowedContentTypes)
    {
      public void onFailure(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte, Throwable paramAnonymousThrowable)
      {
      }

      public void onRetry(int paramAnonymousInt)
      {
        if (WickrContactMan.this.backupGuiInterface != null)
          WickrContactMan.this.backupGuiInterface.wickrServerHasNetworkIssues();
      }

      public void onSuccess(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, final byte[] paramAnonymousArrayOfByte)
      {
        new Thread(new Runnable()
        {
          public void run()
          {
            final WickrAPICode localWickrAPICode = WickrContactMan.this.addUsersFromBackup(paramAnonymousArrayOfByte);
            if (localWickrAPICode.isError())
              new Handler(Looper.getMainLooper()).post(new Runnable()
              {
                public void run()
                {
                  if (WickrContactMan.this.backupGuiInterface != null)
                    WickrContactMan.this.backupGuiInterface.wickrOnServerError(localWickrAPICode.toString("adding contacts from backup"));
                }
              });
          }
        }).start();
      }
    };
    String[] arrayOfString = new String[4];
    arrayOfString[0] = "json_secure";
    arrayOfString[1] = getBackupString();
    arrayOfString[2] = "json_id";
    arrayOfString[3] = WickrSession.getActiveSession().getAppID();
    localWickrAsyncHttp.addStringParameters(arrayOfString);
    localWickrAsyncHttp.post("https://secex.info/service/105/src/getContacts.php", local1);
  }

  public String getQueryStringForContactBookScan(Contact[] paramArrayOfContact, String paramString)
    throws InvalidParameterException
  {
    String str = activeSessionGetContactScanString(paramArrayOfContact, paramString, getStatus());
    if (isErrorState())
      throw new InvalidParameterException("There was an unknown error: " + getStatus().getValue() + " while scanning your contact book");
    return str;
  }

  public String getQueryStringForContactSearch(Contact paramContact)
    throws InvalidParameterException
  {
    String str = activeSessionGetContactQueryString(paramContact, paramContact.id, getStatus());
    if (isErrorState())
      throw new InvalidParameterException("There was an unknown error: " + getStatus().getValue() + " while searching for a contact");
    return str;
  }

  public WickrContactSearchResult getUsersFromQueryResult(byte[] paramArrayOfByte, Contact paramContact)
  {
    return getUsersFromQueryResult(paramArrayOfByte, paramContact.id);
  }

  public WickrContactSearchResult getUsersFromQueryResult(byte[] paramArrayOfByte, String paramString)
  {
    int i = 0;
    WickrAPICode localWickrAPICode = new WickrAPICode(0);
    WickrUser[] arrayOfWickrUser = activeSessionProcessContactQueryResult(paramArrayOfByte, paramString, getStatus(), localWickrAPICode);
    int j;
    if (!localWickrAPICode.isError())
      j = arrayOfWickrUser.length;
    while (true)
    {
      if (i >= j)
        return new WickrContactSearchResult(localWickrAPICode, arrayOfWickrUser);
      WickrUser localWickrUser = arrayOfWickrUser[i];
      localWickrUser.changeMade();
      localWickrUser.save();
      i++;
    }
  }

  public byte[] newContactBackup()
  {
    WickrUser[] arrayOfWickrUser = getBackupUsers();
    if (arrayOfWickrUser == null);
    while (arrayOfWickrUser.length == 0)
      return null;
    return activeSessionCreateContactBackup(getBackupUsers(), getStatus());
  }

  public void setBackupGUIManager(WickrDeviceBackupInterface paramWickrDeviceBackupInterface)
  {
    this.backupGuiInterface = paramWickrDeviceBackupInterface;
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.wickr.WickrContactMan
 * JD-Core Version:    0.6.2
 */