package com.mywickr.wickr;

import com.loopj.android.http.BinaryHttpResponseHandler;
import com.mywickr.wickr.contacts.Contact;
import org.apache.http.Header;

public class WickrContactValidator extends WickrUserValidator
{
  private Contact contact;
  private WickrUser[] foundUsers;

  public WickrContactValidator(WickrUserValidatorInterface paramWickrUserValidatorInterface, WickrSearchItem paramWickrSearchItem)
  {
    super(paramWickrUserValidatorInterface, paramWickrSearchItem);
    this.contact = paramWickrSearchItem.getRepresentedContact();
  }

  protected void failure(WickrAPICode paramWickrAPICode)
  {
    if (paramWickrAPICode.getValue() != 2)
      this.iFace.userValidatorFailedWithError(paramWickrAPICode, paramWickrAPICode.toString(this.contact.name), this);
    while (true)
    {
      WickrSession.getActiveSession().getContactManager().finalizeContactQuery(this.contact);
      return;
      this.iFace.userValidatorFailedWithError(paramWickrAPICode, "Wickr could not find " + this.contact.displayName + ". Would you like to send them an insecure text/email to tell them your Wickr id?", this);
    }
  }

  protected void makeServerCall(String paramString)
  {
    WickrAsyncHttp localWickrAsyncHttp = WickrSession.getActiveSession().getHttpClient();
    BinaryHttpResponseHandler local1 = new BinaryHttpResponseHandler(WickrUtil.allowedContentTypes)
    {
      public void onFailure(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte, Throwable paramAnonymousThrowable)
      {
      }

      public void onRetry(int paramAnonymousInt)
      {
        WickrContactValidator.this.iFace.userValidatorHasNetworkIssue();
      }

      public void onSuccess(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte)
      {
        WickrContactSearchResult localWickrContactSearchResult = WickrSession.getActiveSession().getContactManager().getUsersFromQueryResult(paramAnonymousArrayOfByte, WickrContactValidator.this.contact);
        WickrAPICode localWickrAPICode = localWickrContactSearchResult.getCode();
        if (localWickrAPICode.isError())
        {
          WickrContactValidator.this.failure(localWickrAPICode);
          return;
        }
        WickrContactValidator.this.foundUsers = localWickrContactSearchResult.getUsers();
        WickrContactValidator.this.success();
      }
    };
    String[] arrayOfString = new String[4];
    arrayOfString[0] = "json_secure";
    arrayOfString[1] = paramString;
    arrayOfString[2] = "json_id";
    arrayOfString[3] = WickrSession.getActiveSession().getAppID();
    localWickrAsyncHttp.addStringParameters(arrayOfString);
    this.activeRequestHandle = localWickrAsyncHttp.post("https://secex.info/service/105/src/getXUsers.php", local1);
  }

  protected void success()
  {
    this.iFace.userValidatorSuccess(this.foundUsers, this);
    WickrSession.getActiveSession().getContactManager().finalizeContactQuery(this.contact);
  }

  protected void validateUser()
  {
    String str = WickrSession.getActiveSession().getContactManager().getQueryStringForContactSearch(this.contact);
    if (str != null)
    {
      makeServerCall(str);
      return;
    }
    failure(new WickrAPICode(-9));
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.wickr.WickrContactValidator
 * JD-Core Version:    0.6.2
 */