package com.mywickr.wickr;

import android.content.ContentValues;
import android.content.Context;
import android.os.Handler;
import android.os.Looper;
import com.mywickr.gui.listadapters.WickrConvoAdapter;
import com.mywickr.gui.listadapters.WickrConvoMsgAdapter;
import com.mywickr.interfaces.WickrAttachmentDisplayInterface;
import com.mywickr.interfaces.WickrAudioPlayerInterface;
import com.mywickr.interfaces.WickrContactPopupInterface;
import com.mywickr.interfaces.WickrErrorPopupInterface;
import java.security.InvalidParameterException;
import java.util.ArrayList;
import java.util.Iterator;
import net.sqlcipher.database.SQLiteDatabase;

public class WickrConvo extends WickrDBObject
{
  private static WickrConvoAdapter convoAdapter = null;
  private static ArrayList<WickrConvo> convoList;
  private WickrConvoMsgAdapter adapter = null;
  private WickrUser[] allUsers = null;
  ContentValues cv = null;
  private long lastTimestamp = 0L;
  private WickrUser lastUser = null;
  private ArrayList<WickrMessage> messages = null;
  private boolean needsInfo;
  private WickrQuearyBuilder qBuilder;
  android.database.Cursor result = null;
  private int unreadMessages;
  private String vGroupID;
  public String vGroupTag;
  private byte[] vGroupTagSec;

  static
  {
    System.loadLibrary("wickrCore");
  }

  public WickrConvo(int paramInt)
  {
    if (paramInt == -1)
      return;
    this.qBuilder = new WickrQuearyBuilder();
    this.qBuilder.PARAMETER = new String[] { "vGroupID", "unreadMessages", "lastUser", "lastTimestamp", "needsInfo", "vGroupTagSec" };
    WickrQuearyBuilder localWickrQuearyBuilder1 = this.qBuilder;
    String[] arrayOfString1 = new String[3];
    arrayOfString1[0] = "_id";
    arrayOfString1[1] = " = ";
    arrayOfString1[2] = paramInt;
    localWickrQuearyBuilder1.WHERE_CLAUSE = arrayOfString1;
    net.sqlcipher.Cursor localCursor1 = WickrDBAdapter.readablDatabase.rawQuery(this.qBuilder.getSelectWickrConvo(), null);
    net.sqlcipher.Cursor localCursor2;
    if (!localCursor1.moveToNext())
    {
      localCursor1.close();
      this.qBuilder.PARAMETER = new String[] { "Wickr_User.userIDHash" };
      this.qBuilder.TABLENAME = new String[] { "Wickr_User", "Wickr_ConvoUser" };
      WickrQuearyBuilder localWickrQuearyBuilder2 = this.qBuilder;
      String[] arrayOfString2 = new String[15];
      arrayOfString2[0] = "(";
      arrayOfString2[1] = "Wickr_ConvoUser";
      arrayOfString2[2] = ".";
      arrayOfString2[3] = "user";
      arrayOfString2[4] = "=";
      arrayOfString2[5] = "Wickr_User";
      arrayOfString2[6] = ".";
      arrayOfString2[7] = "_id";
      arrayOfString2[8] = ")";
      arrayOfString2[9] = " AND ";
      arrayOfString2[10] = "Wickr_ConvoUser";
      arrayOfString2[11] = ".";
      arrayOfString2[12] = "convo";
      arrayOfString2[13] = "=";
      arrayOfString2[14] = paramInt;
      localWickrQuearyBuilder2.WHERE_CLAUSE = arrayOfString2;
      localCursor2 = WickrDBAdapter.readablDatabase.rawQuery(this.qBuilder.getSelectQueary(), null);
      this.allUsers = new WickrUser[localCursor2.getCount()];
    }
    while (true)
    {
      if (!localCursor2.moveToNext())
      {
        localCursor2.close();
        return;
        this.vGroupID = localCursor1.getString(0);
        this.unreadMessages = localCursor1.getInt(1);
        this.lastTimestamp = localCursor1.getLong(3);
        if (localCursor1.getInt(4) == 1);
        for (boolean bool = true; ; bool = false)
        {
          this.needsInfo = bool;
          this.vGroupTagSec = localCursor1.getBlob(5);
          this.id = paramInt;
          break;
        }
      }
      this.allUsers[localCursor2.getPosition()] = WickrUser.getUserWithID(localCursor2.getString(0));
    }
  }

  public WickrConvo(WickrMessage paramWickrMessage, WickrUser[] paramArrayOfWickrUser)
  {
    this.vGroupID = paramWickrMessage.getvGroupID();
    setAllUsers(paramArrayOfWickrUser);
    addMessage(paramWickrMessage);
    save();
  }

  public WickrConvo(String paramString1, String paramString2, WickrUser[] paramArrayOfWickrUser)
  {
    this.vGroupID = paramString1;
    setAllUsers(paramArrayOfWickrUser);
    setVGroupTag(paramString2);
    this.lastTimestamp = WickrSession.getActiveSession().getLocalAppTime();
    changeMade();
    save();
  }

  private native String activeSessionDecodeVGroupTag(byte[] paramArrayOfByte, WickrStatus paramWickrStatus);

  private native byte[] activeSessionEncodeVGroupTag(String paramString, WickrStatus paramWickrStatus);

  private static native String activeSessionGetVGroupID(WickrUser[] paramArrayOfWickrUser, WickrStatus paramWickrStatus);

  public static void clearConvoList()
  {
    convoList = null;
    convoAdapter = null;
  }

  public static WickrConvoAdapter getConvoAdapter()
  {
    if (convoAdapter == null)
      convoAdapter = new WickrConvoAdapter(getConvoList(), WickrSession.getActiveSession().getContext());
    return convoAdapter;
  }

  public static ArrayList<WickrConvo> getConvoList()
  {
    if (convoList != null)
      return convoList;
    ArrayList localArrayList = new ArrayList();
    WickrQuearyBuilder localWickrQuearyBuilder = new WickrQuearyBuilder();
    localWickrQuearyBuilder.PARAMETER = new String[] { "_id" };
    localWickrQuearyBuilder.ORDER_CLAUSE = new String[] { "lastTimestamp", " DESC" };
    net.sqlcipher.Cursor localCursor = WickrDBAdapter.readablDatabase.rawQuery(localWickrQuearyBuilder.getSelectWickrConvo(), null);
    while (true)
    {
      if (!localCursor.moveToNext())
      {
        localCursor.close();
        convoList = localArrayList;
        return convoList;
      }
      localArrayList.add(new WickrConvo(localCursor.getInt(0)));
    }
  }

  public static WickrConvo getConvoWithID(int paramInt)
  {
    Iterator localIterator;
    if (getConvoList() != null)
      localIterator = getConvoList().iterator();
    WickrConvo localWickrConvo;
    do
    {
      if (!localIterator.hasNext())
        return new WickrConvo(paramInt);
      localWickrConvo = (WickrConvo)localIterator.next();
    }
    while (localWickrConvo.getID() != paramInt);
    return localWickrConvo;
  }

  public static WickrConvo getConvoWithvGroupID(String paramString)
  {
    Iterator localIterator;
    if (getConvoList() != null)
      localIterator = getConvoList().iterator();
    net.sqlcipher.Cursor localCursor;
    WickrConvo localWickrConvo2;
    do
    {
      if (!localIterator.hasNext())
      {
        WickrQuearyBuilder localWickrQuearyBuilder = new WickrQuearyBuilder();
        localWickrQuearyBuilder.PARAMETER = new String[] { "_id" };
        String[] arrayOfString = new String[3];
        arrayOfString[0] = "vGroupID";
        arrayOfString[1] = "=";
        arrayOfString[2] = ("\"" + paramString + "\"");
        localWickrQuearyBuilder.WHERE_CLAUSE = arrayOfString;
        localCursor = WickrDBAdapter.readablDatabase.rawQuery(localWickrQuearyBuilder.getSelectWickrConvo(), null);
        if ((localCursor.getCount() <= 0) || (!localCursor.moveToNext()))
          break;
        WickrConvo localWickrConvo1 = new WickrConvo(localCursor.getInt(0));
        localCursor.close();
        return localWickrConvo1;
      }
      localWickrConvo2 = (WickrConvo)localIterator.next();
    }
    while (!localWickrConvo2.getVGroupID().equalsIgnoreCase(paramString));
    return localWickrConvo2;
    localCursor.close();
    return null;
  }

  private ArrayList<WickrMessage> getMessages()
  {
    if (this.messages != null)
      return this.messages;
    this.messages = new ArrayList();
    this.qBuilder = new WickrQuearyBuilder();
    this.qBuilder.PARAMETER = new String[] { "_id", "class" };
    WickrQuearyBuilder localWickrQuearyBuilder = this.qBuilder;
    String[] arrayOfString = new String[3];
    arrayOfString[0] = "convo";
    arrayOfString[1] = "=";
    arrayOfString[2] = this.id;
    localWickrQuearyBuilder.WHERE_CLAUSE = arrayOfString;
    net.sqlcipher.Cursor localCursor = WickrDBAdapter.readablDatabase.rawQuery(this.qBuilder.getSelectWickrMessage(), null);
    while (true)
    {
      if (!localCursor.moveToNext())
      {
        localCursor.close();
        return this.messages;
      }
      int i = localCursor.getInt(0);
      if (localCursor.getInt(1) == 1)
        this.messages.add(new WickrInbox(i, this));
      else
        this.messages.add(new WickrOutbox(i, this));
    }
  }

  public static String getVGroupIDWithUsers(WickrUser[] paramArrayOfWickrUser)
    throws InvalidParameterException
  {
    WickrStatus localWickrStatus = new WickrStatus(0);
    String str = activeSessionGetVGroupID(paramArrayOfWickrUser, localWickrStatus);
    if (localWickrStatus.isError())
      throw new InvalidParameterException("VGroupID Generate Error: " + localWickrStatus.getValue());
    return str;
  }

  public void addMessage(final WickrMessage paramWickrMessage)
  {
    if ((paramWickrMessage.getConvo() == null) || (paramWickrMessage.getConvo().id == -1))
    {
      if (paramWickrMessage.getMsgTimestamp() > this.lastTimestamp)
      {
        this.lastTimestamp = paramWickrMessage.getMsgTimestamp();
        changeMade();
        if (paramWickrMessage.isInbox())
        {
          this.lastUser = ((WickrInbox)paramWickrMessage).getSender();
          changeMade();
        }
      }
      if (paramWickrMessage.isInbox())
      {
        this.unreadMessages = (1 + this.unreadMessages);
        changeMade();
      }
      if (paramWickrMessage.getConvo() == null)
        paramWickrMessage.setConvo(this);
      paramWickrMessage.save();
      if ((this.messages != null) && (this.adapter != null))
      {
        if (Looper.getMainLooper().getThread() != Thread.currentThread())
          break label142;
        this.adapter.add(paramWickrMessage);
      }
    }
    while (true)
    {
      save();
      return;
      label142: new Handler(Looper.getMainLooper()).post(new Runnable()
      {
        public void run()
        {
          WickrConvo.this.adapter.add(paramWickrMessage);
        }
      });
    }
  }

  public void cleanUp()
  {
    ArrayList localArrayList = new ArrayList();
    Iterator localIterator1 = getMessages().iterator();
    Iterator localIterator2;
    if (!localIterator1.hasNext())
      localIterator2 = localArrayList.iterator();
    while (true)
    {
      if (!localIterator2.hasNext())
      {
        return;
        WickrMessage localWickrMessage = (WickrMessage)localIterator1.next();
        if (localWickrMessage.isInbox())
        {
          WickrInbox localWickrInbox = (WickrInbox)localWickrMessage;
          if (!localWickrInbox.expireIfNecessary(false))
            break;
          localArrayList.add(localWickrInbox);
          break;
        }
        WickrOutbox localWickrOutbox = (WickrOutbox)localWickrMessage;
        if (!localWickrOutbox.needsCleanup())
          break;
        localArrayList.add(localWickrOutbox);
        break;
      }
      ((WickrMessage)localIterator2.next()).delete();
    }
  }

  public void cleanUpMessages()
  {
    this.adapter = null;
    this.messages = null;
    System.gc();
  }

  public void decrementUnreadMessages()
  {
    if (this.unreadMessages >= 1)
      this.unreadMessages = (-1 + this.unreadMessages);
    changeMade();
    save();
  }

  public void delete()
  {
    Iterator localIterator = getMessages().iterator();
    while (true)
    {
      if (!localIterator.hasNext())
      {
        cleanUpMessages();
        WickrDBAdapter.writableDatabase.delete("Wickr_convo", "_id=" + this.id, null);
        getConvoList().remove(this);
        WickrDBAdapter.writableDatabase.delete("Wickr_ConvoUser", "convo=" + this.id, null);
        super.delete();
        return;
      }
      ((WickrMessage)localIterator.next()).deleteSafe();
    }
  }

  public WickrUser[] getAllUsers()
  {
    return this.allUsers;
  }

  public String getAllUsersString()
  {
    String str = "";
    for (int i = 0; ; i++)
    {
      if (i >= this.allUsers.length)
        return str;
      str = str + this.allUsers[i].getPrimaryName();
      if (i != -1 + this.allUsers.length)
        str = str + ",";
    }
  }

  public long getLastTimestamp()
  {
    return this.lastTimestamp;
  }

  public String getLastTimestampString()
  {
    return WickrUtil.formatTimestamp(getLastTimestamp());
  }

  public WickrUser getLastUser()
  {
    if (this.lastUser == null)
    {
      if (getAllUsers().length == 0)
        return null;
      this.lastUser = getAllUsers()[0];
      changeMade();
      save();
    }
    return this.lastUser;
  }

  public WickrMessage getMessageWithID(int paramInt)
  {
    Iterator localIterator = getMessages().iterator();
    WickrMessage localWickrMessage;
    do
    {
      if (!localIterator.hasNext())
        return null;
      localWickrMessage = (WickrMessage)localIterator.next();
    }
    while (localWickrMessage.getID() != paramInt);
    return localWickrMessage;
  }

  public ArrayList<WickrMessage> getMessages(boolean paramBoolean)
  {
    if (paramBoolean)
      return this.messages;
    return getMessages();
  }

  public WickrConvoMsgAdapter getMsgAdapter()
  {
    return this.adapter;
  }

  public WickrConvoMsgAdapter getMsgAdapter(Context paramContext, WickrAttachmentDisplayInterface paramWickrAttachmentDisplayInterface, WickrContactPopupInterface paramWickrContactPopupInterface, WickrErrorPopupInterface paramWickrErrorPopupInterface, WickrAudioPlayerInterface paramWickrAudioPlayerInterface)
  {
    if (this.adapter == null)
      this.adapter = new WickrConvoMsgAdapter(getMessages(), paramContext, paramWickrAttachmentDisplayInterface, paramWickrContactPopupInterface, paramWickrErrorPopupInterface, paramWickrAudioPlayerInterface);
    return this.adapter;
  }

  public int getUnreadMessageCount()
  {
    return this.unreadMessages;
  }

  public String[] getUsernameStringArray()
  {
    String[] arrayOfString = new String[this.allUsers.length];
    for (int i = 0; ; i++)
    {
      if (i >= this.allUsers.length)
        return arrayOfString;
      arrayOfString[i] = this.allUsers[i].getUserAlias();
    }
  }

  public String getVGroupID()
  {
    return this.vGroupID;
  }

  public String getVGroupTag()
  {
    if (this.vGroupTag == null)
    {
      WickrStatus localWickrStatus = new WickrStatus(0);
      this.vGroupTag = activeSessionDecodeVGroupTag(this.vGroupTagSec, localWickrStatus);
      if (localWickrStatus.isError())
      {
        this.vGroupTag = "Group";
        this.vGroupTagSec = null;
        changeMade();
        save();
      }
    }
    if (this.vGroupTag == null)
      this.vGroupTag = "Group";
    while (true)
    {
      return this.vGroupTag;
      if (this.vGroupTag.length() == 0)
        this.vGroupTag = "Group";
    }
  }

  public boolean needsMoreInfo()
  {
    return this.needsInfo;
  }

  public boolean save()
  {
    if (!super.save())
      return false;
    this.cv = new ContentValues();
    this.cv.put("vGroupID", this.vGroupID);
    this.cv.put("unreadMessages", Integer.valueOf(this.unreadMessages));
    if (this.lastUser != null)
      this.cv.put("lastUser", Integer.valueOf(this.lastUser.getID()));
    this.cv.put("lastTimestamp", Long.valueOf(this.lastTimestamp));
    this.cv.put("account", Integer.valueOf(1));
    this.cv.put("needsInfo", Boolean.valueOf(this.needsInfo));
    this.cv.put("vGroupTagSec", this.vGroupTagSec);
    boolean bool;
    if (this.id != -1)
    {
      WickrDBAdapter.writableDatabase.update("Wickr_convo", this.cv, "_id=" + this.id, null);
      bool = false;
    }
    for (int i = 0; ; i++)
    {
      if (i >= this.allUsers.length)
      {
        getConvoWithvGroupID(this.vGroupID);
        return bool;
        this.id = ((int)WickrDBAdapter.writableDatabase.replace("Wickr_convo", null, this.cv));
        getConvoList().add(this);
        bool = true;
        break;
      }
      ContentValues localContentValues = new ContentValues();
      localContentValues.put("user", Integer.valueOf(this.allUsers[i].getID()));
      localContentValues.put("convo", Integer.valueOf(this.id));
      WickrDBAdapter.writableDatabase.insertWithOnConflict("Wickr_ConvoUser", null, localContentValues, 4);
    }
  }

  public void setAllUsers(WickrUser[] paramArrayOfWickrUser)
  {
    this.allUsers = paramArrayOfWickrUser;
    boolean bool = false;
    for (int i = 0; ; i++)
    {
      if (i >= paramArrayOfWickrUser.length)
      {
        this.needsInfo = bool;
        changeMade();
        save();
        return;
      }
      if (!WickrUtil.aliasTypeFromString(paramArrayOfWickrUser[i].getUserAlias()).equals(WickrAliasType.WICKR_USERNAME_ALIAS))
        bool = true;
    }
  }

  public void setVGroupTag(String paramString)
    throws InvalidParameterException
  {
    if (paramString == null)
    {
      this.vGroupTag = "Group";
      this.vGroupTagSec = null;
      changeMade();
      save();
    }
    while (paramString.equalsIgnoreCase(this.vGroupTag))
      return;
    WickrStatus localWickrStatus = new WickrStatus(0);
    this.vGroupTagSec = activeSessionEncodeVGroupTag(paramString, localWickrStatus);
    if (localWickrStatus.isError())
    {
      this.vGroupTagSec = null;
      throw new InvalidParameterException("Error saving vGroupTag: " + localWickrStatus.getValue());
    }
    this.vGroupTag = paramString;
    changeMade();
    save();
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.wickr.WickrConvo
 * JD-Core Version:    0.6.2
 */