package com.mywickr.wickr;

import com.loopj.android.http.BinaryHttpResponseHandler;
import com.mywickr.interfaces.WickrAccountsInterface;
import java.util.ArrayList;
import org.apache.http.Header;

public class WickrDeviceMan extends WickrManager
{
  private WickrAccountsInterface accountInterface;
  private WickrIDConnection[] connections = null;
  private WickrDevice[] devices = null;
  private boolean hasSyncOn;
  private boolean hasUpdatedData = false;

  static
  {
    System.loadLibrary("wickrCore");
  }

  private static native String activeSessionGetSelfQueryString(WickrStatus paramWickrStatus);

  private static native String activeSessionIDConnectString(String paramString, int paramInt1, int paramInt2, WickrStatus paramWickrStatus);

  private static native String activeSessionSuspendDeviceString(WickrDevice paramWickrDevice, WickrStatus paramWickrStatus);

  private static native String activeSessionSyncStatusString(boolean paramBoolean, WickrStatus paramWickrStatus);

  private native WickrAPICode updateDeviceManWithSelfQueryResult(byte[] paramArrayOfByte, WickrStatus paramWickrStatus);

  private static native WickrAPICode wickrIDConnectResult(byte[] paramArrayOfByte, WickrStatus paramWickrStatus);

  private static native WickrAPICode wickrSuspendDeviceResult(byte[] paramArrayOfByte, WickrStatus paramWickrStatus);

  private static native WickrAPICode wickrSyncStatusResult(byte[] paramArrayOfByte, WickrStatus paramWickrStatus);

  public void callExternalIDConnectServer(String paramString, final boolean paramBoolean)
  {
    WickrAsyncHttp localWickrAsyncHttp = WickrSession.getActiveSession().getHttpClient();
    BinaryHttpResponseHandler local4 = new BinaryHttpResponseHandler(WickrUtil.allowedContentTypes)
    {
      public void onFailure(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte, Throwable paramAnonymousThrowable)
      {
      }

      public void onRetry(int paramAnonymousInt)
      {
        if (WickrDeviceMan.this.accountInterface != null)
          WickrDeviceMan.this.accountInterface.wickrOnServerError("Network Error");
      }

      public void onSuccess(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte)
      {
        WickrAPICode localWickrAPICode = WickrSession.getActiveSession().getDeviceManager().getIDConnectionFunctionResult(paramAnonymousArrayOfByte);
        if (localWickrAPICode.isError())
          if (WickrDeviceMan.this.accountInterface != null)
            WickrDeviceMan.this.accountInterface.wickrOnServerError(localWickrAPICode.toString("adding connection"));
        while (WickrDeviceMan.this.accountInterface == null)
          return;
        if (paramBoolean)
        {
          WickrDeviceMan.this.accountInterface.wickrServerReturn(paramAnonymousArrayOfByte, WickrUtil.ADD_MAIL_CONN);
          return;
        }
        WickrDeviceMan.this.accountInterface.wickrServerReturn(paramAnonymousArrayOfByte, WickrUtil.ADD_PHONE_CONN);
      }
    };
    String[] arrayOfString = new String[4];
    arrayOfString[0] = "json_secure";
    arrayOfString[1] = paramString;
    arrayOfString[2] = "json_id";
    arrayOfString[3] = WickrSession.getActiveSession().getAppID();
    localWickrAsyncHttp.addStringParameters(arrayOfString);
    localWickrAsyncHttp.post("https://secex.info/service/105/src/linkExternalID.php", local4);
  }

  public boolean getAccountInfoFromServer()
  {
    if (!this.hasUpdatedData)
    {
      this.accountInterface.wickrServerCallStarted();
      WickrAsyncHttp localWickrAsyncHttp = WickrSession.getActiveSession().getHttpClient();
      BinaryHttpResponseHandler local5 = new BinaryHttpResponseHandler(WickrUtil.allowedContentTypes)
      {
        public void onFailure(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte, Throwable paramAnonymousThrowable)
        {
        }

        public void onRetry(int paramAnonymousInt)
        {
          if (WickrDeviceMan.this.accountInterface != null)
            WickrDeviceMan.this.accountInterface.wickrOnServerError("Network Error");
        }

        public void onSuccess(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte)
        {
          if (WickrSession.getActiveSession().getDeviceManager().isErrorState())
            if (WickrDeviceMan.this.accountInterface != null)
              WickrDeviceMan.this.accountInterface.wickrOnServerError("Failed to get account information");
          WickrAPICode localWickrAPICode;
          do
          {
            return;
            localWickrAPICode = WickrSession.getActiveSession().getDeviceManager().updateWithAccountInfo(paramAnonymousArrayOfByte);
            WickrDeviceMan.this.hasUpdatedData = true;
          }
          while (WickrDeviceMan.this.accountInterface == null);
          if (localWickrAPICode.isError())
          {
            WickrDeviceMan.this.accountInterface.wickrOnServerError(localWickrAPICode.toString("fetching Account Info"));
            return;
          }
          WickrDeviceMan.this.accountInterface.wickrServerReturn(paramAnonymousArrayOfByte, 'a');
        }
      };
      String str = getAccountInfoString();
      String[] arrayOfString = new String[4];
      arrayOfString[0] = "json_secure";
      arrayOfString[1] = str;
      arrayOfString[2] = "json_id";
      arrayOfString[3] = WickrSession.getActiveSession().getAppID();
      localWickrAsyncHttp.addStringParameters(arrayOfString);
      localWickrAsyncHttp.post("https://secex.info/service/105/src/getSelfInfo.php", local5);
      return true;
    }
    if (this.accountInterface != null)
      this.accountInterface.wickrServerReturn(null, 'a');
    return false;
  }

  public String getAccountInfoString()
  {
    return activeSessionGetSelfQueryString(getStatus());
  }

  public WickrDevice[] getActiveDevices()
  {
    ArrayList localArrayList = new ArrayList();
    for (int i = 0; ; i++)
    {
      if (i >= this.devices.length)
        return (WickrDevice[])localArrayList.toArray(new WickrDevice[localArrayList.size()]);
      if (!this.devices[i].isSuspended())
        localArrayList.add(this.devices[i]);
    }
  }

  public WickrDevice[] getAllDevices()
  {
    return this.devices;
  }

  public WickrIDConnection getEmailConnection()
  {
    if (this.connections != null);
    for (int i = 0; ; i++)
    {
      if (i >= this.connections.length)
        return null;
      if ((this.connections[i] != null) && (this.connections[i].getType().equals(WickrIDConnectionType.WICKR_IDC_EMAIL)))
        return this.connections[i];
    }
  }

  public WickrAPICode getIDConnectionFunctionResult(byte[] paramArrayOfByte)
  {
    return wickrIDConnectResult(paramArrayOfByte, getStatus());
  }

  public String getNewIDConnectionString(String paramString, WickrIDConnectionType paramWickrIDConnectionType)
  {
    return activeSessionIDConnectString(paramString, paramWickrIDConnectionType.getValue(), 0, getStatus());
  }

  public WickrIDConnection getPhoneConnection()
  {
    if (this.connections != null);
    for (int i = 0; ; i++)
    {
      if (i >= this.connections.length)
        return null;
      if ((this.connections[i] != null) && (this.connections[i].getType().equals(WickrIDConnectionType.WICKR_IDC_PHONE)))
        return this.connections[i];
    }
  }

  public String getRemoveIDConnectionString(WickrIDConnection paramWickrIDConnection)
  {
    return activeSessionIDConnectString(paramWickrIDConnection.getValue(), paramWickrIDConnection.getType().getValue(), 1, getStatus());
  }

  public WickrAPICode getSuspendDeviceResult(byte[] paramArrayOfByte)
  {
    return wickrSuspendDeviceResult(paramArrayOfByte, getStatus());
  }

  public String getSuspendDeviceString(WickrDevice paramWickrDevice)
  {
    return activeSessionSuspendDeviceString(paramWickrDevice, getStatus());
  }

  public WickrAPICode getSyncStatusChangeResult(byte[] paramArrayOfByte)
  {
    return wickrSyncStatusResult(paramArrayOfByte, getStatus());
  }

  public String getSyncStatusChangeString(boolean paramBoolean)
  {
    return activeSessionSyncStatusString(paramBoolean, getStatus());
  }

  public boolean needsServerInfo()
  {
    return this.devices == null;
  }

  public void removeExternalIDConnectServer(String paramString, final boolean paramBoolean)
  {
    WickrAsyncHttp localWickrAsyncHttp = WickrSession.getActiveSession().getHttpClient();
    BinaryHttpResponseHandler local3 = new BinaryHttpResponseHandler(WickrUtil.allowedContentTypes)
    {
      public void onFailure(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte, Throwable paramAnonymousThrowable)
      {
      }

      public void onRetry(int paramAnonymousInt)
      {
        if (WickrDeviceMan.this.accountInterface != null)
          WickrDeviceMan.this.accountInterface.wickrOnServerError("Network Error");
      }

      public void onSuccess(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte)
      {
        WickrAPICode localWickrAPICode = WickrSession.getActiveSession().getDeviceManager().getIDConnectionFunctionResult(paramAnonymousArrayOfByte);
        if (localWickrAPICode.isError())
        {
          if (WickrDeviceMan.this.accountInterface != null)
            WickrDeviceMan.this.accountInterface.wickrOnServerError(localWickrAPICode.toString("removing your Wickr ID Connection"));
          return;
        }
        int j;
        if (paramBoolean)
        {
          j = 0;
          label60: if (j < WickrDeviceMan.this.connections.length);
        }
        while (WickrDeviceMan.this.accountInterface != null)
        {
          if (!paramBoolean)
            break label227;
          WickrDeviceMan.this.accountInterface.wickrServerReturn(paramAnonymousArrayOfByte, WickrUtil.REMOVE_MAIL_CONN);
          return;
          if ((WickrDeviceMan.this.connections[j] != null) && (WickrDeviceMan.this.connections[j].getType().equals(WickrIDConnectionType.WICKR_IDC_EMAIL)))
            WickrDeviceMan.this.connections[j] = null;
          j++;
          break label60;
          for (int i = 0; i < WickrDeviceMan.this.connections.length; i++)
            if ((WickrDeviceMan.this.connections[i] != null) && (WickrDeviceMan.this.connections[i].getType().equals(WickrIDConnectionType.WICKR_IDC_PHONE)))
              WickrDeviceMan.this.connections[i] = null;
        }
        label227: WickrDeviceMan.this.accountInterface.wickrServerReturn(paramAnonymousArrayOfByte, WickrUtil.REMOVE_PHONE_CONN);
      }
    };
    String[] arrayOfString = new String[4];
    arrayOfString[0] = "json_secure";
    arrayOfString[1] = paramString;
    arrayOfString[2] = "json_id";
    arrayOfString[3] = WickrSession.getActiveSession().getAppID();
    localWickrAsyncHttp.addStringParameters(arrayOfString);
    localWickrAsyncHttp.post("https://secex.info/service/105/src/linkExternalID.php", local3);
  }

  public void reset()
  {
    this.devices = null;
    this.connections = null;
    this.hasUpdatedData = false;
  }

  public void setAccountGUIManager(WickrAccountsInterface paramWickrAccountsInterface)
  {
    this.accountInterface = paramWickrAccountsInterface;
  }

  public void setSyncEnabeled(boolean paramBoolean)
  {
    this.hasSyncOn = paramBoolean;
  }

  public void setSyncState(boolean paramBoolean)
  {
    String str = WickrSession.getActiveSession().getDeviceManager().getSyncStatusChangeString(paramBoolean);
    if (WickrSession.getActiveSession().getDeviceManager().isErrorState())
    {
      this.accountInterface.wickrOnServerError("Failed to get sync status string");
      return;
    }
    WickrAsyncHttp localWickrAsyncHttp = WickrSession.getActiveSession().getHttpClient();
    BinaryHttpResponseHandler local1 = new BinaryHttpResponseHandler(WickrUtil.allowedContentTypes)
    {
      public void onFailure(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte, Throwable paramAnonymousThrowable)
      {
      }

      public void onRetry(int paramAnonymousInt)
      {
        if (WickrDeviceMan.this.accountInterface != null)
          WickrDeviceMan.this.accountInterface.wickrOnServerError("Network Error. Cannot change the Sync mode!");
      }

      public void onSuccess(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte)
      {
        WickrAPICode localWickrAPICode = WickrDeviceMan.this.getSyncStatusChangeResult(paramAnonymousArrayOfByte);
        WickrDeviceMan.this.accountInterface.wickrServerCallReturned();
        if (!localWickrAPICode.isError())
        {
          WickrSession.getActiveSession().getDeviceManager().setSyncEnabeled(true);
          WickrDeviceMan.this.accountInterface.wickrServerReturn(null, WickrUtil.SYNC);
          return;
        }
        WickrDeviceMan.this.accountInterface.wickrOnServerError("Failed to parse the server response");
      }
    };
    String[] arrayOfString = new String[4];
    arrayOfString[0] = "json_secure";
    arrayOfString[1] = str;
    arrayOfString[2] = "json_id";
    arrayOfString[3] = WickrSession.getActiveSession().getAppID();
    localWickrAsyncHttp.addStringParameters(arrayOfString);
    this.accountInterface.wickrServerCallStarted();
    localWickrAsyncHttp.post("https://secex.info/service/105/src/setUserProperty.php", local1);
  }

  public void suspendDevice(WickrDevice paramWickrDevice)
  {
    WickrAsyncHttp localWickrAsyncHttp = WickrSession.getActiveSession().getHttpClient();
    BinaryHttpResponseHandler local2 = new BinaryHttpResponseHandler(WickrUtil.allowedContentTypes)
    {
      public void onFailure(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte, Throwable paramAnonymousThrowable)
      {
        if (WickrDeviceMan.this.accountInterface != null)
          WickrDeviceMan.this.accountInterface.wickrOnServerError("Network Error. Cannot suspend the device!");
      }

      public void onRetry(int paramAnonymousInt)
      {
        if (WickrDeviceMan.this.accountInterface != null)
          WickrDeviceMan.this.accountInterface.wickrOnServerError("Network Error. Cannot suspend the device!");
      }

      public void onSuccess(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte)
      {
        if (WickrDeviceMan.this.accountInterface != null)
        {
          if (!WickrSession.getActiveSession().isErrorState())
            break label34;
          WickrDeviceMan.this.accountInterface.wickrOnServerError("Error suspending the device!");
        }
        label34: 
        do
        {
          WickrAPICode localWickrAPICode;
          do
          {
            return;
            localWickrAPICode = WickrDeviceMan.wickrSuspendDeviceResult(paramAnonymousArrayOfByte, WickrSession.getActiveSession().getStatus());
            if (!localWickrAPICode.isError())
              break;
          }
          while (WickrDeviceMan.this.accountInterface == null);
          WickrDeviceMan.this.accountInterface.wickrOnServerError(localWickrAPICode.toString("suspending a device"));
          return;
        }
        while (WickrDeviceMan.this.accountInterface == null);
        WickrDeviceMan.this.accountInterface.wickrServerReturn(paramAnonymousArrayOfByte, WickrUtil.SUSPEND_DEVICE);
      }
    };
    String[] arrayOfString = new String[4];
    arrayOfString[0] = "json_secure";
    arrayOfString[1] = getSuspendDeviceString(paramWickrDevice);
    arrayOfString[2] = "json_id";
    arrayOfString[3] = WickrSession.getActiveSession().getAppID();
    localWickrAsyncHttp.addStringParameters(arrayOfString);
    this.accountInterface.wickrServerCallStarted();
    localWickrAsyncHttp.post("https://secex.info/service/105/src/doSuspend.php", local2);
  }

  public boolean syncEnabeled()
  {
    return this.hasSyncOn;
  }

  public WickrAPICode updateWithAccountInfo(byte[] paramArrayOfByte)
  {
    return updateDeviceManWithSelfQueryResult(paramArrayOfByte, getStatus());
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.wickr.WickrDeviceMan
 * JD-Core Version:    0.6.2
 */