package com.mywickr.wickr;

import android.content.ContentValues;
import java.security.InvalidParameterException;
import net.sqlcipher.database.SQLiteDatabase;

public class WickrError extends WickrDBObject
{
  static WickrQuearyBuilder qBuilder;
  private int errCode;
  private String errString = null;
  private byte[] errStringSec = null;
  private WickrMessage msg = null;
  private int msgID = -1;
  private WickrUser userRef = null;

  public WickrError(int paramInt, WickrMessage paramWickrMessage)
  {
    qBuilder = new WickrQuearyBuilder();
    if (paramInt == -1)
      return;
    qBuilder.PARAMETER = new String[] { "stringSec", "code", "userRef" };
    WickrQuearyBuilder localWickrQuearyBuilder = qBuilder;
    String[] arrayOfString = new String[3];
    arrayOfString[0] = "_id";
    arrayOfString[1] = "=";
    arrayOfString[2] = paramInt;
    localWickrQuearyBuilder.WHERE_CLAUSE = arrayOfString;
    net.sqlcipher.Cursor localCursor = WickrDBAdapter.readablDatabase.rawQuery(qBuilder.getSelectWickrError(), null);
    while (true)
    {
      if (!localCursor.moveToNext())
      {
        this.msg = paramWickrMessage;
        localCursor.close();
        return;
      }
      this.id = paramInt;
      this.errStringSec = localCursor.getBlob(0);
      this.errCode = localCursor.getInt(1);
      String str = localCursor.getString(2);
      if (str != null)
        this.userRef = WickrUser.getUserWithID(str);
    }
  }

  public WickrError(WickrAPICode paramWickrAPICode, String paramString, int paramInt)
  {
    this.errCode = paramWickrAPICode.getValue();
    setErrString(paramString);
    this.msgID = paramInt;
    this.userRef = null;
    save();
  }

  public WickrError(WickrAPICode paramWickrAPICode, String paramString, WickrMessage paramWickrMessage)
  {
    this(paramWickrAPICode, paramString, paramWickrMessage, null);
  }

  public WickrError(WickrAPICode paramWickrAPICode, String paramString, WickrMessage paramWickrMessage, WickrUser paramWickrUser)
  {
    this.errCode = paramWickrAPICode.getValue();
    setErrString(paramString);
    this.msg = paramWickrMessage;
    this.msgID = paramWickrMessage.getID();
    this.userRef = paramWickrUser;
    save();
  }

  private native String activeSessionDecryptErrorString(byte[] paramArrayOfByte, WickrStatus paramWickrStatus);

  private native byte[] activeSessionEncryptErrorString(String paramString, WickrStatus paramWickrStatus);

  public void delete()
  {
    WickrDBAdapter.writableDatabase.delete("Wickr_Error", "_id=" + this.id, null);
    super.delete();
  }

  public int getErrCode()
  {
    return this.errCode;
  }

  public String getErrString()
  {
    if (this.errString == null)
    {
      WickrStatus localWickrStatus = new WickrStatus(0);
      this.errString = activeSessionDecryptErrorString(this.errStringSec, localWickrStatus);
      if (localWickrStatus.isError())
        this.errString = "An unknown error has occured";
    }
    return this.errString;
  }

  public WickrUser getUserReference()
  {
    return this.userRef;
  }

  public boolean save()
  {
    if (!super.save())
      return false;
    ContentValues localContentValues = new ContentValues();
    localContentValues.put("code", Integer.valueOf(this.errCode));
    localContentValues.put("stringSec", this.errStringSec);
    if (this.userRef != null)
      localContentValues.put("userRef", this.userRef.getUserIDHash());
    if (this.msg != null)
      localContentValues.put("msgRef", Integer.valueOf(this.msg.getID()));
    while (this.id != -1)
    {
      WickrDBAdapter.writableDatabase.update("Wickr_Error", localContentValues, "_id=" + this.id, null);
      return false;
      if (this.msgID > 0)
        localContentValues.put("msgRef", Integer.valueOf(this.msgID));
    }
    this.id = ((int)WickrDBAdapter.writableDatabase.replace("Wickr_Error", null, localContentValues));
    return true;
  }

  public void setErrCode(int paramInt)
  {
    this.errCode = paramInt;
  }

  public void setErrString(String paramString)
  {
    this.errString = paramString;
    WickrStatus localWickrStatus = new WickrStatus(0);
    this.errStringSec = activeSessionEncryptErrorString(paramString, localWickrStatus);
    if (localWickrStatus.isError())
      throw new InvalidParameterException();
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.wickr.WickrError
 * JD-Core Version:    0.6.2
 */