package com.mywickr.wickr;

import android.content.ContentValues;
import java.util.ArrayList;
import net.sqlcipher.database.SQLiteDatabase;

public class WickrInbox extends WickrMessage
{
  static WickrQuearyBuilder qBuilder;
  private byte[] cachedKeySecure;
  private byte[] checkValSecure;
  private byte[] destructSecure;
  private long destructTime = 0L;
  private double downloadProgress;
  private WickrUser[] groupUsers;
  private boolean keyUpdateInProgress = false;
  private WickrUser sender;
  private WickrApp senderApp;
  private String senderAppID;
  private String senderUserID;
  private boolean shouldReplaceKey;
  private WickrInboxState state;
  private byte[] ulKeySecure;
  private boolean unlockRequired = false;
  private int verifyStatus;

  public WickrInbox(int paramInt, WickrConvo paramWickrConvo)
  {
    qBuilder = new WickrQuearyBuilder();
    qBuilder.PARAMETER = new String[] { "msgID", "timestamp", "type", "convo", "verifiedSender", "appSender", "userSender", "senderAppID", "senderUserID", "bodyText", "ch", "ttl", "ul", "bEnc", "msgIDs" };
    WickrQuearyBuilder localWickrQuearyBuilder = qBuilder;
    String[] arrayOfString = new String[3];
    arrayOfString[0] = "_id";
    arrayOfString[1] = " = ";
    arrayOfString[2] = paramInt;
    localWickrQuearyBuilder.WHERE_CLAUSE = arrayOfString;
    net.sqlcipher.Cursor localCursor = WickrDBAdapter.readablDatabase.rawQuery(qBuilder.getSelectWickrMessage(), null);
    if (!localCursor.moveToNext())
    {
      this.unlockStatus = new WickrStatus(1);
      localCursor.close();
      return;
    }
    this.srvMsgID = localCursor.getString(0);
    this.msgTimestamp = localCursor.getLong(1);
    this.msgType = localCursor.getString(2);
    if ((paramWickrConvo != null) && (paramWickrConvo.id != -1))
      this.convo = paramWickrConvo;
    while (true)
    {
      this.verifyStatus = localCursor.getInt(4);
      this.senderAppID = localCursor.getString(7);
      this.senderUserID = localCursor.getString(8);
      if (localCursor.getInt(6) != 0)
        this.sender = WickrUser.getUserWithID(this.senderUserID);
      if ((localCursor.getInt(5) != 0) && (this.sender != null))
        this.senderApp = this.sender.getAppWithID(this.senderAppID);
      this.cachedTextEnc = localCursor.getBlob(9);
      this.checkValSecure = localCursor.getBlob(10);
      this.destructSecure = localCursor.getBlob(11);
      this.ulKeySecure = localCursor.getBlob(12);
      this.cachedKeySecure = localCursor.getBlob(13);
      this.msgIDSecure = localCursor.getString(14);
      this.id = paramInt;
      break;
      if (localCursor.getInt(3) != -1)
        this.convo = WickrConvo.getConvoWithID(localCursor.getInt(3));
      if (this.convo.id == -1)
        this.convo = null;
    }
  }

  public WickrInbox(String paramString1, String paramString2, String paramString3, String paramString4, long paramLong, String paramString5, String paramString6, byte[] paramArrayOfByte1, byte[] paramArrayOfByte2, boolean paramBoolean, int paramInt)
  {
    this.srvMsgID = paramString1;
    this.msgIDSecure = paramString2;
    this.vGroupID = paramString3;
    this.msgType = paramString4;
    this.msgTimestamp = paramLong;
    this.senderAppID = paramString5;
    this.senderUserID = paramString6;
    this.destructSecure = paramArrayOfByte1;
    this.ulKeySecure = paramArrayOfByte2;
    this.shouldReplaceKey = paramBoolean;
    this.verifyStatus = paramInt;
    this.sender = WickrUser.getUserWithID(this.senderUserID);
    if (this.sender != null)
    {
      if (this.sender.isHidden())
        this.sender.setIsHidden(false);
      this.senderApp = this.sender.getAppWithID(this.senderAppID);
    }
    this.unlockStatus = new WickrStatus(1);
  }

  private static native String activeSessionAckMsgOpenString(String paramString, WickrStatus paramWickrStatus);

  private native long activeSessionDecodeCtxGetKeyID(String paramString, WickrStatus paramWickrStatus);

  private native WickrStatus activeSessionDecodeCtxUnlock(String paramString);

  private native long activeSessionDecodeDestructTime(WickrStatus paramWickrStatus);

  private native WickrUser[] activeSessionDecodeGetUsers(String paramString, WickrStatus paramWickrStatus);

  private native WickrStatus activeSessionDecodeVerifySender(WickrApp paramWickrApp);

  private native String activeSessionDownloadMsgString(String paramString, WickrStatus paramWickrStatus);

  private native WickrStatus activeSessionGetMeta();

  private native WickrStatus activeSessionGetUnlockMeta(long paramLong);

  private native WickrStatus activeSessionSetDecodeCtxKey(String paramString, WickrKeyPair paramWickrKeyPair);

  private native WickrStatus activeSessionUpdateDestructTime(long paramLong);

  public static WickrAPICode checkForDownloadError(byte[] paramArrayOfByte)
  {
    return wickrMsgDownloadErrorCheck(paramArrayOfByte);
  }

  private void expireMessage()
  {
    this.cachedText = "";
    this.cachedTextEnc = null;
    clearCache();
    destroyMsgBlob();
    WickrStatus localWickrStatus = activeSessionUpdateDestructTime(-3L);
    changeMade();
    if (localWickrStatus.isError())
      delete();
    save();
  }

  private long getDestructTime()
  {
    if (this.destructSecure == null);
    WickrStatus localWickrStatus;
    do
    {
      return -2L;
      localWickrStatus = new WickrStatus(1);
      if (this.destructTime == 0L)
        this.destructTime = activeSessionDecodeDestructTime(localWickrStatus);
    }
    while (localWickrStatus.isError());
    return this.destructTime;
  }

  private WickrApp getSenderApp()
  {
    if ((getSender() != null) && (this.senderApp == null))
    {
      this.senderApp = this.sender.getAppWithID(this.senderAppID);
      save();
    }
    return this.senderApp;
  }

  public static WickrInbox[] getUndownloadedMessages()
  {
    qBuilder = new WickrQuearyBuilder();
    qBuilder.PARAMETER = new String[] { "_id" };
    qBuilder.WHERE_CLAUSE = new String[] { "convo", " IS NULL AND ", "class", "=1" };
    net.sqlcipher.Cursor localCursor = WickrDBAdapter.readablDatabase.rawQuery(qBuilder.getSelectWickrMessage(), null);
    ArrayList localArrayList = new ArrayList();
    if (localCursor.getCount() > 0);
    while (true)
    {
      if (!localCursor.moveToNext())
      {
        localCursor.close();
        return (WickrInbox[])localArrayList.toArray(new WickrInbox[localArrayList.size()]);
      }
      WickrInbox localWickrInbox = new WickrInbox(localCursor.getInt(0), null);
      localWickrInbox.expireIfNecessary(true);
      if (localWickrInbox.getInboxState() == WickrInboxState.WICKR_INBOX_NEEDS_DOWNLOAD)
        localArrayList.add(localWickrInbox);
    }
  }

  public static String[] getUnopenedMessageIDs()
  {
    qBuilder = new WickrQuearyBuilder();
    qBuilder.PARAMETER = new String[] { "msgID" };
    qBuilder.WHERE_CLAUSE = new String[] { "(", "convo", " NOT NULL AND ", "class", "=1", ")", " AND ", "verifiedSender", "=1" };
    net.sqlcipher.Cursor localCursor = WickrDBAdapter.readablDatabase.rawQuery(qBuilder.getSelectWickrMessage(), null);
    ArrayList localArrayList = new ArrayList();
    if (localCursor.getCount() > 0);
    while (true)
    {
      if (!localCursor.moveToNext())
      {
        localCursor.close();
        return (String[])localArrayList.toArray(new String[localArrayList.size()]);
      }
      localArrayList.add(localCursor.getString(0));
    }
  }

  private boolean hasExpired()
  {
    return getDestructTime() == -3L;
  }

  public static boolean messageIsDuplicate(WickrInbox paramWickrInbox)
  {
    boolean bool = true;
    qBuilder = new WickrQuearyBuilder();
    WickrQuearyBuilder localWickrQuearyBuilder1 = qBuilder;
    String[] arrayOfString1 = new String[bool];
    arrayOfString1[0] = "_id";
    localWickrQuearyBuilder1.PARAMETER = arrayOfString1;
    WickrQuearyBuilder localWickrQuearyBuilder2 = qBuilder;
    String[] arrayOfString2 = new String[3];
    arrayOfString2[0] = "msgID";
    arrayOfString2[bool] = " = ";
    arrayOfString2[2] = ("\"" + paramWickrInbox.srvMsgID + "\"");
    localWickrQuearyBuilder2.WHERE_CLAUSE = arrayOfString2;
    net.sqlcipher.Cursor localCursor = WickrDBAdapter.readablDatabase.rawQuery(qBuilder.getSelectWickrMessage(), null);
    if (localCursor.getCount() > 0);
    while (true)
    {
      localCursor.close();
      return bool;
      bool = false;
    }
  }

  private void setSender(WickrUser paramWickrUser)
  {
    if (this.sender == null)
    {
      this.sender = paramWickrUser;
      this.senderApp = this.sender.getAppWithID(this.senderAppID);
      changeMade();
      save();
    }
  }

  private static native WickrAPICode wickrMsgDownloadErrorCheck(byte[] paramArrayOfByte);

  public void delete()
  {
    if ((getInboxState() == WickrInboxState.WICKR_INBOX_UNOPENED) && (this.convo != null))
      this.convo.decrementUnreadMessages();
    super.delete();
  }

  public boolean expireIfNecessary(boolean paramBoolean)
  {
    WickrInboxState localWickrInboxState = getInboxState();
    if (localWickrInboxState == WickrInboxState.WICKR_INBOX_OPENED)
    {
      if (getTimeRemaining() > 0L)
        break label52;
      expireMessage();
      if (paramBoolean)
        delete();
    }
    do
    {
      return true;
      if (localWickrInboxState != WickrInboxState.WICKR_INBOX_EXPIRED)
        break;
    }
    while (!paramBoolean);
    delete();
    return true;
    label52: return false;
  }

  public double getDownloadProgress()
  {
    return this.downloadProgress;
  }

  public WickrInboxState getInboxState()
  {
    if (this.isDeleted)
      return WickrInboxState.WICKR_INBOX_DELETED;
    if (getDestructTime() == -3L)
      return WickrInboxState.WICKR_INBOX_EXPIRED;
    if (getDestructTime() == -1L)
    {
      if (hasMsgBlob())
        return WickrInboxState.WICKR_INBOX_UNOPENED;
      return WickrInboxState.WICKR_INBOX_NEEDS_DOWNLOAD;
    }
    return WickrInboxState.WICKR_INBOX_OPENED;
  }

  public String getLongDeleteTime()
  {
    return WickrUtil.formatTimestamp(getDestructTime());
  }

  public String getMsgOpenAckString()
  {
    WickrStatus localWickrStatus = new WickrStatus(0);
    String str = activeSessionAckMsgOpenString(this.srvMsgID, localWickrStatus);
    if (localWickrStatus.isError())
      str = null;
    return str;
  }

  public String getSecureDownloadString()
  {
    if (getInboxState() == WickrInboxState.WICKR_INBOX_NEEDS_DOWNLOAD)
    {
      WickrStatus localWickrStatus = new WickrStatus(1);
      String str = activeSessionDownloadMsgString(this.srvMsgID, localWickrStatus);
      if ((str == null) || (localWickrStatus.isError()))
        delete();
      return str;
    }
    return null;
  }

  public WickrUser getSender()
  {
    if (this.sender == null)
      this.sender = WickrUser.getUserWithID(this.senderUserID);
    return this.sender;
  }

  public long getTimeRemaining()
  {
    long l = this.destructTime - WickrSession.getActiveSession().getLocalAppTime();
    if (l < 0L)
      l = 0L;
    return l;
  }

  public String getTimestampText()
  {
    return getSender().getPrimaryName() + " - " + super.getTimestampText();
  }

  public int getVerifiedSenderStatus()
  {
    return this.verifyStatus;
  }

  public boolean isKeyUpdateInProgress()
  {
    return this.keyUpdateInProgress;
  }

  public boolean isUnlockRequired()
  {
    return this.unlockRequired;
  }

  public WickrStatus processBlobDownload(byte[] paramArrayOfByte)
  {
    return processBlobDownload(paramArrayOfByte, false);
  }

  public WickrStatus processBlobDownload(byte[] paramArrayOfByte, boolean paramBoolean)
  {
    this.msgBlob = paramArrayOfByte;
    WickrStatus localWickrStatus1 = activeSessionOpenDecodeCtx(true, paramArrayOfByte);
    if (localWickrStatus1.isError())
      return localWickrStatus1;
    WickrStatus localWickrStatus2 = activeSessionGetMeta();
    if (localWickrStatus2.isError())
      return localWickrStatus2;
    WickrConvo localWickrConvo = WickrConvo.getConvoWithvGroupID(this.vGroupID);
    boolean bool;
    if (localWickrConvo != null)
      bool = localWickrConvo.needsMoreInfo();
    while (bool)
    {
      localWickrStatus2 = unlock(false, paramBoolean);
      if (localWickrStatus2.isError())
      {
        return localWickrStatus2;
        bool = true;
      }
      else
      {
        if (localWickrConvo != null)
          break label134;
        localWickrConvo = new WickrConvo(this, this.groupUsers);
      }
    }
    while (true)
    {
      localWickrConvo.addMessage(this);
      changeMade();
      writeToFile();
      save();
      clearCache();
      return localWickrStatus2;
      label134: localWickrConvo.setAllUsers(this.groupUsers);
    }
  }

  public boolean save()
  {
    if (!super.save())
      return false;
    ContentValues localContentValues = new ContentValues();
    localContentValues.put("msgID", this.srvMsgID);
    localContentValues.put("class", Integer.valueOf(1));
    localContentValues.put("timestamp", Long.valueOf(this.msgTimestamp));
    localContentValues.put("type", this.msgType);
    if ((this.convo != null) && (this.convo.id != -1))
      localContentValues.put("convo", Integer.valueOf(this.convo.getID()));
    localContentValues.put("verifiedSender", Integer.valueOf(this.verifyStatus));
    if (this.senderApp != null)
      localContentValues.put("appSender", Integer.valueOf(this.senderApp.getID()));
    if (this.sender != null)
      localContentValues.put("userSender", Integer.valueOf(this.sender.getID()));
    localContentValues.put("msgIDs", this.msgIDSecure);
    localContentValues.put("senderAppID", this.senderAppID);
    localContentValues.put("senderUserID", this.senderUserID);
    localContentValues.put("bodyText", this.cachedTextEnc);
    localContentValues.put("ch", this.checkValSecure);
    localContentValues.put("ttl", this.destructSecure);
    localContentValues.put("ul", this.ulKeySecure);
    localContentValues.put("bEnc", this.cachedKeySecure);
    if (this.id != -1)
    {
      WickrDBAdapter.writableDatabase.update("Wickr_Message", localContentValues, "_id=" + this.id, null);
      return false;
    }
    this.id = ((int)WickrDBAdapter.writableDatabase.replace("Wickr_Message", null, localContentValues));
    return true;
  }

  public void setDownloadProgress(double paramDouble)
  {
    this.downloadProgress = paramDouble;
  }

  public void setKeyUpdateInProgress(boolean paramBoolean)
  {
    this.keyUpdateInProgress = paramBoolean;
  }

  public void setUnlockRequired(boolean paramBoolean)
  {
    this.unlockRequired = paramBoolean;
  }

  public boolean shouldReplaceKey()
  {
    return this.shouldReplaceKey;
  }

  public String toString()
  {
    return "MessageID: " + this.srvMsgID + " Timestamp: " + this.msgTimestamp + " Type: " + this.msgType + " Sender User: " + this.senderUserID + " Sender App " + this.senderAppID + " Destruct time: " + getDestructTime() + " ULKeySecure: " + this.ulKeySecure + " KeyReplace: " + this.shouldReplaceKey;
  }

  public WickrStatus unlock()
  {
    if (getInboxState() == WickrInboxState.WICKR_INBOX_UNOPENED)
      return unlock(true, false);
    return unlock(false, false);
  }

  public WickrStatus unlock(boolean paramBoolean)
  {
    return unlock(paramBoolean, false);
  }

  public WickrStatus unlock(boolean paramBoolean1, boolean paramBoolean2)
  {
    WickrStatus localWickrStatus1 = activeSessionOpenDecodeCtx(true, getMsgBlob());
    if (localWickrStatus1.isError())
      return localWickrStatus1;
    long l = activeSessionDecodeCtxGetKeyID(this.srvMsgID, localWickrStatus1);
    if (localWickrStatus1.isError())
      return localWickrStatus1;
    if ((l == 0L) || (l == -2L))
      return new WickrStatus(-19);
    boolean bool = l < 0L;
    WickrKeyPair localWickrKeyPair = null;
    if (bool)
    {
      byte[] arrayOfByte = this.cachedKeySecure;
      localWickrKeyPair = null;
      if (arrayOfByte == null)
      {
        localWickrKeyPair = WickrKeyPair.getKeyPairWithID(l);
        if (localWickrKeyPair == null)
          return new WickrStatus(-16);
        WickrStatus localWickrStatus3 = activeSessionSetDecodeCtxKey(this.srvMsgID, localWickrKeyPair);
        if (localWickrStatus3.isError())
          return localWickrStatus3;
      }
    }
    WickrStatus localWickrStatus2 = activeSessionDecodeCtxUnlock(this.srvMsgID);
    if (localWickrStatus2.isError())
      return localWickrStatus2;
    this.groupUsers = activeSessionDecodeGetUsers(this.srvMsgID, localWickrStatus2);
    if (localWickrStatus2.isError())
      return localWickrStatus2;
    for (int i = 0; ; i++)
    {
      if (i >= this.groupUsers.length)
      {
        if (!paramBoolean1)
          break label319;
        localWickrStatus2 = activeSessionGetUnlockMeta(WickrSession.getActiveSession().getLocalAppTime());
        this.destructTime = activeSessionDecodeDestructTime(localWickrStatus2);
        if (!localWickrStatus2.isError())
          break;
        return localWickrStatus2;
      }
      this.groupUsers[i].save();
      if (this.groupUsers[i].getUserIDHash().equalsIgnoreCase(this.senderUserID))
        setSender(this.groupUsers[i]);
    }
    if (l > 0L)
    {
      WickrSession.getActiveSession().setHighECID(l);
      if (localWickrKeyPair != null)
        localWickrKeyPair.deleteIfNecessary();
    }
    this.convo.decrementUnreadMessages();
    this.isUnlocked = true;
    label319: changeMade();
    save();
    return localWickrStatus2;
  }

  public boolean validateSender(boolean paramBoolean)
  {
    if (this.isUnlocked)
    {
      if (activeSessionDecodeVerifySender(getSenderApp()).isError())
      {
        changeMade();
        this.verifyStatus = 5;
      }
      save();
      if (this.verifyStatus == 2)
        if (paramBoolean)
        {
          changeMade();
          this.verifyStatus = 4;
          save();
        }
      while ((!paramBoolean) || (this.unlockRequired))
      {
        return true;
        WickrSession.getActiveSession().getKeyUpdateMan().addUserWithInbox(getSender(), this);
        return false;
      }
      clearCache();
      return true;
    }
    setUnlockStatus(unlock());
    if (this.isUnlocked)
      return validateSender(paramBoolean);
    changeMade();
    this.verifyStatus = 5;
    return true;
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.wickr.WickrInbox
 * JD-Core Version:    0.6.2
 */