package com.mywickr.wickr;

import android.content.ContentValues;
import android.content.Context;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;
import net.sqlcipher.database.SQLiteDatabase;

public class WickrKeyPair extends WickrDBObject
{
  static WickrQuearyBuilder qBuilder;
  private long expireTime;
  private boolean isFallback;
  public long keyID;
  private boolean needsUpload = true;
  private byte[] privateKeyEnc = null;
  private byte[] publicKeyEnc = null;
  private long timestamp;

  public WickrKeyPair(long paramLong)
  {
    qBuilder = new WickrQuearyBuilder();
    qBuilder.PARAMETER = new String[] { "dnd", "expireTime", "identifier", "timestamp", "privateKey", "publicKey" };
    WickrQuearyBuilder localWickrQuearyBuilder = qBuilder;
    String[] arrayOfString = new String[3];
    arrayOfString[0] = "identifier";
    arrayOfString[1] = "=";
    arrayOfString[2] = paramLong;
    localWickrQuearyBuilder.WHERE_CLAUSE = arrayOfString;
    net.sqlcipher.Cursor localCursor = WickrDBAdapter.readablDatabase.rawQuery(qBuilder.getSelectWickrKeyPair(), null);
    if (!localCursor.moveToNext())
    {
      localCursor.close();
      return;
    }
    if (localCursor.getInt(0) == 1);
    for (boolean bool = true; ; bool = false)
    {
      this.isFallback = bool;
      this.expireTime = localCursor.getLong(1);
      this.timestamp = localCursor.getLong(3);
      this.privateKeyEnc = localCursor.getBlob(4);
      this.publicKeyEnc = localCursor.getBlob(5);
      this.id = ((int)paramLong);
      this.keyID = paramLong;
      break;
    }
  }

  public WickrKeyPair(boolean paramBoolean, long paramLong1, long paramLong2, byte[] paramArrayOfByte1, byte[] paramArrayOfByte2, long paramLong3)
  {
    this.isFallback = paramBoolean;
    this.expireTime = paramLong1;
    this.keyID = paramLong2;
    this.privateKeyEnc = paramArrayOfByte1;
    this.publicKeyEnc = paramArrayOfByte2;
    this.timestamp = paramLong3;
  }

  public static void deleteExpired()
  {
    long l = WickrSession.getActiveSession().getLocalAppTime();
    qBuilder = new WickrQuearyBuilder();
    qBuilder.PARAMETER = new String[] { "identifier" };
    WickrQuearyBuilder localWickrQuearyBuilder = qBuilder;
    String[] arrayOfString = new String[7];
    arrayOfString[0] = "dnd";
    arrayOfString[1] = "=0 AND (";
    arrayOfString[2] = "expireTime";
    arrayOfString[3] = ("<" + l);
    arrayOfString[4] = ") AND (";
    arrayOfString[5] = "expireTime";
    arrayOfString[6] = "!=0 )";
    localWickrQuearyBuilder.WHERE_CLAUSE = arrayOfString;
    net.sqlcipher.Cursor localCursor = WickrDBAdapter.readablDatabase.rawQuery(qBuilder.getSelectWickrKeyPair(), null);
    if (localCursor.getCount() >= 3);
    while (true)
    {
      if (!localCursor.moveToNext())
      {
        localCursor.close();
        return;
      }
      WickrDBAdapter.writableDatabase.delete("Wickr_KeyPair", "identifier=" + localCursor.getLong(0), null);
    }
  }

  public static void deleteOldFallbacks()
  {
    int i = 1;
    qBuilder = new WickrQuearyBuilder();
    Iterator localIterator = WickrConvo.getConvoList().iterator();
    if (!localIterator.hasNext());
    while (true)
    {
      if (i != 0)
      {
        qBuilder.PARAMETER = new String[] { "identifier", "timestamp" };
        qBuilder.WHERE_CLAUSE = new String[] { "dnd", "=1" };
        qBuilder.ORDER_CLAUSE = new String[] { "timestamp" };
        net.sqlcipher.Cursor localCursor = WickrDBAdapter.readablDatabase.rawQuery(qBuilder.getSelectWickrKeyPair(), null);
        if ((localCursor.getCount() >= 3) && (localCursor.moveToNext()))
          WickrDBAdapter.writableDatabase.delete("Wickr_KeyPair", "identifier=" + localCursor.getLong(0), null);
        localCursor.close();
      }
      return;
      if (((WickrConvo)localIterator.next()).getUnreadMessageCount() <= 0)
        break;
      i = 0;
    }
  }

  public static WickrKeyPair getKeyPairWithID(long paramLong)
  {
    qBuilder = new WickrQuearyBuilder();
    qBuilder.PARAMETER = new String[] { "identifier" };
    WickrQuearyBuilder localWickrQuearyBuilder = qBuilder;
    String[] arrayOfString = new String[2];
    arrayOfString[0] = "identifier";
    arrayOfString[1] = ("=" + paramLong);
    localWickrQuearyBuilder.WHERE_CLAUSE = arrayOfString;
    net.sqlcipher.Cursor localCursor = WickrDBAdapter.readablDatabase.rawQuery(qBuilder.getSelectWickrKeyPair(), null);
    WickrKeyPair localWickrKeyPair = null;
    while (true)
    {
      if (!localCursor.moveToNext())
      {
        localCursor.close();
        return localWickrKeyPair;
      }
      localWickrKeyPair = new WickrKeyPair(localCursor.getLong(0));
      if (paramLong > WickrSession.getActiveSession().getHighECID())
        WickrSession.getActiveSession().setHighECID(paramLong);
    }
  }

  public static boolean hasExistingKeys()
  {
    qBuilder = new WickrQuearyBuilder();
    qBuilder.PARAMETER = new String[] { "identifier" };
    net.sqlcipher.Cursor localCursor = WickrDBAdapter.readablDatabase.rawQuery(qBuilder.getSelectWickrKeyPair(), null);
    if (localCursor.getCount() > 0);
    for (boolean bool = true; ; bool = false)
    {
      localCursor.close();
      return bool;
    }
  }

  public static void markKeyExpireTimes()
  {
    qBuilder = new WickrQuearyBuilder();
    long l1 = WickrSession.getActiveSession().getHighECID();
    long l2 = 2592000L + WickrSession.getActiveSession().getLocalAppTime();
    qBuilder.PARAMETER = new String[] { "identifier" };
    WickrQuearyBuilder localWickrQuearyBuilder = qBuilder;
    String[] arrayOfString = new String[7];
    arrayOfString[0] = "dnd";
    arrayOfString[1] = "=0 AND (";
    arrayOfString[2] = "identifier";
    arrayOfString[3] = ("<" + l1);
    arrayOfString[4] = ") AND (";
    arrayOfString[5] = "expireTime";
    arrayOfString[6] = " == 0)";
    localWickrQuearyBuilder.WHERE_CLAUSE = arrayOfString;
    net.sqlcipher.Cursor localCursor = WickrDBAdapter.readablDatabase.rawQuery(qBuilder.getSelectWickrKeyPair(), null);
    if (localCursor.getCount() >= 3);
    while (true)
    {
      if (!localCursor.moveToNext())
      {
        localCursor.close();
        return;
      }
      ContentValues localContentValues = new ContentValues();
      localContentValues.put("expireTime", Long.valueOf(l2));
      WickrDBAdapter.writableDatabase.update("Wickr_KeyPair", localContentValues, "identifier=" + localCursor.getLong(0), null);
    }
  }

  public static void showAll(Context paramContext)
  {
    qBuilder = new WickrQuearyBuilder();
    qBuilder.PARAMETER = new String[] { "timestamp", "identifier" };
    qBuilder.ORDER_CLAUSE = new String[] { "timestamp" };
    net.sqlcipher.Cursor localCursor = WickrDBAdapter.readablDatabase.rawQuery(qBuilder.getSelectWickrKeyPair(), null);
    ArrayList localArrayList = new ArrayList();
    if (!localCursor.moveToNext())
    {
      localCursor.close();
      Collections.sort(localArrayList);
    }
    for (int i = 0; ; i++)
    {
      if (i >= -1 + localArrayList.size())
      {
        return;
        localArrayList.add(Long.valueOf(localCursor.getLong(1)));
        break;
      }
      if (localArrayList.get(i) == localArrayList.get(i + 1))
        WickrUtil.showDialog(paramContext, "Duplicate ID's found");
    }
  }

  public void deleteIfNecessary()
  {
    if (!this.isFallback)
    {
      WickrDBAdapter.writableDatabase.delete("Wickr_KeyPair", "identifier=" + this.keyID, null);
      this.isDeleted = true;
    }
  }

  public byte[] getPrivateKey()
  {
    return this.privateKeyEnc;
  }

  public byte[] getPublicKey()
  {
    return this.publicKeyEnc;
  }

  public boolean save()
  {
    if (!super.save())
      return false;
    new ContentValues();
    ContentValues localContentValues = new ContentValues();
    if (this.isFallback);
    for (int i = 1; ; i = 0)
    {
      localContentValues.put("dnd", Integer.valueOf(i));
      localContentValues.put("expireTime", Long.valueOf(this.expireTime));
      localContentValues.put("identifier", Long.valueOf(this.keyID));
      boolean bool = this.needsUpload;
      int j = 0;
      if (bool)
        j = 1;
      localContentValues.put("needsUpload", Integer.valueOf(j));
      localContentValues.put("privateKey", this.privateKeyEnc);
      localContentValues.put("publicKey", this.publicKeyEnc);
      localContentValues.put("timestamp", Long.valueOf(this.timestamp));
      this.id = ((int)this.keyID);
      this.id = ((int)WickrDBAdapter.writableDatabase.insertWithOnConflict("Wickr_KeyPair", null, localContentValues, 5));
      return true;
    }
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.wickr.WickrKeyPair
 * JD-Core Version:    0.6.2
 */