package com.mywickr.wickr;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class WickrMessageQueue
{
  private boolean errorFlag = false;
  public List<WickrInbox> messageQueue = new ArrayList();
  private double percentageCompleted = 0.0D;
  private Map<String, WickrAPICode> statusMap = new HashMap();
  private int totalDownloadTask = 0;

  public void addToQueue(WickrInbox paramWickrInbox)
  {
    this.messageQueue.add(paramWickrInbox);
  }

  public WickrInbox getDownloadTask(int paramInt)
  {
    return (WickrInbox)this.messageQueue.get(paramInt);
  }

  public WickrInbox[] getMsgQueueAsArray()
  {
    return (WickrInbox[])this.messageQueue.toArray(new WickrInbox[this.messageQueue.size()]);
  }

  public int getNumberOfStatuses()
  {
    return this.statusMap.size();
  }

  public double getPercentageCompleted()
  {
    return this.percentageCompleted;
  }

  public int getTotalDownloadTask()
  {
    return this.totalDownloadTask;
  }

  public boolean isErrorFlag()
  {
    return this.errorFlag;
  }

  public void removeFromQueue(WickrInbox paramWickrInbox)
  {
    if (this.messageQueue.contains(paramWickrInbox))
      this.messageQueue.remove(paramWickrInbox);
  }

  public void resetQueue()
  {
    this.messageQueue.clear();
    this.totalDownloadTask = 0;
    this.statusMap.clear();
    this.errorFlag = false;
    this.percentageCompleted = 0.0D;
  }

  public void saveDownloadStatus(String paramString, WickrAPICode paramWickrAPICode)
  {
    this.statusMap.put(paramString, paramWickrAPICode);
    if (paramWickrAPICode.isError())
    {
      this.errorFlag = true;
      return;
    }
    try
    {
      this.percentageCompleted = (100 * this.statusMap.size() / this.totalDownloadTask);
      return;
    }
    catch (Exception localException)
    {
    }
  }

  public void setPercentageCompleted(double paramDouble)
  {
    this.percentageCompleted = paramDouble;
  }

  public void setTotalDownloadTask(int paramInt)
  {
    this.totalDownloadTask = paramInt;
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.wickr.WickrMessageQueue
 * JD-Core Version:    0.6.2
 */