package com.mywickr.wickr;

import android.app.Service;
import android.content.Intent;
import android.os.IBinder;
import java.util.ArrayList;
import java.util.Iterator;

public class WickrOperationQueue extends Service
  implements WickrQueueInterface
{
  private WickrOperation currentOperation = null;
  private ArrayList<WickrOperation> operations = new ArrayList();

  public void addOperation(WickrOperation paramWickrOperation)
  {
    this.operations.add(paramWickrOperation);
    if (this.operations.size() == 1)
      startNext();
  }

  public void cancelAllOperations()
  {
    Iterator localIterator = this.operations.iterator();
    while (true)
    {
      if (!localIterator.hasNext())
        return;
      ((WickrOperation)localIterator.next()).cancel();
    }
  }

  public void cancelOperation(WickrUploadOperation paramWickrUploadOperation)
  {
    paramWickrUploadOperation.cancel();
  }

  public WickrOperation[] getOperations()
  {
    return (WickrOperation[])this.operations.toArray(new WickrOperation[this.operations.size()]);
  }

  public IBinder onBind(Intent paramIntent)
  {
    return null;
  }

  public void operationCompleted(WickrOperation paramWickrOperation)
  {
    this.operations.remove(0);
    this.currentOperation = null;
    startNext();
  }

  public void startNext()
  {
    if ((this.operations.size() > 0) && (this.currentOperation == null))
    {
      this.currentOperation = ((WickrOperation)this.operations.get(0));
      this.currentOperation.start();
    }
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.wickr.WickrOperationQueue
 * JD-Core Version:    0.6.2
 */