package com.mywickr.wickr;

import android.content.ContentValues;
import android.content.Context;
import java.io.File;
import net.sqlcipher.database.SQLiteDatabase;

public class WickrOutbox extends WickrMessage
{
  private long ocleanupTime;
  private long ottl;
  private String tempID = null;

  public WickrOutbox(int paramInt, WickrConvo paramWickrConvo)
  {
    WickrQuearyBuilder localWickrQuearyBuilder = new WickrQuearyBuilder();
    localWickrQuearyBuilder.PARAMETER = new String[] { "msgID", "timestamp", "type", "convo", "bodyText", "cleanup", "msgIDs", "tMsgID", "ottl" };
    String[] arrayOfString = new String[2];
    arrayOfString[0] = "_id";
    arrayOfString[1] = ("=" + paramInt);
    localWickrQuearyBuilder.WHERE_CLAUSE = arrayOfString;
    net.sqlcipher.Cursor localCursor = WickrDBAdapter.readablDatabase.rawQuery(localWickrQuearyBuilder.getSelectWickrMessage(), null);
    if (!localCursor.moveToNext())
    {
      this.unlockStatus = new WickrStatus(1);
      localCursor.close();
      return;
    }
    this.srvMsgID = localCursor.getString(0);
    this.msgTimestamp = localCursor.getLong(1);
    this.msgType = localCursor.getString(2);
    if (paramWickrConvo != null)
      this.convo = paramWickrConvo;
    while (true)
    {
      this.vGroupID = paramWickrConvo.getVGroupID();
      this.cachedTextEnc = localCursor.getBlob(4);
      this.ocleanupTime = localCursor.getLong(5);
      this.msgIDSecure = localCursor.getString(6);
      this.tempID = localCursor.getString(7);
      this.ottl = localCursor.getLong(8);
      this.id = paramInt;
      break;
      paramWickrConvo = new WickrConvo(localCursor.getInt(3));
    }
  }

  public WickrOutbox(byte[] paramArrayOfByte1, String paramString1, long paramLong1, String paramString2, String paramString3, long paramLong2, byte[] paramArrayOfByte2)
  {
    this.vGroupID = paramString1;
    this.msgTimestamp = paramLong1;
    this.msgType = paramString2;
    this.msgBlob = paramArrayOfByte1;
    this.cachedTextEnc = paramArrayOfByte2;
    this.ottl = paramLong2;
    this.tempID = paramString3;
    this.unlockStatus = new WickrStatus(1);
  }

  public void deleteSafe()
  {
    WickrSession.getActiveSession().getUploadQueue().cancelUploadForMsg(this);
    super.deleteSafe();
  }

  public String getLongDeleteTime()
  {
    return WickrUtil.formatTimestamp(this.ocleanupTime);
  }

  public String getMsgIDSecure()
  {
    if (isTemp())
      return this.tempID;
    return super.getMsgIDSecure();
  }

  public long getOutboxCleanupTime()
  {
    return this.ocleanupTime;
  }

  public String getShortDeleteTime()
  {
    long l = this.ocleanupTime - WickrSession.getActiveSession().getLocalAppTime();
    if (l <= 10L)
      return "< 10 sec";
    if (l <= 60L)
      return "< 60 sec";
    if (l <= 3600L)
      return "< 1 hour";
    if (l < 86400L)
      return "< 1 day";
    float f = (float)l / 86400.0F;
    Object[] arrayOfObject = new Object[1];
    arrayOfObject[0] = Float.valueOf(f);
    return String.format("~%.1f", arrayOfObject) + " days";
  }

  public String getSrvMsgID()
  {
    if (isTemp())
      return this.tempID;
    return this.srvMsgID;
  }

  public long getTTL()
  {
    return this.ottl;
  }

  public String getTimestampText()
  {
    return "You - " + super.getTimestampText();
  }

  public boolean isTemp()
  {
    return (this.msgIDSecure == null) && (this.tempID != null);
  }

  public boolean needsCleanup()
  {
    if (isTemp());
    while (this.ocleanupTime >= WickrSession.getActiveSession().getLocalAppTime())
      return false;
    return true;
  }

  public boolean save()
  {
    if (!super.save())
      return false;
    ContentValues localContentValues = new ContentValues();
    localContentValues.put("msgID", this.srvMsgID);
    localContentValues.put("msgIDs", this.msgIDSecure);
    localContentValues.put("class", Integer.valueOf(2));
    localContentValues.put("timestamp", Long.valueOf(this.msgTimestamp));
    localContentValues.put("type", this.msgType);
    localContentValues.put("convo", Integer.valueOf(this.convo.getID()));
    localContentValues.put("cleanup", Long.valueOf(this.ocleanupTime));
    localContentValues.put("ottl", Long.valueOf(this.ottl));
    localContentValues.put("tMsgID", this.tempID);
    localContentValues.put("bodyText", this.cachedTextEnc);
    if (this.id != -1)
    {
      WickrDBAdapter.writableDatabase.update("Wickr_Message", localContentValues, "_id=" + this.id, null);
      return false;
    }
    this.id = ((int)WickrDBAdapter.writableDatabase.replace("Wickr_Message", null, localContentValues));
    return true;
  }

  public void setSrvMsgID(String paramString)
  {
    if ((isTemp()) && (hasMsgBlob()))
    {
      File localFile = WickrSession.getActiveSession().getContext().getFileStreamPath(getBlobFilePath());
      this.tempID = null;
      this.ocleanupTime = (WickrSession.getActiveSession().getLocalAppTime() + this.ottl);
      super.setSrvMsgID(paramString);
      localFile.renameTo(WickrSession.getActiveSession().getContext().getFileStreamPath(getBlobFilePath()));
      changeMade();
      save();
    }
  }

  public String toString()
  {
    return "[ vGroupID: " + this.vGroupID + " cleanup time: " + this.ocleanupTime + " timestamp: " + this.msgTimestamp + " type: " + this.msgType + " file of size: " + this.msgBlob.length + " ]";
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.wickr.WickrOutbox
 * JD-Core Version:    0.6.2
 */