package com.mywickr.wickr;

import android.content.ContentValues;
import com.loopj.android.http.BinaryHttpResponseHandler;
import com.mywickr.interfaces.WickrPrivacyManInterface;
import java.util.ArrayList;
import java.util.Locale;
import net.sqlcipher.database.SQLiteDatabase;
import org.apache.http.Header;

public class WickrPrivacyMan extends WickrDBObject
{
  private ArrayList<WickrUser> currentMembers = null;
  private boolean isDebug = false;
  private long lastUpdate;
  private WickrPrivacyManInterface privacyManGui;
  private int type;

  public WickrPrivacyMan()
  {
    this.lastUpdate = 1L;
    this.type = 0;
    this.id = -1;
    this.isDebug = false;
    activeSessionImportPrivacyMan();
  }

  public WickrPrivacyMan(int paramInt)
  {
    net.sqlcipher.Cursor localCursor = WickrDBAdapter.readablDatabase.rawQuery("SELECT _id, type, lastUpdate, account from Wickr_PrivacyMan where _id = " + paramInt, null);
    while (true)
    {
      if (!localCursor.moveToNext())
      {
        localCursor.close();
        getCurrentMembers();
        activeSessionImportPrivacyMan();
        return;
      }
      this.lastUpdate = localCursor.getLong(2);
      if (this.lastUpdate == 0L)
        this.lastUpdate = 1L;
      this.type = localCursor.getInt(1);
      this.id = paramInt;
    }
  }

  public WickrPrivacyMan(boolean paramBoolean)
  {
    this.lastUpdate = 1L;
    this.type = 0;
    this.id = -1;
    this.isDebug = paramBoolean;
    activeSessionImportPrivacyMan();
  }

  private native String activeSessionBlockUserString(WickrUser paramWickrUser, WickrStatus paramWickrStatus);

  private native String activeSessionBlockUserString(String paramString, WickrStatus paramWickrStatus);

  private native WickrStatus activeSessionImportPrivacyMan();

  private native String activeSessionSwitchPModeString(int paramInt, WickrStatus paramWickrStatus);

  private native String activeSessionUnblockUserString(WickrUser paramWickrUser, WickrStatus paramWickrStatus);

  private native String activeSessionUnblockUserString(String paramString, WickrStatus paramWickrStatus);

  private native String activeSessionUpdatePListString(WickrStatus paramWickrStatus);

  private native byte[] testPrivacyListString(WickrStatus paramWickrStatus);

  private void updatePrivacyList(WickrUser[] paramArrayOfWickrUser, int paramInt, long paramLong)
  {
    WickrUser[] arrayOfWickrUser = (WickrUser[])this.currentMembers.toArray(new WickrUser[this.currentMembers.size()]);
    int i = 0;
    if (i >= arrayOfWickrUser.length);
    for (int j = 0; ; j++)
    {
      if (j >= paramArrayOfWickrUser.length)
      {
        this.lastUpdate = paramLong;
        this.type = paramInt;
        changeMade();
        save();
        return;
        arrayOfWickrUser[i].setIsOnPrivacyList(false);
        this.currentMembers.remove(arrayOfWickrUser[i]);
        i++;
        break;
      }
      paramArrayOfWickrUser[j].setIsOnPrivacyList(true);
      this.currentMembers.add(paramArrayOfWickrUser[j]);
    }
  }

  private native WickrAPICode wickrGetPrivacyFuncAddRemoveStatus(byte[] paramArrayOfByte, boolean paramBoolean, WickrUser paramWickrUser, WickrStatus paramWickrStatus);

  private native WickrAPICode wickrGetPrivacyFuncStatus(byte[] paramArrayOfByte, WickrStatus paramWickrStatus);

  private native WickrAPICode wickrParsePrivacyList(byte[] paramArrayOfByte, WickrStatus paramWickrStatus);

  public WickrStatus blockUser(final WickrUser paramWickrUser)
  {
    final WickrStatus localWickrStatus = new WickrStatus(1);
    String str = activeSessionBlockUserString(paramWickrUser, localWickrStatus);
    if (!localWickrStatus.isError())
    {
      WickrAsyncHttp localWickrAsyncHttp = WickrSession.getActiveSession().getHttpClient();
      BinaryHttpResponseHandler local2 = new BinaryHttpResponseHandler(WickrUtil.allowedContentTypes)
      {
        public void onFailure(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte, Throwable paramAnonymousThrowable)
        {
        }

        public void onRetry(int paramAnonymousInt)
        {
          if (WickrPrivacyMan.this.privacyManGui != null)
            WickrPrivacyMan.this.privacyManGui.wickrServerCallNetError();
        }

        public void onSuccess(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte)
        {
          if (WickrPrivacyMan.this.privacyManGui != null)
            WickrPrivacyMan.this.privacyManGui.wickrServerCallReturned();
          WickrAPICode localWickrAPICode = WickrPrivacyMan.this.wickrGetPrivacyFuncAddRemoveStatus(paramAnonymousArrayOfByte, WickrPrivacyMan.this.getType().equals(WickrPrivacyType.WICKR_PRIVACY_WHITE), paramWickrUser, localWickrStatus);
          if (!localWickrAPICode.isError())
            if (WickrPrivacyMan.this.getType().equals(WickrPrivacyType.WICKR_PRIVACY_WHITE))
            {
              paramWickrUser.setIsOnPrivacyList(false);
              WickrPrivacyMan.this.currentMembers.remove(paramWickrUser);
              paramWickrUser.save();
              if (WickrPrivacyMan.this.privacyManGui != null)
                WickrPrivacyMan.this.privacyManGui.wickrPrivacyManStatus(localWickrStatus, localWickrAPICode, WickrUtil.BLOCK_USER_CALL);
            }
          do
          {
            return;
            paramWickrUser.setIsOnPrivacyList(true);
            WickrPrivacyMan.this.currentMembers.add(paramWickrUser);
            paramWickrUser.save();
            break;
            if (localWickrAPICode.getValue() == 21)
            {
              WickrPrivacyMan.this.forceUpdate();
              return;
            }
          }
          while (WickrPrivacyMan.this.privacyManGui == null);
          WickrPrivacyMan.this.privacyManGui.wickrPrivacyManStatus(localWickrStatus, localWickrAPICode, WickrUtil.BLOCK_USER_CALL);
        }
      };
      String[] arrayOfString = new String[4];
      arrayOfString[0] = "json_secure";
      arrayOfString[1] = str;
      arrayOfString[2] = "json_id";
      arrayOfString[3] = WickrSession.getActiveSession().getAppID();
      localWickrAsyncHttp.addStringParameters(arrayOfString);
      localWickrAsyncHttp.post("https://secex.info/service/105/src/setWhitelist.php", local2);
      if (this.privacyManGui != null)
        this.privacyManGui.wickrServerCallStarted();
    }
    return localWickrStatus;
  }

  public WickrStatus blockUser(final String paramString)
  {
    final WickrStatus localWickrStatus = new WickrStatus(1);
    String str = activeSessionBlockUserString(paramString.toLowerCase(Locale.US), localWickrStatus);
    WickrAsyncHttp localWickrAsyncHttp = WickrSession.getActiveSession().getHttpClient();
    BinaryHttpResponseHandler local3 = new BinaryHttpResponseHandler(WickrUtil.allowedContentTypes)
    {
      public void onFailure(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte, Throwable paramAnonymousThrowable)
      {
        if (WickrPrivacyMan.this.privacyManGui != null)
          WickrPrivacyMan.this.privacyManGui.wickrServerCallNetError();
      }

      public void onRetry()
      {
        if (WickrPrivacyMan.this.privacyManGui != null)
          WickrPrivacyMan.this.privacyManGui.wickrServerCallNetError();
      }

      public void onSuccess(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte)
      {
        if (WickrPrivacyMan.this.privacyManGui != null)
          WickrPrivacyMan.this.privacyManGui.wickrServerCallReturned();
        WickrUser localWickrUser = WickrUser.getUserWithAlias(paramString);
        int i = 0;
        if (localWickrUser == null)
        {
          localWickrUser = WickrUser.createNewUserWithUname(paramString);
          i = 1;
        }
        WickrAPICode localWickrAPICode = WickrPrivacyMan.this.wickrGetPrivacyFuncAddRemoveStatus(paramAnonymousArrayOfByte, WickrPrivacyMan.this.getType().equals(WickrPrivacyType.WICKR_PRIVACY_WHITE), localWickrUser, localWickrStatus);
        if (!localWickrAPICode.isError())
        {
          localWickrUser.setIsOnPrivacyList(true);
          localWickrUser.setIsHidden(true);
          localWickrUser.save();
          WickrPrivacyMan.this.currentMembers.add(localWickrUser);
          if (WickrPrivacyMan.this.privacyManGui != null)
            WickrPrivacyMan.this.privacyManGui.wickrPrivacyManStatus(localWickrStatus, localWickrAPICode, WickrUtil.BLOCK_USER_CALL);
        }
        do
        {
          return;
          if (localWickrAPICode.getValue() == 21)
          {
            WickrPrivacyMan.this.forceUpdate();
            return;
          }
          if (i != 0)
            localWickrUser.delete();
        }
        while (WickrPrivacyMan.this.privacyManGui == null);
        WickrPrivacyMan.this.privacyManGui.wickrPrivacyManStatus(localWickrStatus, localWickrAPICode, WickrUtil.BLOCK_USER_CALL);
      }
    };
    String[] arrayOfString = new String[4];
    arrayOfString[0] = "json_secure";
    arrayOfString[1] = str;
    arrayOfString[2] = "json_id";
    arrayOfString[3] = WickrSession.getActiveSession().getAppID();
    localWickrAsyncHttp.addStringParameters(arrayOfString);
    localWickrAsyncHttp.post("https://secex.info/service/105/src/setWhitelist.php", local3);
    if (this.privacyManGui != null)
      this.privacyManGui.wickrServerCallStarted();
    return localWickrStatus;
  }

  public WickrStatus changeMode(WickrPrivacyType paramWickrPrivacyType)
  {
    final WickrStatus localWickrStatus = new WickrStatus(1);
    String str = activeSessionSwitchPModeString(paramWickrPrivacyType.getValue(), localWickrStatus);
    WickrAsyncHttp localWickrAsyncHttp = WickrSession.getActiveSession().getHttpClient();
    BinaryHttpResponseHandler local6 = new BinaryHttpResponseHandler(WickrUtil.allowedContentTypes)
    {
      public void onFailure(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte, Throwable paramAnonymousThrowable)
      {
        if (WickrPrivacyMan.this.privacyManGui != null)
          WickrPrivacyMan.this.privacyManGui.wickrServerCallNetError();
      }

      public void onRetry()
      {
        if (WickrPrivacyMan.this.privacyManGui != null)
          WickrPrivacyMan.this.privacyManGui.wickrServerCallNetError();
      }

      public void onSuccess(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte)
      {
        WickrAPICode localWickrAPICode = WickrPrivacyMan.this.wickrGetPrivacyFuncStatus(paramAnonymousArrayOfByte, localWickrStatus);
        if (!localWickrAPICode.isError())
          WickrPrivacyMan.this.forceUpdate();
        while (true)
        {
          WickrPrivacyMan.this.privacyManGui.wickrServerCallReturned();
          if (WickrPrivacyMan.this.privacyManGui != null)
            WickrPrivacyMan.this.privacyManGui.wickrPrivacyManStatus(localWickrStatus, localWickrAPICode, WickrUtil.CHANGE_MODE_CALL);
          return;
          if (localWickrAPICode.getValue() == 21)
            WickrPrivacyMan.this.forceUpdate();
        }
      }
    };
    String[] arrayOfString = new String[4];
    arrayOfString[0] = "json_secure";
    arrayOfString[1] = str;
    arrayOfString[2] = "json_id";
    arrayOfString[3] = WickrSession.getActiveSession().getAppID();
    localWickrAsyncHttp.addStringParameters(arrayOfString);
    localWickrAsyncHttp.post("https://secex.info/service/105/src/setUserProperty.php", local6);
    this.privacyManGui.wickrServerCallStarted();
    return localWickrStatus;
  }

  public WickrStatus forceUpdate()
  {
    this.lastUpdate = 0L;
    changeMade();
    return update();
  }

  public WickrUser[] getCurrentMembers()
  {
    net.sqlcipher.Cursor localCursor;
    if (this.currentMembers == null)
    {
      localCursor = WickrDBAdapter.readablDatabase.rawQuery("SELECT userIDHash FROM Wickr_User WHERE privacyMan=" + this.id, null);
      this.currentMembers = new ArrayList();
    }
    while (true)
    {
      if (!localCursor.moveToNext())
      {
        localCursor.close();
        return (WickrUser[])this.currentMembers.toArray(new WickrUser[this.currentMembers.size()]);
      }
      this.currentMembers.add(WickrUser.getUserWithID(localCursor.getString(0)));
    }
  }

  public ArrayList<WickrUser> getCurrentMembersList()
  {
    net.sqlcipher.Cursor localCursor;
    if (this.currentMembers == null)
    {
      localCursor = WickrDBAdapter.readablDatabase.rawQuery("SELECT userIDHash FROM Wickr_User WHERE privacyMan=" + this.id, null);
      this.currentMembers = new ArrayList();
    }
    while (true)
    {
      if (!localCursor.moveToNext())
        return this.currentMembers;
      this.currentMembers.add(WickrUser.getUserWithID(localCursor.getString(0)));
    }
  }

  public long getLastUpdate()
  {
    return this.lastUpdate;
  }

  public WickrPrivacyType getType()
  {
    if (this.type == 0)
      return WickrPrivacyType.WICKR_PRIVACY_BLACK;
    return WickrPrivacyType.WICKR_PRIVACY_WHITE;
  }

  public boolean save()
  {
    if (!super.save())
      return false;
    new ContentValues();
    ContentValues localContentValues = new ContentValues();
    localContentValues.put("type", Integer.valueOf(this.type));
    localContentValues.put("lastUpdate", Long.valueOf(this.lastUpdate));
    localContentValues.put("account", Integer.valueOf(1));
    if (this.id != -1)
    {
      WickrDBAdapter.writableDatabase.update("Wickr_PrivacyMan", localContentValues, "_id=" + this.id, null);
      return false;
    }
    this.id = ((int)WickrDBAdapter.writableDatabase.replace("Wickr_PrivacyMan", null, localContentValues));
    return true;
  }

  public void setLastUpdate(long paramLong)
  {
    this.lastUpdate = paramLong;
    save();
  }

  public void setPrivacyGUIManager(WickrPrivacyManInterface paramWickrPrivacyManInterface)
  {
    this.privacyManGui = paramWickrPrivacyManInterface;
  }

  public void setWickrPrivacyType(WickrPrivacyType paramWickrPrivacyType)
  {
    if (paramWickrPrivacyType.equals(WickrPrivacyType.WICKR_PRIVACY_BLACK));
    for (this.type = 0; ; this.type = 1)
    {
      changeMade();
      save();
      return;
    }
  }

  public WickrStatus unblockUser(final WickrUser paramWickrUser)
  {
    final WickrStatus localWickrStatus = new WickrStatus(1);
    String str = activeSessionUnblockUserString(paramWickrUser, localWickrStatus);
    if (!localWickrStatus.isError())
    {
      WickrAsyncHttp localWickrAsyncHttp = WickrSession.getActiveSession().getHttpClient();
      BinaryHttpResponseHandler local4 = new BinaryHttpResponseHandler(WickrUtil.allowedContentTypes)
      {
        public void onFailure(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte, Throwable paramAnonymousThrowable)
        {
          if (WickrPrivacyMan.this.privacyManGui != null)
            WickrPrivacyMan.this.privacyManGui.wickrServerCallNetError();
        }

        public void onRetry()
        {
          if (WickrPrivacyMan.this.privacyManGui != null)
            WickrPrivacyMan.this.privacyManGui.wickrServerCallNetError();
        }

        public void onSuccess(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte)
        {
          if (WickrPrivacyMan.this.privacyManGui != null)
            WickrPrivacyMan.this.privacyManGui.wickrServerCallReturned();
          WickrAPICode localWickrAPICode = WickrPrivacyMan.this.wickrGetPrivacyFuncAddRemoveStatus(paramAnonymousArrayOfByte, WickrPrivacyMan.this.getType().equals(WickrPrivacyType.WICKR_PRIVACY_BLACK), paramWickrUser, localWickrStatus);
          if (!localWickrAPICode.isError())
            if (WickrPrivacyMan.this.getType().equals(WickrPrivacyType.WICKR_PRIVACY_BLACK))
            {
              paramWickrUser.setIsOnPrivacyList(false);
              WickrPrivacyMan.this.currentMembers.remove(paramWickrUser);
              paramWickrUser.save();
              if (WickrPrivacyMan.this.privacyManGui != null)
                WickrPrivacyMan.this.privacyManGui.wickrPrivacyManStatus(localWickrStatus, localWickrAPICode, WickrUtil.UNBLOCK_USER_CALL);
            }
          do
          {
            return;
            paramWickrUser.setIsOnPrivacyList(true);
            WickrPrivacyMan.this.currentMembers.add(paramWickrUser);
            paramWickrUser.save();
            break;
            if (localWickrAPICode.getValue() == 21)
            {
              WickrPrivacyMan.this.forceUpdate();
              return;
            }
          }
          while (WickrPrivacyMan.this.privacyManGui == null);
          WickrPrivacyMan.this.privacyManGui.wickrPrivacyManStatus(localWickrStatus, localWickrAPICode, WickrUtil.UNBLOCK_USER_CALL);
        }
      };
      String[] arrayOfString = new String[4];
      arrayOfString[0] = "json_secure";
      arrayOfString[1] = str;
      arrayOfString[2] = "json_id";
      arrayOfString[3] = WickrSession.getActiveSession().getAppID();
      localWickrAsyncHttp.addStringParameters(arrayOfString);
      localWickrAsyncHttp.post("https://secex.info/service/105/src/setWhitelist.php", local4);
      if (this.privacyManGui != null)
        this.privacyManGui.wickrServerCallStarted();
    }
    return localWickrStatus;
  }

  public WickrStatus unblockUser(final String paramString)
  {
    final WickrStatus localWickrStatus = new WickrStatus(1);
    String str = activeSessionUnblockUserString(paramString.toLowerCase(Locale.US), localWickrStatus);
    WickrAsyncHttp localWickrAsyncHttp = WickrSession.getActiveSession().getHttpClient();
    BinaryHttpResponseHandler local5 = new BinaryHttpResponseHandler(WickrUtil.allowedContentTypes)
    {
      public void onFailure(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte, Throwable paramAnonymousThrowable)
      {
        if (WickrPrivacyMan.this.privacyManGui != null)
          WickrPrivacyMan.this.privacyManGui.wickrServerCallNetError();
      }

      public void onRetry()
      {
        if (WickrPrivacyMan.this.privacyManGui != null)
          WickrPrivacyMan.this.privacyManGui.wickrServerCallNetError();
      }

      public void onSuccess(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte)
      {
        if (WickrPrivacyMan.this.privacyManGui != null)
          WickrPrivacyMan.this.privacyManGui.wickrServerCallReturned();
        WickrUser localWickrUser = WickrUser.getUserWithAlias(paramString);
        int i = 0;
        if (localWickrUser == null)
        {
          localWickrUser = WickrUser.createNewUserWithUname(paramString);
          i = 1;
        }
        WickrAPICode localWickrAPICode = WickrPrivacyMan.this.wickrGetPrivacyFuncAddRemoveStatus(paramAnonymousArrayOfByte, WickrPrivacyMan.this.getType().equals(WickrPrivacyType.WICKR_PRIVACY_BLACK), localWickrUser, localWickrStatus);
        if (!localWickrAPICode.isError())
        {
          localWickrUser.setIsOnPrivacyList(true);
          localWickrUser.save();
          WickrPrivacyMan.this.currentMembers.add(localWickrUser);
          if (WickrPrivacyMan.this.privacyManGui != null)
            WickrPrivacyMan.this.privacyManGui.wickrPrivacyManStatus(localWickrStatus, localWickrAPICode, WickrUtil.UNBLOCK_USER_CALL);
        }
        do
        {
          return;
          if (localWickrAPICode.getValue() == 21)
          {
            WickrPrivacyMan.this.forceUpdate();
            return;
          }
          if (i != 0)
            localWickrUser.delete();
        }
        while (WickrPrivacyMan.this.privacyManGui == null);
        WickrPrivacyMan.this.privacyManGui.wickrPrivacyManStatus(localWickrStatus, localWickrAPICode, WickrUtil.UNBLOCK_USER_CALL);
      }
    };
    String[] arrayOfString = new String[4];
    arrayOfString[0] = "json_secure";
    arrayOfString[1] = str;
    arrayOfString[2] = "json_id";
    arrayOfString[3] = WickrSession.getActiveSession().getAppID();
    localWickrAsyncHttp.addStringParameters(arrayOfString);
    localWickrAsyncHttp.post("https://secex.info/service/105/src/setWhitelist.php", local5);
    return localWickrStatus;
  }

  public WickrStatus update()
  {
    final WickrStatus localWickrStatus = new WickrStatus(1);
    String str = activeSessionUpdatePListString(localWickrStatus);
    WickrAsyncHttp localWickrAsyncHttp = WickrSession.getActiveSession().getHttpClient();
    BinaryHttpResponseHandler local1 = new BinaryHttpResponseHandler(WickrUtil.allowedContentTypes)
    {
      public void onFailure(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte, Throwable paramAnonymousThrowable)
      {
      }

      public void onProgress(int paramAnonymousInt1, int paramAnonymousInt2)
      {
      }

      public void onRetry(int paramAnonymousInt)
      {
        if (WickrPrivacyMan.this.privacyManGui != null)
          WickrPrivacyMan.this.privacyManGui.wickrServerCallNetError();
      }

      public void onSuccess(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte)
      {
        WickrAPICode localWickrAPICode = WickrPrivacyMan.this.wickrParsePrivacyList(paramAnonymousArrayOfByte, localWickrStatus);
        if (localWickrAPICode.getValue() == 21)
          WickrPrivacyMan.this.forceUpdate();
        while (WickrPrivacyMan.this.privacyManGui == null)
          return;
        WickrPrivacyMan.this.privacyManGui.wickrPrivacyManStatus(localWickrStatus, localWickrAPICode, WickrUtil.UPDATE_PRIVACY_LIST_CALL);
      }
    };
    String[] arrayOfString = new String[4];
    arrayOfString[0] = "json_secure";
    arrayOfString[1] = str;
    arrayOfString[2] = "json_id";
    arrayOfString[3] = WickrSession.getActiveSession().getAppID();
    localWickrAsyncHttp.addStringParameters(arrayOfString);
    localWickrAsyncHttp.post("https://secex.info/service/105/src/getWhitelist.php", local1);
    return localWickrStatus;
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.wickr.WickrPrivacyMan
 * JD-Core Version:    0.6.2
 */