package com.mywickr.wickr;

import android.content.Context;
import java.util.Locale;

public class WickrRegistrationCtx extends WickrManager
{
  private static WickrRegistrationCtx activeCtx;
  private Context ctx;
  private String devTag = null;
  private String devType = null;
  private boolean isSync;
  private String password = null;
  private WickrRegistrationReceipt receipt = null;
  private String username = null;

  public WickrRegistrationCtx(String paramString, boolean paramBoolean)
  {
    this.isSync = paramBoolean;
    closeRegistration();
    setStatus(initRegistration(paramString, paramBoolean));
    isErrorState();
    activeCtx = this;
  }

  private static native String checkRegistrationString(WickrStatus paramWickrStatus);

  private static native void closeRegistration();

  private static native WickrRegistrationReceipt commitRegistration(WickrStatus paramWickrStatus);

  public static WickrRegistrationCtx getActiveCtx()
  {
    return activeCtx;
  }

  private static native WickrStatus initRegistration(String paramString, boolean paramBoolean);

  private WickrRegistrationReceipt toReceipt()
  {
    return commitRegistration(getStatus());
  }

  private static native WickrStatus updateRegistration(String paramString1, String paramString2, String paramString3, String paramString4);

  private static native WickrAPICode wickrRegistrationProcessResult(byte[] paramArrayOfByte);

  public WickrStatus checkForErrors()
  {
    setStatus(updateRegistration(this.username, this.password, this.devType, this.devTag));
    return getStatus();
  }

  public void endOrCancelRegistration()
  {
    closeRegistration();
  }

  public Context getAppContext()
  {
    return this.ctx;
  }

  public WickrRegistrationReceipt getRegistrationInfo()
  {
    if (this.receipt == null)
    {
      this.receipt = toReceipt();
      if (this.isSync)
        this.receipt.getAccount().setWasSynced(true);
      return this.receipt;
    }
    return null;
  }

  public String preRegistrationCheckString()
  {
    String str = checkRegistrationString(getStatus());
    if (isErrorState())
      str = null;
    return str;
  }

  public WickrAPICode processRegistrationCheckResult(byte[] paramArrayOfByte)
  {
    return wickrRegistrationProcessResult(paramArrayOfByte);
  }

  public WickrAPICode processRegistrationResult(byte[] paramArrayOfByte)
  {
    return wickrRegistrationProcessResult(paramArrayOfByte);
  }

  public void setAppContext(Context paramContext)
  {
    this.ctx = paramContext;
  }

  public void setDevTag(String paramString)
  {
    this.devTag = paramString;
  }

  public void setDevType(String paramString)
  {
    this.devType = paramString;
  }

  public boolean setPassword(String paramString)
  {
    if (WickrUtil.validatePassword(paramString))
    {
      this.password = paramString;
      return true;
    }
    return false;
  }

  public boolean setUsername(String paramString)
  {
    String str = paramString.toLowerCase(Locale.ENGLISH);
    if (WickrUtil.validateUsername(str))
    {
      this.username = str;
      return true;
    }
    return false;
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.wickr.WickrRegistrationCtx
 * JD-Core Version:    0.6.2
 */