package com.mywickr.wickr;

import android.content.Context;

public class WickrUploadQueue extends WickrOperationQueue
{
  private Context context;
  private WickrAsyncHttp httpClient;

  public WickrUploadQueue(Context paramContext)
  {
    this.context = paramContext;
    this.httpClient = new WickrAsyncHttp(WickrSession.getActiveSession().getContext(), true);
  }

  private WickrUploadOperation getUploadOpWithMsgID(String paramString)
  {
    WickrOperation[] arrayOfWickrOperation = getOperations();
    int i = arrayOfWickrOperation.length;
    for (int j = 0; ; j++)
    {
      if (j >= i)
        return null;
      WickrOperation localWickrOperation = arrayOfWickrOperation[j];
      if (localWickrOperation.getID().equalsIgnoreCase(paramString))
        return (WickrUploadOperation)localWickrOperation;
    }
  }

  public void cancelAllOperations()
  {
    super.cancelAllOperations();
    this.httpClient.cancelRequests();
  }

  public void cancelUploadForMsg(WickrOutbox paramWickrOutbox)
  {
    WickrUploadOperation localWickrUploadOperation = getUploadOpWithMsgID(paramWickrOutbox.getMsgIDSecure());
    if (localWickrUploadOperation != null)
      cancelOperation(localWickrUploadOperation);
  }

  public void enqueueComposeContext(WickrComposeCtx paramWickrComposeCtx)
  {
    addOperation(new WickrUploadOperation(paramWickrComposeCtx, this, this.httpClient, this.context));
  }

  public WickrUploadOperation getUploadOp(WickrOutbox paramWickrOutbox)
  {
    return getUploadOpWithMsgID(paramWickrOutbox.getMsgIDSecure());
  }

  public boolean msgIsUploading(WickrOutbox paramWickrOutbox)
  {
    return getUploadOpWithMsgID(paramWickrOutbox.getMsgIDSecure()) != null;
  }

  public void setProgressAndStatusInterfaces(WickrOutbox paramWickrOutbox, WickrStatusDisplayInterface paramWickrStatusDisplayInterface, WickrProgressInterface paramWickrProgressInterface)
  {
    WickrUploadOperation localWickrUploadOperation = getUploadOpWithMsgID(paramWickrOutbox.getMsgIDSecure());
    if (localWickrUploadOperation != null)
    {
      localWickrUploadOperation.setStatusDisplayInterface(paramWickrStatusDisplayInterface);
      localWickrUploadOperation.setProgressDisplayInterface(paramWickrProgressInterface);
    }
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.wickr.WickrUploadQueue
 * JD-Core Version:    0.6.2
 */