package com.mywickr.wickr;

import android.os.Handler;
import android.os.Looper;
import com.loopj.android.http.BinaryHttpResponseHandler;
import com.loopj.android.http.RequestHandle;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.concurrent.ConcurrentHashMap;
import org.apache.http.Header;

public class WickrUserKeyUpdateMan extends WickrManager
{
  private ConcurrentHashMap<String, WickrUserKeyQuery> activeQueries = null;

  public void addUserWithInbox(WickrUser paramWickrUser, WickrInbox paramWickrInbox)
  {
    paramWickrInbox.setKeyUpdateInProgress(true);
    WickrUserKeyQuery localWickrUserKeyQuery1 = (WickrUserKeyQuery)this.activeQueries.get(paramWickrUser.getUserIDHash());
    if (localWickrUserKeyQuery1 == null)
    {
      WickrUserKeyQuery localWickrUserKeyQuery2 = new WickrUserKeyQuery(paramWickrUser, paramWickrInbox, null);
      this.activeQueries.put(paramWickrUser.getUserIDHash(), localWickrUserKeyQuery2);
      localWickrUserKeyQuery2.start();
      return;
    }
    localWickrUserKeyQuery1.addInboxToRecipientList(paramWickrInbox);
  }

  public void cancelAll()
  {
    Iterator localIterator = this.activeQueries.values().iterator();
    while (true)
    {
      if (!localIterator.hasNext())
      {
        this.activeQueries.clear();
        return;
      }
      ((WickrUserKeyQuery)localIterator.next()).cancel();
    }
  }

  private class WickrUserKeyQuery
  {
    private ArrayList<WickrInbox> inboxs = null;
    private RequestHandle requestHandle;
    private WickrUser user;

    private WickrUserKeyQuery(WickrUser paramWickrInbox, WickrInbox arg3)
    {
      this.user = paramWickrInbox;
      this.inboxs = new ArrayList();
      WickrInbox localWickrInbox;
      addInboxToRecipientList(localWickrInbox);
    }

    public void addInboxToRecipientList(WickrInbox paramWickrInbox)
    {
      this.inboxs.add(paramWickrInbox);
    }

    public void cancel()
    {
      this.requestHandle.cancel(true);
    }

    public void start()
    {
      new Handler(Looper.getMainLooper()).post(new Runnable()
      {
        public void run()
        {
          WickrAsyncHttp localWickrAsyncHttp = WickrSession.getActiveSession().getHttpClient();
          BinaryHttpResponseHandler local1 = new BinaryHttpResponseHandler(WickrUtil.allowedContentTypes)
          {
            public void onFailure(int paramAnonymous2Int, Header[] paramAnonymous2ArrayOfHeader, byte[] paramAnonymous2ArrayOfByte, Throwable paramAnonymous2Throwable)
            {
            }

            public void onSuccess(int paramAnonymous2Int, Header[] paramAnonymous2ArrayOfHeader, byte[] paramAnonymous2ArrayOfByte)
            {
              WickrUserKeyUpdateMan.WickrUserKeyQuery.this.user.refreshUserWithQueryResult(paramAnonymous2ArrayOfByte);
              Iterator localIterator = WickrUserKeyUpdateMan.WickrUserKeyQuery.this.inboxs.iterator();
              while (true)
              {
                if (!localIterator.hasNext())
                {
                  WickrUserKeyUpdateMan.this.activeQueries.remove(WickrUserKeyUpdateMan.WickrUserKeyQuery.this.user.getUserIDHash());
                  return;
                }
                WickrInbox localWickrInbox = (WickrInbox)localIterator.next();
                if (!localWickrInbox.isDeleted())
                {
                  if (localWickrInbox.getInboxState().equals(WickrInboxState.WICKR_INBOX_OPENED))
                    localWickrInbox.validateSender(true);
                  localWickrInbox.setKeyUpdateInProgress(false);
                }
              }
            }
          };
          String[] arrayOfString = new String[4];
          arrayOfString[0] = "json_secure";
          arrayOfString[1] = WickrUserKeyUpdateMan.WickrUserKeyQuery.this.user.getInfoQueryString();
          arrayOfString[2] = "json_id";
          arrayOfString[3] = WickrSession.getActiveSession().getAppID();
          localWickrAsyncHttp.addStringParameters(arrayOfString);
          WickrUserKeyUpdateMan.WickrUserKeyQuery.this.requestHandle = localWickrAsyncHttp.post("https://secex.info/service/105/src/getUserInfo.php", local1);
        }
      });
    }
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.wickr.WickrUserKeyUpdateMan
 * JD-Core Version:    0.6.2
 */