package com.mywickr.wickr;

import com.loopj.android.http.BinaryHttpResponseHandler;
import com.loopj.android.http.RequestHandle;
import java.util.Locale;
import org.apache.http.Header;

public class WickrUserValidator
{
  protected RequestHandle activeRequestHandle;
  protected WickrUserValidatorInterface iFace = null;
  private WickrSearchItem searchItem;
  private String searchString;
  private WickrUser user = null;

  public WickrUserValidator(WickrUserValidatorInterface paramWickrUserValidatorInterface, WickrSearchItem paramWickrSearchItem)
  {
    this.iFace = paramWickrUserValidatorInterface;
    this.user = paramWickrSearchItem.getRepresentedUser();
    if (paramWickrSearchItem.getRepresentedUser() != null)
      this.searchString = paramWickrSearchItem.getRepresentedUser().getUserAlias();
    this.searchItem = paramWickrSearchItem;
  }

  public WickrUserValidator(WickrUserValidatorInterface paramWickrUserValidatorInterface, WickrUser paramWickrUser)
  {
    this.iFace = paramWickrUserValidatorInterface;
    this.user = paramWickrUser;
    this.searchString = paramWickrUser.getUserAlias();
    this.searchItem = new WickrSearchItem(paramWickrUser);
  }

  public WickrUserValidator(WickrUserValidatorInterface paramWickrUserValidatorInterface, String paramString, WickrSearchItem paramWickrSearchItem)
  {
    this.iFace = paramWickrUserValidatorInterface;
    this.user = null;
    this.searchString = paramString;
    this.searchItem = paramWickrSearchItem;
  }

  private static native String getQueryUserString(WickrStatus paramWickrStatus, String paramString, WickrApp[] paramArrayOfWickrApp, long paramLong, int paramInt);

  private static native WickrUser processUQueryResult(byte[] paramArrayOfByte, String paramString, WickrAPICode paramWickrAPICode, WickrStatus paramWickrStatus);

  public void cancel()
  {
    if (this.activeRequestHandle != null)
      this.activeRequestHandle.cancel(true);
  }

  protected void failure(WickrAPICode paramWickrAPICode)
  {
    this.iFace.userValidatorFailedWithError(paramWickrAPICode, paramWickrAPICode.toString(this.searchString), this);
  }

  public WickrSearchItem getSearchItem()
  {
    return this.searchItem;
  }

  public String getUserQueryJson(String paramString, WickrUser paramWickrUser)
  {
    String str1 = paramString.toLowerCase(Locale.ENGLISH);
    WickrAliasType localWickrAliasType = WickrUtil.aliasTypeFromString(str1);
    WickrStatus localWickrStatus;
    if (localWickrAliasType != WickrAliasType.WICKR_INVALID_ALIAS)
    {
      if (paramWickrUser != null)
        paramWickrUser.refreshFromDB();
      localWickrStatus = new WickrStatus(0);
      if (paramWickrUser == null)
        break label81;
    }
    String str2;
    label81: for (WickrApp[] arrayOfWickrApp = paramWickrUser.getApps(); ; arrayOfWickrApp = null)
    {
      str2 = getQueryUserString(localWickrStatus, str1, arrayOfWickrApp, WickrSession.getActiveSession().getLocalAppTime(), localWickrAliasType.getValue());
      if (!localWickrStatus.isError())
        break;
      return null;
    }
    return str2;
  }

  protected void makeServerCall(String paramString)
  {
    WickrAsyncHttp localWickrAsyncHttp = WickrSession.getActiveSession().getHttpClient();
    BinaryHttpResponseHandler local1 = new BinaryHttpResponseHandler(WickrUtil.allowedContentTypes)
    {
      public void onFailure(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte, Throwable paramAnonymousThrowable)
      {
      }

      public void onRetry(int paramAnonymousInt)
      {
        WickrUserValidator.this.iFace.userValidatorHasNetworkIssue();
      }

      public void onSuccess(int paramAnonymousInt, Header[] paramAnonymousArrayOfHeader, byte[] paramAnonymousArrayOfByte)
      {
        WickrAPICode localWickrAPICode = WickrUserValidator.this.processQueryResult(WickrUserValidator.this.searchString, paramAnonymousArrayOfByte);
        if (localWickrAPICode.isError())
        {
          WickrUserValidator.this.failure(localWickrAPICode);
          return;
        }
        WickrUserValidator.this.success();
      }
    };
    String[] arrayOfString = new String[4];
    arrayOfString[0] = "json_secure";
    arrayOfString[1] = paramString;
    arrayOfString[2] = "json_id";
    arrayOfString[3] = WickrSession.getActiveSession().getAppID();
    localWickrAsyncHttp.addStringParameters(arrayOfString);
    this.activeRequestHandle = localWickrAsyncHttp.post("https://secex.info/service/105/src/getUserInfo.php", local1);
  }

  public WickrAPICode processQueryResult(String paramString, byte[] paramArrayOfByte)
  {
    WickrAPICode localWickrAPICode = new WickrAPICode(0);
    String str = paramString.toLowerCase(Locale.ENGLISH);
    WickrStatus localWickrStatus = new WickrStatus(0);
    this.user = processUQueryResult(paramArrayOfByte, str, localWickrAPICode, localWickrStatus);
    if ((localWickrStatus.isError()) || (localWickrAPICode.isError()))
      return localWickrAPICode;
    this.user.clearSuspendedApps();
    return localWickrAPICode;
  }

  public void start()
  {
    validateUser();
  }

  protected void success()
  {
    this.iFace.userValidatorSuccess(this.user, this);
  }

  protected void validateUser()
  {
    String str = getUserQueryJson(this.searchString, this.user);
    if (str != null)
    {
      makeServerCall(str);
      return;
    }
    failure(new WickrAPICode(-9));
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     com.mywickr.wickr.WickrUserValidator
 * JD-Core Version:    0.6.2
 */