package example;

import android.app.Activity;
import android.content.ContentValues;
import android.os.Bundle;
import android.util.Log;
import net.sqlcipher.database.SQLiteDatabase;

public class SQLDemoActivity extends Activity
{
  EventDataSQLHelper eventsData;

  private void addEvent(String paramString, SQLiteDatabase paramSQLiteDatabase)
  {
    ContentValues localContentValues = new ContentValues();
    localContentValues.put("time", Long.valueOf(System.currentTimeMillis()));
    localContentValues.put("title", paramString);
    paramSQLiteDatabase.insert("events", null, localContentValues);
  }

  private android.database.Cursor getEvents(SQLiteDatabase paramSQLiteDatabase)
  {
    net.sqlcipher.Cursor localCursor = paramSQLiteDatabase.query("events", null, null, null, null, null, null);
    startManagingCursor(localCursor);
    return localCursor;
  }

  private void showEvents(android.database.Cursor paramCursor)
  {
    StringBuilder localStringBuilder = new StringBuilder("Saved Events:\n\n");
    while (paramCursor.moveToNext())
    {
      long l1 = paramCursor.getLong(0);
      long l2 = paramCursor.getLong(1);
      String str = paramCursor.getString(2);
      localStringBuilder.append(l1 + ": " + l2 + ": " + str + "\n");
    }
    Log.i("sqldemo", localStringBuilder.toString());
  }

  public void onCreate(Bundle paramBundle)
  {
    super.onCreate(paramBundle);
    SQLiteDatabase.loadLibs(this);
    this.eventsData = new EventDataSQLHelper(this);
    SQLiteDatabase localSQLiteDatabase1 = this.eventsData.getWritableDatabase("foo123");
    for (int i = 1; i < 100; i++)
      addEvent("Hello Android Event: " + i, localSQLiteDatabase1);
    localSQLiteDatabase1.close();
    SQLiteDatabase localSQLiteDatabase2 = this.eventsData.getReadableDatabase("foo123");
    showEvents(getEvents(localSQLiteDatabase2));
    localSQLiteDatabase2.close();
  }

  public void onDestroy()
  {
    this.eventsData.close();
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     example.SQLDemoActivity
 * JD-Core Version:    0.6.2
 */