package it.sephiroth.android.library.util.v11;

import android.annotation.TargetApi;
import android.view.ActionMode;
import android.view.Menu;
import android.view.MenuItem;
import it.sephiroth.android.library.widget.AbsHListView;

public class MultiChoiceModeWrapper
  implements MultiChoiceModeListener
{
  private AbsHListView mView;
  private MultiChoiceModeListener mWrapped;

  public MultiChoiceModeWrapper(AbsHListView paramAbsHListView)
  {
    this.mView = paramAbsHListView;
  }

  public boolean hasWrappedCallback()
  {
    return this.mWrapped != null;
  }

  public boolean onActionItemClicked(ActionMode paramActionMode, MenuItem paramMenuItem)
  {
    return this.mWrapped.onActionItemClicked(paramActionMode, paramMenuItem);
  }

  public boolean onCreateActionMode(ActionMode paramActionMode, Menu paramMenu)
  {
    boolean bool1 = this.mWrapped.onCreateActionMode(paramActionMode, paramMenu);
    boolean bool2 = false;
    if (bool1)
    {
      this.mView.setLongClickable(false);
      bool2 = true;
    }
    return bool2;
  }

  public void onDestroyActionMode(ActionMode paramActionMode)
  {
    this.mWrapped.onDestroyActionMode(paramActionMode);
    this.mView.mChoiceActionMode = null;
    this.mView.clearChoices();
    this.mView.mDataChanged = true;
    this.mView.rememberSyncState();
    this.mView.requestLayout();
    this.mView.setLongClickable(true);
  }

  @TargetApi(11)
  public void onItemCheckedStateChanged(ActionMode paramActionMode, int paramInt, long paramLong, boolean paramBoolean)
  {
    this.mWrapped.onItemCheckedStateChanged(paramActionMode, paramInt, paramLong, paramBoolean);
    if (this.mView.getCheckedItemCount() == 0)
      paramActionMode.finish();
  }

  public boolean onPrepareActionMode(ActionMode paramActionMode, Menu paramMenu)
  {
    return this.mWrapped.onPrepareActionMode(paramActionMode, paramMenu);
  }

  public void setWrapped(MultiChoiceModeListener paramMultiChoiceModeListener)
  {
    this.mWrapped = paramMultiChoiceModeListener;
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     it.sephiroth.android.library.util.v11.MultiChoiceModeWrapper
 * JD-Core Version:    0.6.2
 */