package it.sephiroth.android.library.widget;

import android.database.DataSetObserver;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Filter;
import android.widget.Filterable;
import android.widget.ListAdapter;
import android.widget.WrapperListAdapter;
import java.util.ArrayList;
import java.util.Iterator;

public class HeaderViewListAdapter
  implements WrapperListAdapter, Filterable
{
  static final ArrayList<HListView.FixedViewInfo> EMPTY_INFO_LIST = new ArrayList();
  private final ListAdapter mAdapter;
  boolean mAreAllFixedViewsSelectable;
  ArrayList<HListView.FixedViewInfo> mFooterViewInfos;
  ArrayList<HListView.FixedViewInfo> mHeaderViewInfos;
  private final boolean mIsFilterable;

  public HeaderViewListAdapter(ArrayList<HListView.FixedViewInfo> paramArrayList1, ArrayList<HListView.FixedViewInfo> paramArrayList2, ListAdapter paramListAdapter)
  {
    this.mAdapter = paramListAdapter;
    this.mIsFilterable = (paramListAdapter instanceof Filterable);
    if (paramArrayList1 == null)
    {
      this.mHeaderViewInfos = EMPTY_INFO_LIST;
      if (paramArrayList2 != null)
        break label79;
      this.mFooterViewInfos = EMPTY_INFO_LIST;
      label39: if ((!areAllListInfosSelectable(this.mHeaderViewInfos)) || (!areAllListInfosSelectable(this.mFooterViewInfos)))
        break label87;
    }
    label79: label87: for (boolean bool = true; ; bool = false)
    {
      this.mAreAllFixedViewsSelectable = bool;
      return;
      this.mHeaderViewInfos = paramArrayList1;
      break;
      this.mFooterViewInfos = paramArrayList2;
      break label39;
    }
  }

  private boolean areAllListInfosSelectable(ArrayList<HListView.FixedViewInfo> paramArrayList)
  {
    Iterator localIterator;
    if (paramArrayList != null)
      localIterator = paramArrayList.iterator();
    do
      if (!localIterator.hasNext())
        return true;
    while (((HListView.FixedViewInfo)localIterator.next()).isSelectable);
    return false;
  }

  public boolean areAllItemsEnabled()
  {
    return (this.mAdapter == null) || ((this.mAreAllFixedViewsSelectable) && (this.mAdapter.areAllItemsEnabled()));
  }

  public int getCount()
  {
    if (this.mAdapter != null)
      return getFootersCount() + getHeadersCount() + this.mAdapter.getCount();
    return getFootersCount() + getHeadersCount();
  }

  public Filter getFilter()
  {
    if (this.mIsFilterable)
      return ((Filterable)this.mAdapter).getFilter();
    return null;
  }

  public int getFootersCount()
  {
    return this.mFooterViewInfos.size();
  }

  public int getHeadersCount()
  {
    return this.mHeaderViewInfos.size();
  }

  public Object getItem(int paramInt)
  {
    int i = getHeadersCount();
    if (paramInt < i)
      return ((HListView.FixedViewInfo)this.mHeaderViewInfos.get(paramInt)).data;
    int j = paramInt - i;
    ListAdapter localListAdapter = this.mAdapter;
    int k = 0;
    if (localListAdapter != null)
    {
      k = this.mAdapter.getCount();
      if (j < k)
        return this.mAdapter.getItem(j);
    }
    return ((HListView.FixedViewInfo)this.mFooterViewInfos.get(j - k)).data;
  }

  public long getItemId(int paramInt)
  {
    int i = getHeadersCount();
    if ((this.mAdapter != null) && (paramInt >= i))
    {
      int j = paramInt - i;
      if (j < this.mAdapter.getCount())
        return this.mAdapter.getItemId(j);
    }
    return -1L;
  }

  public int getItemViewType(int paramInt)
  {
    int i = getHeadersCount();
    if ((this.mAdapter != null) && (paramInt >= i))
    {
      int j = paramInt - i;
      if (j < this.mAdapter.getCount())
        return this.mAdapter.getItemViewType(j);
    }
    return -2;
  }

  public View getView(int paramInt, View paramView, ViewGroup paramViewGroup)
  {
    int i = getHeadersCount();
    if (paramInt < i)
      return ((HListView.FixedViewInfo)this.mHeaderViewInfos.get(paramInt)).view;
    int j = paramInt - i;
    ListAdapter localListAdapter = this.mAdapter;
    int k = 0;
    if (localListAdapter != null)
    {
      k = this.mAdapter.getCount();
      if (j < k)
        return this.mAdapter.getView(j, paramView, paramViewGroup);
    }
    return ((HListView.FixedViewInfo)this.mFooterViewInfos.get(j - k)).view;
  }

  public int getViewTypeCount()
  {
    if (this.mAdapter != null)
      return this.mAdapter.getViewTypeCount();
    return 1;
  }

  public ListAdapter getWrappedAdapter()
  {
    return this.mAdapter;
  }

  public boolean hasStableIds()
  {
    if (this.mAdapter != null)
      return this.mAdapter.hasStableIds();
    return false;
  }

  public boolean isEmpty()
  {
    return (this.mAdapter == null) || (this.mAdapter.isEmpty());
  }

  public boolean isEnabled(int paramInt)
  {
    int i = getHeadersCount();
    if (paramInt < i)
      return ((HListView.FixedViewInfo)this.mHeaderViewInfos.get(paramInt)).isSelectable;
    int j = paramInt - i;
    ListAdapter localListAdapter = this.mAdapter;
    int k = 0;
    if (localListAdapter != null)
    {
      k = this.mAdapter.getCount();
      if (j < k)
        return this.mAdapter.isEnabled(j);
    }
    return ((HListView.FixedViewInfo)this.mFooterViewInfos.get(j - k)).isSelectable;
  }

  public void registerDataSetObserver(DataSetObserver paramDataSetObserver)
  {
    if (this.mAdapter != null)
      this.mAdapter.registerDataSetObserver(paramDataSetObserver);
  }

  public boolean removeFooter(View paramView)
  {
    for (int i = 0; ; i++)
    {
      if (i >= this.mFooterViewInfos.size())
        return false;
      if (((HListView.FixedViewInfo)this.mFooterViewInfos.get(i)).view == paramView)
      {
        this.mFooterViewInfos.remove(i);
        boolean bool1 = areAllListInfosSelectable(this.mHeaderViewInfos);
        boolean bool2 = false;
        if (bool1)
        {
          boolean bool3 = areAllListInfosSelectable(this.mFooterViewInfos);
          bool2 = false;
          if (bool3)
            bool2 = true;
        }
        this.mAreAllFixedViewsSelectable = bool2;
        return true;
      }
    }
  }

  public boolean removeHeader(View paramView)
  {
    for (int i = 0; ; i++)
    {
      if (i >= this.mHeaderViewInfos.size())
        return false;
      if (((HListView.FixedViewInfo)this.mHeaderViewInfos.get(i)).view == paramView)
      {
        this.mHeaderViewInfos.remove(i);
        boolean bool1 = areAllListInfosSelectable(this.mHeaderViewInfos);
        boolean bool2 = false;
        if (bool1)
        {
          boolean bool3 = areAllListInfosSelectable(this.mFooterViewInfos);
          bool2 = false;
          if (bool3)
            bool2 = true;
        }
        this.mAreAllFixedViewsSelectable = bool2;
        return true;
      }
    }
  }

  public void unregisterDataSetObserver(DataSetObserver paramDataSetObserver)
  {
    if (this.mAdapter != null)
      this.mAdapter.unregisterDataSetObserver(paramDataSetObserver);
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     it.sephiroth.android.library.widget.HeaderViewListAdapter
 * JD-Core Version:    0.6.2
 */