package net.sqlcipher;

import android.database.CharArrayBuffer;
import android.database.ContentObserver;
import android.database.DataSetObserver;
import android.os.Bundle;
import android.os.RemoteException;
import android.util.Log;

public final class BulkCursorToCursorAdaptor extends AbstractWindowedCursor
{
  private static final String TAG = "BulkCursor";
  private IBulkCursor mBulkCursor;
  private String[] mColumns;
  private int mCount;
  private AbstractCursor.SelfContentObserver mObserverBridge;
  private boolean mWantsAllOnMoveCalls;

  public static int findRowIdColumnIndex(String[] paramArrayOfString)
  {
    int i = paramArrayOfString.length;
    for (int j = 0; j < i; j++)
      if (paramArrayOfString[j].equals("_id"))
        return j;
    return -1;
  }

  public void close()
  {
    super.close();
    try
    {
      this.mBulkCursor.close();
      this.mWindow = null;
      return;
    }
    catch (RemoteException localRemoteException)
    {
      while (true)
        Log.w("BulkCursor", "Remote process exception when closing");
    }
  }

  // ERROR //
  public boolean commitUpdates(java.util.Map<? extends java.lang.Long, ? extends java.util.Map<String, Object>> paramMap)
  {
    // Byte code:
    //   0: aload_0
    //   1: invokevirtual 60	net/sqlcipher/BulkCursorToCursorAdaptor:supportsUpdates	()Z
    //   4: ifne +13 -> 17
    //   7: ldc 8
    //   9: ldc 62
    //   11: invokestatic 65	android/util/Log:e	(Ljava/lang/String;Ljava/lang/String;)I
    //   14: pop
    //   15: iconst_0
    //   16: ireturn
    //   17: aload_0
    //   18: getfield 69	net/sqlcipher/BulkCursorToCursorAdaptor:mUpdatedRows	Ljava/util/HashMap;
    //   21: astore_2
    //   22: aload_2
    //   23: monitorenter
    //   24: aload_1
    //   25: ifnull +11 -> 36
    //   28: aload_0
    //   29: getfield 69	net/sqlcipher/BulkCursorToCursorAdaptor:mUpdatedRows	Ljava/util/HashMap;
    //   32: aload_1
    //   33: invokevirtual 75	java/util/HashMap:putAll	(Ljava/util/Map;)V
    //   36: aload_0
    //   37: getfield 69	net/sqlcipher/BulkCursorToCursorAdaptor:mUpdatedRows	Ljava/util/HashMap;
    //   40: invokevirtual 79	java/util/HashMap:size	()I
    //   43: ifgt +7 -> 50
    //   46: aload_2
    //   47: monitorexit
    //   48: iconst_0
    //   49: ireturn
    //   50: aload_0
    //   51: getfield 39	net/sqlcipher/BulkCursorToCursorAdaptor:mBulkCursor	Lnet/sqlcipher/IBulkCursor;
    //   54: aload_0
    //   55: getfield 69	net/sqlcipher/BulkCursorToCursorAdaptor:mUpdatedRows	Ljava/util/HashMap;
    //   58: invokeinterface 82 2 0
    //   63: istore 6
    //   65: iload 6
    //   67: iconst_1
    //   68: if_icmpne +15 -> 83
    //   71: aload_0
    //   72: getfield 69	net/sqlcipher/BulkCursorToCursorAdaptor:mUpdatedRows	Ljava/util/HashMap;
    //   75: invokevirtual 85	java/util/HashMap:clear	()V
    //   78: aload_0
    //   79: iconst_1
    //   80: invokevirtual 89	net/sqlcipher/BulkCursorToCursorAdaptor:onChange	(Z)V
    //   83: aload_2
    //   84: monitorexit
    //   85: iload 6
    //   87: ireturn
    //   88: astore_3
    //   89: aload_2
    //   90: monitorexit
    //   91: aload_3
    //   92: athrow
    //   93: astore 4
    //   95: ldc 8
    //   97: ldc 91
    //   99: invokestatic 65	android/util/Log:e	(Ljava/lang/String;Ljava/lang/String;)I
    //   102: pop
    //   103: aload_2
    //   104: monitorexit
    //   105: iconst_0
    //   106: ireturn
    //
    // Exception table:
    //   from	to	target	type
    //   28	36	88	finally
    //   36	48	88	finally
    //   50	65	88	finally
    //   71	83	88	finally
    //   83	85	88	finally
    //   89	91	88	finally
    //   95	105	88	finally
    //   50	65	93	android/os/RemoteException
    //   71	83	93	android/os/RemoteException
  }

  public void copyStringToBuffer(int paramInt, CharArrayBuffer paramCharArrayBuffer)
  {
  }

  public void deactivate()
  {
    super.deactivate();
    try
    {
      this.mBulkCursor.deactivate();
      this.mWindow = null;
      return;
    }
    catch (RemoteException localRemoteException)
    {
      while (true)
        Log.w("BulkCursor", "Remote process exception when deactivating");
    }
  }

  public boolean deleteRow()
  {
    boolean bool;
    try
    {
      bool = this.mBulkCursor.deleteRow(this.mPos);
      if (bool)
      {
        this.mWindow = null;
        this.mCount = this.mBulkCursor.count();
        if (this.mPos < this.mCount)
        {
          int i = this.mPos;
          this.mPos = -1;
          moveToPosition(i);
        }
        while (true)
        {
          onChange(true);
          return bool;
          this.mPos = this.mCount;
        }
      }
    }
    catch (RemoteException localRemoteException)
    {
      Log.e("BulkCursor", "Unable to delete row because the remote process is dead");
      bool = false;
    }
    return bool;
  }

  public String[] getColumnNames()
  {
    if (this.mColumns == null);
    try
    {
      this.mColumns = this.mBulkCursor.getColumnNames();
      return this.mColumns;
    }
    catch (RemoteException localRemoteException)
    {
      Log.e("BulkCursor", "Unable to fetch column names because the remote process is dead");
    }
    return null;
  }

  public int getCount()
  {
    return this.mCount;
  }

  public Bundle getExtras()
  {
    try
    {
      Bundle localBundle = this.mBulkCursor.getExtras();
      return localBundle;
    }
    catch (RemoteException localRemoteException)
    {
      throw new RuntimeException(localRemoteException);
    }
  }

  public IContentObserver getObserver()
  {
    try
    {
      if (this.mObserverBridge == null)
        this.mObserverBridge = new AbstractCursor.SelfContentObserver(this);
      return null;
    }
    finally
    {
      localObject = finally;
      throw localObject;
    }
  }

  public boolean onMove(int paramInt1, int paramInt2)
  {
    while (true)
    {
      try
      {
        if (this.mWindow != null)
        {
          if ((paramInt2 < this.mWindow.getStartPosition()) || (paramInt2 >= this.mWindow.getStartPosition() + this.mWindow.getNumRows()))
          {
            this.mWindow = this.mBulkCursor.getWindow(paramInt2);
            if (this.mWindow != null)
              break;
            return false;
          }
          if (!this.mWantsAllOnMoveCalls)
            continue;
          this.mBulkCursor.onMove(paramInt2);
          continue;
        }
      }
      catch (RemoteException localRemoteException)
      {
        Log.e("BulkCursor", "Unable to get window because the remote process is dead");
        return false;
      }
      this.mWindow = this.mBulkCursor.getWindow(paramInt2);
    }
    return true;
  }

  public void registerContentObserver(ContentObserver paramContentObserver)
  {
  }

  public void registerDataSetObserver(DataSetObserver paramDataSetObserver)
  {
  }

  public boolean requery()
  {
    try
    {
      this.mCount = this.mBulkCursor.requery(getObserver(), new CursorWindow(false));
      if (this.mCount != -1)
      {
        this.mPos = -1;
        this.mWindow = null;
        super.requery();
        return true;
      }
      deactivate();
      return false;
    }
    catch (Exception localException)
    {
      Log.e("BulkCursor", "Unable to requery because the remote process exception " + localException.getMessage());
      deactivate();
    }
    return false;
  }

  public Bundle respond(Bundle paramBundle)
  {
    try
    {
      Bundle localBundle = this.mBulkCursor.respond(paramBundle);
      return localBundle;
    }
    catch (RemoteException localRemoteException)
    {
      Log.w("BulkCursor", "respond() threw RemoteException, returning an empty bundle.", localRemoteException);
    }
    return Bundle.EMPTY;
  }

  public void set(IBulkCursor paramIBulkCursor)
  {
    this.mBulkCursor = paramIBulkCursor;
    try
    {
      this.mCount = this.mBulkCursor.count();
      this.mWantsAllOnMoveCalls = this.mBulkCursor.getWantsAllOnMoveCalls();
      this.mColumns = this.mBulkCursor.getColumnNames();
      this.mRowIdColumnIndex = findRowIdColumnIndex(this.mColumns);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      Log.e("BulkCursor", "Setup failed because the remote process is dead");
    }
  }

  public void set(IBulkCursor paramIBulkCursor, int paramInt1, int paramInt2)
  {
    this.mBulkCursor = paramIBulkCursor;
    this.mColumns = null;
    this.mCount = paramInt1;
    this.mRowIdColumnIndex = paramInt2;
  }

  public void unregisterContentObserver(ContentObserver paramContentObserver)
  {
  }

  public void unregisterDataSetObserver(DataSetObserver paramDataSetObserver)
  {
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     net.sqlcipher.BulkCursorToCursorAdaptor
 * JD-Core Version:    0.6.2
 */