package org.apache.commons.codec.binary;

import org.apache.commons.codec.BinaryDecoder;
import org.apache.commons.codec.BinaryEncoder;
import org.apache.commons.codec.DecoderException;
import org.apache.commons.codec.EncoderException;

public class Hex
  implements BinaryEncoder, BinaryDecoder
{
  private static final char[] DIGITS = { 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 97, 98, 99, 100, 101, 102 };

  public static byte[] decodeHex(char[] paramArrayOfChar)
    throws DecoderException
  {
    int i = paramArrayOfChar.length;
    if ((i & 0x1) != 0)
      throw new DecoderException("Odd number of characters.");
    byte[] arrayOfByte = new byte[i >> 1];
    int j = 0;
    int k = 0;
    while (k < i)
    {
      int m = toDigit(paramArrayOfChar[k], k) << 4;
      int n = k + 1;
      int i1 = m | toDigit(paramArrayOfChar[n], n);
      k = n + 1;
      arrayOfByte[j] = ((byte)(i1 & 0xFF));
      j++;
    }
    return arrayOfByte;
  }

  public static char[] encodeHex(byte[] paramArrayOfByte)
  {
    int i = paramArrayOfByte.length;
    char[] arrayOfChar = new char[i << 1];
    int j = 0;
    int k = 0;
    while (j < i)
    {
      int m = k + 1;
      arrayOfChar[k] = DIGITS[((0xF0 & paramArrayOfByte[j]) >>> 4)];
      k = m + 1;
      arrayOfChar[m] = DIGITS[(0xF & paramArrayOfByte[j])];
      j++;
    }
    return arrayOfChar;
  }

  protected static int toDigit(char paramChar, int paramInt)
    throws DecoderException
  {
    int i = Character.digit(paramChar, 16);
    if (i == -1)
      throw new DecoderException("Illegal hexadecimal charcter " + paramChar + " at index " + paramInt);
    return i;
  }

  public Object decode(Object paramObject)
    throws DecoderException
  {
    try
    {
      if ((paramObject instanceof String));
      char[] arrayOfChar;
      for (Object localObject = ((String)paramObject).toCharArray(); ; localObject = arrayOfChar)
      {
        return decodeHex((char[])localObject);
        arrayOfChar = (char[])paramObject;
      }
    }
    catch (ClassCastException localClassCastException)
    {
      throw new DecoderException(localClassCastException.getMessage());
    }
  }

  public byte[] decode(byte[] paramArrayOfByte)
    throws DecoderException
  {
    return decodeHex(new String(paramArrayOfByte).toCharArray());
  }

  public Object encode(Object paramObject)
    throws EncoderException
  {
    try
    {
      if ((paramObject instanceof String));
      byte[] arrayOfByte;
      for (Object localObject = ((String)paramObject).getBytes(); ; localObject = arrayOfByte)
      {
        return encodeHex((byte[])localObject);
        arrayOfByte = (byte[])paramObject;
      }
    }
    catch (ClassCastException localClassCastException)
    {
      throw new EncoderException(localClassCastException.getMessage());
    }
  }

  public byte[] encode(byte[] paramArrayOfByte)
  {
    return new String(encodeHex(paramArrayOfByte)).getBytes();
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     org.apache.commons.codec.binary.Hex
 * JD-Core Version:    0.6.2
 */