package org.jraf.android.backport.switchwidget;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.view.View;
import android.widget.Checkable;
import android.widget.CompoundButton;
import android.widget.CompoundButton.OnCheckedChangeListener;

public class SwitchPreference extends TwoStatePreference
{
  private final Listener mListener = new Listener(null);
  private CharSequence mSwitchOff;
  private CharSequence mSwitchOn;

  public SwitchPreference(Context paramContext)
  {
    super(paramContext);
  }

  public SwitchPreference(Context paramContext, AttributeSet paramAttributeSet)
  {
    this(paramContext, paramAttributeSet, R.attr.switchPreferenceStyle);
  }

  public SwitchPreference(Context paramContext, AttributeSet paramAttributeSet, int paramInt)
  {
    super(paramContext, paramAttributeSet, paramInt);
    TypedArray localTypedArray = paramContext.obtainStyledAttributes(paramAttributeSet, R.styleable.SwitchPreference, R.attr.switchPreferenceStyle, 0);
    setSummaryOn(localTypedArray.getString(0));
    setSummaryOff(localTypedArray.getString(1));
    setSwitchTextOn(localTypedArray.getString(2));
    setSwitchTextOff(localTypedArray.getString(3));
    setDisableDependentsState(localTypedArray.getBoolean(4, false));
    localTypedArray.recycle();
  }

  public CharSequence getSwitchTextOff()
  {
    return this.mSwitchOff;
  }

  public CharSequence getSwitchTextOn()
  {
    return this.mSwitchOn;
  }

  protected void onBindView(View paramView)
  {
    super.onBindView(paramView);
    Switch localSwitch = (Switch)paramView.findViewById(R.id.switchWidget);
    if (localSwitch != null)
    {
      localSwitch.setChecked(this.mChecked);
      localSwitch.setTextOn(this.mSwitchOn);
      localSwitch.setTextOff(this.mSwitchOff);
      localSwitch.setOnCheckedChangeListener(this.mListener);
    }
    syncSummaryView(paramView);
  }

  public void setSwitchTextOff(int paramInt)
  {
    setSwitchTextOff(getContext().getString(paramInt));
  }

  public void setSwitchTextOff(CharSequence paramCharSequence)
  {
    this.mSwitchOff = paramCharSequence;
    notifyChanged();
  }

  public void setSwitchTextOn(int paramInt)
  {
    setSwitchTextOn(getContext().getString(paramInt));
  }

  public void setSwitchTextOn(CharSequence paramCharSequence)
  {
    this.mSwitchOn = paramCharSequence;
    notifyChanged();
  }

  private class Listener
    implements CompoundButton.OnCheckedChangeListener
  {
    private Listener()
    {
    }

    public void onCheckedChanged(CompoundButton paramCompoundButton, boolean paramBoolean)
    {
      if (!SwitchPreference.this.callChangeListener(Boolean.valueOf(paramBoolean)))
      {
        if (paramBoolean);
        for (boolean bool = false; ; bool = true)
        {
          paramCompoundButton.setChecked(bool);
          return;
        }
      }
      SwitchPreference.this.setChecked(paramBoolean);
    }
  }
}

/* Location:           /tmp/apk/wickr/classes_dex2jar.jar
 * Qualified Name:     org.jraf.android.backport.switchwidget.SwitchPreference
 * JD-Core Version:    0.6.2
 */